
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x80000078', '0x80002c90')]      |
| SIG_REGION                | [('0x80004204', '0x80004b14', '580 words')]      |
| COV_LABELS                | cxor      |
| TEST_NAME                 | /home/bilalsakhawat/riscof_work/src/cxor-01.S/cxor-01.S    |
| Total Number of coverpoints| 648     |
| Total Coverpoints Hit     | 643      |
| Total Signature Updates   | 580      |
| STAT1                     | 578      |
| STAT2                     | 2      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x8000058a]:c.xor a0, a1
      [0x8000058c]:sw a0, 292(ra)
 -- Signature Address: 0x80004328 Data: 0x00000140
 -- Redundant Coverpoints hit by the op
      - opcode : c.xor
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs2_val == 64
      - rs1_val == 256
      - rs2_val > 0




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80002c7e]:c.xor a0, a1
      [0x80002c80]:sw a0, 268(ra)
 -- Signature Address: 0x80004b10 Data: 0x7FFFFFBF
 -- Redundant Coverpoints hit by the op
      - opcode : c.xor
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs2_val == 2147483647
      - rs1_val == 64
      - rs2_val == (2**(xlen-1)-1)
      - rs2_val > 0






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                 coverpoints                                                                                 |                             code                              |
|---:|--------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------|
|   1|[0x80004204]<br>0x7FFF7FFF|- opcode : c.xor<br> - rs1 : x14<br> - rs2 : x10<br> - rs1 != rs2<br> - rs1_val == (-2**(xlen-1))<br> - rs2_val == -32769<br> - rs1_val == -2147483648<br> - rs2_val < 0<br> |[0x8000008c]:c.xor a4, a0<br> [0x8000008e]:sw a4, 0(ra)<br>    |
|   2|[0x80004208]<br>0x00000000|- rs1 : x8<br> - rs2 : x8<br> - rs1 == rs2<br> - rs2_val == 64<br> - rs1_val == 64<br> - rs2_val > 0<br>                                                                     |[0x8000009a]:c.xor s0, s0<br> [0x8000009c]:sw fp, 4(ra)<br>    |
|   3|[0x8000420c]<br>0xFFFFFFFF|- rs1 : x10<br> - rs2 : x13<br> - rs2_val == -1073741825<br> - rs1_val == 1073741824<br>                                                                                     |[0x800000ac]:c.xor a0, a3<br> [0x800000ae]:sw a0, 8(ra)<br>    |
|   4|[0x80004210]<br>0xDFFFFFDF|- rs1 : x13<br> - rs2 : x9<br> - rs2_val == -536870913<br> - rs1_val == 32<br>                                                                                               |[0x800000be]:c.xor a3, s1<br> [0x800000c0]:sw a3, 12(ra)<br>   |
|   5|[0x80004214]<br>0x1000B503|- rs1 : x12<br> - rs2 : x11<br> - rs2_val == -268435457<br>                                                                                                                  |[0x800000d4]:c.xor a2, a1<br> [0x800000d6]:sw a2, 16(ra)<br>   |
|   6|[0x80004218]<br>0x08002000|- rs1 : x11<br> - rs2 : x12<br> - rs2_val == -134217729<br> - rs1_val == -8193<br>                                                                                           |[0x800000ea]:c.xor a1, a2<br> [0x800000ec]:sw a1, 20(ra)<br>   |
|   7|[0x8000421c]<br>0x0C000000|- rs1 : x9<br> - rs2 : x15<br> - rs2_val == -67108865<br> - rs1_val == -134217729<br>                                                                                        |[0x80000100]:c.xor s1, a5<br> [0x80000102]:sw s1, 24(ra)<br>   |
|   8|[0x80004220]<br>0x02000800|- rs1 : x15<br> - rs2 : x14<br> - rs2_val == -33554433<br> - rs1_val == -2049<br>                                                                                            |[0x80000116]:c.xor a5, a4<br> [0x80000118]:sw a5, 28(ra)<br>   |
|   9|[0x80004224]<br>0xFEEFFFFF|- rs2_val == -16777217<br> - rs1_val == 1048576<br>                                                                                                                          |[0x80000128]:c.xor a0, a1<br> [0x8000012a]:sw a0, 32(ra)<br>   |
|  10|[0x80004228]<br>0xAA2AAAAB|- rs2_val == -8388609<br>                                                                                                                                                    |[0x8000013e]:c.xor a0, a1<br> [0x80000140]:sw a0, 36(ra)<br>   |
|  11|[0x8000422c]<br>0x00440000|- rs2_val == -4194305<br> - rs1_val == -262145<br>                                                                                                                           |[0x80000154]:c.xor a0, a1<br> [0x80000156]:sw a0, 40(ra)<br>   |
|  12|[0x80004230]<br>0xFFDFFEFF|- rs2_val == -2097153<br> - rs1_val == 256<br>                                                                                                                               |[0x80000166]:c.xor a0, a1<br> [0x80000168]:sw a0, 44(ra)<br>   |
|  13|[0x80004234]<br>0x00100006|- rs2_val == -1048577<br>                                                                                                                                                    |[0x80000178]:c.xor a0, a1<br> [0x8000017a]:sw a0, 48(ra)<br>   |
|  14|[0x80004238]<br>0xFFF7FFF9|- rs2_val == -524289<br>                                                                                                                                                     |[0x8000018a]:c.xor a0, a1<br> [0x8000018c]:sw a0, 52(ra)<br>   |
|  15|[0x8000423c]<br>0xF7FBFFFF|- rs2_val == -262145<br> - rs1_val == 134217728<br>                                                                                                                          |[0x8000019c]:c.xor a0, a1<br> [0x8000019e]:sw a0, 56(ra)<br>   |
|  16|[0x80004240]<br>0x00020002|- rs2_val == -131073<br> - rs1_val == -3<br>                                                                                                                                 |[0x800001ae]:c.xor a0, a1<br> [0x800001b0]:sw a0, 60(ra)<br>   |
|  17|[0x80004244]<br>0xFFFEFFF6|- rs2_val == -65537<br>                                                                                                                                                      |[0x800001c0]:c.xor a0, a1<br> [0x800001c2]:sw a0, 64(ra)<br>   |
|  18|[0x80004248]<br>0x00005000|- rs2_val == -16385<br> - rs1_val == -4097<br>                                                                                                                               |[0x800001d6]:c.xor a0, a1<br> [0x800001d8]:sw a0, 68(ra)<br>   |
|  19|[0x8000424c]<br>0xFFFFDFFA|- rs2_val == -8193<br>                                                                                                                                                       |[0x800001e8]:c.xor a0, a1<br> [0x800001ea]:sw a0, 72(ra)<br>   |
|  20|[0x80004250]<br>0xEFFFEFFF|- rs2_val == -4097<br> - rs1_val == 268435456<br>                                                                                                                            |[0x800001fa]:c.xor a0, a1<br> [0x800001fc]:sw a0, 76(ra)<br>   |
|  21|[0x80004254]<br>0x10000800|- rs2_val == -2049<br> - rs1_val == -268435457<br>                                                                                                                           |[0x80000210]:c.xor a0, a1<br> [0x80000212]:sw a0, 80(ra)<br>   |
|  22|[0x80004258]<br>0xFFFFFBFF|- rs2_val == -1025<br> - rs1_val == 0<br>                                                                                                                                    |[0x8000021e]:c.xor a0, a1<br> [0x80000220]:sw a0, 84(ra)<br>   |
|  23|[0x8000425c]<br>0xFFBFFDFF|- rs2_val == -513<br> - rs1_val == 4194304<br>                                                                                                                               |[0x8000022c]:c.xor a0, a1<br> [0x8000022e]:sw a0, 88(ra)<br>   |
|  24|[0x80004260]<br>0x00000300|- rs2_val == -257<br> - rs1_val == -513<br>                                                                                                                                  |[0x8000023a]:c.xor a0, a1<br> [0x8000023c]:sw a0, 92(ra)<br>   |
|  25|[0x80004264]<br>0x00000089|- rs2_val == -129<br>                                                                                                                                                        |[0x80000248]:c.xor a0, a1<br> [0x8000024a]:sw a0, 96(ra)<br>   |
|  26|[0x80004268]<br>0xFFFFFFBA|- rs2_val == -65<br>                                                                                                                                                         |[0x80000256]:c.xor a0, a1<br> [0x80000258]:sw a0, 100(ra)<br>  |
|  27|[0x8000426c]<br>0xFFF7FFDF|- rs2_val == -33<br> - rs1_val == 524288<br>                                                                                                                                 |[0x80000264]:c.xor a0, a1<br> [0x80000266]:sw a0, 104(ra)<br>  |
|  28|[0x80004270]<br>0xFFFF4AEC|- rs2_val == -17<br>                                                                                                                                                         |[0x80000276]:c.xor a0, a1<br> [0x80000278]:sw a0, 108(ra)<br>  |
|  29|[0x80004274]<br>0x04000008|- rs2_val == -9<br> - rs1_val == -67108865<br>                                                                                                                               |[0x80000288]:c.xor a0, a1<br> [0x8000028a]:sw a0, 112(ra)<br>  |
|  30|[0x80004278]<br>0x00000000|- rs2_val == -5<br> - rs1_val == -5<br>                                                                                                                                      |[0x80000296]:c.xor a0, a1<br> [0x80000298]:sw a0, 116(ra)<br>  |
|  31|[0x8000427c]<br>0xFFDFFFFD|- rs2_val == -3<br> - rs1_val == 2097152<br>                                                                                                                                 |[0x800002a4]:c.xor a0, a1<br> [0x800002a6]:sw a0, 120(ra)<br>  |
|  32|[0x80004280]<br>0xFFFDFFFE|- rs2_val == -2<br> - rs1_val == 131072<br>                                                                                                                                  |[0x800002b2]:c.xor a0, a1<br> [0x800002b4]:sw a0, 124(ra)<br>  |
|  33|[0x80004284]<br>0x7FFFFFFF|- rs1_val == 2147483647<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == 0<br>                                                                                              |[0x800002c4]:c.xor a0, a1<br> [0x800002c6]:sw a0, 128(ra)<br>  |
|  34|[0x80004288]<br>0xBFFDFFFF|- rs1_val == -1073741825<br> - rs2_val == 131072<br>                                                                                                                         |[0x800002d6]:c.xor a0, a1<br> [0x800002d8]:sw a0, 132(ra)<br>  |
|  35|[0x8000428c]<br>0x9FFFFFFF|- rs1_val == -536870913<br> - rs2_val == 1073741824<br>                                                                                                                      |[0x800002e8]:c.xor a0, a1<br> [0x800002ea]:sw a0, 136(ra)<br>  |
|  36|[0x80004290]<br>0xFDFFFFF8|- rs1_val == -33554433<br>                                                                                                                                                   |[0x800002fa]:c.xor a0, a1<br> [0x800002fc]:sw a0, 140(ra)<br>  |
|  37|[0x80004294]<br>0x81000000|- rs2_val == 2147483647<br> - rs1_val == -16777217<br> - rs2_val == (2**(xlen-1)-1)<br>                                                                                      |[0x80000310]:c.xor a0, a1<br> [0x80000312]:sw a0, 144(ra)<br>  |
|  38|[0x80004298]<br>0x00880000|- rs1_val == -8388609<br>                                                                                                                                                    |[0x80000326]:c.xor a0, a1<br> [0x80000328]:sw a0, 148(ra)<br>  |
|  39|[0x8000429c]<br>0xFFBFFFFB|- rs1_val == -4194305<br> - rs2_val == 4<br>                                                                                                                                 |[0x80000338]:c.xor a0, a1<br> [0x8000033a]:sw a0, 152(ra)<br>  |
|  40|[0x800042a0]<br>0xFFD7FFFF|- rs1_val == -2097153<br> - rs2_val == 524288<br>                                                                                                                            |[0x8000034a]:c.xor a0, a1<br> [0x8000034c]:sw a0, 156(ra)<br>  |
|  41|[0x800042a4]<br>0x00100800|- rs1_val == -1048577<br>                                                                                                                                                    |[0x80000360]:c.xor a0, a1<br> [0x80000362]:sw a0, 160(ra)<br>  |
|  42|[0x800042a8]<br>0x40080000|- rs1_val == -524289<br>                                                                                                                                                     |[0x80000376]:c.xor a0, a1<br> [0x80000378]:sw a0, 164(ra)<br>  |
|  43|[0x800042ac]<br>0x02020000|- rs1_val == -131073<br>                                                                                                                                                     |[0x8000038c]:c.xor a0, a1<br> [0x8000038e]:sw a0, 168(ra)<br>  |
|  44|[0x800042b0]<br>0xFFFEFFFB|- rs1_val == -65537<br>                                                                                                                                                      |[0x8000039e]:c.xor a0, a1<br> [0x800003a0]:sw a0, 172(ra)<br>  |
|  45|[0x800042b4]<br>0x00008006|- rs1_val == -32769<br>                                                                                                                                                      |[0x800003b0]:c.xor a0, a1<br> [0x800003b2]:sw a0, 176(ra)<br>  |
|  46|[0x800042b8]<br>0xFFFF0AFA|- rs1_val == -16385<br>                                                                                                                                                      |[0x800003c6]:c.xor a0, a1<br> [0x800003c8]:sw a0, 180(ra)<br>  |
|  47|[0x800042bc]<br>0xFFBFFBFF|- rs1_val == -1025<br> - rs2_val == 4194304<br>                                                                                                                              |[0x800003d4]:c.xor a0, a1<br> [0x800003d6]:sw a0, 184(ra)<br>  |
|  48|[0x800042c0]<br>0xFFFFF6FF|- rs1_val == -257<br> - rs2_val == 2048<br>                                                                                                                                  |[0x800003e6]:c.xor a0, a1<br> [0x800003e8]:sw a0, 188(ra)<br>  |
|  49|[0x800042c4]<br>0xFBFFFF7F|- rs1_val == -129<br> - rs2_val == 67108864<br>                                                                                                                              |[0x800003f4]:c.xor a0, a1<br> [0x800003f6]:sw a0, 192(ra)<br>  |
|  50|[0x800042c8]<br>0x80000040|- rs1_val == -65<br>                                                                                                                                                         |[0x80000406]:c.xor a0, a1<br> [0x80000408]:sw a0, 196(ra)<br>  |
|  51|[0x800042cc]<br>0x00000420|- rs1_val == -33<br>                                                                                                                                                         |[0x80000414]:c.xor a0, a1<br> [0x80000416]:sw a0, 200(ra)<br>  |
|  52|[0x800042d0]<br>0x80000010|- rs1_val == -17<br>                                                                                                                                                         |[0x80000426]:c.xor a0, a1<br> [0x80000428]:sw a0, 204(ra)<br>  |
|  53|[0x800042d4]<br>0x99999992|- rs1_val == -9<br>                                                                                                                                                          |[0x80000438]:c.xor a0, a1<br> [0x8000043a]:sw a0, 208(ra)<br>  |
|  54|[0x800042d8]<br>0xFFFFFFF7|- rs1_val == -2<br>                                                                                                                                                          |[0x80000446]:c.xor a0, a1<br> [0x80000448]:sw a0, 212(ra)<br>  |
|  55|[0x800042dc]<br>0xD5555556|- rs2_val == -2147483648<br> - rs2_val == (-2**(xlen-1))<br>                                                                                                                 |[0x80000458]:c.xor a0, a1<br> [0x8000045a]:sw a0, 216(ra)<br>  |
|  56|[0x800042e0]<br>0x20200000|- rs2_val == 536870912<br>                                                                                                                                                   |[0x80000466]:c.xor a0, a1<br> [0x80000468]:sw a0, 220(ra)<br>  |
|  57|[0x800042e4]<br>0x10000004|- rs2_val == 268435456<br> - rs1_val == 4<br>                                                                                                                                |[0x80000474]:c.xor a0, a1<br> [0x80000476]:sw a0, 224(ra)<br>  |
|  58|[0x800042e8]<br>0x3B333334|- rs2_val == 134217728<br>                                                                                                                                                   |[0x80000486]:c.xor a0, a1<br> [0x80000488]:sw a0, 228(ra)<br>  |
|  59|[0x800042ec]<br>0xFFFFFFFF|- rs2_val == 33554432<br>                                                                                                                                                    |[0x80000498]:c.xor a0, a1<br> [0x8000049a]:sw a0, 232(ra)<br>  |
|  60|[0x800042f0]<br>0x54555555|- rs2_val == 16777216<br> - rs1_val == 1431655765<br>                                                                                                                        |[0x800004aa]:c.xor a0, a1<br> [0x800004ac]:sw a0, 236(ra)<br>  |
|  61|[0x800042f4]<br>0x33B33334|- rs2_val == 8388608<br>                                                                                                                                                     |[0x800004bc]:c.xor a0, a1<br> [0x800004be]:sw a0, 240(ra)<br>  |
|  62|[0x800042f8]<br>0xFFDBFFFF|- rs2_val == 2097152<br>                                                                                                                                                     |[0x800004ce]:c.xor a0, a1<br> [0x800004d0]:sw a0, 244(ra)<br>  |
|  63|[0x800042fc]<br>0xFF6FFFFF|- rs2_val == 1048576<br>                                                                                                                                                     |[0x800004e0]:c.xor a0, a1<br> [0x800004e2]:sw a0, 248(ra)<br>  |
|  64|[0x80004300]<br>0xAAAEAAAA|- rs2_val == 262144<br> - rs1_val == -1431655766<br>                                                                                                                         |[0x800004f2]:c.xor a0, a1<br> [0x800004f4]:sw a0, 252(ra)<br>  |
|  65|[0x80004304]<br>0xFF7EFFFF|- rs2_val == 65536<br>                                                                                                                                                       |[0x80000504]:c.xor a0, a1<br> [0x80000506]:sw a0, 256(ra)<br>  |
|  66|[0x80004308]<br>0x04008000|- rs2_val == 32768<br> - rs1_val == 67108864<br>                                                                                                                             |[0x80000512]:c.xor a0, a1<br> [0x80000514]:sw a0, 260(ra)<br>  |
|  67|[0x8000430c]<br>0x04004000|- rs2_val == 16384<br>                                                                                                                                                       |[0x80000520]:c.xor a0, a1<br> [0x80000522]:sw a0, 264(ra)<br>  |
|  68|[0x80004310]<br>0x55557555|- rs2_val == 8192<br>                                                                                                                                                        |[0x80000532]:c.xor a0, a1<br> [0x80000534]:sw a0, 268(ra)<br>  |
|  69|[0x80004314]<br>0xFFEFEFFF|- rs2_val == 4096<br>                                                                                                                                                        |[0x80000544]:c.xor a0, a1<br> [0x80000546]:sw a0, 272(ra)<br>  |
|  70|[0x80004318]<br>0x00010400|- rs2_val == 1024<br> - rs1_val == 65536<br>                                                                                                                                 |[0x80000552]:c.xor a0, a1<br> [0x80000554]:sw a0, 276(ra)<br>  |
|  71|[0x8000431c]<br>0x08000200|- rs2_val == 512<br>                                                                                                                                                         |[0x80000560]:c.xor a0, a1<br> [0x80000562]:sw a0, 280(ra)<br>  |
|  72|[0x80004320]<br>0x00080100|- rs2_val == 256<br>                                                                                                                                                         |[0x8000056e]:c.xor a0, a1<br> [0x80000570]:sw a0, 284(ra)<br>  |
|  73|[0x80004324]<br>0xFFFFFF7D|- rs2_val == 128<br>                                                                                                                                                         |[0x8000057c]:c.xor a0, a1<br> [0x8000057e]:sw a0, 288(ra)<br>  |
|  74|[0x8000432c]<br>0xAAAAAA8B|- rs2_val == 32<br>                                                                                                                                                          |[0x8000059c]:c.xor a0, a1<br> [0x8000059e]:sw a0, 296(ra)<br>  |
|  75|[0x80004330]<br>0x3FFFFFEF|- rs2_val == 16<br>                                                                                                                                                          |[0x800005ae]:c.xor a0, a1<br> [0x800005b0]:sw a0, 300(ra)<br>  |
|  76|[0x80004334]<br>0xFFBFFFF7|- rs2_val == 8<br>                                                                                                                                                           |[0x800005c0]:c.xor a0, a1<br> [0x800005c2]:sw a0, 304(ra)<br>  |
|  77|[0x80004338]<br>0xFFFFFFF4|- rs2_val == 2<br>                                                                                                                                                           |[0x800005ce]:c.xor a0, a1<br> [0x800005d0]:sw a0, 308(ra)<br>  |
|  78|[0x8000433c]<br>0xFFFFFFFC|- rs2_val == 1<br>                                                                                                                                                           |[0x800005dc]:c.xor a0, a1<br> [0x800005de]:sw a0, 312(ra)<br>  |
|  79|[0x80004340]<br>0xA0000000|- rs1_val == 536870912<br>                                                                                                                                                   |[0x800005ea]:c.xor a0, a1<br> [0x800005ec]:sw a0, 316(ra)<br>  |
|  80|[0x80004344]<br>0x57555555|- rs1_val == 33554432<br> - rs2_val == 1431655765<br>                                                                                                                        |[0x800005fc]:c.xor a0, a1<br> [0x800005fe]:sw a0, 320(ra)<br>  |
|  81|[0x80004348]<br>0x32333332|- rs1_val == 16777216<br>                                                                                                                                                    |[0x8000060e]:c.xor a0, a1<br> [0x80000610]:sw a0, 324(ra)<br>  |
|  82|[0x8000434c]<br>0xFE7FFFFF|- rs1_val == 8388608<br>                                                                                                                                                     |[0x80000620]:c.xor a0, a1<br> [0x80000622]:sw a0, 328(ra)<br>  |
|  83|[0x80004350]<br>0x40040000|- rs1_val == 262144<br>                                                                                                                                                      |[0x8000062e]:c.xor a0, a1<br> [0x80000630]:sw a0, 332(ra)<br>  |
|  84|[0x80004354]<br>0x6666E666|- rs1_val == 32768<br>                                                                                                                                                       |[0x80000640]:c.xor a0, a1<br> [0x80000642]:sw a0, 336(ra)<br>  |
|  85|[0x80004358]<br>0xFFFF9FFF|- rs1_val == 16384<br>                                                                                                                                                       |[0x80000652]:c.xor a0, a1<br> [0x80000654]:sw a0, 340(ra)<br>  |
|  86|[0x8000435c]<br>0x0000A000|- rs1_val == 8192<br>                                                                                                                                                        |[0x80000660]:c.xor a0, a1<br> [0x80000662]:sw a0, 344(ra)<br>  |
|  87|[0x80004360]<br>0xFFFF5AFC|- rs1_val == 4096<br>                                                                                                                                                        |[0x80000672]:c.xor a0, a1<br> [0x80000674]:sw a0, 348(ra)<br>  |
|  88|[0x80004364]<br>0xFFFFF3FF|- rs1_val == 2048<br>                                                                                                                                                        |[0x80000684]:c.xor a0, a1<br> [0x80000686]:sw a0, 352(ra)<br>  |
|  89|[0x80004368]<br>0x00000408|- rs1_val == 1024<br>                                                                                                                                                        |[0x80000692]:c.xor a0, a1<br> [0x80000694]:sw a0, 356(ra)<br>  |
|  90|[0x8000436c]<br>0xFFEFFDFF|- rs1_val == 512<br>                                                                                                                                                         |[0x800006a4]:c.xor a0, a1<br> [0x800006a6]:sw a0, 360(ra)<br>  |
|  91|[0x80004370]<br>0x0000B584|- rs1_val == 128<br>                                                                                                                                                         |[0x800006b6]:c.xor a0, a1<br> [0x800006b8]:sw a0, 364(ra)<br>  |
|  92|[0x80004374]<br>0xDFFFFFEF|- rs1_val == 16<br>                                                                                                                                                          |[0x800006c8]:c.xor a0, a1<br> [0x800006ca]:sw a0, 368(ra)<br>  |
|  93|[0x80004378]<br>0xFEFFFFF7|- rs1_val == 8<br>                                                                                                                                                           |[0x800006da]:c.xor a0, a1<br> [0x800006dc]:sw a0, 372(ra)<br>  |
|  94|[0x8000437c]<br>0x00000004|- rs1_val == 2<br> - rs1_val==2 and rs2_val==6<br>                                                                                                                           |[0x800006e8]:c.xor a0, a1<br> [0x800006ea]:sw a0, 376(ra)<br>  |
|  95|[0x80004380]<br>0xFFFDFFFE|- rs1_val == 1<br>                                                                                                                                                           |[0x800006fa]:c.xor a0, a1<br> [0x800006fc]:sw a0, 380(ra)<br>  |
|  96|[0x80004384]<br>0x00000000|- rs1_val==46341 and rs2_val==46341<br>                                                                                                                                      |[0x80000710]:c.xor a0, a1<br> [0x80000712]:sw a0, 384(ra)<br>  |
|  97|[0x80004388]<br>0xFFFFFFF8|- rs1_val==46341 and rs2_val==-46339<br>                                                                                                                                     |[0x80000726]:c.xor a0, a1<br> [0x80000728]:sw a0, 388(ra)<br>  |
|  98|[0x8000438c]<br>0x6666D362|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                                                 |[0x8000073c]:c.xor a0, a1<br> [0x8000073e]:sw a0, 392(ra)<br>  |
|  99|[0x80004390]<br>0x33338631|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                                                  |[0x80000752]:c.xor a0, a1<br> [0x80000754]:sw a0, 396(ra)<br>  |
| 100|[0x80004394]<br>0x0000B503|- rs1_val==46341 and rs2_val==6<br>                                                                                                                                          |[0x80000764]:c.xor a0, a1<br> [0x80000766]:sw a0, 400(ra)<br>  |
| 101|[0x80004398]<br>0xAAAA1FAE|- rs1_val==46341 and rs2_val==-1431655765<br>                                                                                                                                |[0x8000077a]:c.xor a0, a1<br> [0x8000077c]:sw a0, 404(ra)<br>  |
| 102|[0x8000439c]<br>0x5555E053|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                                                 |[0x80000790]:c.xor a0, a1<br> [0x80000792]:sw a0, 408(ra)<br>  |
| 103|[0x800043a0]<br>0x0000B501|- rs1_val==46341 and rs2_val==4<br>                                                                                                                                          |[0x800007a2]:c.xor a0, a1<br> [0x800007a4]:sw a0, 412(ra)<br>  |
| 104|[0x800043a4]<br>0x00000006|- rs1_val==46341 and rs2_val==46339<br>                                                                                                                                      |[0x800007b8]:c.xor a0, a1<br> [0x800007ba]:sw a0, 416(ra)<br>  |
| 105|[0x800043a8]<br>0x0000B505|- rs1_val==46341 and rs2_val==0<br>                                                                                                                                          |[0x800007ca]:c.xor a0, a1<br> [0x800007cc]:sw a0, 420(ra)<br>  |
| 106|[0x800043ac]<br>0x6666D360|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                                                 |[0x800007e0]:c.xor a0, a1<br> [0x800007e2]:sw a0, 424(ra)<br>  |
| 107|[0x800043b0]<br>0x33338637|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                                                  |[0x800007f6]:c.xor a0, a1<br> [0x800007f8]:sw a0, 428(ra)<br>  |
| 108|[0x800043b4]<br>0x5555E051|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                                                 |[0x8000080c]:c.xor a0, a1<br> [0x8000080e]:sw a0, 432(ra)<br>  |
| 109|[0x800043b8]<br>0x0000B507|- rs1_val==46341 and rs2_val==2<br>                                                                                                                                          |[0x8000081e]:c.xor a0, a1<br> [0x80000820]:sw a0, 436(ra)<br>  |
| 110|[0x800043bc]<br>0x00000001|- rs1_val==46341 and rs2_val==46340<br>                                                                                                                                      |[0x80000834]:c.xor a0, a1<br> [0x80000836]:sw a0, 440(ra)<br>  |
| 111|[0x800043c0]<br>0xFFFFFFF9|- rs1_val==46341 and rs2_val==-46340<br>                                                                                                                                     |[0x8000084a]:c.xor a0, a1<br> [0x8000084c]:sw a0, 444(ra)<br>  |
| 112|[0x800043c4]<br>0x6666D363|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                                                 |[0x80000860]:c.xor a0, a1<br> [0x80000862]:sw a0, 448(ra)<br>  |
| 113|[0x800043c8]<br>0x33338636|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                                                  |[0x80000876]:c.xor a0, a1<br> [0x80000878]:sw a0, 452(ra)<br>  |
| 114|[0x800043cc]<br>0x0000B500|- rs1_val==46341 and rs2_val==5<br>                                                                                                                                          |[0x80000888]:c.xor a0, a1<br> [0x8000088a]:sw a0, 456(ra)<br>  |
| 115|[0x800043d0]<br>0xAAAA1FAF|- rs1_val==46341 and rs2_val==-1431655766<br> - rs2_val == -1431655766<br>                                                                                                   |[0x8000089e]:c.xor a0, a1<br> [0x800008a0]:sw a0, 460(ra)<br>  |
| 116|[0x800043d4]<br>0x5555E050|- rs1_val==46341 and rs2_val==1431655765<br>                                                                                                                                 |[0x800008b4]:c.xor a0, a1<br> [0x800008b6]:sw a0, 464(ra)<br>  |
| 117|[0x800043d8]<br>0x0000B506|- rs1_val==46341 and rs2_val==3<br>                                                                                                                                          |[0x800008c6]:c.xor a0, a1<br> [0x800008c8]:sw a0, 468(ra)<br>  |
| 118|[0x800043dc]<br>0xFFFFFFF8|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                                                     |[0x800008dc]:c.xor a0, a1<br> [0x800008de]:sw a0, 472(ra)<br>  |
| 119|[0x800043e0]<br>0x00000000|- rs1_val==-46339 and rs2_val==-46339<br>                                                                                                                                    |[0x800008f2]:c.xor a0, a1<br> [0x800008f4]:sw a0, 476(ra)<br>  |
| 120|[0x800043e4]<br>0x99992C9A|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                                                |[0x80000908]:c.xor a0, a1<br> [0x8000090a]:sw a0, 480(ra)<br>  |
| 121|[0x800043e8]<br>0xCCCC79C9|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                                                 |[0x8000091e]:c.xor a0, a1<br> [0x80000920]:sw a0, 484(ra)<br>  |
| 122|[0x800043ec]<br>0xFFFF4AFB|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                                         |[0x80000930]:c.xor a0, a1<br> [0x80000932]:sw a0, 488(ra)<br>  |
| 123|[0x800043f0]<br>0x5555E056|- rs1_val==-46339 and rs2_val==-1431655765<br>                                                                                                                               |[0x80000946]:c.xor a0, a1<br> [0x80000948]:sw a0, 492(ra)<br>  |
| 124|[0x800043f4]<br>0xAAAA1FAB|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                                                |[0x8000095c]:c.xor a0, a1<br> [0x8000095e]:sw a0, 496(ra)<br>  |
| 125|[0x800043f8]<br>0xFFFF4AF9|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                                         |[0x8000096e]:c.xor a0, a1<br> [0x80000970]:sw a0, 500(ra)<br>  |
| 126|[0x800043fc]<br>0xFFFFFFFE|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                                                     |[0x80000984]:c.xor a0, a1<br> [0x80000986]:sw a0, 504(ra)<br>  |
| 127|[0x80004400]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                                         |[0x80000996]:c.xor a0, a1<br> [0x80000998]:sw a0, 508(ra)<br>  |
| 128|[0x80004404]<br>0x99992C98|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                                                |[0x800009ac]:c.xor a0, a1<br> [0x800009ae]:sw a0, 512(ra)<br>  |
| 129|[0x80004408]<br>0xCCCC79CF|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                                                 |[0x800009c2]:c.xor a0, a1<br> [0x800009c4]:sw a0, 516(ra)<br>  |
| 130|[0x8000440c]<br>0xAAAA1FA9|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                                                |[0x800009d8]:c.xor a0, a1<br> [0x800009da]:sw a0, 520(ra)<br>  |
| 131|[0x80004410]<br>0xFFFF4AFF|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                                         |[0x800009ea]:c.xor a0, a1<br> [0x800009ec]:sw a0, 524(ra)<br>  |
| 132|[0x80004414]<br>0xFFFFFFF9|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                                                     |[0x80000a00]:c.xor a0, a1<br> [0x80000a02]:sw a0, 528(ra)<br>  |
| 133|[0x80004418]<br>0x00000001|- rs1_val==-46339 and rs2_val==-46340<br>                                                                                                                                    |[0x80000a16]:c.xor a0, a1<br> [0x80000a18]:sw a0, 532(ra)<br>  |
| 134|[0x8000441c]<br>0x99992C9B|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                                                |[0x80000a2c]:c.xor a0, a1<br> [0x80000a2e]:sw a0, 536(ra)<br>  |
| 135|[0x80004420]<br>0xCCCC79CE|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                                                 |[0x80000a42]:c.xor a0, a1<br> [0x80000a44]:sw a0, 540(ra)<br>  |
| 136|[0x80004424]<br>0xFFFF4AF8|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                                         |[0x80000a54]:c.xor a0, a1<br> [0x80000a56]:sw a0, 544(ra)<br>  |
| 137|[0x80004428]<br>0x5555E057|- rs1_val==-46339 and rs2_val==-1431655766<br>                                                                                                                               |[0x80000a6a]:c.xor a0, a1<br> [0x80000a6c]:sw a0, 548(ra)<br>  |
| 138|[0x8000442c]<br>0xAAAA1FA8|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                                                |[0x80000a80]:c.xor a0, a1<br> [0x80000a82]:sw a0, 552(ra)<br>  |
| 139|[0x80004430]<br>0xFFFF4AFE|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                                         |[0x80000a92]:c.xor a0, a1<br> [0x80000a94]:sw a0, 556(ra)<br>  |
| 140|[0x80004434]<br>0x6666D362|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                                                 |[0x80000aa8]:c.xor a0, a1<br> [0x80000aaa]:sw a0, 560(ra)<br>  |
| 141|[0x80004438]<br>0x99992C9A|- rs1_val==1717986919 and rs2_val==-46339<br>                                                                                                                                |[0x80000abe]:c.xor a0, a1<br> [0x80000ac0]:sw a0, 564(ra)<br>  |
| 142|[0x8000443c]<br>0x00000000|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                                            |[0x80000ad4]:c.xor a0, a1<br> [0x80000ad6]:sw a0, 568(ra)<br>  |
| 143|[0x80004440]<br>0x55555553|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                                             |[0x80000aea]:c.xor a0, a1<br> [0x80000aec]:sw a0, 572(ra)<br>  |
| 144|[0x80004444]<br>0x66666661|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                                                     |[0x80000afc]:c.xor a0, a1<br> [0x80000afe]:sw a0, 576(ra)<br>  |
| 145|[0x80004448]<br>0xCCCCCCCC|- rs1_val==1717986919 and rs2_val==-1431655765<br>                                                                                                                           |[0x80000b12]:c.xor a0, a1<br> [0x80000b14]:sw a0, 580(ra)<br>  |
| 146|[0x8000444c]<br>0x33333331|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                                            |[0x80000b28]:c.xor a0, a1<br> [0x80000b2a]:sw a0, 584(ra)<br>  |
| 147|[0x80004450]<br>0x66666663|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                                                     |[0x80000b3a]:c.xor a0, a1<br> [0x80000b3c]:sw a0, 588(ra)<br>  |
| 148|[0x80004454]<br>0x6666D364|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                                                 |[0x80000b50]:c.xor a0, a1<br> [0x80000b52]:sw a0, 592(ra)<br>  |
| 149|[0x80004458]<br>0x66666667|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                                                     |[0x80000b62]:c.xor a0, a1<br> [0x80000b64]:sw a0, 596(ra)<br>  |
| 150|[0x8000445c]<br>0x00000002|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                                            |[0x80000b78]:c.xor a0, a1<br> [0x80000b7a]:sw a0, 600(ra)<br>  |
| 151|[0x80004460]<br>0x55555555|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                                             |[0x80000b8e]:c.xor a0, a1<br> [0x80000b90]:sw a0, 604(ra)<br>  |
| 152|[0x80004464]<br>0x33333333|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                                            |[0x80000ba4]:c.xor a0, a1<br> [0x80000ba6]:sw a0, 608(ra)<br>  |
| 153|[0x80004468]<br>0x66666665|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                                                     |[0x80000bb6]:c.xor a0, a1<br> [0x80000bb8]:sw a0, 612(ra)<br>  |
| 154|[0x8000446c]<br>0x6666D363|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                                                 |[0x80000bcc]:c.xor a0, a1<br> [0x80000bce]:sw a0, 616(ra)<br>  |
| 155|[0x80004470]<br>0x99992C9B|- rs1_val==1717986919 and rs2_val==-46340<br>                                                                                                                                |[0x80000be2]:c.xor a0, a1<br> [0x80000be4]:sw a0, 620(ra)<br>  |
| 156|[0x80004474]<br>0x00000001|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                                            |[0x80000bf8]:c.xor a0, a1<br> [0x80000bfa]:sw a0, 624(ra)<br>  |
| 157|[0x80004478]<br>0x55555554|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                                             |[0x80000c0e]:c.xor a0, a1<br> [0x80000c10]:sw a0, 628(ra)<br>  |
| 158|[0x8000447c]<br>0x66666662|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                                                     |[0x80000c20]:c.xor a0, a1<br> [0x80000c22]:sw a0, 632(ra)<br>  |
| 159|[0x80004480]<br>0xCCCCCCCD|- rs1_val==1717986919 and rs2_val==-1431655766<br>                                                                                                                           |[0x80000c36]:c.xor a0, a1<br> [0x80000c38]:sw a0, 636(ra)<br>  |
| 160|[0x80004484]<br>0x33333332|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                                            |[0x80000c4c]:c.xor a0, a1<br> [0x80000c4e]:sw a0, 640(ra)<br>  |
| 161|[0x80004488]<br>0x66666664|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                                                     |[0x80000c5e]:c.xor a0, a1<br> [0x80000c60]:sw a0, 644(ra)<br>  |
| 162|[0x8000448c]<br>0x33338631|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                                                  |[0x80000c74]:c.xor a0, a1<br> [0x80000c76]:sw a0, 648(ra)<br>  |
| 163|[0x80004490]<br>0xCCCC79C9|- rs1_val==858993460 and rs2_val==-46339<br>                                                                                                                                 |[0x80000c8a]:c.xor a0, a1<br> [0x80000c8c]:sw a0, 652(ra)<br>  |
| 164|[0x80004494]<br>0x55555553|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                                             |[0x80000ca0]:c.xor a0, a1<br> [0x80000ca2]:sw a0, 656(ra)<br>  |
| 165|[0x80004498]<br>0x00000000|- rs1_val==858993460 and rs2_val==858993460<br>                                                                                                                              |[0x80000cb6]:c.xor a0, a1<br> [0x80000cb8]:sw a0, 660(ra)<br>  |
| 166|[0x8000449c]<br>0x33333332|- rs1_val==858993460 and rs2_val==6<br>                                                                                                                                      |[0x80000cc8]:c.xor a0, a1<br> [0x80000cca]:sw a0, 664(ra)<br>  |
| 167|[0x800044a0]<br>0x9999999F|- rs1_val==858993460 and rs2_val==-1431655765<br>                                                                                                                            |[0x80000cde]:c.xor a0, a1<br> [0x80000ce0]:sw a0, 668(ra)<br>  |
| 168|[0x800044a4]<br>0x66666662|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                                             |[0x80000cf4]:c.xor a0, a1<br> [0x80000cf6]:sw a0, 672(ra)<br>  |
| 169|[0x800044a8]<br>0x33333330|- rs1_val==858993460 and rs2_val==4<br>                                                                                                                                      |[0x80000d06]:c.xor a0, a1<br> [0x80000d08]:sw a0, 676(ra)<br>  |
| 170|[0x800044ac]<br>0x33338637|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                                                  |[0x80000d1c]:c.xor a0, a1<br> [0x80000d1e]:sw a0, 680(ra)<br>  |
| 171|[0x800044b0]<br>0x33333334|- rs1_val==858993460 and rs2_val==0<br>                                                                                                                                      |[0x80000d2e]:c.xor a0, a1<br> [0x80000d30]:sw a0, 684(ra)<br>  |
| 172|[0x800044b4]<br>0x55555551|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                                             |[0x80000d44]:c.xor a0, a1<br> [0x80000d46]:sw a0, 688(ra)<br>  |
| 173|[0x800044b8]<br>0x00000006|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                                              |[0x80000d5a]:c.xor a0, a1<br> [0x80000d5c]:sw a0, 692(ra)<br>  |
| 174|[0x800044bc]<br>0x66666660|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                                             |[0x80000d70]:c.xor a0, a1<br> [0x80000d72]:sw a0, 696(ra)<br>  |
| 175|[0x800044c0]<br>0x33333336|- rs1_val==858993460 and rs2_val==2<br>                                                                                                                                      |[0x80000d82]:c.xor a0, a1<br> [0x80000d84]:sw a0, 700(ra)<br>  |
| 176|[0x800044c4]<br>0x33338630|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                                                  |[0x80000d98]:c.xor a0, a1<br> [0x80000d9a]:sw a0, 704(ra)<br>  |
| 177|[0x800044c8]<br>0xCCCC79C8|- rs1_val==858993460 and rs2_val==-46340<br>                                                                                                                                 |[0x80000dae]:c.xor a0, a1<br> [0x80000db0]:sw a0, 708(ra)<br>  |
| 178|[0x800044cc]<br>0x55555552|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                                             |[0x80000dc4]:c.xor a0, a1<br> [0x80000dc6]:sw a0, 712(ra)<br>  |
| 179|[0x800044d0]<br>0x00000007|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                                              |[0x80000dda]:c.xor a0, a1<br> [0x80000ddc]:sw a0, 716(ra)<br>  |
| 180|[0x800044d4]<br>0x33333331|- rs1_val==858993460 and rs2_val==5<br>                                                                                                                                      |[0x80000dec]:c.xor a0, a1<br> [0x80000dee]:sw a0, 720(ra)<br>  |
| 181|[0x800044d8]<br>0x9999999E|- rs1_val==858993460 and rs2_val==-1431655766<br>                                                                                                                            |[0x80000e02]:c.xor a0, a1<br> [0x80000e04]:sw a0, 724(ra)<br>  |
| 182|[0x800044dc]<br>0x66666661|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                                             |[0x80000e18]:c.xor a0, a1<br> [0x80000e1a]:sw a0, 728(ra)<br>  |
| 183|[0x800044e0]<br>0x33333337|- rs1_val==858993460 and rs2_val==3<br>                                                                                                                                      |[0x80000e2a]:c.xor a0, a1<br> [0x80000e2c]:sw a0, 732(ra)<br>  |
| 184|[0x800044e4]<br>0x0000B503|- rs1_val==6 and rs2_val==46341<br>                                                                                                                                          |[0x80000e3c]:c.xor a0, a1<br> [0x80000e3e]:sw a0, 736(ra)<br>  |
| 185|[0x800044e8]<br>0xFFFF4AFB|- rs1_val==6 and rs2_val==-46339<br>                                                                                                                                         |[0x80000e4e]:c.xor a0, a1<br> [0x80000e50]:sw a0, 740(ra)<br>  |
| 186|[0x800044ec]<br>0x66666661|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                                                     |[0x80000e60]:c.xor a0, a1<br> [0x80000e62]:sw a0, 744(ra)<br>  |
| 187|[0x800044f0]<br>0x33333332|- rs1_val==6 and rs2_val==858993460<br>                                                                                                                                      |[0x80000e72]:c.xor a0, a1<br> [0x80000e74]:sw a0, 748(ra)<br>  |
| 188|[0x800044f4]<br>0x00000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                                              |[0x80000e80]:c.xor a0, a1<br> [0x80000e82]:sw a0, 752(ra)<br>  |
| 189|[0x800044f8]<br>0xAAAAAAAD|- rs1_val==6 and rs2_val==-1431655765<br>                                                                                                                                    |[0x80000e92]:c.xor a0, a1<br> [0x80000e94]:sw a0, 756(ra)<br>  |
| 190|[0x800044fc]<br>0x55555550|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                                                     |[0x80000ea4]:c.xor a0, a1<br> [0x80000ea6]:sw a0, 760(ra)<br>  |
| 191|[0x80004500]<br>0x00000002|- rs1_val==6 and rs2_val==4<br>                                                                                                                                              |[0x80000eb2]:c.xor a0, a1<br> [0x80000eb4]:sw a0, 764(ra)<br>  |
| 192|[0x80004504]<br>0x0000B505|- rs1_val==6 and rs2_val==46339<br>                                                                                                                                          |[0x80000ec4]:c.xor a0, a1<br> [0x80000ec6]:sw a0, 768(ra)<br>  |
| 193|[0x80004508]<br>0x00000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                                              |[0x80000ed2]:c.xor a0, a1<br> [0x80000ed4]:sw a0, 772(ra)<br>  |
| 194|[0x8000450c]<br>0x66666663|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                                                     |[0x80000ee4]:c.xor a0, a1<br> [0x80000ee6]:sw a0, 776(ra)<br>  |
| 195|[0x80004510]<br>0x33333334|- rs1_val==6 and rs2_val==858993458<br>                                                                                                                                      |[0x80000ef6]:c.xor a0, a1<br> [0x80000ef8]:sw a0, 780(ra)<br>  |
| 196|[0x80004514]<br>0x55555552|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                                                     |[0x80000f08]:c.xor a0, a1<br> [0x80000f0a]:sw a0, 784(ra)<br>  |
| 197|[0x80004518]<br>0x00000004|- rs1_val==6 and rs2_val==2<br>                                                                                                                                              |[0x80000f16]:c.xor a0, a1<br> [0x80000f18]:sw a0, 788(ra)<br>  |
| 198|[0x8000451c]<br>0x0000B502|- rs1_val==6 and rs2_val==46340<br>                                                                                                                                          |[0x80000f28]:c.xor a0, a1<br> [0x80000f2a]:sw a0, 792(ra)<br>  |
| 199|[0x80004520]<br>0xFFFF4AFA|- rs1_val==6 and rs2_val==-46340<br>                                                                                                                                         |[0x80000f3a]:c.xor a0, a1<br> [0x80000f3c]:sw a0, 796(ra)<br>  |
| 200|[0x80004524]<br>0x66666660|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                                                     |[0x80000f4c]:c.xor a0, a1<br> [0x80000f4e]:sw a0, 800(ra)<br>  |
| 201|[0x80004528]<br>0x33333335|- rs1_val==6 and rs2_val==858993459<br>                                                                                                                                      |[0x80000f5e]:c.xor a0, a1<br> [0x80000f60]:sw a0, 804(ra)<br>  |
| 202|[0x8000452c]<br>0x00000003|- rs1_val==6 and rs2_val==5<br>                                                                                                                                              |[0x80000f6c]:c.xor a0, a1<br> [0x80000f6e]:sw a0, 808(ra)<br>  |
| 203|[0x80004530]<br>0xAAAAAAAC|- rs1_val==6 and rs2_val==-1431655766<br>                                                                                                                                    |[0x80000f7e]:c.xor a0, a1<br> [0x80000f80]:sw a0, 812(ra)<br>  |
| 204|[0x80004534]<br>0x55555553|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                                                     |[0x80000f90]:c.xor a0, a1<br> [0x80000f92]:sw a0, 816(ra)<br>  |
| 205|[0x80004538]<br>0x00000005|- rs1_val==6 and rs2_val==3<br>                                                                                                                                              |[0x80000f9e]:c.xor a0, a1<br> [0x80000fa0]:sw a0, 820(ra)<br>  |
| 206|[0x8000453c]<br>0xAAAA1FAE|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                                                |[0x80000fb4]:c.xor a0, a1<br> [0x80000fb6]:sw a0, 824(ra)<br>  |
| 207|[0x80004540]<br>0x5555E056|- rs1_val==-1431655765 and rs2_val==-46339<br>                                                                                                                               |[0x80000fca]:c.xor a0, a1<br> [0x80000fcc]:sw a0, 828(ra)<br>  |
| 208|[0x80004544]<br>0xCCCCCCCC|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                                           |[0x80000fe0]:c.xor a0, a1<br> [0x80000fe2]:sw a0, 832(ra)<br>  |
| 209|[0x80004548]<br>0x9999999F|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                                            |[0x80000ff6]:c.xor a0, a1<br> [0x80000ff8]:sw a0, 836(ra)<br>  |
| 210|[0x8000454c]<br>0xAAAAAAAD|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                                                    |[0x80001008]:c.xor a0, a1<br> [0x8000100a]:sw a0, 840(ra)<br>  |
| 211|[0x80004550]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==-1431655765<br>                                                                                                                          |[0x8000101e]:c.xor a0, a1<br> [0x80001020]:sw a0, 844(ra)<br>  |
| 212|[0x80004554]<br>0xFFFFFFFD|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                                           |[0x80001034]:c.xor a0, a1<br> [0x80001036]:sw a0, 848(ra)<br>  |
| 213|[0x80004558]<br>0xAAAAAAAF|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                                                    |[0x80001046]:c.xor a0, a1<br> [0x80001048]:sw a0, 852(ra)<br>  |
| 214|[0x8000455c]<br>0xAAAA1FA8|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                                                |[0x8000105c]:c.xor a0, a1<br> [0x8000105e]:sw a0, 856(ra)<br>  |
| 215|[0x80004560]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                                                    |[0x8000106e]:c.xor a0, a1<br> [0x80001070]:sw a0, 860(ra)<br>  |
| 216|[0x80004564]<br>0xCCCCCCCE|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                                           |[0x80001084]:c.xor a0, a1<br> [0x80001086]:sw a0, 864(ra)<br>  |
| 217|[0x80004568]<br>0x99999999|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                                            |[0x8000109a]:c.xor a0, a1<br> [0x8000109c]:sw a0, 868(ra)<br>  |
| 218|[0x8000456c]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                                           |[0x800010b0]:c.xor a0, a1<br> [0x800010b2]:sw a0, 872(ra)<br>  |
| 219|[0x80004570]<br>0xAAAAAAA9|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                                                    |[0x800010c2]:c.xor a0, a1<br> [0x800010c4]:sw a0, 876(ra)<br>  |
| 220|[0x80004574]<br>0xAAAA1FAF|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                                                |[0x800010d8]:c.xor a0, a1<br> [0x800010da]:sw a0, 880(ra)<br>  |
| 221|[0x80004578]<br>0x5555E057|- rs1_val==-1431655765 and rs2_val==-46340<br>                                                                                                                               |[0x800010ee]:c.xor a0, a1<br> [0x800010f0]:sw a0, 884(ra)<br>  |
| 222|[0x8000457c]<br>0xCCCCCCCD|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                                           |[0x80001104]:c.xor a0, a1<br> [0x80001106]:sw a0, 888(ra)<br>  |
| 223|[0x80004580]<br>0x99999998|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                                            |[0x8000111a]:c.xor a0, a1<br> [0x8000111c]:sw a0, 892(ra)<br>  |
| 224|[0x80004584]<br>0xAAAAAAAE|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                                                    |[0x8000112c]:c.xor a0, a1<br> [0x8000112e]:sw a0, 896(ra)<br>  |
| 225|[0x80004588]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==-1431655766<br>                                                                                                                          |[0x80001142]:c.xor a0, a1<br> [0x80001144]:sw a0, 900(ra)<br>  |
| 226|[0x8000458c]<br>0xFFFFFFFE|- rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                                           |[0x80001158]:c.xor a0, a1<br> [0x8000115a]:sw a0, 904(ra)<br>  |
| 227|[0x80004590]<br>0xAAAAAAA8|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                                                    |[0x8000116a]:c.xor a0, a1<br> [0x8000116c]:sw a0, 908(ra)<br>  |
| 228|[0x80004594]<br>0x5555E053|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                                                 |[0x80001180]:c.xor a0, a1<br> [0x80001182]:sw a0, 912(ra)<br>  |
| 229|[0x80004598]<br>0xAAAA1FAB|- rs1_val==1431655766 and rs2_val==-46339<br>                                                                                                                                |[0x80001196]:c.xor a0, a1<br> [0x80001198]:sw a0, 916(ra)<br>  |
| 230|[0x8000459c]<br>0x33333331|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                                            |[0x800011ac]:c.xor a0, a1<br> [0x800011ae]:sw a0, 920(ra)<br>  |
| 231|[0x800045a0]<br>0x66666662|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                                             |[0x800011c2]:c.xor a0, a1<br> [0x800011c4]:sw a0, 924(ra)<br>  |
| 232|[0x800045a4]<br>0x55555550|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                                                     |[0x800011d4]:c.xor a0, a1<br> [0x800011d6]:sw a0, 928(ra)<br>  |
| 233|[0x800045a8]<br>0xFFFFFFFD|- rs1_val==1431655766 and rs2_val==-1431655765<br>                                                                                                                           |[0x800011ea]:c.xor a0, a1<br> [0x800011ec]:sw a0, 932(ra)<br>  |
| 234|[0x800045ac]<br>0x00000000|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                                            |[0x80001200]:c.xor a0, a1<br> [0x80001202]:sw a0, 936(ra)<br>  |
| 235|[0x800045b0]<br>0x55555552|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                                                     |[0x80001212]:c.xor a0, a1<br> [0x80001214]:sw a0, 940(ra)<br>  |
| 236|[0x800045b4]<br>0x5555E055|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                                                 |[0x80001228]:c.xor a0, a1<br> [0x8000122a]:sw a0, 944(ra)<br>  |
| 237|[0x800045b8]<br>0x55555556|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                                                     |[0x8000123a]:c.xor a0, a1<br> [0x8000123c]:sw a0, 948(ra)<br>  |
| 238|[0x800045bc]<br>0x33333333|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                                            |[0x80001250]:c.xor a0, a1<br> [0x80001252]:sw a0, 952(ra)<br>  |
| 239|[0x800045c0]<br>0x66666664|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                                             |[0x80001266]:c.xor a0, a1<br> [0x80001268]:sw a0, 956(ra)<br>  |
| 240|[0x800045c4]<br>0x00000002|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                                            |[0x8000127c]:c.xor a0, a1<br> [0x8000127e]:sw a0, 960(ra)<br>  |
| 241|[0x800045c8]<br>0x55555554|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                                                     |[0x8000128e]:c.xor a0, a1<br> [0x80001290]:sw a0, 964(ra)<br>  |
| 242|[0x800045cc]<br>0x5555E052|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                                                 |[0x800012a4]:c.xor a0, a1<br> [0x800012a6]:sw a0, 968(ra)<br>  |
| 243|[0x800045d0]<br>0xAAAA1FAA|- rs1_val==1431655766 and rs2_val==-46340<br>                                                                                                                                |[0x800012ba]:c.xor a0, a1<br> [0x800012bc]:sw a0, 972(ra)<br>  |
| 244|[0x800045d4]<br>0x33333330|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                                            |[0x800012d0]:c.xor a0, a1<br> [0x800012d2]:sw a0, 976(ra)<br>  |
| 245|[0x800045d8]<br>0x66666665|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                                             |[0x800012e6]:c.xor a0, a1<br> [0x800012e8]:sw a0, 980(ra)<br>  |
| 246|[0x800045dc]<br>0x55555553|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                                                     |[0x800012f8]:c.xor a0, a1<br> [0x800012fa]:sw a0, 984(ra)<br>  |
| 247|[0x800045e0]<br>0xFFFFFFFC|- rs1_val==1431655766 and rs2_val==-1431655766<br>                                                                                                                           |[0x8000130e]:c.xor a0, a1<br> [0x80001310]:sw a0, 988(ra)<br>  |
| 248|[0x800045e4]<br>0x00000003|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                                            |[0x80001324]:c.xor a0, a1<br> [0x80001326]:sw a0, 992(ra)<br>  |
| 249|[0x800045e8]<br>0x55555555|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                                                     |[0x80001336]:c.xor a0, a1<br> [0x80001338]:sw a0, 996(ra)<br>  |
| 250|[0x800045ec]<br>0x0000B501|- rs1_val==4 and rs2_val==46341<br>                                                                                                                                          |[0x80001348]:c.xor a0, a1<br> [0x8000134a]:sw a0, 1000(ra)<br> |
| 251|[0x800045f0]<br>0xFFFF4AF9|- rs1_val==4 and rs2_val==-46339<br>                                                                                                                                         |[0x8000135a]:c.xor a0, a1<br> [0x8000135c]:sw a0, 1004(ra)<br> |
| 252|[0x800045f4]<br>0x66666663|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                                                     |[0x8000136c]:c.xor a0, a1<br> [0x8000136e]:sw a0, 1008(ra)<br> |
| 253|[0x800045f8]<br>0x33333330|- rs1_val==4 and rs2_val==858993460<br>                                                                                                                                      |[0x8000137e]:c.xor a0, a1<br> [0x80001380]:sw a0, 1012(ra)<br> |
| 254|[0x800045fc]<br>0x00000002|- rs1_val==4 and rs2_val==6<br>                                                                                                                                              |[0x8000138c]:c.xor a0, a1<br> [0x8000138e]:sw a0, 1016(ra)<br> |
| 255|[0x80004600]<br>0xAAAAAAAF|- rs1_val==4 and rs2_val==-1431655765<br>                                                                                                                                    |[0x8000139e]:c.xor a0, a1<br> [0x800013a0]:sw a0, 1020(ra)<br> |
| 256|[0x80004604]<br>0x55555552|- rs1_val==4 and rs2_val==1431655766<br>                                                                                                                                     |[0x800013b0]:c.xor a0, a1<br> [0x800013b2]:sw a0, 1024(ra)<br> |
| 257|[0x80004608]<br>0x00000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                                              |[0x800013be]:c.xor a0, a1<br> [0x800013c0]:sw a0, 1028(ra)<br> |
| 258|[0x8000460c]<br>0x0000B507|- rs1_val==4 and rs2_val==46339<br>                                                                                                                                          |[0x800013d0]:c.xor a0, a1<br> [0x800013d2]:sw a0, 1032(ra)<br> |
| 259|[0x80004610]<br>0x00000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                                              |[0x800013de]:c.xor a0, a1<br> [0x800013e0]:sw a0, 1036(ra)<br> |
| 260|[0x80004614]<br>0x66666661|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                                                     |[0x800013f0]:c.xor a0, a1<br> [0x800013f2]:sw a0, 1040(ra)<br> |
| 261|[0x80004618]<br>0x33333336|- rs1_val==4 and rs2_val==858993458<br>                                                                                                                                      |[0x80001402]:c.xor a0, a1<br> [0x80001404]:sw a0, 1044(ra)<br> |
| 262|[0x8000461c]<br>0x55555550|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                                                     |[0x80001414]:c.xor a0, a1<br> [0x80001416]:sw a0, 1048(ra)<br> |
| 263|[0x80004620]<br>0x00000006|- rs1_val==4 and rs2_val==2<br>                                                                                                                                              |[0x80001422]:c.xor a0, a1<br> [0x80001424]:sw a0, 1052(ra)<br> |
| 264|[0x80004624]<br>0x0000B500|- rs1_val==4 and rs2_val==46340<br>                                                                                                                                          |[0x80001434]:c.xor a0, a1<br> [0x80001436]:sw a0, 1056(ra)<br> |
| 265|[0x80004628]<br>0xFFFF4AF8|- rs1_val==4 and rs2_val==-46340<br>                                                                                                                                         |[0x80001446]:c.xor a0, a1<br> [0x80001448]:sw a0, 1060(ra)<br> |
| 266|[0x8000462c]<br>0x66666662|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                                                     |[0x80001458]:c.xor a0, a1<br> [0x8000145a]:sw a0, 1064(ra)<br> |
| 267|[0x80004630]<br>0x33333337|- rs1_val==4 and rs2_val==858993459<br>                                                                                                                                      |[0x8000146a]:c.xor a0, a1<br> [0x8000146c]:sw a0, 1068(ra)<br> |
| 268|[0x80004634]<br>0x00000001|- rs1_val==4 and rs2_val==5<br>                                                                                                                                              |[0x80001478]:c.xor a0, a1<br> [0x8000147a]:sw a0, 1072(ra)<br> |
| 269|[0x80004638]<br>0xAAAAAAAE|- rs1_val==4 and rs2_val==-1431655766<br>                                                                                                                                    |[0x8000148a]:c.xor a0, a1<br> [0x8000148c]:sw a0, 1076(ra)<br> |
| 270|[0x8000463c]<br>0x55555551|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                                                     |[0x8000149c]:c.xor a0, a1<br> [0x8000149e]:sw a0, 1080(ra)<br> |
| 271|[0x80004640]<br>0x00000007|- rs1_val==4 and rs2_val==3<br>                                                                                                                                              |[0x800014aa]:c.xor a0, a1<br> [0x800014ac]:sw a0, 1084(ra)<br> |
| 272|[0x80004644]<br>0x00000006|- rs1_val==46339 and rs2_val==46341<br>                                                                                                                                      |[0x800014c0]:c.xor a0, a1<br> [0x800014c2]:sw a0, 1088(ra)<br> |
| 273|[0x80004648]<br>0xFFFFFFFE|- rs1_val==46339 and rs2_val==-46339<br>                                                                                                                                     |[0x800014d6]:c.xor a0, a1<br> [0x800014d8]:sw a0, 1092(ra)<br> |
| 274|[0x8000464c]<br>0x6666D364|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                                                 |[0x800014ec]:c.xor a0, a1<br> [0x800014ee]:sw a0, 1096(ra)<br> |
| 275|[0x80004650]<br>0x33338637|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                                                  |[0x80001502]:c.xor a0, a1<br> [0x80001504]:sw a0, 1100(ra)<br> |
| 276|[0x80004654]<br>0x0000B505|- rs1_val==46339 and rs2_val==6<br>                                                                                                                                          |[0x80001514]:c.xor a0, a1<br> [0x80001516]:sw a0, 1104(ra)<br> |
| 277|[0x80004658]<br>0xAAAA1FA8|- rs1_val==46339 and rs2_val==-1431655765<br>                                                                                                                                |[0x8000152a]:c.xor a0, a1<br> [0x8000152c]:sw a0, 1108(ra)<br> |
| 278|[0x8000465c]<br>0x5555E055|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                                                 |[0x80001540]:c.xor a0, a1<br> [0x80001542]:sw a0, 1112(ra)<br> |
| 279|[0x80004660]<br>0x0000B507|- rs1_val==46339 and rs2_val==4<br>                                                                                                                                          |[0x80001552]:c.xor a0, a1<br> [0x80001554]:sw a0, 1116(ra)<br> |
| 280|[0x80004664]<br>0x00000000|- rs1_val==46339 and rs2_val==46339<br>                                                                                                                                      |[0x80001568]:c.xor a0, a1<br> [0x8000156a]:sw a0, 1120(ra)<br> |
| 281|[0x80004668]<br>0x0000B503|- rs1_val==46339 and rs2_val==0<br>                                                                                                                                          |[0x8000157a]:c.xor a0, a1<br> [0x8000157c]:sw a0, 1124(ra)<br> |
| 282|[0x8000466c]<br>0x6666D366|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                                                 |[0x80001590]:c.xor a0, a1<br> [0x80001592]:sw a0, 1128(ra)<br> |
| 283|[0x80004670]<br>0x33338631|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                                                  |[0x800015a6]:c.xor a0, a1<br> [0x800015a8]:sw a0, 1132(ra)<br> |
| 284|[0x80004674]<br>0x5555E057|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                                                 |[0x800015bc]:c.xor a0, a1<br> [0x800015be]:sw a0, 1136(ra)<br> |
| 285|[0x80004678]<br>0x0000B501|- rs1_val==46339 and rs2_val==2<br>                                                                                                                                          |[0x800015ce]:c.xor a0, a1<br> [0x800015d0]:sw a0, 1140(ra)<br> |
| 286|[0x8000467c]<br>0x00000007|- rs1_val==46339 and rs2_val==46340<br>                                                                                                                                      |[0x800015e4]:c.xor a0, a1<br> [0x800015e6]:sw a0, 1144(ra)<br> |
| 287|[0x80004680]<br>0xFFFFFFFF|- rs1_val==46339 and rs2_val==-46340<br>                                                                                                                                     |[0x800015fa]:c.xor a0, a1<br> [0x800015fc]:sw a0, 1148(ra)<br> |
| 288|[0x80004684]<br>0x6666D365|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                                                 |[0x80001610]:c.xor a0, a1<br> [0x80001612]:sw a0, 1152(ra)<br> |
| 289|[0x80004688]<br>0x33338630|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                                                  |[0x80001626]:c.xor a0, a1<br> [0x80001628]:sw a0, 1156(ra)<br> |
| 290|[0x8000468c]<br>0x0000B506|- rs1_val==46339 and rs2_val==5<br>                                                                                                                                          |[0x80001638]:c.xor a0, a1<br> [0x8000163a]:sw a0, 1160(ra)<br> |
| 291|[0x80004690]<br>0xAAAA1FA9|- rs1_val==46339 and rs2_val==-1431655766<br>                                                                                                                                |[0x8000164e]:c.xor a0, a1<br> [0x80001650]:sw a0, 1164(ra)<br> |
| 292|[0x80004694]<br>0x5555E056|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                                                 |[0x80001664]:c.xor a0, a1<br> [0x80001666]:sw a0, 1168(ra)<br> |
| 293|[0x80004698]<br>0x0000B500|- rs1_val==46339 and rs2_val==3<br>                                                                                                                                          |[0x80001676]:c.xor a0, a1<br> [0x80001678]:sw a0, 1172(ra)<br> |
| 294|[0x8000469c]<br>0x0000B505|- rs1_val==0 and rs2_val==46341<br>                                                                                                                                          |[0x80001688]:c.xor a0, a1<br> [0x8000168a]:sw a0, 1176(ra)<br> |
| 295|[0x800046a0]<br>0xFFFF4AFD|- rs1_val==0 and rs2_val==-46339<br>                                                                                                                                         |[0x8000169a]:c.xor a0, a1<br> [0x8000169c]:sw a0, 1180(ra)<br> |
| 296|[0x800046a4]<br>0x66666667|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                                                     |[0x800016ac]:c.xor a0, a1<br> [0x800016ae]:sw a0, 1184(ra)<br> |
| 297|[0x800046a8]<br>0x33333334|- rs1_val==0 and rs2_val==858993460<br>                                                                                                                                      |[0x800016be]:c.xor a0, a1<br> [0x800016c0]:sw a0, 1188(ra)<br> |
| 298|[0x800046ac]<br>0x00000006|- rs1_val==0 and rs2_val==6<br>                                                                                                                                              |[0x800016cc]:c.xor a0, a1<br> [0x800016ce]:sw a0, 1192(ra)<br> |
| 299|[0x800046b0]<br>0xAAAAAAAB|- rs1_val==0 and rs2_val==-1431655765<br>                                                                                                                                    |[0x800016de]:c.xor a0, a1<br> [0x800016e0]:sw a0, 1196(ra)<br> |
| 300|[0x800046b4]<br>0x55555556|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                                                     |[0x800016f0]:c.xor a0, a1<br> [0x800016f2]:sw a0, 1200(ra)<br> |
| 301|[0x800046b8]<br>0x00000004|- rs1_val==0 and rs2_val==4<br>                                                                                                                                              |[0x800016fe]:c.xor a0, a1<br> [0x80001700]:sw a0, 1204(ra)<br> |
| 302|[0x800046bc]<br>0x0000B503|- rs1_val==0 and rs2_val==46339<br>                                                                                                                                          |[0x80001710]:c.xor a0, a1<br> [0x80001712]:sw a0, 1208(ra)<br> |
| 303|[0x800046c0]<br>0x00000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                              |[0x8000171e]:c.xor a0, a1<br> [0x80001720]:sw a0, 1212(ra)<br> |
| 304|[0x800046c4]<br>0x66666665|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                                                     |[0x80001730]:c.xor a0, a1<br> [0x80001732]:sw a0, 1216(ra)<br> |
| 305|[0x800046c8]<br>0x33333332|- rs1_val==0 and rs2_val==858993458<br>                                                                                                                                      |[0x80001742]:c.xor a0, a1<br> [0x80001744]:sw a0, 1220(ra)<br> |
| 306|[0x800046cc]<br>0x55555554|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                                                     |[0x80001754]:c.xor a0, a1<br> [0x80001756]:sw a0, 1224(ra)<br> |
| 307|[0x800046d0]<br>0x00000002|- rs1_val==0 and rs2_val==2<br>                                                                                                                                              |[0x80001762]:c.xor a0, a1<br> [0x80001764]:sw a0, 1228(ra)<br> |
| 308|[0x800046d4]<br>0x0000B504|- rs1_val==0 and rs2_val==46340<br>                                                                                                                                          |[0x80001774]:c.xor a0, a1<br> [0x80001776]:sw a0, 1232(ra)<br> |
| 309|[0x800046d8]<br>0xFFFF4AFC|- rs1_val==0 and rs2_val==-46340<br>                                                                                                                                         |[0x80001786]:c.xor a0, a1<br> [0x80001788]:sw a0, 1236(ra)<br> |
| 310|[0x800046dc]<br>0x66666666|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                                                     |[0x80001798]:c.xor a0, a1<br> [0x8000179a]:sw a0, 1240(ra)<br> |
| 311|[0x800046e0]<br>0x33333333|- rs1_val==0 and rs2_val==858993459<br>                                                                                                                                      |[0x800017aa]:c.xor a0, a1<br> [0x800017ac]:sw a0, 1244(ra)<br> |
| 312|[0x800046e4]<br>0x00000005|- rs1_val==0 and rs2_val==5<br>                                                                                                                                              |[0x800017b8]:c.xor a0, a1<br> [0x800017ba]:sw a0, 1248(ra)<br> |
| 313|[0x800046e8]<br>0xAAAAAAAA|- rs1_val==0 and rs2_val==-1431655766<br>                                                                                                                                    |[0x800017ca]:c.xor a0, a1<br> [0x800017cc]:sw a0, 1252(ra)<br> |
| 314|[0x800046ec]<br>0x55555555|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                                                     |[0x800017dc]:c.xor a0, a1<br> [0x800017de]:sw a0, 1256(ra)<br> |
| 315|[0x800046f0]<br>0x00000003|- rs1_val==0 and rs2_val==3<br>                                                                                                                                              |[0x800017ea]:c.xor a0, a1<br> [0x800017ec]:sw a0, 1260(ra)<br> |
| 316|[0x800046f4]<br>0x6666D360|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                                                 |[0x80001800]:c.xor a0, a1<br> [0x80001802]:sw a0, 1264(ra)<br> |
| 317|[0x800046f8]<br>0x99992C98|- rs1_val==1717986917 and rs2_val==-46339<br>                                                                                                                                |[0x80001816]:c.xor a0, a1<br> [0x80001818]:sw a0, 1268(ra)<br> |
| 318|[0x800046fc]<br>0x00000002|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                                            |[0x8000182c]:c.xor a0, a1<br> [0x8000182e]:sw a0, 1272(ra)<br> |
| 319|[0x80004700]<br>0x55555551|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                                             |[0x80001842]:c.xor a0, a1<br> [0x80001844]:sw a0, 1276(ra)<br> |
| 320|[0x80004704]<br>0x66666663|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                                                     |[0x80001854]:c.xor a0, a1<br> [0x80001856]:sw a0, 1280(ra)<br> |
| 321|[0x80004708]<br>0xCCCCCCCE|- rs1_val==1717986917 and rs2_val==-1431655765<br>                                                                                                                           |[0x8000186a]:c.xor a0, a1<br> [0x8000186c]:sw a0, 1284(ra)<br> |
| 322|[0x8000470c]<br>0x33333333|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                                            |[0x80001880]:c.xor a0, a1<br> [0x80001882]:sw a0, 1288(ra)<br> |
| 323|[0x80004710]<br>0x66666661|- rs1_val==1717986917 and rs2_val==4<br>                                                                                                                                     |[0x80001892]:c.xor a0, a1<br> [0x80001894]:sw a0, 1292(ra)<br> |
| 324|[0x80004714]<br>0x33333333|- rs1_val==858993459 and rs2_val==0<br>                                                                                                                                      |[0x800018a4]:c.xor a0, a1<br> [0x800018a6]:sw a0, 1296(ra)<br> |
| 325|[0x80004718]<br>0x55555556|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                                             |[0x800018ba]:c.xor a0, a1<br> [0x800018bc]:sw a0, 1300(ra)<br> |
| 326|[0x8000471c]<br>0x00000001|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                                              |[0x800018d0]:c.xor a0, a1<br> [0x800018d2]:sw a0, 1304(ra)<br> |
| 327|[0x80004720]<br>0x66666667|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                                             |[0x800018e6]:c.xor a0, a1<br> [0x800018e8]:sw a0, 1308(ra)<br> |
| 328|[0x80004724]<br>0x33333331|- rs1_val==858993459 and rs2_val==2<br>                                                                                                                                      |[0x800018f8]:c.xor a0, a1<br> [0x800018fa]:sw a0, 1312(ra)<br> |
| 329|[0x80004728]<br>0x33338637|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                                                  |[0x8000190e]:c.xor a0, a1<br> [0x80001910]:sw a0, 1316(ra)<br> |
| 330|[0x8000472c]<br>0xCCCC79CF|- rs1_val==858993459 and rs2_val==-46340<br>                                                                                                                                 |[0x80001924]:c.xor a0, a1<br> [0x80001926]:sw a0, 1320(ra)<br> |
| 331|[0x80004730]<br>0x55555555|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                                             |[0x8000193a]:c.xor a0, a1<br> [0x8000193c]:sw a0, 1324(ra)<br> |
| 332|[0x80004734]<br>0x00000000|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                                              |[0x80001950]:c.xor a0, a1<br> [0x80001952]:sw a0, 1328(ra)<br> |
| 333|[0x80004738]<br>0x33333336|- rs1_val==858993459 and rs2_val==5<br>                                                                                                                                      |[0x80001962]:c.xor a0, a1<br> [0x80001964]:sw a0, 1332(ra)<br> |
| 334|[0x8000473c]<br>0x99999999|- rs1_val==858993459 and rs2_val==-1431655766<br>                                                                                                                            |[0x80001978]:c.xor a0, a1<br> [0x8000197a]:sw a0, 1336(ra)<br> |
| 335|[0x80004740]<br>0x66666666|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                                             |[0x8000198e]:c.xor a0, a1<br> [0x80001990]:sw a0, 1340(ra)<br> |
| 336|[0x80004744]<br>0x33333330|- rs1_val==858993459 and rs2_val==3<br>                                                                                                                                      |[0x800019a0]:c.xor a0, a1<br> [0x800019a2]:sw a0, 1344(ra)<br> |
| 337|[0x80004748]<br>0x0000B500|- rs1_val==5 and rs2_val==46341<br>                                                                                                                                          |[0x800019b2]:c.xor a0, a1<br> [0x800019b4]:sw a0, 1348(ra)<br> |
| 338|[0x8000474c]<br>0xFFFF4AF8|- rs1_val==5 and rs2_val==-46339<br>                                                                                                                                         |[0x800019c4]:c.xor a0, a1<br> [0x800019c6]:sw a0, 1352(ra)<br> |
| 339|[0x80004750]<br>0x66666662|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                                                     |[0x800019d6]:c.xor a0, a1<br> [0x800019d8]:sw a0, 1356(ra)<br> |
| 340|[0x80004754]<br>0x33333331|- rs1_val==5 and rs2_val==858993460<br>                                                                                                                                      |[0x800019e8]:c.xor a0, a1<br> [0x800019ea]:sw a0, 1360(ra)<br> |
| 341|[0x80004758]<br>0x00000003|- rs1_val==5 and rs2_val==6<br>                                                                                                                                              |[0x800019f6]:c.xor a0, a1<br> [0x800019f8]:sw a0, 1364(ra)<br> |
| 342|[0x8000475c]<br>0xAAAAAAAE|- rs1_val==5 and rs2_val==-1431655765<br>                                                                                                                                    |[0x80001a08]:c.xor a0, a1<br> [0x80001a0a]:sw a0, 1368(ra)<br> |
| 343|[0x80004760]<br>0x55555553|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                                                     |[0x80001a1a]:c.xor a0, a1<br> [0x80001a1c]:sw a0, 1372(ra)<br> |
| 344|[0x80004764]<br>0x00000001|- rs1_val==5 and rs2_val==4<br>                                                                                                                                              |[0x80001a28]:c.xor a0, a1<br> [0x80001a2a]:sw a0, 1376(ra)<br> |
| 345|[0x80004768]<br>0x0000B506|- rs1_val==5 and rs2_val==46339<br>                                                                                                                                          |[0x80001a3a]:c.xor a0, a1<br> [0x80001a3c]:sw a0, 1380(ra)<br> |
| 346|[0x8000476c]<br>0x00000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                                              |[0x80001a48]:c.xor a0, a1<br> [0x80001a4a]:sw a0, 1384(ra)<br> |
| 347|[0x80004770]<br>0x66666660|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                                                     |[0x80001a5a]:c.xor a0, a1<br> [0x80001a5c]:sw a0, 1388(ra)<br> |
| 348|[0x80004774]<br>0x33333337|- rs1_val==5 and rs2_val==858993458<br>                                                                                                                                      |[0x80001a6c]:c.xor a0, a1<br> [0x80001a6e]:sw a0, 1392(ra)<br> |
| 349|[0x80004778]<br>0x55555551|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                                                     |[0x80001a7e]:c.xor a0, a1<br> [0x80001a80]:sw a0, 1396(ra)<br> |
| 350|[0x8000477c]<br>0x00000007|- rs1_val==5 and rs2_val==2<br>                                                                                                                                              |[0x80001a8c]:c.xor a0, a1<br> [0x80001a8e]:sw a0, 1400(ra)<br> |
| 351|[0x80004780]<br>0x0000B501|- rs1_val==5 and rs2_val==46340<br>                                                                                                                                          |[0x80001a9e]:c.xor a0, a1<br> [0x80001aa0]:sw a0, 1404(ra)<br> |
| 352|[0x80004784]<br>0xFFFF4AF9|- rs1_val==5 and rs2_val==-46340<br>                                                                                                                                         |[0x80001ab0]:c.xor a0, a1<br> [0x80001ab2]:sw a0, 1408(ra)<br> |
| 353|[0x80004788]<br>0x66666663|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                                                     |[0x80001ac2]:c.xor a0, a1<br> [0x80001ac4]:sw a0, 1412(ra)<br> |
| 354|[0x8000478c]<br>0x33333336|- rs1_val==5 and rs2_val==858993459<br>                                                                                                                                      |[0x80001ad4]:c.xor a0, a1<br> [0x80001ad6]:sw a0, 1416(ra)<br> |
| 355|[0x80004790]<br>0x00000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                                              |[0x80001ae2]:c.xor a0, a1<br> [0x80001ae4]:sw a0, 1420(ra)<br> |
| 356|[0x80004794]<br>0xAAAAAAAF|- rs1_val==5 and rs2_val==-1431655766<br>                                                                                                                                    |[0x80001af4]:c.xor a0, a1<br> [0x80001af6]:sw a0, 1424(ra)<br> |
| 357|[0x80004798]<br>0x55555550|- rs1_val==5 and rs2_val==1431655765<br>                                                                                                                                     |[0x80001b06]:c.xor a0, a1<br> [0x80001b08]:sw a0, 1428(ra)<br> |
| 358|[0x8000479c]<br>0x00000006|- rs1_val==5 and rs2_val==3<br>                                                                                                                                              |[0x80001b14]:c.xor a0, a1<br> [0x80001b16]:sw a0, 1432(ra)<br> |
| 359|[0x800047a0]<br>0xAAAA1FAF|- rs1_val==-1431655766 and rs2_val==46341<br>                                                                                                                                |[0x80001b2a]:c.xor a0, a1<br> [0x80001b2c]:sw a0, 1436(ra)<br> |
| 360|[0x800047a4]<br>0x5555E057|- rs1_val==-1431655766 and rs2_val==-46339<br>                                                                                                                               |[0x80001b40]:c.xor a0, a1<br> [0x80001b42]:sw a0, 1440(ra)<br> |
| 361|[0x800047a8]<br>0xCCCCCCCD|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                                           |[0x80001b56]:c.xor a0, a1<br> [0x80001b58]:sw a0, 1444(ra)<br> |
| 362|[0x800047ac]<br>0x9999999E|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                                            |[0x80001b6c]:c.xor a0, a1<br> [0x80001b6e]:sw a0, 1448(ra)<br> |
| 363|[0x800047b0]<br>0xAAAAAAAC|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                                                    |[0x80001b7e]:c.xor a0, a1<br> [0x80001b80]:sw a0, 1452(ra)<br> |
| 364|[0x800047b4]<br>0x00000001|- rs1_val==-1431655766 and rs2_val==-1431655765<br>                                                                                                                          |[0x80001b94]:c.xor a0, a1<br> [0x80001b96]:sw a0, 1456(ra)<br> |
| 365|[0x800047b8]<br>0xFFFFFFFC|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                                           |[0x80001baa]:c.xor a0, a1<br> [0x80001bac]:sw a0, 1460(ra)<br> |
| 366|[0x800047bc]<br>0xAAAAAAAE|- rs1_val==-1431655766 and rs2_val==4<br>                                                                                                                                    |[0x80001bbc]:c.xor a0, a1<br> [0x80001bbe]:sw a0, 1464(ra)<br> |
| 367|[0x800047c0]<br>0xAAAA1FA9|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                                                |[0x80001bd2]:c.xor a0, a1<br> [0x80001bd4]:sw a0, 1468(ra)<br> |
| 368|[0x800047c4]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                                                    |[0x80001be4]:c.xor a0, a1<br> [0x80001be6]:sw a0, 1472(ra)<br> |
| 369|[0x800047c8]<br>0xCCCCCCCF|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                                           |[0x80001bfa]:c.xor a0, a1<br> [0x80001bfc]:sw a0, 1476(ra)<br> |
| 370|[0x800047cc]<br>0x99999998|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                                            |[0x80001c10]:c.xor a0, a1<br> [0x80001c12]:sw a0, 1480(ra)<br> |
| 371|[0x800047d0]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                                           |[0x80001c26]:c.xor a0, a1<br> [0x80001c28]:sw a0, 1484(ra)<br> |
| 372|[0x800047d4]<br>0xAAAAAAA8|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                                                    |[0x80001c38]:c.xor a0, a1<br> [0x80001c3a]:sw a0, 1488(ra)<br> |
| 373|[0x800047d8]<br>0xAAAA1FAE|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                                                |[0x80001c4e]:c.xor a0, a1<br> [0x80001c50]:sw a0, 1492(ra)<br> |
| 374|[0x800047dc]<br>0x5555E056|- rs1_val==-1431655766 and rs2_val==-46340<br>                                                                                                                               |[0x80001c64]:c.xor a0, a1<br> [0x80001c66]:sw a0, 1496(ra)<br> |
| 375|[0x800047e0]<br>0xCCCCCCCC|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                                           |[0x80001c7a]:c.xor a0, a1<br> [0x80001c7c]:sw a0, 1500(ra)<br> |
| 376|[0x800047e4]<br>0x99999999|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                                            |[0x80001c90]:c.xor a0, a1<br> [0x80001c92]:sw a0, 1504(ra)<br> |
| 377|[0x800047e8]<br>0xAAAAAAAF|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                                                    |[0x80001ca2]:c.xor a0, a1<br> [0x80001ca4]:sw a0, 1508(ra)<br> |
| 378|[0x800047ec]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==-1431655766<br>                                                                                                                          |[0x80001cb8]:c.xor a0, a1<br> [0x80001cba]:sw a0, 1512(ra)<br> |
| 379|[0x800047f0]<br>0xFFFFFFFF|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                                           |[0x80001cce]:c.xor a0, a1<br> [0x80001cd0]:sw a0, 1516(ra)<br> |
| 380|[0x800047f4]<br>0xAAAAAAA9|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                                                    |[0x80001ce0]:c.xor a0, a1<br> [0x80001ce2]:sw a0, 1520(ra)<br> |
| 381|[0x800047f8]<br>0x5555E050|- rs1_val==1431655765 and rs2_val==46341<br>                                                                                                                                 |[0x80001cf6]:c.xor a0, a1<br> [0x80001cf8]:sw a0, 1524(ra)<br> |
| 382|[0x800047fc]<br>0xAAAA1FA8|- rs1_val==1431655765 and rs2_val==-46339<br>                                                                                                                                |[0x80001d0c]:c.xor a0, a1<br> [0x80001d0e]:sw a0, 1528(ra)<br> |
| 383|[0x80004800]<br>0x33333332|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                                            |[0x80001d22]:c.xor a0, a1<br> [0x80001d24]:sw a0, 1532(ra)<br> |
| 384|[0x80004804]<br>0x66666661|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                                             |[0x80001d38]:c.xor a0, a1<br> [0x80001d3a]:sw a0, 1536(ra)<br> |
| 385|[0x80004808]<br>0x55555553|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                                                     |[0x80001d4a]:c.xor a0, a1<br> [0x80001d4c]:sw a0, 1540(ra)<br> |
| 386|[0x8000480c]<br>0xFFFFFFFE|- rs1_val==1431655765 and rs2_val==-1431655765<br>                                                                                                                           |[0x80001d60]:c.xor a0, a1<br> [0x80001d62]:sw a0, 1544(ra)<br> |
| 387|[0x80004810]<br>0x00000003|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                                            |[0x80001d76]:c.xor a0, a1<br> [0x80001d78]:sw a0, 1548(ra)<br> |
| 388|[0x80004814]<br>0x55555551|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                                                     |[0x80001d88]:c.xor a0, a1<br> [0x80001d8a]:sw a0, 1552(ra)<br> |
| 389|[0x80004818]<br>0x5555E056|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                                                 |[0x80001d9e]:c.xor a0, a1<br> [0x80001da0]:sw a0, 1556(ra)<br> |
| 390|[0x8000481c]<br>0x55555555|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                                                     |[0x80001db0]:c.xor a0, a1<br> [0x80001db2]:sw a0, 1560(ra)<br> |
| 391|[0x80004820]<br>0x33333330|- rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                                                            |[0x80001dc6]:c.xor a0, a1<br> [0x80001dc8]:sw a0, 1564(ra)<br> |
| 392|[0x80004824]<br>0x66666667|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                                             |[0x80001ddc]:c.xor a0, a1<br> [0x80001dde]:sw a0, 1568(ra)<br> |
| 393|[0x80004828]<br>0x00000001|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                                            |[0x80001df2]:c.xor a0, a1<br> [0x80001df4]:sw a0, 1572(ra)<br> |
| 394|[0x8000482c]<br>0x55555557|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                                                     |[0x80001e04]:c.xor a0, a1<br> [0x80001e06]:sw a0, 1576(ra)<br> |
| 395|[0x80004830]<br>0x5555E051|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                                                 |[0x80001e1a]:c.xor a0, a1<br> [0x80001e1c]:sw a0, 1580(ra)<br> |
| 396|[0x80004834]<br>0xAAAA1FA9|- rs1_val==1431655765 and rs2_val==-46340<br>                                                                                                                                |[0x80001e30]:c.xor a0, a1<br> [0x80001e32]:sw a0, 1584(ra)<br> |
| 397|[0x80004838]<br>0x33333333|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                                            |[0x80001e46]:c.xor a0, a1<br> [0x80001e48]:sw a0, 1588(ra)<br> |
| 398|[0x8000483c]<br>0x66666666|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                                             |[0x80001e5c]:c.xor a0, a1<br> [0x80001e5e]:sw a0, 1592(ra)<br> |
| 399|[0x80004840]<br>0x55555550|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                                                     |[0x80001e6e]:c.xor a0, a1<br> [0x80001e70]:sw a0, 1596(ra)<br> |
| 400|[0x80004844]<br>0xFFFFFFFF|- rs1_val==1431655765 and rs2_val==-1431655766<br>                                                                                                                           |[0x80001e84]:c.xor a0, a1<br> [0x80001e86]:sw a0, 1600(ra)<br> |
| 401|[0x80004848]<br>0x00000000|- rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                                            |[0x80001e9a]:c.xor a0, a1<br> [0x80001e9c]:sw a0, 1604(ra)<br> |
| 402|[0x8000484c]<br>0x55555556|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                                                     |[0x80001eac]:c.xor a0, a1<br> [0x80001eae]:sw a0, 1608(ra)<br> |
| 403|[0x80004850]<br>0x0000B506|- rs1_val==3 and rs2_val==46341<br>                                                                                                                                          |[0x80001ebe]:c.xor a0, a1<br> [0x80001ec0]:sw a0, 1612(ra)<br> |
| 404|[0x80004854]<br>0xFFFF4AFE|- rs1_val==3 and rs2_val==-46339<br>                                                                                                                                         |[0x80001ed0]:c.xor a0, a1<br> [0x80001ed2]:sw a0, 1616(ra)<br> |
| 405|[0x80004858]<br>0x66666664|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                                                     |[0x80001ee2]:c.xor a0, a1<br> [0x80001ee4]:sw a0, 1620(ra)<br> |
| 406|[0x8000485c]<br>0x33333337|- rs1_val==3 and rs2_val==858993460<br>                                                                                                                                      |[0x80001ef4]:c.xor a0, a1<br> [0x80001ef6]:sw a0, 1624(ra)<br> |
| 407|[0x80004860]<br>0x00000005|- rs1_val==3 and rs2_val==6<br>                                                                                                                                              |[0x80001f02]:c.xor a0, a1<br> [0x80001f04]:sw a0, 1628(ra)<br> |
| 408|[0x80004864]<br>0xAAAAAAA8|- rs1_val==3 and rs2_val==-1431655765<br>                                                                                                                                    |[0x80001f14]:c.xor a0, a1<br> [0x80001f16]:sw a0, 1632(ra)<br> |
| 409|[0x80004868]<br>0x55555555|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                                                     |[0x80001f26]:c.xor a0, a1<br> [0x80001f28]:sw a0, 1636(ra)<br> |
| 410|[0x8000486c]<br>0x00000007|- rs1_val==3 and rs2_val==4<br>                                                                                                                                              |[0x80001f34]:c.xor a0, a1<br> [0x80001f36]:sw a0, 1640(ra)<br> |
| 411|[0x80004870]<br>0x0000B500|- rs1_val==3 and rs2_val==46339<br>                                                                                                                                          |[0x80001f46]:c.xor a0, a1<br> [0x80001f48]:sw a0, 1644(ra)<br> |
| 412|[0x80004874]<br>0x00000003|- rs1_val==3 and rs2_val==0<br>                                                                                                                                              |[0x80001f54]:c.xor a0, a1<br> [0x80001f56]:sw a0, 1648(ra)<br> |
| 413|[0x80004878]<br>0x66666666|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                                                     |[0x80001f66]:c.xor a0, a1<br> [0x80001f68]:sw a0, 1652(ra)<br> |
| 414|[0x8000487c]<br>0x33333331|- rs1_val==3 and rs2_val==858993458<br>                                                                                                                                      |[0x80001f78]:c.xor a0, a1<br> [0x80001f7a]:sw a0, 1656(ra)<br> |
| 415|[0x80004880]<br>0x55555557|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                                                     |[0x80001f8a]:c.xor a0, a1<br> [0x80001f8c]:sw a0, 1660(ra)<br> |
| 416|[0x80004884]<br>0x00000001|- rs1_val==3 and rs2_val==2<br>                                                                                                                                              |[0x80001f98]:c.xor a0, a1<br> [0x80001f9a]:sw a0, 1664(ra)<br> |
| 417|[0x80004888]<br>0x0000B507|- rs1_val==3 and rs2_val==46340<br>                                                                                                                                          |[0x80001faa]:c.xor a0, a1<br> [0x80001fac]:sw a0, 1668(ra)<br> |
| 418|[0x8000488c]<br>0xFFFF4AFF|- rs1_val==3 and rs2_val==-46340<br>                                                                                                                                         |[0x80001fbc]:c.xor a0, a1<br> [0x80001fbe]:sw a0, 1672(ra)<br> |
| 419|[0x80004890]<br>0x66666665|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                                                     |[0x80001fce]:c.xor a0, a1<br> [0x80001fd0]:sw a0, 1676(ra)<br> |
| 420|[0x80004894]<br>0x33333330|- rs1_val==3 and rs2_val==858993459<br>                                                                                                                                      |[0x80001fe0]:c.xor a0, a1<br> [0x80001fe2]:sw a0, 1680(ra)<br> |
| 421|[0x80004898]<br>0x00000006|- rs1_val==3 and rs2_val==5<br>                                                                                                                                              |[0x80001fee]:c.xor a0, a1<br> [0x80001ff0]:sw a0, 1684(ra)<br> |
| 422|[0x8000489c]<br>0xAAAAAAA9|- rs1_val==3 and rs2_val==-1431655766<br>                                                                                                                                    |[0x80002000]:c.xor a0, a1<br> [0x80002002]:sw a0, 1688(ra)<br> |
| 423|[0x800048a0]<br>0x55555556|- rs1_val==3 and rs2_val==1431655765<br>                                                                                                                                     |[0x80002012]:c.xor a0, a1<br> [0x80002014]:sw a0, 1692(ra)<br> |
| 424|[0x800048a4]<br>0x00000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                                              |[0x80002020]:c.xor a0, a1<br> [0x80002022]:sw a0, 1696(ra)<br> |
| 425|[0x800048a8]<br>0x6666D366|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                                                 |[0x80002036]:c.xor a0, a1<br> [0x80002038]:sw a0, 1700(ra)<br> |
| 426|[0x800048ac]<br>0x66666665|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                                                     |[0x80002048]:c.xor a0, a1<br> [0x8000204a]:sw a0, 1704(ra)<br> |
| 427|[0x800048b0]<br>0x00000000|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                                            |[0x8000205e]:c.xor a0, a1<br> [0x80002060]:sw a0, 1708(ra)<br> |
| 428|[0x800048b4]<br>0x55555557|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                                             |[0x80002074]:c.xor a0, a1<br> [0x80002076]:sw a0, 1712(ra)<br> |
| 429|[0x800048b8]<br>0x33333331|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                                            |[0x8000208a]:c.xor a0, a1<br> [0x8000208c]:sw a0, 1716(ra)<br> |
| 430|[0x800048bc]<br>0x66666667|- rs1_val==1717986917 and rs2_val==2<br>                                                                                                                                     |[0x8000209c]:c.xor a0, a1<br> [0x8000209e]:sw a0, 1720(ra)<br> |
| 431|[0x800048c0]<br>0x6666D361|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                                                 |[0x800020b2]:c.xor a0, a1<br> [0x800020b4]:sw a0, 1724(ra)<br> |
| 432|[0x800048c4]<br>0x99992C99|- rs1_val==1717986917 and rs2_val==-46340<br>                                                                                                                                |[0x800020c8]:c.xor a0, a1<br> [0x800020ca]:sw a0, 1728(ra)<br> |
| 433|[0x800048c8]<br>0x00000003|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                                            |[0x800020de]:c.xor a0, a1<br> [0x800020e0]:sw a0, 1732(ra)<br> |
| 434|[0x800048cc]<br>0x55555556|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                                             |[0x800020f4]:c.xor a0, a1<br> [0x800020f6]:sw a0, 1736(ra)<br> |
| 435|[0x800048d0]<br>0x66666660|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                                                     |[0x80002106]:c.xor a0, a1<br> [0x80002108]:sw a0, 1740(ra)<br> |
| 436|[0x800048d4]<br>0xCCCCCCCF|- rs1_val==1717986917 and rs2_val==-1431655766<br>                                                                                                                           |[0x8000211c]:c.xor a0, a1<br> [0x8000211e]:sw a0, 1744(ra)<br> |
| 437|[0x800048d8]<br>0x33333330|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                                            |[0x80002132]:c.xor a0, a1<br> [0x80002134]:sw a0, 1748(ra)<br> |
| 438|[0x800048dc]<br>0x66666666|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                                                     |[0x80002144]:c.xor a0, a1<br> [0x80002146]:sw a0, 1752(ra)<br> |
| 439|[0x800048e0]<br>0x33338637|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                                                  |[0x8000215a]:c.xor a0, a1<br> [0x8000215c]:sw a0, 1756(ra)<br> |
| 440|[0x800048e4]<br>0xCCCC79CF|- rs1_val==858993458 and rs2_val==-46339<br>                                                                                                                                 |[0x80002170]:c.xor a0, a1<br> [0x80002172]:sw a0, 1760(ra)<br> |
| 441|[0x800048e8]<br>0x55555555|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                                             |[0x80002186]:c.xor a0, a1<br> [0x80002188]:sw a0, 1764(ra)<br> |
| 442|[0x800048ec]<br>0x00000006|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                                              |[0x8000219c]:c.xor a0, a1<br> [0x8000219e]:sw a0, 1768(ra)<br> |
| 443|[0x800048f0]<br>0x33333334|- rs1_val==858993458 and rs2_val==6<br>                                                                                                                                      |[0x800021ae]:c.xor a0, a1<br> [0x800021b0]:sw a0, 1772(ra)<br> |
| 444|[0x800048f4]<br>0x99999999|- rs1_val==858993458 and rs2_val==-1431655765<br>                                                                                                                            |[0x800021c4]:c.xor a0, a1<br> [0x800021c6]:sw a0, 1776(ra)<br> |
| 445|[0x800048f8]<br>0x66666664|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                                             |[0x800021da]:c.xor a0, a1<br> [0x800021dc]:sw a0, 1780(ra)<br> |
| 446|[0x800048fc]<br>0x33333336|- rs1_val==858993458 and rs2_val==4<br>                                                                                                                                      |[0x800021ec]:c.xor a0, a1<br> [0x800021ee]:sw a0, 1784(ra)<br> |
| 447|[0x80004900]<br>0x33338631|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                                                  |[0x80002202]:c.xor a0, a1<br> [0x80002204]:sw a0, 1788(ra)<br> |
| 448|[0x80004904]<br>0x33333332|- rs1_val==858993458 and rs2_val==0<br>                                                                                                                                      |[0x80002214]:c.xor a0, a1<br> [0x80002216]:sw a0, 1792(ra)<br> |
| 449|[0x80004908]<br>0x55555557|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                                             |[0x8000222a]:c.xor a0, a1<br> [0x8000222c]:sw a0, 1796(ra)<br> |
| 450|[0x8000490c]<br>0x00000000|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                                              |[0x80002240]:c.xor a0, a1<br> [0x80002242]:sw a0, 1800(ra)<br> |
| 451|[0x80004910]<br>0x66666666|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                                             |[0x80002256]:c.xor a0, a1<br> [0x80002258]:sw a0, 1804(ra)<br> |
| 452|[0x80004914]<br>0x33333330|- rs1_val==858993458 and rs2_val==2<br>                                                                                                                                      |[0x80002268]:c.xor a0, a1<br> [0x8000226a]:sw a0, 1808(ra)<br> |
| 453|[0x80004918]<br>0x33338636|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                                                  |[0x8000227e]:c.xor a0, a1<br> [0x80002280]:sw a0, 1812(ra)<br> |
| 454|[0x8000491c]<br>0xCCCC79CE|- rs1_val==858993458 and rs2_val==-46340<br>                                                                                                                                 |[0x80002294]:c.xor a0, a1<br> [0x80002296]:sw a0, 1816(ra)<br> |
| 455|[0x80004920]<br>0x55555554|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                                             |[0x800022aa]:c.xor a0, a1<br> [0x800022ac]:sw a0, 1820(ra)<br> |
| 456|[0x80004924]<br>0x00000001|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                                              |[0x800022c0]:c.xor a0, a1<br> [0x800022c2]:sw a0, 1824(ra)<br> |
| 457|[0x80004928]<br>0x33333337|- rs1_val==858993458 and rs2_val==5<br>                                                                                                                                      |[0x800022d2]:c.xor a0, a1<br> [0x800022d4]:sw a0, 1828(ra)<br> |
| 458|[0x8000492c]<br>0x99999998|- rs1_val==858993458 and rs2_val==-1431655766<br>                                                                                                                            |[0x800022e8]:c.xor a0, a1<br> [0x800022ea]:sw a0, 1832(ra)<br> |
| 459|[0x80004930]<br>0x66666667|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                                             |[0x800022fe]:c.xor a0, a1<br> [0x80002300]:sw a0, 1836(ra)<br> |
| 460|[0x80004934]<br>0x33333331|- rs1_val==858993458 and rs2_val==3<br>                                                                                                                                      |[0x80002310]:c.xor a0, a1<br> [0x80002312]:sw a0, 1840(ra)<br> |
| 461|[0x80004938]<br>0x5555E051|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                                                 |[0x80002326]:c.xor a0, a1<br> [0x80002328]:sw a0, 1844(ra)<br> |
| 462|[0x8000493c]<br>0xAAAA1FA9|- rs1_val==1431655764 and rs2_val==-46339<br>                                                                                                                                |[0x8000233c]:c.xor a0, a1<br> [0x8000233e]:sw a0, 1848(ra)<br> |
| 463|[0x80004940]<br>0x33333333|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                                            |[0x80002352]:c.xor a0, a1<br> [0x80002354]:sw a0, 1852(ra)<br> |
| 464|[0x80004944]<br>0x66666660|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                                             |[0x80002368]:c.xor a0, a1<br> [0x8000236a]:sw a0, 1856(ra)<br> |
| 465|[0x80004948]<br>0x55555552|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                                                     |[0x8000237a]:c.xor a0, a1<br> [0x8000237c]:sw a0, 1860(ra)<br> |
| 466|[0x8000494c]<br>0xFFFFFFFF|- rs1_val==1431655764 and rs2_val==-1431655765<br>                                                                                                                           |[0x80002390]:c.xor a0, a1<br> [0x80002392]:sw a0, 1864(ra)<br> |
| 467|[0x80004950]<br>0x00000002|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                                            |[0x800023a6]:c.xor a0, a1<br> [0x800023a8]:sw a0, 1868(ra)<br> |
| 468|[0x80004954]<br>0x55555550|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                                                     |[0x800023b8]:c.xor a0, a1<br> [0x800023ba]:sw a0, 1872(ra)<br> |
| 469|[0x80004958]<br>0x5555E057|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                                                 |[0x800023ce]:c.xor a0, a1<br> [0x800023d0]:sw a0, 1876(ra)<br> |
| 470|[0x8000495c]<br>0x55555554|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                                                     |[0x800023e0]:c.xor a0, a1<br> [0x800023e2]:sw a0, 1880(ra)<br> |
| 471|[0x80004960]<br>0x33333331|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                                            |[0x800023f6]:c.xor a0, a1<br> [0x800023f8]:sw a0, 1884(ra)<br> |
| 472|[0x80004964]<br>0x66666666|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                                             |[0x8000240c]:c.xor a0, a1<br> [0x8000240e]:sw a0, 1888(ra)<br> |
| 473|[0x80004968]<br>0x00000000|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                                            |[0x80002422]:c.xor a0, a1<br> [0x80002424]:sw a0, 1892(ra)<br> |
| 474|[0x8000496c]<br>0x55555556|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                                                     |[0x80002434]:c.xor a0, a1<br> [0x80002436]:sw a0, 1896(ra)<br> |
| 475|[0x80004970]<br>0x5555E050|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                                                 |[0x8000244a]:c.xor a0, a1<br> [0x8000244c]:sw a0, 1900(ra)<br> |
| 476|[0x80004974]<br>0xAAAA1FA8|- rs1_val==1431655764 and rs2_val==-46340<br>                                                                                                                                |[0x80002460]:c.xor a0, a1<br> [0x80002462]:sw a0, 1904(ra)<br> |
| 477|[0x80004978]<br>0x33333332|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                                            |[0x80002476]:c.xor a0, a1<br> [0x80002478]:sw a0, 1908(ra)<br> |
| 478|[0x8000497c]<br>0x66666667|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                                             |[0x8000248c]:c.xor a0, a1<br> [0x8000248e]:sw a0, 1912(ra)<br> |
| 479|[0x80004980]<br>0x55555551|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                                                     |[0x8000249e]:c.xor a0, a1<br> [0x800024a0]:sw a0, 1916(ra)<br> |
| 480|[0x80004984]<br>0xFFFFFFFE|- rs1_val==1431655764 and rs2_val==-1431655766<br>                                                                                                                           |[0x800024b4]:c.xor a0, a1<br> [0x800024b6]:sw a0, 1920(ra)<br> |
| 481|[0x80004988]<br>0x00000001|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                                            |[0x800024ca]:c.xor a0, a1<br> [0x800024cc]:sw a0, 1924(ra)<br> |
| 482|[0x8000498c]<br>0x55555557|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                                                     |[0x800024dc]:c.xor a0, a1<br> [0x800024de]:sw a0, 1928(ra)<br> |
| 483|[0x80004990]<br>0x0000B507|- rs1_val==2 and rs2_val==46341<br>                                                                                                                                          |[0x800024ee]:c.xor a0, a1<br> [0x800024f0]:sw a0, 1932(ra)<br> |
| 484|[0x80004994]<br>0xFFFF4AFF|- rs1_val==2 and rs2_val==-46339<br>                                                                                                                                         |[0x80002500]:c.xor a0, a1<br> [0x80002502]:sw a0, 1936(ra)<br> |
| 485|[0x80004998]<br>0x66666665|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                                                     |[0x80002512]:c.xor a0, a1<br> [0x80002514]:sw a0, 1940(ra)<br> |
| 486|[0x8000499c]<br>0x33333336|- rs1_val==2 and rs2_val==858993460<br>                                                                                                                                      |[0x80002524]:c.xor a0, a1<br> [0x80002526]:sw a0, 1944(ra)<br> |
| 487|[0x800049a0]<br>0xAAAAAAA9|- rs1_val==2 and rs2_val==-1431655765<br>                                                                                                                                    |[0x80002536]:c.xor a0, a1<br> [0x80002538]:sw a0, 1948(ra)<br> |
| 488|[0x800049a4]<br>0x55555554|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                                                     |[0x80002548]:c.xor a0, a1<br> [0x8000254a]:sw a0, 1952(ra)<br> |
| 489|[0x800049a8]<br>0x00000006|- rs1_val==2 and rs2_val==4<br>                                                                                                                                              |[0x80002556]:c.xor a0, a1<br> [0x80002558]:sw a0, 1956(ra)<br> |
| 490|[0x800049ac]<br>0x0000B501|- rs1_val==2 and rs2_val==46339<br>                                                                                                                                          |[0x80002568]:c.xor a0, a1<br> [0x8000256a]:sw a0, 1960(ra)<br> |
| 491|[0x800049b0]<br>0x00000002|- rs1_val==2 and rs2_val==0<br>                                                                                                                                              |[0x80002576]:c.xor a0, a1<br> [0x80002578]:sw a0, 1964(ra)<br> |
| 492|[0x800049b4]<br>0x66666667|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                                                     |[0x80002588]:c.xor a0, a1<br> [0x8000258a]:sw a0, 1968(ra)<br> |
| 493|[0x800049b8]<br>0x33333330|- rs1_val==2 and rs2_val==858993458<br>                                                                                                                                      |[0x8000259a]:c.xor a0, a1<br> [0x8000259c]:sw a0, 1972(ra)<br> |
| 494|[0x800049bc]<br>0x55555556|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                                                     |[0x800025ac]:c.xor a0, a1<br> [0x800025ae]:sw a0, 1976(ra)<br> |
| 495|[0x800049c0]<br>0x00000000|- rs1_val==2 and rs2_val==2<br>                                                                                                                                              |[0x800025ba]:c.xor a0, a1<br> [0x800025bc]:sw a0, 1980(ra)<br> |
| 496|[0x800049c4]<br>0x0000B506|- rs1_val==2 and rs2_val==46340<br>                                                                                                                                          |[0x800025cc]:c.xor a0, a1<br> [0x800025ce]:sw a0, 1984(ra)<br> |
| 497|[0x800049c8]<br>0xFFFF4AFE|- rs1_val==2 and rs2_val==-46340<br>                                                                                                                                         |[0x800025de]:c.xor a0, a1<br> [0x800025e0]:sw a0, 1988(ra)<br> |
| 498|[0x800049cc]<br>0x66666664|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                                                     |[0x800025f0]:c.xor a0, a1<br> [0x800025f2]:sw a0, 1992(ra)<br> |
| 499|[0x800049d0]<br>0x33333331|- rs1_val==2 and rs2_val==858993459<br>                                                                                                                                      |[0x80002602]:c.xor a0, a1<br> [0x80002604]:sw a0, 1996(ra)<br> |
| 500|[0x800049d4]<br>0x00000007|- rs1_val==2 and rs2_val==5<br>                                                                                                                                              |[0x80002610]:c.xor a0, a1<br> [0x80002612]:sw a0, 2000(ra)<br> |
| 501|[0x800049d8]<br>0xAAAAAAA8|- rs1_val==2 and rs2_val==-1431655766<br>                                                                                                                                    |[0x80002622]:c.xor a0, a1<br> [0x80002624]:sw a0, 2004(ra)<br> |
| 502|[0x800049dc]<br>0x55555557|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                                                     |[0x80002634]:c.xor a0, a1<br> [0x80002636]:sw a0, 2008(ra)<br> |
| 503|[0x800049e0]<br>0x00000001|- rs1_val==2 and rs2_val==3<br>                                                                                                                                              |[0x80002642]:c.xor a0, a1<br> [0x80002644]:sw a0, 2012(ra)<br> |
| 504|[0x800049e4]<br>0x00000001|- rs1_val==46340 and rs2_val==46341<br>                                                                                                                                      |[0x80002658]:c.xor a0, a1<br> [0x8000265a]:sw a0, 2016(ra)<br> |
| 505|[0x800049e8]<br>0xFFFFFFF9|- rs1_val==46340 and rs2_val==-46339<br>                                                                                                                                     |[0x8000266e]:c.xor a0, a1<br> [0x80002670]:sw a0, 2020(ra)<br> |
| 506|[0x800049ec]<br>0x6666D363|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                                                 |[0x80002684]:c.xor a0, a1<br> [0x80002686]:sw a0, 2024(ra)<br> |
| 507|[0x800049f0]<br>0x33338630|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                                                  |[0x8000269a]:c.xor a0, a1<br> [0x8000269c]:sw a0, 2028(ra)<br> |
| 508|[0x800049f4]<br>0x0000B502|- rs1_val==46340 and rs2_val==6<br>                                                                                                                                          |[0x800026ac]:c.xor a0, a1<br> [0x800026ae]:sw a0, 2032(ra)<br> |
| 509|[0x800049f8]<br>0xAAAA1FAF|- rs1_val==46340 and rs2_val==-1431655765<br>                                                                                                                                |[0x800026c2]:c.xor a0, a1<br> [0x800026c4]:sw a0, 2036(ra)<br> |
| 510|[0x800049fc]<br>0x5555E052|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                                                 |[0x800026d8]:c.xor a0, a1<br> [0x800026da]:sw a0, 2040(ra)<br> |
| 511|[0x80004a00]<br>0x0000B500|- rs1_val==46340 and rs2_val==4<br>                                                                                                                                          |[0x800026ea]:c.xor a0, a1<br> [0x800026ec]:sw a0, 2044(ra)<br> |
| 512|[0x80004a04]<br>0x00000007|- rs1_val==46340 and rs2_val==46339<br>                                                                                                                                      |[0x80002708]:c.xor a0, a1<br> [0x8000270a]:sw a0, 0(ra)<br>    |
| 513|[0x80004a08]<br>0x0000B504|- rs1_val==46340 and rs2_val==0<br>                                                                                                                                          |[0x8000271a]:c.xor a0, a1<br> [0x8000271c]:sw a0, 4(ra)<br>    |
| 514|[0x80004a0c]<br>0x6666D361|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                                                 |[0x80002730]:c.xor a0, a1<br> [0x80002732]:sw a0, 8(ra)<br>    |
| 515|[0x80004a10]<br>0x33338636|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                                                  |[0x80002746]:c.xor a0, a1<br> [0x80002748]:sw a0, 12(ra)<br>   |
| 516|[0x80004a14]<br>0x5555E050|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                                                 |[0x8000275c]:c.xor a0, a1<br> [0x8000275e]:sw a0, 16(ra)<br>   |
| 517|[0x80004a18]<br>0x0000B506|- rs1_val==46340 and rs2_val==2<br>                                                                                                                                          |[0x8000276e]:c.xor a0, a1<br> [0x80002770]:sw a0, 20(ra)<br>   |
| 518|[0x80004a1c]<br>0x00000000|- rs1_val==46340 and rs2_val==46340<br>                                                                                                                                      |[0x80002784]:c.xor a0, a1<br> [0x80002786]:sw a0, 24(ra)<br>   |
| 519|[0x80004a20]<br>0xFFFFFFF8|- rs1_val==46340 and rs2_val==-46340<br>                                                                                                                                     |[0x8000279a]:c.xor a0, a1<br> [0x8000279c]:sw a0, 28(ra)<br>   |
| 520|[0x80004a24]<br>0x6666D362|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                                                 |[0x800027b0]:c.xor a0, a1<br> [0x800027b2]:sw a0, 32(ra)<br>   |
| 521|[0x80004a28]<br>0x33338637|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                                                  |[0x800027c6]:c.xor a0, a1<br> [0x800027c8]:sw a0, 36(ra)<br>   |
| 522|[0x80004a2c]<br>0x0000B501|- rs1_val==46340 and rs2_val==5<br>                                                                                                                                          |[0x800027d8]:c.xor a0, a1<br> [0x800027da]:sw a0, 40(ra)<br>   |
| 523|[0x80004a30]<br>0xAAAA1FAE|- rs1_val==46340 and rs2_val==-1431655766<br>                                                                                                                                |[0x800027ee]:c.xor a0, a1<br> [0x800027f0]:sw a0, 44(ra)<br>   |
| 524|[0x80004a34]<br>0x5555E051|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                                                 |[0x80002804]:c.xor a0, a1<br> [0x80002806]:sw a0, 48(ra)<br>   |
| 525|[0x80004a38]<br>0x0000B507|- rs1_val==46340 and rs2_val==3<br>                                                                                                                                          |[0x80002816]:c.xor a0, a1<br> [0x80002818]:sw a0, 52(ra)<br>   |
| 526|[0x80004a3c]<br>0xFFFFFFF9|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                                                     |[0x8000282c]:c.xor a0, a1<br> [0x8000282e]:sw a0, 56(ra)<br>   |
| 527|[0x80004a40]<br>0x00000001|- rs1_val==-46340 and rs2_val==-46339<br>                                                                                                                                    |[0x80002842]:c.xor a0, a1<br> [0x80002844]:sw a0, 60(ra)<br>   |
| 528|[0x80004a44]<br>0x99992C9B|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                                                |[0x80002858]:c.xor a0, a1<br> [0x8000285a]:sw a0, 64(ra)<br>   |
| 529|[0x80004a48]<br>0xCCCC79C8|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                                                 |[0x8000286e]:c.xor a0, a1<br> [0x80002870]:sw a0, 68(ra)<br>   |
| 530|[0x80004a4c]<br>0xFFFF4AFA|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                                         |[0x80002880]:c.xor a0, a1<br> [0x80002882]:sw a0, 72(ra)<br>   |
| 531|[0x80004a50]<br>0x5555E057|- rs1_val==-46340 and rs2_val==-1431655765<br>                                                                                                                               |[0x80002896]:c.xor a0, a1<br> [0x80002898]:sw a0, 76(ra)<br>   |
| 532|[0x80004a54]<br>0xAAAA1FAA|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                                                |[0x800028ac]:c.xor a0, a1<br> [0x800028ae]:sw a0, 80(ra)<br>   |
| 533|[0x80004a58]<br>0xFFFF4AF8|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                                         |[0x800028be]:c.xor a0, a1<br> [0x800028c0]:sw a0, 84(ra)<br>   |
| 534|[0x80004a5c]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                                                     |[0x800028d4]:c.xor a0, a1<br> [0x800028d6]:sw a0, 88(ra)<br>   |
| 535|[0x80004a60]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                                         |[0x800028e6]:c.xor a0, a1<br> [0x800028e8]:sw a0, 92(ra)<br>   |
| 536|[0x80004a64]<br>0x99992C99|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                                                |[0x800028fc]:c.xor a0, a1<br> [0x800028fe]:sw a0, 96(ra)<br>   |
| 537|[0x80004a68]<br>0xCCCC79CE|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                                                 |[0x80002912]:c.xor a0, a1<br> [0x80002914]:sw a0, 100(ra)<br>  |
| 538|[0x80004a6c]<br>0xAAAA1FA8|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                                                |[0x80002928]:c.xor a0, a1<br> [0x8000292a]:sw a0, 104(ra)<br>  |
| 539|[0x80004a70]<br>0xFFFF4AFE|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                                         |[0x8000293a]:c.xor a0, a1<br> [0x8000293c]:sw a0, 108(ra)<br>  |
| 540|[0x80004a74]<br>0xFFFFFFF8|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                                                     |[0x80002950]:c.xor a0, a1<br> [0x80002952]:sw a0, 112(ra)<br>  |
| 541|[0x80004a78]<br>0x00000000|- rs1_val==-46340 and rs2_val==-46340<br>                                                                                                                                    |[0x80002966]:c.xor a0, a1<br> [0x80002968]:sw a0, 116(ra)<br>  |
| 542|[0x80004a7c]<br>0x99992C9A|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                                                |[0x8000297c]:c.xor a0, a1<br> [0x8000297e]:sw a0, 120(ra)<br>  |
| 543|[0x80004a80]<br>0xCCCC79CF|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                                                 |[0x80002992]:c.xor a0, a1<br> [0x80002994]:sw a0, 124(ra)<br>  |
| 544|[0x80004a84]<br>0xFFFF4AF9|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                                         |[0x800029a4]:c.xor a0, a1<br> [0x800029a6]:sw a0, 128(ra)<br>  |
| 545|[0x80004a88]<br>0x5555E056|- rs1_val==-46340 and rs2_val==-1431655766<br>                                                                                                                               |[0x800029ba]:c.xor a0, a1<br> [0x800029bc]:sw a0, 132(ra)<br>  |
| 546|[0x80004a8c]<br>0xAAAA1FA9|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                                                |[0x800029d0]:c.xor a0, a1<br> [0x800029d2]:sw a0, 136(ra)<br>  |
| 547|[0x80004a90]<br>0xFFFF4AFF|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                                         |[0x800029e2]:c.xor a0, a1<br> [0x800029e4]:sw a0, 140(ra)<br>  |
| 548|[0x80004a94]<br>0x6666D363|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                                                 |[0x800029f8]:c.xor a0, a1<br> [0x800029fa]:sw a0, 144(ra)<br>  |
| 549|[0x80004a98]<br>0x99992C9B|- rs1_val==1717986918 and rs2_val==-46339<br>                                                                                                                                |[0x80002a0e]:c.xor a0, a1<br> [0x80002a10]:sw a0, 148(ra)<br>  |
| 550|[0x80004a9c]<br>0x00000001|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                                            |[0x80002a24]:c.xor a0, a1<br> [0x80002a26]:sw a0, 152(ra)<br>  |
| 551|[0x80004aa0]<br>0x55555552|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                                             |[0x80002a3a]:c.xor a0, a1<br> [0x80002a3c]:sw a0, 156(ra)<br>  |
| 552|[0x80004aa4]<br>0x66666660|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                                                     |[0x80002a4c]:c.xor a0, a1<br> [0x80002a4e]:sw a0, 160(ra)<br>  |
| 553|[0x80004aa8]<br>0xCCCCCCCD|- rs1_val==1717986918 and rs2_val==-1431655765<br>                                                                                                                           |[0x80002a62]:c.xor a0, a1<br> [0x80002a64]:sw a0, 164(ra)<br>  |
| 554|[0x80004aac]<br>0x33333330|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                                            |[0x80002a78]:c.xor a0, a1<br> [0x80002a7a]:sw a0, 168(ra)<br>  |
| 555|[0x80004ab0]<br>0x66666662|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                                                     |[0x80002a8a]:c.xor a0, a1<br> [0x80002a8c]:sw a0, 172(ra)<br>  |
| 556|[0x80004ab4]<br>0x6666D365|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                                                 |[0x80002aa0]:c.xor a0, a1<br> [0x80002aa2]:sw a0, 176(ra)<br>  |
| 557|[0x80004ab8]<br>0x66666666|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                                                     |[0x80002ab2]:c.xor a0, a1<br> [0x80002ab4]:sw a0, 180(ra)<br>  |
| 558|[0x80004abc]<br>0x00000003|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                                            |[0x80002ac8]:c.xor a0, a1<br> [0x80002aca]:sw a0, 184(ra)<br>  |
| 559|[0x80004ac0]<br>0x55555554|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                                             |[0x80002ade]:c.xor a0, a1<br> [0x80002ae0]:sw a0, 188(ra)<br>  |
| 560|[0x80004ac4]<br>0x33333332|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                                            |[0x80002af4]:c.xor a0, a1<br> [0x80002af6]:sw a0, 192(ra)<br>  |
| 561|[0x80004ac8]<br>0x66666664|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                                                     |[0x80002b06]:c.xor a0, a1<br> [0x80002b08]:sw a0, 196(ra)<br>  |
| 562|[0x80004acc]<br>0x6666D362|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                                                 |[0x80002b1c]:c.xor a0, a1<br> [0x80002b1e]:sw a0, 200(ra)<br>  |
| 563|[0x80004ad0]<br>0x99992C9A|- rs1_val==1717986918 and rs2_val==-46340<br>                                                                                                                                |[0x80002b32]:c.xor a0, a1<br> [0x80002b34]:sw a0, 204(ra)<br>  |
| 564|[0x80004ad4]<br>0x00000000|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                                            |[0x80002b48]:c.xor a0, a1<br> [0x80002b4a]:sw a0, 208(ra)<br>  |
| 565|[0x80004ad8]<br>0x55555555|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                                             |[0x80002b5e]:c.xor a0, a1<br> [0x80002b60]:sw a0, 212(ra)<br>  |
| 566|[0x80004adc]<br>0x66666663|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                                                     |[0x80002b70]:c.xor a0, a1<br> [0x80002b72]:sw a0, 216(ra)<br>  |
| 567|[0x80004ae0]<br>0xCCCCCCCC|- rs1_val==1717986918 and rs2_val==-1431655766<br>                                                                                                                           |[0x80002b86]:c.xor a0, a1<br> [0x80002b88]:sw a0, 220(ra)<br>  |
| 568|[0x80004ae4]<br>0x33333333|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                                            |[0x80002b9c]:c.xor a0, a1<br> [0x80002b9e]:sw a0, 224(ra)<br>  |
| 569|[0x80004ae8]<br>0x66666665|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                                                     |[0x80002bae]:c.xor a0, a1<br> [0x80002bb0]:sw a0, 228(ra)<br>  |
| 570|[0x80004aec]<br>0x33338636|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                                                  |[0x80002bc4]:c.xor a0, a1<br> [0x80002bc6]:sw a0, 232(ra)<br>  |
| 571|[0x80004af0]<br>0xCCCC79CE|- rs1_val==858993459 and rs2_val==-46339<br>                                                                                                                                 |[0x80002bda]:c.xor a0, a1<br> [0x80002bdc]:sw a0, 236(ra)<br>  |
| 572|[0x80004af4]<br>0x55555554|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                                             |[0x80002bf0]:c.xor a0, a1<br> [0x80002bf2]:sw a0, 240(ra)<br>  |
| 573|[0x80004af8]<br>0x00000007|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                                              |[0x80002c06]:c.xor a0, a1<br> [0x80002c08]:sw a0, 244(ra)<br>  |
| 574|[0x80004afc]<br>0x33333335|- rs1_val==858993459 and rs2_val==6<br>                                                                                                                                      |[0x80002c18]:c.xor a0, a1<br> [0x80002c1a]:sw a0, 248(ra)<br>  |
| 575|[0x80004b00]<br>0x99999998|- rs1_val==858993459 and rs2_val==-1431655765<br>                                                                                                                            |[0x80002c2e]:c.xor a0, a1<br> [0x80002c30]:sw a0, 252(ra)<br>  |
| 576|[0x80004b04]<br>0x66666665|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                                             |[0x80002c44]:c.xor a0, a1<br> [0x80002c46]:sw a0, 256(ra)<br>  |
| 577|[0x80004b08]<br>0x33333337|- rs1_val==858993459 and rs2_val==4<br>                                                                                                                                      |[0x80002c56]:c.xor a0, a1<br> [0x80002c58]:sw a0, 260(ra)<br>  |
| 578|[0x80004b0c]<br>0x33338630|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                                                  |[0x80002c6c]:c.xor a0, a1<br> [0x80002c6e]:sw a0, 264(ra)<br>  |
