
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x80000078', '0x800020a0')]      |
| SIG_REGION                | [('0x80004204', '0x80004ab8', '557 words')]      |
| COV_LABELS                | ori      |
| TEST_NAME                 | /home/bilalsakhawat/riscof_work/src/ori-01.S/ori-01.S    |
| Total Number of coverpoints| 628     |
| Total Coverpoints Hit     | 623      |
| Total Signature Updates   | 557      |
| STAT1                     | 557      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                               coverpoints                                                                                                |                                 code                                 |
|---:|--------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------|
|   1|[0x80004204]<br>0xFFFFF800|- opcode : ori<br> - rs1 : x12<br> - rd : x9<br> - rs1 != rd<br> - imm_val == (-2**(12-1))<br> - rs1_val == 2097152<br> - imm_val == -2048<br> - rs1_val != imm_val<br> - rs1_val > 0 and imm_val < 0<br> |[0x80000084]:ori s1, a2, 2048<br> [0x80000088]:sw s1, 0(ra)<br>       |
|   2|[0x80004208]<br>0x00000000|- rs1 : x0<br> - rd : x0<br> - rs1 == rd<br> - rs1_val == 0<br>                                                                                                                                           |[0x80000090]:ori zero, zero, 1023<br> [0x80000094]:sw zero, 4(ra)<br> |
|   3|[0x8000420c]<br>0xBFFFFFFF|- rs1 : x6<br> - rd : x7<br> - rs1_val == -1073741825<br> - imm_val == 1024<br> - rs1_val < 0 and imm_val > 0<br>                                                                                         |[0x800000a0]:ori t2, t1, 1024<br> [0x800000a4]:sw t2, 8(ra)<br>       |
|   4|[0x80004210]<br>0xDFFFFFFF|- rs1 : x9<br> - rd : x3<br> - rs1_val == -536870913<br>                                                                                                                                                  |[0x800000b0]:ori gp, s1, 45<br> [0x800000b4]:sw gp, 12(ra)<br>        |
|   5|[0x80004214]<br>0xEFFFFFFF|- rs1 : x5<br> - rd : x14<br> - rs1_val == -268435457<br>                                                                                                                                                 |[0x800000c0]:ori a4, t0, 1638<br> [0x800000c4]:sw a4, 16(ra)<br>      |
|   6|[0x80004218]<br>0xF7FFFFFF|- rs1 : x13<br> - rd : x11<br> - rs1_val == -134217729<br> - imm_val == 2<br>                                                                                                                             |[0x800000d0]:ori a1, a3, 2<br> [0x800000d4]:sw a1, 20(ra)<br>         |
|   7|[0x8000421c]<br>0xFBFFFFFF|- rs1 : x3<br> - rd : x5<br> - rs1_val == -67108865<br>                                                                                                                                                   |[0x800000e0]:ori t0, gp, 2<br> [0x800000e4]:sw t0, 24(ra)<br>         |
|   8|[0x80004220]<br>0xFDFFFFFF|- rs1 : x11<br> - rd : x12<br> - rs1_val == -33554433<br>                                                                                                                                                 |[0x800000f0]:ori a2, a1, 3<br> [0x800000f4]:sw a2, 28(ra)<br>         |
|   9|[0x80004224]<br>0xFEFFFFFF|- rs1 : x10<br> - rd : x15<br> - rs1_val == -16777217<br> - imm_val == 1<br>                                                                                                                              |[0x80000100]:ori a5, a0, 1<br> [0x80000104]:sw a5, 32(ra)<br>         |
|  10|[0x80004228]<br>0xFFFFFFFF|- rs1 : x4<br> - rd : x13<br> - rs1_val == -8388609<br> - rs1_val < 0 and imm_val < 0<br>                                                                                                                 |[0x80000110]:ori a3, tp, 2731<br> [0x80000114]:sw a3, 36(ra)<br>      |
|  11|[0x8000422c]<br>0xFFFFFFFF|- rs1 : x15<br> - rd : x10<br> - rs1_val == -4194305<br> - imm_val == -3<br>                                                                                                                              |[0x80000128]:ori a0, a5, 4093<br> [0x8000012c]:sw a0, 0(gp)<br>       |
|  12|[0x80004230]<br>0xFFDFFFFF|- rs1 : x7<br> - rd : x4<br> - rs1_val == -2097153<br> - imm_val == 1365<br>                                                                                                                              |[0x80000138]:ori tp, t2, 1365<br> [0x8000013c]:sw tp, 4(gp)<br>       |
|  13|[0x80004234]<br>0xFFFFFFFF|- rs1 : x2<br> - rd : x6<br> - rs1_val == -1048577<br> - imm_val == -5<br>                                                                                                                                |[0x80000148]:ori t1, sp, 4091<br> [0x8000014c]:sw t1, 8(gp)<br>       |
|  14|[0x80004238]<br>0xFFFFFFFF|- rs1 : x8<br> - rd : x1<br> - rs1_val == -524289<br>                                                                                                                                                     |[0x80000158]:ori ra, fp, 4093<br> [0x8000015c]:sw ra, 12(gp)<br>      |
|  15|[0x8000423c]<br>0xFFFBFFFF|- rs1 : x1<br> - rd : x2<br> - rs1_val == -262145<br>                                                                                                                                                     |[0x80000168]:ori sp, ra, 819<br> [0x8000016c]:sw sp, 16(gp)<br>       |
|  16|[0x80004240]<br>0xFFFDFFFF|- rs1 : x14<br> - rd : x8<br> - rs1_val == -131073<br>                                                                                                                                                    |[0x80000178]:ori fp, a4, 818<br> [0x8000017c]:sw fp, 20(gp)<br>       |
|  17|[0x80004244]<br>0xFFFEFFFF|- rs1_val == -65537<br> - imm_val == 4<br>                                                                                                                                                                |[0x80000188]:ori a1, a0, 4<br> [0x8000018c]:sw a1, 24(gp)<br>         |
|  18|[0x80004248]<br>0xFFFF7FFF|- rs1_val == -32769<br>                                                                                                                                                                                   |[0x80000198]:ori a1, a0, 1365<br> [0x8000019c]:sw a1, 28(gp)<br>      |
|  19|[0x8000424c]<br>0xFFFFBFFF|- rs1_val == -16385<br>                                                                                                                                                                                   |[0x800001a8]:ori a1, a0, 1638<br> [0x800001ac]:sw a1, 32(gp)<br>      |
|  20|[0x80004250]<br>0xFFFFFFFF|- rs1_val == -8193<br> - imm_val == -9<br>                                                                                                                                                                |[0x800001b8]:ori a1, a0, 4087<br> [0x800001bc]:sw a1, 36(gp)<br>      |
|  21|[0x80004254]<br>0xFFFFFFFF|- rs1_val == -4097<br>                                                                                                                                                                                    |[0x800001c8]:ori a1, a0, 4051<br> [0x800001cc]:sw a1, 40(gp)<br>      |
|  22|[0x80004258]<br>0xFFFFF7FF|- rs1_val == -2049<br>                                                                                                                                                                                    |[0x800001d8]:ori a1, a0, 1638<br> [0x800001dc]:sw a1, 44(gp)<br>      |
|  23|[0x8000425c]<br>0xFFFFFFFF|- rs1_val == -1025<br>                                                                                                                                                                                    |[0x800001e4]:ori a1, a0, 4052<br> [0x800001e8]:sw a1, 48(gp)<br>      |
|  24|[0x80004260]<br>0xFFFFFDFF|- rs1_val == -513<br>                                                                                                                                                                                     |[0x800001f0]:ori a1, a0, 1365<br> [0x800001f4]:sw a1, 52(gp)<br>      |
|  25|[0x80004264]<br>0xFFFFFFFF|- rs1_val == -257<br>                                                                                                                                                                                     |[0x800001fc]:ori a1, a0, 4093<br> [0x80000200]:sw a1, 56(gp)<br>      |
|  26|[0x80004268]<br>0xFFFFFFFF|- rs1_val == -129<br>                                                                                                                                                                                     |[0x80000208]:ori a1, a0, 4087<br> [0x8000020c]:sw a1, 60(gp)<br>      |
|  27|[0x8000426c]<br>0xFFFFFFFF|- rs1_val == -65<br>                                                                                                                                                                                      |[0x80000214]:ori a1, a0, 4092<br> [0x80000218]:sw a1, 64(gp)<br>      |
|  28|[0x80004270]<br>0xFFFFFFFF|- rs1_val == -33<br> - imm_val == -17<br>                                                                                                                                                                 |[0x80000220]:ori a1, a0, 4079<br> [0x80000224]:sw a1, 68(gp)<br>      |
|  29|[0x80004274]<br>0xFFFFFFFF|- rs1_val == -17<br>                                                                                                                                                                                      |[0x8000022c]:ori a1, a0, 4091<br> [0x80000230]:sw a1, 72(gp)<br>      |
|  30|[0x80004278]<br>0xFFFFFFF7|- rs1_val == -9<br>                                                                                                                                                                                       |[0x80000238]:ori a1, a0, 4<br> [0x8000023c]:sw a1, 76(gp)<br>         |
|  31|[0x8000427c]<br>0xFFFFFFFB|- rs1_val == -5<br>                                                                                                                                                                                       |[0x80000244]:ori a1, a0, 4089<br> [0x80000248]:sw a1, 80(gp)<br>      |
|  32|[0x80004280]<br>0xFFFFFFFF|- rs1_val == -3<br> - imm_val == -65<br>                                                                                                                                                                  |[0x80000250]:ori a1, a0, 4031<br> [0x80000254]:sw a1, 84(gp)<br>      |
|  33|[0x80004284]<br>0xFFFFFFFF|- rs1_val == -2<br> - imm_val == -129<br>                                                                                                                                                                 |[0x8000025c]:ori a1, a0, 3967<br> [0x80000260]:sw a1, 88(gp)<br>      |
|  34|[0x80004288]<br>0x000027FF|- imm_val == 2047<br> - rs1_val == 8192<br> - imm_val == (2**(12-1)-1)<br> - rs1_val > 0 and imm_val > 0<br>                                                                                              |[0x80000268]:ori a1, a0, 2047<br> [0x8000026c]:sw a1, 92(gp)<br>      |
|  35|[0x8000428c]<br>0xFFFFFBFF|- imm_val == -1025<br>                                                                                                                                                                                    |[0x80000274]:ori a1, a0, 3071<br> [0x80000278]:sw a1, 96(gp)<br>      |
|  36|[0x80004290]<br>0xFFFFFDFF|- imm_val == -513<br> - rs1_val == 131072<br>                                                                                                                                                             |[0x80000280]:ori a1, a0, 3583<br> [0x80000284]:sw a1, 100(gp)<br>     |
|  37|[0x80004294]<br>0xFFFFFFFF|- imm_val == -257<br> - rs1_val == 1431655765<br>                                                                                                                                                         |[0x80000290]:ori a1, a0, 3839<br> [0x80000294]:sw a1, 104(gp)<br>     |
|  38|[0x80004298]<br>0xFFFFFFFF|- imm_val == -33<br>                                                                                                                                                                                      |[0x800002a0]:ori a1, a0, 4063<br> [0x800002a4]:sw a1, 108(gp)<br>     |
|  39|[0x8000429c]<br>0xFFFFFFFF|- imm_val == -2<br>                                                                                                                                                                                       |[0x800002b0]:ori a1, a0, 4094<br> [0x800002b4]:sw a1, 112(gp)<br>     |
|  40|[0x800042a0]<br>0x80000000|- rs1_val == -2147483648<br> - imm_val == 0<br> - rs1_val == (-2**(xlen-1))<br>                                                                                                                           |[0x800002bc]:ori a1, a0, 0<br> [0x800002c0]:sw a1, 116(gp)<br>        |
|  41|[0x800042a4]<br>0xFFFFFFFE|- rs1_val == 1073741824<br>                                                                                                                                                                               |[0x800002c8]:ori a1, a0, 4094<br> [0x800002cc]:sw a1, 120(gp)<br>     |
|  42|[0x800042a8]<br>0x20000555|- rs1_val == 536870912<br>                                                                                                                                                                                |[0x800002d4]:ori a1, a0, 1365<br> [0x800002d8]:sw a1, 124(gp)<br>     |
|  43|[0x800042ac]<br>0xFFFFFAAA|- rs1_val == 268435456<br> - imm_val == -1366<br>                                                                                                                                                         |[0x800002e0]:ori a1, a0, 2730<br> [0x800002e4]:sw a1, 128(gp)<br>     |
|  44|[0x800042b0]<br>0xFFFFFFFF|- rs1_val == 134217728<br>                                                                                                                                                                                |[0x800002ec]:ori a1, a0, 4095<br> [0x800002f0]:sw a1, 132(gp)<br>     |
|  45|[0x800042b4]<br>0x04000332|- rs1_val == 67108864<br>                                                                                                                                                                                 |[0x800002f8]:ori a1, a0, 818<br> [0x800002fc]:sw a1, 136(gp)<br>      |
|  46|[0x800042b8]<br>0x02000556|- rs1_val == 33554432<br>                                                                                                                                                                                 |[0x80000304]:ori a1, a0, 1366<br> [0x80000308]:sw a1, 140(gp)<br>     |
|  47|[0x800042bc]<br>0xFFFFFBFF|- rs1_val == 16777216<br>                                                                                                                                                                                 |[0x80000310]:ori a1, a0, 3071<br> [0x80000314]:sw a1, 144(gp)<br>     |
|  48|[0x800042c0]<br>0xFFFFFEFF|- rs1_val == 8388608<br>                                                                                                                                                                                  |[0x8000031c]:ori a1, a0, 3839<br> [0x80000320]:sw a1, 148(gp)<br>     |
|  49|[0x800042c4]<br>0x00400000|- rs1_val == 4194304<br>                                                                                                                                                                                  |[0x80000328]:ori a1, a0, 0<br> [0x8000032c]:sw a1, 152(gp)<br>        |
|  50|[0x800042c8]<br>0xFFFFFFDF|- rs1_val == 1048576<br>                                                                                                                                                                                  |[0x80000334]:ori a1, a0, 4063<br> [0x80000338]:sw a1, 156(gp)<br>     |
|  51|[0x800042cc]<br>0xFFFFFBFF|- rs1_val == 524288<br>                                                                                                                                                                                   |[0x80000340]:ori a1, a0, 3071<br> [0x80000344]:sw a1, 160(gp)<br>     |
|  52|[0x800042d0]<br>0x00040556|- rs1_val == 262144<br>                                                                                                                                                                                   |[0x8000034c]:ori a1, a0, 1366<br> [0x80000350]:sw a1, 164(gp)<br>     |
|  53|[0x800042d4]<br>0x00010001|- rs1_val == 65536<br>                                                                                                                                                                                    |[0x80000358]:ori a1, a0, 1<br> [0x8000035c]:sw a1, 168(gp)<br>        |
|  54|[0x800042d8]<br>0x00008200|- rs1_val == 32768<br> - imm_val == 512<br>                                                                                                                                                               |[0x80000364]:ori a1, a0, 512<br> [0x80000368]:sw a1, 172(gp)<br>      |
|  55|[0x800042dc]<br>0xFFFFFFD4|- rs1_val == 16384<br>                                                                                                                                                                                    |[0x80000370]:ori a1, a0, 4052<br> [0x80000374]:sw a1, 176(gp)<br>     |
|  56|[0x800042e0]<br>0xFFFFFFF8|- rs1_val == 4096<br>                                                                                                                                                                                     |[0x8000037c]:ori a1, a0, 4088<br> [0x80000380]:sw a1, 180(gp)<br>     |
|  57|[0x800042e4]<br>0xFFFFFFF8|- rs1_val == 2048<br>                                                                                                                                                                                     |[0x8000038c]:ori a1, a0, 4088<br> [0x80000390]:sw a1, 184(gp)<br>     |
|  58|[0x800042e8]<br>0xFFFFFFD3|- rs1_val == 1024<br>                                                                                                                                                                                     |[0x80000398]:ori a1, a0, 4051<br> [0x8000039c]:sw a1, 188(gp)<br>     |
|  59|[0x800042ec]<br>0xFFFFFFD4|- rs1_val == 512<br>                                                                                                                                                                                      |[0x800003a4]:ori a1, a0, 4052<br> [0x800003a8]:sw a1, 192(gp)<br>     |
|  60|[0x800042f0]<br>0x00000102|- rs1_val == 256<br>                                                                                                                                                                                      |[0x800003b0]:ori a1, a0, 2<br> [0x800003b4]:sw a1, 196(gp)<br>        |
|  61|[0x800042f4]<br>0x00000080|- rs1_val == 128<br> - imm_val == 128<br> - rs1_val == imm_val<br>                                                                                                                                        |[0x800003bc]:ori a1, a0, 128<br> [0x800003c0]:sw a1, 200(gp)<br>      |
|  62|[0x800042f8]<br>0x00000046|- rs1_val == 64<br>                                                                                                                                                                                       |[0x800003c8]:ori a1, a0, 6<br> [0x800003cc]:sw a1, 204(gp)<br>        |
|  63|[0x800042fc]<br>0xFFFFFFF4|- rs1_val == 32<br>                                                                                                                                                                                       |[0x800003d4]:ori a1, a0, 4052<br> [0x800003d8]:sw a1, 208(gp)<br>     |
|  64|[0x80004300]<br>0x00000555|- rs1_val == 16<br>                                                                                                                                                                                       |[0x800003e0]:ori a1, a0, 1365<br> [0x800003e4]:sw a1, 212(gp)<br>     |
|  65|[0x80004304]<br>0xFFFFFFFE|- rs1_val == 8<br>                                                                                                                                                                                        |[0x800003ec]:ori a1, a0, 4086<br> [0x800003f0]:sw a1, 216(gp)<br>     |
|  66|[0x80004308]<br>0x000003FF|- rs1_val == 4<br>                                                                                                                                                                                        |[0x800003f8]:ori a1, a0, 1023<br> [0x800003fc]:sw a1, 220(gp)<br>     |
|  67|[0x8000430c]<br>0x00000002|- rs1_val == 2<br> - rs1_val==2 and imm_val==2<br>                                                                                                                                                        |[0x80000404]:ori a1, a0, 2<br> [0x80000408]:sw a1, 224(gp)<br>        |
|  68|[0x80004310]<br>0x00000001|- rs1_val == 1<br>                                                                                                                                                                                        |[0x80000410]:ori a1, a0, 0<br> [0x80000414]:sw a1, 228(gp)<br>        |
|  69|[0x80004314]<br>0x20000100|- imm_val == 256<br>                                                                                                                                                                                      |[0x8000041c]:ori a1, a0, 256<br> [0x80000420]:sw a1, 232(gp)<br>      |
|  70|[0x80004318]<br>0x00000044|- imm_val == 64<br>                                                                                                                                                                                       |[0x80000428]:ori a1, a0, 64<br> [0x8000042c]:sw a1, 236(gp)<br>       |
|  71|[0x8000431c]<br>0x33333334|- imm_val == 32<br>                                                                                                                                                                                       |[0x80000438]:ori a1, a0, 32<br> [0x8000043c]:sw a1, 240(gp)<br>       |
|  72|[0x80004320]<br>0x33333333|- imm_val == 16<br>                                                                                                                                                                                       |[0x80000448]:ori a1, a0, 16<br> [0x8000044c]:sw a1, 244(gp)<br>       |
|  73|[0x80004324]<br>0xFFFFFFF8|- imm_val == 8<br>                                                                                                                                                                                        |[0x80000454]:ori a1, a0, 8<br> [0x80000458]:sw a1, 248(gp)<br>        |
|  74|[0x80004328]<br>0x0000B52F|- rs1_val==46341 and imm_val==46<br>                                                                                                                                                                      |[0x80000464]:ori a1, a0, 46<br> [0x80000468]:sw a1, 252(gp)<br>       |
|  75|[0x8000432c]<br>0xFFFFFFD5|- rs1_val==46341 and imm_val==-44<br>                                                                                                                                                                     |[0x80000474]:ori a1, a0, 4052<br> [0x80000478]:sw a1, 256(gp)<br>     |
|  76|[0x80004330]<br>0x0000B767|- rs1_val==46341 and imm_val==1639<br>                                                                                                                                                                    |[0x80000484]:ori a1, a0, 1639<br> [0x80000488]:sw a1, 260(gp)<br>     |
|  77|[0x80004334]<br>0x0000B735|- rs1_val==46341 and imm_val==820<br>                                                                                                                                                                     |[0x80000494]:ori a1, a0, 820<br> [0x80000498]:sw a1, 264(gp)<br>      |
|  78|[0x80004338]<br>0x0000B507|- rs1_val==46341 and imm_val==6<br>                                                                                                                                                                       |[0x800004a4]:ori a1, a0, 6<br> [0x800004a8]:sw a1, 268(gp)<br>        |
|  79|[0x8000433c]<br>0xFFFFFFAF|- rs1_val==46341 and imm_val==-1365<br>                                                                                                                                                                   |[0x800004b4]:ori a1, a0, 2731<br> [0x800004b8]:sw a1, 272(gp)<br>     |
|  80|[0x80004340]<br>0x0000B557|- rs1_val==46341 and imm_val==1366<br>                                                                                                                                                                    |[0x800004c4]:ori a1, a0, 1366<br> [0x800004c8]:sw a1, 276(gp)<br>     |
|  81|[0x80004344]<br>0x0000B505|- rs1_val==46341 and imm_val==4<br>                                                                                                                                                                       |[0x800004d4]:ori a1, a0, 4<br> [0x800004d8]:sw a1, 280(gp)<br>        |
|  82|[0x80004348]<br>0x0000B52D|- rs1_val==46341 and imm_val==44<br>                                                                                                                                                                      |[0x800004e4]:ori a1, a0, 44<br> [0x800004e8]:sw a1, 284(gp)<br>       |
|  83|[0x8000434c]<br>0x0000B505|- rs1_val==46341 and imm_val==0<br>                                                                                                                                                                       |[0x800004f4]:ori a1, a0, 0<br> [0x800004f8]:sw a1, 288(gp)<br>        |
|  84|[0x80004350]<br>0x0000B765|- rs1_val==46341 and imm_val==1637<br>                                                                                                                                                                    |[0x80000504]:ori a1, a0, 1637<br> [0x80000508]:sw a1, 292(gp)<br>     |
|  85|[0x80004354]<br>0x0000B737|- rs1_val==46341 and imm_val==818<br>                                                                                                                                                                     |[0x80000514]:ori a1, a0, 818<br> [0x80000518]:sw a1, 296(gp)<br>      |
|  86|[0x80004358]<br>0x0000B555|- rs1_val==46341 and imm_val==1364<br>                                                                                                                                                                    |[0x80000524]:ori a1, a0, 1364<br> [0x80000528]:sw a1, 300(gp)<br>     |
|  87|[0x8000435c]<br>0x0000B507|- rs1_val==46341 and imm_val==2<br>                                                                                                                                                                       |[0x80000534]:ori a1, a0, 2<br> [0x80000538]:sw a1, 304(gp)<br>        |
|  88|[0x80004360]<br>0x0000B52D|- rs1_val==46341 and imm_val==45<br>                                                                                                                                                                      |[0x80000544]:ori a1, a0, 45<br> [0x80000548]:sw a1, 308(gp)<br>       |
|  89|[0x80004364]<br>0xFFFFFFD7|- rs1_val==46341 and imm_val==-45<br>                                                                                                                                                                     |[0x80000554]:ori a1, a0, 4051<br> [0x80000558]:sw a1, 312(gp)<br>     |
|  90|[0x80004368]<br>0x0000B767|- rs1_val==46341 and imm_val==1638<br>                                                                                                                                                                    |[0x80000564]:ori a1, a0, 1638<br> [0x80000568]:sw a1, 316(gp)<br>     |
|  91|[0x8000436c]<br>0x0000B737|- rs1_val==46341 and imm_val==819<br>                                                                                                                                                                     |[0x80000574]:ori a1, a0, 819<br> [0x80000578]:sw a1, 320(gp)<br>      |
|  92|[0x80004370]<br>0x0000B505|- rs1_val==46341 and imm_val==5<br>                                                                                                                                                                       |[0x80000584]:ori a1, a0, 5<br> [0x80000588]:sw a1, 324(gp)<br>        |
|  93|[0x80004374]<br>0xFFFFFFAF|- rs1_val==46341 and imm_val==-1366<br>                                                                                                                                                                   |[0x80000594]:ori a1, a0, 2730<br> [0x80000598]:sw a1, 328(gp)<br>     |
|  94|[0x80004378]<br>0x0000B555|- rs1_val==46341 and imm_val==1365<br>                                                                                                                                                                    |[0x800005a4]:ori a1, a0, 1365<br> [0x800005a8]:sw a1, 332(gp)<br>     |
|  95|[0x8000437c]<br>0x0000B507|- rs1_val==46341 and imm_val==3<br>                                                                                                                                                                       |[0x800005b4]:ori a1, a0, 3<br> [0x800005b8]:sw a1, 336(gp)<br>        |
|  96|[0x80004380]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==46<br>                                                                                                                                                                     |[0x800005c4]:ori a1, a0, 46<br> [0x800005c8]:sw a1, 340(gp)<br>       |
|  97|[0x80004384]<br>0xFFFFFFFD|- rs1_val==-46339 and imm_val==-44<br>                                                                                                                                                                    |[0x800005d4]:ori a1, a0, 4052<br> [0x800005d8]:sw a1, 344(gp)<br>     |
|  98|[0x80004388]<br>0xFFFF4EFF|- rs1_val==-46339 and imm_val==1639<br>                                                                                                                                                                   |[0x800005e4]:ori a1, a0, 1639<br> [0x800005e8]:sw a1, 348(gp)<br>     |
|  99|[0x8000438c]<br>0xFFFF4BFD|- rs1_val==-46339 and imm_val==820<br>                                                                                                                                                                    |[0x800005f4]:ori a1, a0, 820<br> [0x800005f8]:sw a1, 352(gp)<br>      |
| 100|[0x80004390]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==6<br>                                                                                                                                                                      |[0x80000604]:ori a1, a0, 6<br> [0x80000608]:sw a1, 356(gp)<br>        |
| 101|[0x80004394]<br>0xFFFFFAFF|- rs1_val==-46339 and imm_val==-1365<br>                                                                                                                                                                  |[0x80000614]:ori a1, a0, 2731<br> [0x80000618]:sw a1, 360(gp)<br>     |
| 102|[0x80004398]<br>0xFFFF4FFF|- rs1_val==-46339 and imm_val==1366<br>                                                                                                                                                                   |[0x80000624]:ori a1, a0, 1366<br> [0x80000628]:sw a1, 364(gp)<br>     |
| 103|[0x8000439c]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==4<br>                                                                                                                                                                      |[0x80000634]:ori a1, a0, 4<br> [0x80000638]:sw a1, 368(gp)<br>        |
| 104|[0x800043a0]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==44<br>                                                                                                                                                                     |[0x80000644]:ori a1, a0, 44<br> [0x80000648]:sw a1, 372(gp)<br>       |
| 105|[0x800043a4]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==0<br>                                                                                                                                                                      |[0x80000654]:ori a1, a0, 0<br> [0x80000658]:sw a1, 376(gp)<br>        |
| 106|[0x800043a8]<br>0xFFFF4EFD|- rs1_val==-46339 and imm_val==1637<br>                                                                                                                                                                   |[0x80000664]:ori a1, a0, 1637<br> [0x80000668]:sw a1, 380(gp)<br>     |
| 107|[0x800043ac]<br>0xFFFF4BFF|- rs1_val==-46339 and imm_val==818<br>                                                                                                                                                                    |[0x80000674]:ori a1, a0, 818<br> [0x80000678]:sw a1, 384(gp)<br>      |
| 108|[0x800043b0]<br>0xFFFF4FFD|- rs1_val==-46339 and imm_val==1364<br>                                                                                                                                                                   |[0x80000684]:ori a1, a0, 1364<br> [0x80000688]:sw a1, 388(gp)<br>     |
| 109|[0x800043b4]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==2<br>                                                                                                                                                                      |[0x80000694]:ori a1, a0, 2<br> [0x80000698]:sw a1, 392(gp)<br>        |
| 110|[0x800043b8]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==45<br>                                                                                                                                                                     |[0x800006a4]:ori a1, a0, 45<br> [0x800006a8]:sw a1, 396(gp)<br>       |
| 111|[0x800043bc]<br>0xFFFFFFFF|- rs1_val==-46339 and imm_val==-45<br>                                                                                                                                                                    |[0x800006b4]:ori a1, a0, 4051<br> [0x800006b8]:sw a1, 400(gp)<br>     |
| 112|[0x800043c0]<br>0xFFFF4EFF|- rs1_val==-46339 and imm_val==1638<br>                                                                                                                                                                   |[0x800006c4]:ori a1, a0, 1638<br> [0x800006c8]:sw a1, 404(gp)<br>     |
| 113|[0x800043c4]<br>0xFFFF4BFF|- rs1_val==-46339 and imm_val==819<br>                                                                                                                                                                    |[0x800006d4]:ori a1, a0, 819<br> [0x800006d8]:sw a1, 408(gp)<br>      |
| 114|[0x800043c8]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==5<br>                                                                                                                                                                      |[0x800006e4]:ori a1, a0, 5<br> [0x800006e8]:sw a1, 412(gp)<br>        |
| 115|[0x800043cc]<br>0xFFFFFAFF|- rs1_val==-46339 and imm_val==-1366<br>                                                                                                                                                                  |[0x800006f4]:ori a1, a0, 2730<br> [0x800006f8]:sw a1, 416(gp)<br>     |
| 116|[0x800043d0]<br>0xFFFF4FFD|- rs1_val==-46339 and imm_val==1365<br>                                                                                                                                                                   |[0x80000704]:ori a1, a0, 1365<br> [0x80000708]:sw a1, 420(gp)<br>     |
| 117|[0x800043d4]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==3<br>                                                                                                                                                                      |[0x80000714]:ori a1, a0, 3<br> [0x80000718]:sw a1, 424(gp)<br>        |
| 118|[0x800043d8]<br>0x6666666F|- rs1_val==1717986919 and imm_val==46<br>                                                                                                                                                                 |[0x80000724]:ori a1, a0, 46<br> [0x80000728]:sw a1, 428(gp)<br>       |
| 119|[0x800043dc]<br>0xFFFFFFF7|- rs1_val==1717986919 and imm_val==-44<br>                                                                                                                                                                |[0x80000734]:ori a1, a0, 4052<br> [0x80000738]:sw a1, 432(gp)<br>     |
| 120|[0x800043e0]<br>0x66666667|- rs1_val==1717986919 and imm_val==1639<br>                                                                                                                                                               |[0x80000744]:ori a1, a0, 1639<br> [0x80000748]:sw a1, 436(gp)<br>     |
| 121|[0x800043e4]<br>0x66666777|- rs1_val==1717986919 and imm_val==820<br>                                                                                                                                                                |[0x80000754]:ori a1, a0, 820<br> [0x80000758]:sw a1, 440(gp)<br>      |
| 122|[0x800043e8]<br>0x66666667|- rs1_val==1717986919 and imm_val==6<br>                                                                                                                                                                  |[0x80000764]:ori a1, a0, 6<br> [0x80000768]:sw a1, 444(gp)<br>        |
| 123|[0x800043ec]<br>0xFFFFFEEF|- rs1_val==1717986919 and imm_val==-1365<br>                                                                                                                                                              |[0x80000774]:ori a1, a0, 2731<br> [0x80000778]:sw a1, 448(gp)<br>     |
| 124|[0x800043f0]<br>0x66666777|- rs1_val==1717986919 and imm_val==1366<br>                                                                                                                                                               |[0x80000784]:ori a1, a0, 1366<br> [0x80000788]:sw a1, 452(gp)<br>     |
| 125|[0x800043f4]<br>0x66666667|- rs1_val==1717986919 and imm_val==4<br>                                                                                                                                                                  |[0x80000794]:ori a1, a0, 4<br> [0x80000798]:sw a1, 456(gp)<br>        |
| 126|[0x800043f8]<br>0x6666666F|- rs1_val==1717986919 and imm_val==44<br>                                                                                                                                                                 |[0x800007a4]:ori a1, a0, 44<br> [0x800007a8]:sw a1, 460(gp)<br>       |
| 127|[0x800043fc]<br>0x66666667|- rs1_val==1717986919 and imm_val==0<br>                                                                                                                                                                  |[0x800007b4]:ori a1, a0, 0<br> [0x800007b8]:sw a1, 464(gp)<br>        |
| 128|[0x80004400]<br>0x66666667|- rs1_val==1717986919 and imm_val==1637<br>                                                                                                                                                               |[0x800007c4]:ori a1, a0, 1637<br> [0x800007c8]:sw a1, 468(gp)<br>     |
| 129|[0x80004404]<br>0x66666777|- rs1_val==1717986919 and imm_val==818<br>                                                                                                                                                                |[0x800007d4]:ori a1, a0, 818<br> [0x800007d8]:sw a1, 472(gp)<br>      |
| 130|[0x80004408]<br>0x66666777|- rs1_val==1717986919 and imm_val==1364<br>                                                                                                                                                               |[0x800007e4]:ori a1, a0, 1364<br> [0x800007e8]:sw a1, 476(gp)<br>     |
| 131|[0x8000440c]<br>0x66666667|- rs1_val==1717986919 and imm_val==2<br>                                                                                                                                                                  |[0x800007f4]:ori a1, a0, 2<br> [0x800007f8]:sw a1, 480(gp)<br>        |
| 132|[0x80004410]<br>0x6666666F|- rs1_val==1717986919 and imm_val==45<br>                                                                                                                                                                 |[0x80000804]:ori a1, a0, 45<br> [0x80000808]:sw a1, 484(gp)<br>       |
| 133|[0x80004414]<br>0xFFFFFFF7|- rs1_val==1717986919 and imm_val==-45<br>                                                                                                                                                                |[0x80000814]:ori a1, a0, 4051<br> [0x80000818]:sw a1, 488(gp)<br>     |
| 134|[0x80004418]<br>0x66666667|- rs1_val==1717986919 and imm_val==1638<br>                                                                                                                                                               |[0x80000824]:ori a1, a0, 1638<br> [0x80000828]:sw a1, 492(gp)<br>     |
| 135|[0x8000441c]<br>0x66666777|- rs1_val==1717986919 and imm_val==819<br>                                                                                                                                                                |[0x80000834]:ori a1, a0, 819<br> [0x80000838]:sw a1, 496(gp)<br>      |
| 136|[0x80004420]<br>0x66666667|- rs1_val==1717986919 and imm_val==5<br>                                                                                                                                                                  |[0x80000844]:ori a1, a0, 5<br> [0x80000848]:sw a1, 500(gp)<br>        |
| 137|[0x80004424]<br>0xFFFFFEEF|- rs1_val==1717986919 and imm_val==-1366<br>                                                                                                                                                              |[0x80000854]:ori a1, a0, 2730<br> [0x80000858]:sw a1, 504(gp)<br>     |
| 138|[0x80004428]<br>0x66666777|- rs1_val==1717986919 and imm_val==1365<br>                                                                                                                                                               |[0x80000864]:ori a1, a0, 1365<br> [0x80000868]:sw a1, 508(gp)<br>     |
| 139|[0x8000442c]<br>0x66666667|- rs1_val==1717986919 and imm_val==3<br>                                                                                                                                                                  |[0x80000874]:ori a1, a0, 3<br> [0x80000878]:sw a1, 512(gp)<br>        |
| 140|[0x80004430]<br>0x3333333E|- rs1_val==858993460 and imm_val==46<br>                                                                                                                                                                  |[0x80000884]:ori a1, a0, 46<br> [0x80000888]:sw a1, 516(gp)<br>       |
| 141|[0x80004434]<br>0xFFFFFFF4|- rs1_val==858993460 and imm_val==-44<br>                                                                                                                                                                 |[0x80000894]:ori a1, a0, 4052<br> [0x80000898]:sw a1, 520(gp)<br>     |
| 142|[0x80004438]<br>0x33333777|- rs1_val==858993460 and imm_val==1639<br>                                                                                                                                                                |[0x800008a4]:ori a1, a0, 1639<br> [0x800008a8]:sw a1, 524(gp)<br>     |
| 143|[0x8000443c]<br>0x33333334|- rs1_val==858993460 and imm_val==820<br>                                                                                                                                                                 |[0x800008b4]:ori a1, a0, 820<br> [0x800008b8]:sw a1, 528(gp)<br>      |
| 144|[0x80004440]<br>0x33333336|- rs1_val==858993460 and imm_val==6<br>                                                                                                                                                                   |[0x800008c4]:ori a1, a0, 6<br> [0x800008c8]:sw a1, 532(gp)<br>        |
| 145|[0x80004444]<br>0xFFFFFBBF|- rs1_val==858993460 and imm_val==-1365<br>                                                                                                                                                               |[0x800008d4]:ori a1, a0, 2731<br> [0x800008d8]:sw a1, 536(gp)<br>     |
| 146|[0x80004448]<br>0x33333776|- rs1_val==858993460 and imm_val==1366<br>                                                                                                                                                                |[0x800008e4]:ori a1, a0, 1366<br> [0x800008e8]:sw a1, 540(gp)<br>     |
| 147|[0x8000444c]<br>0x33333334|- rs1_val==858993460 and imm_val==4<br>                                                                                                                                                                   |[0x800008f4]:ori a1, a0, 4<br> [0x800008f8]:sw a1, 544(gp)<br>        |
| 148|[0x80004450]<br>0x3333333C|- rs1_val==858993460 and imm_val==44<br>                                                                                                                                                                  |[0x80000904]:ori a1, a0, 44<br> [0x80000908]:sw a1, 548(gp)<br>       |
| 149|[0x80004454]<br>0x33333334|- rs1_val==858993460 and imm_val==0<br>                                                                                                                                                                   |[0x80000914]:ori a1, a0, 0<br> [0x80000918]:sw a1, 552(gp)<br>        |
| 150|[0x80004458]<br>0x33333775|- rs1_val==858993460 and imm_val==1637<br>                                                                                                                                                                |[0x80000924]:ori a1, a0, 1637<br> [0x80000928]:sw a1, 556(gp)<br>     |
| 151|[0x8000445c]<br>0x33333336|- rs1_val==858993460 and imm_val==818<br>                                                                                                                                                                 |[0x80000934]:ori a1, a0, 818<br> [0x80000938]:sw a1, 560(gp)<br>      |
| 152|[0x80004460]<br>0x33333774|- rs1_val==858993460 and imm_val==1364<br>                                                                                                                                                                |[0x80000944]:ori a1, a0, 1364<br> [0x80000948]:sw a1, 564(gp)<br>     |
| 153|[0x80004464]<br>0x33333336|- rs1_val==858993460 and imm_val==2<br>                                                                                                                                                                   |[0x80000954]:ori a1, a0, 2<br> [0x80000958]:sw a1, 568(gp)<br>        |
| 154|[0x80004468]<br>0x3333333D|- rs1_val==858993460 and imm_val==45<br>                                                                                                                                                                  |[0x80000964]:ori a1, a0, 45<br> [0x80000968]:sw a1, 572(gp)<br>       |
| 155|[0x8000446c]<br>0xFFFFFFF7|- rs1_val==858993460 and imm_val==-45<br>                                                                                                                                                                 |[0x80000974]:ori a1, a0, 4051<br> [0x80000978]:sw a1, 576(gp)<br>     |
| 156|[0x80004470]<br>0x33333776|- rs1_val==858993460 and imm_val==1638<br>                                                                                                                                                                |[0x80000984]:ori a1, a0, 1638<br> [0x80000988]:sw a1, 580(gp)<br>     |
| 157|[0x80004474]<br>0x33333337|- rs1_val==858993460 and imm_val==819<br>                                                                                                                                                                 |[0x80000994]:ori a1, a0, 819<br> [0x80000998]:sw a1, 584(gp)<br>      |
| 158|[0x80004478]<br>0x33333335|- rs1_val==858993460 and imm_val==5<br>                                                                                                                                                                   |[0x800009a4]:ori a1, a0, 5<br> [0x800009a8]:sw a1, 588(gp)<br>        |
| 159|[0x8000447c]<br>0xFFFFFBBE|- rs1_val==858993460 and imm_val==-1366<br>                                                                                                                                                               |[0x800009b4]:ori a1, a0, 2730<br> [0x800009b8]:sw a1, 592(gp)<br>     |
| 160|[0x80004480]<br>0x33333775|- rs1_val==858993460 and imm_val==1365<br>                                                                                                                                                                |[0x800009c4]:ori a1, a0, 1365<br> [0x800009c8]:sw a1, 596(gp)<br>     |
| 161|[0x80004484]<br>0x33333337|- rs1_val==858993460 and imm_val==3<br>                                                                                                                                                                   |[0x800009d4]:ori a1, a0, 3<br> [0x800009d8]:sw a1, 600(gp)<br>        |
| 162|[0x80004488]<br>0x0000002E|- rs1_val==6 and imm_val==46<br>                                                                                                                                                                          |[0x800009e0]:ori a1, a0, 46<br> [0x800009e4]:sw a1, 604(gp)<br>       |
| 163|[0x8000448c]<br>0xFFFFFFD6|- rs1_val==6 and imm_val==-44<br>                                                                                                                                                                         |[0x800009ec]:ori a1, a0, 4052<br> [0x800009f0]:sw a1, 608(gp)<br>     |
| 164|[0x80004490]<br>0x00000667|- rs1_val==6 and imm_val==1639<br>                                                                                                                                                                        |[0x800009f8]:ori a1, a0, 1639<br> [0x800009fc]:sw a1, 612(gp)<br>     |
| 165|[0x80004494]<br>0x00000336|- rs1_val==6 and imm_val==820<br>                                                                                                                                                                         |[0x80000a04]:ori a1, a0, 820<br> [0x80000a08]:sw a1, 616(gp)<br>      |
| 166|[0x80004498]<br>0x00000006|- rs1_val==6 and imm_val==6<br>                                                                                                                                                                           |[0x80000a10]:ori a1, a0, 6<br> [0x80000a14]:sw a1, 620(gp)<br>        |
| 167|[0x8000449c]<br>0xFFFFFAAF|- rs1_val==6 and imm_val==-1365<br>                                                                                                                                                                       |[0x80000a1c]:ori a1, a0, 2731<br> [0x80000a20]:sw a1, 624(gp)<br>     |
| 168|[0x800044a0]<br>0x00000556|- rs1_val==6 and imm_val==1366<br>                                                                                                                                                                        |[0x80000a28]:ori a1, a0, 1366<br> [0x80000a2c]:sw a1, 628(gp)<br>     |
| 169|[0x800044a4]<br>0x00000006|- rs1_val==6 and imm_val==4<br>                                                                                                                                                                           |[0x80000a34]:ori a1, a0, 4<br> [0x80000a38]:sw a1, 632(gp)<br>        |
| 170|[0x800044a8]<br>0x0000002E|- rs1_val==6 and imm_val==44<br>                                                                                                                                                                          |[0x80000a40]:ori a1, a0, 44<br> [0x80000a44]:sw a1, 636(gp)<br>       |
| 171|[0x800044ac]<br>0x00000006|- rs1_val==6 and imm_val==0<br>                                                                                                                                                                           |[0x80000a4c]:ori a1, a0, 0<br> [0x80000a50]:sw a1, 640(gp)<br>        |
| 172|[0x800044b0]<br>0x00000667|- rs1_val==6 and imm_val==1637<br>                                                                                                                                                                        |[0x80000a58]:ori a1, a0, 1637<br> [0x80000a5c]:sw a1, 644(gp)<br>     |
| 173|[0x800044b4]<br>0x00000336|- rs1_val==6 and imm_val==818<br>                                                                                                                                                                         |[0x80000a64]:ori a1, a0, 818<br> [0x80000a68]:sw a1, 648(gp)<br>      |
| 174|[0x800044b8]<br>0x00000556|- rs1_val==6 and imm_val==1364<br>                                                                                                                                                                        |[0x80000a70]:ori a1, a0, 1364<br> [0x80000a74]:sw a1, 652(gp)<br>     |
| 175|[0x800044bc]<br>0x00000006|- rs1_val==6 and imm_val==2<br>                                                                                                                                                                           |[0x80000a7c]:ori a1, a0, 2<br> [0x80000a80]:sw a1, 656(gp)<br>        |
| 176|[0x800044c0]<br>0x0000002F|- rs1_val==6 and imm_val==45<br>                                                                                                                                                                          |[0x80000a88]:ori a1, a0, 45<br> [0x80000a8c]:sw a1, 660(gp)<br>       |
| 177|[0x800044c4]<br>0xFFFFFFD7|- rs1_val==6 and imm_val==-45<br>                                                                                                                                                                         |[0x80000a94]:ori a1, a0, 4051<br> [0x80000a98]:sw a1, 664(gp)<br>     |
| 178|[0x800044c8]<br>0x00000666|- rs1_val==6 and imm_val==1638<br>                                                                                                                                                                        |[0x80000aa0]:ori a1, a0, 1638<br> [0x80000aa4]:sw a1, 668(gp)<br>     |
| 179|[0x800044cc]<br>0x00000337|- rs1_val==6 and imm_val==819<br>                                                                                                                                                                         |[0x80000aac]:ori a1, a0, 819<br> [0x80000ab0]:sw a1, 672(gp)<br>      |
| 180|[0x800044d0]<br>0x00000007|- rs1_val==6 and imm_val==5<br>                                                                                                                                                                           |[0x80000ab8]:ori a1, a0, 5<br> [0x80000abc]:sw a1, 676(gp)<br>        |
| 181|[0x800044d4]<br>0xFFFFFAAE|- rs1_val==6 and imm_val==-1366<br>                                                                                                                                                                       |[0x80000ac4]:ori a1, a0, 2730<br> [0x80000ac8]:sw a1, 680(gp)<br>     |
| 182|[0x800044d8]<br>0x00000557|- rs1_val==6 and imm_val==1365<br>                                                                                                                                                                        |[0x80000ad0]:ori a1, a0, 1365<br> [0x80000ad4]:sw a1, 684(gp)<br>     |
| 183|[0x800044dc]<br>0x00000007|- rs1_val==6 and imm_val==3<br>                                                                                                                                                                           |[0x80000adc]:ori a1, a0, 3<br> [0x80000ae0]:sw a1, 688(gp)<br>        |
| 184|[0x800044e0]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==46<br>                                                                                                                                                                |[0x80000aec]:ori a1, a0, 46<br> [0x80000af0]:sw a1, 692(gp)<br>       |
| 185|[0x800044e4]<br>0xFFFFFFFF|- rs1_val==-1431655765 and imm_val==-44<br>                                                                                                                                                               |[0x80000afc]:ori a1, a0, 4052<br> [0x80000b00]:sw a1, 696(gp)<br>     |
| 186|[0x800044e8]<br>0xAAAAAEEF|- rs1_val==-1431655765 and imm_val==1639<br>                                                                                                                                                              |[0x80000b0c]:ori a1, a0, 1639<br> [0x80000b10]:sw a1, 700(gp)<br>     |
| 187|[0x800044ec]<br>0xAAAAABBF|- rs1_val==-1431655765 and imm_val==820<br>                                                                                                                                                               |[0x80000b1c]:ori a1, a0, 820<br> [0x80000b20]:sw a1, 704(gp)<br>      |
| 188|[0x800044f0]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==6<br>                                                                                                                                                                 |[0x80000b2c]:ori a1, a0, 6<br> [0x80000b30]:sw a1, 708(gp)<br>        |
| 189|[0x800044f4]<br>0xFFFFFAAB|- rs1_val==-1431655765 and imm_val==-1365<br>                                                                                                                                                             |[0x80000b3c]:ori a1, a0, 2731<br> [0x80000b40]:sw a1, 712(gp)<br>     |
| 190|[0x800044f8]<br>0xAAAAAFFF|- rs1_val==-1431655765 and imm_val==1366<br>                                                                                                                                                              |[0x80000b4c]:ori a1, a0, 1366<br> [0x80000b50]:sw a1, 716(gp)<br>     |
| 191|[0x800044fc]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==4<br>                                                                                                                                                                 |[0x80000b5c]:ori a1, a0, 4<br> [0x80000b60]:sw a1, 720(gp)<br>        |
| 192|[0x80004500]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==44<br>                                                                                                                                                                |[0x80000b6c]:ori a1, a0, 44<br> [0x80000b70]:sw a1, 724(gp)<br>       |
| 193|[0x80004504]<br>0xAAAAAAAB|- rs1_val==-1431655765 and imm_val==0<br>                                                                                                                                                                 |[0x80000b7c]:ori a1, a0, 0<br> [0x80000b80]:sw a1, 728(gp)<br>        |
| 194|[0x80004508]<br>0xAAAAAEEF|- rs1_val==-1431655765 and imm_val==1637<br>                                                                                                                                                              |[0x80000b8c]:ori a1, a0, 1637<br> [0x80000b90]:sw a1, 732(gp)<br>     |
| 195|[0x8000450c]<br>0xAAAAABBB|- rs1_val==-1431655765 and imm_val==818<br>                                                                                                                                                               |[0x80000b9c]:ori a1, a0, 818<br> [0x80000ba0]:sw a1, 736(gp)<br>      |
| 196|[0x80004510]<br>0xAAAAAFFF|- rs1_val==-1431655765 and imm_val==1364<br>                                                                                                                                                              |[0x80000bac]:ori a1, a0, 1364<br> [0x80000bb0]:sw a1, 740(gp)<br>     |
| 197|[0x80004514]<br>0xAAAAAAAB|- rs1_val==-1431655765 and imm_val==2<br>                                                                                                                                                                 |[0x80000bbc]:ori a1, a0, 2<br> [0x80000bc0]:sw a1, 744(gp)<br>        |
| 198|[0x80004518]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==45<br>                                                                                                                                                                |[0x80000bcc]:ori a1, a0, 45<br> [0x80000bd0]:sw a1, 748(gp)<br>       |
| 199|[0x8000451c]<br>0xFFFFFFFB|- rs1_val==-1431655765 and imm_val==-45<br>                                                                                                                                                               |[0x80000bdc]:ori a1, a0, 4051<br> [0x80000be0]:sw a1, 752(gp)<br>     |
| 200|[0x80004520]<br>0xAAAAAEEF|- rs1_val==-1431655765 and imm_val==1638<br>                                                                                                                                                              |[0x80000bec]:ori a1, a0, 1638<br> [0x80000bf0]:sw a1, 756(gp)<br>     |
| 201|[0x80004524]<br>0xAAAAABBB|- rs1_val==-1431655765 and imm_val==819<br>                                                                                                                                                               |[0x80000bfc]:ori a1, a0, 819<br> [0x80000c00]:sw a1, 760(gp)<br>      |
| 202|[0x80004528]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==5<br>                                                                                                                                                                 |[0x80000c0c]:ori a1, a0, 5<br> [0x80000c10]:sw a1, 764(gp)<br>        |
| 203|[0x8000452c]<br>0xFFFFFAAB|- rs1_val==-1431655765 and imm_val==-1366<br>                                                                                                                                                             |[0x80000c1c]:ori a1, a0, 2730<br> [0x80000c20]:sw a1, 768(gp)<br>     |
| 204|[0x80004530]<br>0xAAAAAFFF|- rs1_val==-1431655765 and imm_val==1365<br>                                                                                                                                                              |[0x80000c2c]:ori a1, a0, 1365<br> [0x80000c30]:sw a1, 772(gp)<br>     |
| 205|[0x80004534]<br>0xAAAAAAAB|- rs1_val==-1431655765 and imm_val==3<br>                                                                                                                                                                 |[0x80000c3c]:ori a1, a0, 3<br> [0x80000c40]:sw a1, 776(gp)<br>        |
| 206|[0x80004538]<br>0x5555557E|- rs1_val==1431655766 and imm_val==46<br>                                                                                                                                                                 |[0x80000c4c]:ori a1, a0, 46<br> [0x80000c50]:sw a1, 780(gp)<br>       |
| 207|[0x8000453c]<br>0xFFFFFFD6|- rs1_val==1431655766 and imm_val==-44<br>                                                                                                                                                                |[0x80000c5c]:ori a1, a0, 4052<br> [0x80000c60]:sw a1, 784(gp)<br>     |
| 208|[0x80004540]<br>0x55555777|- rs1_val==1431655766 and imm_val==1639<br>                                                                                                                                                               |[0x80000c6c]:ori a1, a0, 1639<br> [0x80000c70]:sw a1, 788(gp)<br>     |
| 209|[0x80004544]<br>0x55555776|- rs1_val==1431655766 and imm_val==820<br>                                                                                                                                                                |[0x80000c7c]:ori a1, a0, 820<br> [0x80000c80]:sw a1, 792(gp)<br>      |
| 210|[0x80004548]<br>0x55555556|- rs1_val==1431655766 and imm_val==6<br>                                                                                                                                                                  |[0x80000c8c]:ori a1, a0, 6<br> [0x80000c90]:sw a1, 796(gp)<br>        |
| 211|[0x8000454c]<br>0xFFFFFFFF|- rs1_val==1431655766 and imm_val==-1365<br>                                                                                                                                                              |[0x80000c9c]:ori a1, a0, 2731<br> [0x80000ca0]:sw a1, 800(gp)<br>     |
| 212|[0x80004550]<br>0x55555556|- rs1_val==1431655766 and imm_val==1366<br>                                                                                                                                                               |[0x80000cac]:ori a1, a0, 1366<br> [0x80000cb0]:sw a1, 804(gp)<br>     |
| 213|[0x80004554]<br>0x55555556|- rs1_val==1431655766 and imm_val==4<br>                                                                                                                                                                  |[0x80000cbc]:ori a1, a0, 4<br> [0x80000cc0]:sw a1, 808(gp)<br>        |
| 214|[0x80004558]<br>0x5555557E|- rs1_val==1431655766 and imm_val==44<br>                                                                                                                                                                 |[0x80000ccc]:ori a1, a0, 44<br> [0x80000cd0]:sw a1, 812(gp)<br>       |
| 215|[0x8000455c]<br>0x55555556|- rs1_val==1431655766 and imm_val==0<br>                                                                                                                                                                  |[0x80000cdc]:ori a1, a0, 0<br> [0x80000ce0]:sw a1, 816(gp)<br>        |
| 216|[0x80004560]<br>0x55555777|- rs1_val==1431655766 and imm_val==1637<br>                                                                                                                                                               |[0x80000cec]:ori a1, a0, 1637<br> [0x80000cf0]:sw a1, 820(gp)<br>     |
| 217|[0x80004564]<br>0x55555776|- rs1_val==1431655766 and imm_val==818<br>                                                                                                                                                                |[0x80000cfc]:ori a1, a0, 818<br> [0x80000d00]:sw a1, 824(gp)<br>      |
| 218|[0x80004568]<br>0x55555556|- rs1_val==1431655766 and imm_val==1364<br>                                                                                                                                                               |[0x80000d0c]:ori a1, a0, 1364<br> [0x80000d10]:sw a1, 828(gp)<br>     |
| 219|[0x8000456c]<br>0x55555556|- rs1_val==1431655766 and imm_val==2<br>                                                                                                                                                                  |[0x80000d1c]:ori a1, a0, 2<br> [0x80000d20]:sw a1, 832(gp)<br>        |
| 220|[0x80004570]<br>0x5555557F|- rs1_val==1431655766 and imm_val==45<br>                                                                                                                                                                 |[0x80000d2c]:ori a1, a0, 45<br> [0x80000d30]:sw a1, 836(gp)<br>       |
| 221|[0x80004574]<br>0xFFFFFFD7|- rs1_val==1431655766 and imm_val==-45<br>                                                                                                                                                                |[0x80000d3c]:ori a1, a0, 4051<br> [0x80000d40]:sw a1, 840(gp)<br>     |
| 222|[0x80004578]<br>0x55555776|- rs1_val==1431655766 and imm_val==1638<br>                                                                                                                                                               |[0x80000d4c]:ori a1, a0, 1638<br> [0x80000d50]:sw a1, 844(gp)<br>     |
| 223|[0x8000457c]<br>0x55555777|- rs1_val==1431655766 and imm_val==819<br>                                                                                                                                                                |[0x80000d5c]:ori a1, a0, 819<br> [0x80000d60]:sw a1, 848(gp)<br>      |
| 224|[0x80004580]<br>0x55555557|- rs1_val==1431655766 and imm_val==5<br>                                                                                                                                                                  |[0x80000d6c]:ori a1, a0, 5<br> [0x80000d70]:sw a1, 852(gp)<br>        |
| 225|[0x80004584]<br>0xFFFFFFFE|- rs1_val==1431655766 and imm_val==-1366<br>                                                                                                                                                              |[0x80000d7c]:ori a1, a0, 2730<br> [0x80000d80]:sw a1, 856(gp)<br>     |
| 226|[0x80004588]<br>0x55555557|- rs1_val==1431655766 and imm_val==1365<br>                                                                                                                                                               |[0x80000d8c]:ori a1, a0, 1365<br> [0x80000d90]:sw a1, 860(gp)<br>     |
| 227|[0x8000458c]<br>0x55555557|- rs1_val==1431655766 and imm_val==3<br>                                                                                                                                                                  |[0x80000d9c]:ori a1, a0, 3<br> [0x80000da0]:sw a1, 864(gp)<br>        |
| 228|[0x80004590]<br>0x0000002E|- rs1_val==4 and imm_val==46<br>                                                                                                                                                                          |[0x80000da8]:ori a1, a0, 46<br> [0x80000dac]:sw a1, 868(gp)<br>       |
| 229|[0x80004594]<br>0xFFFFFFD4|- rs1_val==4 and imm_val==-44<br>                                                                                                                                                                         |[0x80000db4]:ori a1, a0, 4052<br> [0x80000db8]:sw a1, 872(gp)<br>     |
| 230|[0x80004598]<br>0x00000667|- rs1_val==4 and imm_val==1639<br>                                                                                                                                                                        |[0x80000dc0]:ori a1, a0, 1639<br> [0x80000dc4]:sw a1, 876(gp)<br>     |
| 231|[0x8000459c]<br>0x00000334|- rs1_val==4 and imm_val==820<br>                                                                                                                                                                         |[0x80000dcc]:ori a1, a0, 820<br> [0x80000dd0]:sw a1, 880(gp)<br>      |
| 232|[0x800045a0]<br>0x00000006|- rs1_val==4 and imm_val==6<br>                                                                                                                                                                           |[0x80000dd8]:ori a1, a0, 6<br> [0x80000ddc]:sw a1, 884(gp)<br>        |
| 233|[0x800045a4]<br>0xFFFFFAAF|- rs1_val==4 and imm_val==-1365<br>                                                                                                                                                                       |[0x80000de4]:ori a1, a0, 2731<br> [0x80000de8]:sw a1, 888(gp)<br>     |
| 234|[0x800045a8]<br>0x00000556|- rs1_val==4 and imm_val==1366<br>                                                                                                                                                                        |[0x80000df0]:ori a1, a0, 1366<br> [0x80000df4]:sw a1, 892(gp)<br>     |
| 235|[0x800045ac]<br>0x00000004|- rs1_val==4 and imm_val==4<br>                                                                                                                                                                           |[0x80000dfc]:ori a1, a0, 4<br> [0x80000e00]:sw a1, 896(gp)<br>        |
| 236|[0x800045b0]<br>0x0000002C|- rs1_val==4 and imm_val==44<br>                                                                                                                                                                          |[0x80000e08]:ori a1, a0, 44<br> [0x80000e0c]:sw a1, 900(gp)<br>       |
| 237|[0x800045b4]<br>0x00000004|- rs1_val==4 and imm_val==0<br>                                                                                                                                                                           |[0x80000e14]:ori a1, a0, 0<br> [0x80000e18]:sw a1, 904(gp)<br>        |
| 238|[0x800045b8]<br>0x00000665|- rs1_val==4 and imm_val==1637<br>                                                                                                                                                                        |[0x80000e20]:ori a1, a0, 1637<br> [0x80000e24]:sw a1, 908(gp)<br>     |
| 239|[0x800045bc]<br>0x00000336|- rs1_val==4 and imm_val==818<br>                                                                                                                                                                         |[0x80000e2c]:ori a1, a0, 818<br> [0x80000e30]:sw a1, 912(gp)<br>      |
| 240|[0x800045c0]<br>0x00000554|- rs1_val==4 and imm_val==1364<br>                                                                                                                                                                        |[0x80000e38]:ori a1, a0, 1364<br> [0x80000e3c]:sw a1, 916(gp)<br>     |
| 241|[0x800045c4]<br>0x00000006|- rs1_val==4 and imm_val==2<br>                                                                                                                                                                           |[0x80000e44]:ori a1, a0, 2<br> [0x80000e48]:sw a1, 920(gp)<br>        |
| 242|[0x800045c8]<br>0x0000002D|- rs1_val==4 and imm_val==45<br>                                                                                                                                                                          |[0x80000e50]:ori a1, a0, 45<br> [0x80000e54]:sw a1, 924(gp)<br>       |
| 243|[0x800045cc]<br>0xFFFFFFD7|- rs1_val==4 and imm_val==-45<br>                                                                                                                                                                         |[0x80000e5c]:ori a1, a0, 4051<br> [0x80000e60]:sw a1, 928(gp)<br>     |
| 244|[0x800045d0]<br>0x00000666|- rs1_val==4 and imm_val==1638<br>                                                                                                                                                                        |[0x80000e68]:ori a1, a0, 1638<br> [0x80000e6c]:sw a1, 932(gp)<br>     |
| 245|[0x800045d4]<br>0x00000337|- rs1_val==4 and imm_val==819<br>                                                                                                                                                                         |[0x80000e74]:ori a1, a0, 819<br> [0x80000e78]:sw a1, 936(gp)<br>      |
| 246|[0x800045d8]<br>0x00000005|- rs1_val==4 and imm_val==5<br>                                                                                                                                                                           |[0x80000e80]:ori a1, a0, 5<br> [0x80000e84]:sw a1, 940(gp)<br>        |
| 247|[0x800045dc]<br>0xFFFFFAAE|- rs1_val==4 and imm_val==-1366<br>                                                                                                                                                                       |[0x80000e8c]:ori a1, a0, 2730<br> [0x80000e90]:sw a1, 944(gp)<br>     |
| 248|[0x800045e0]<br>0x00000555|- rs1_val==4 and imm_val==1365<br>                                                                                                                                                                        |[0x80000e98]:ori a1, a0, 1365<br> [0x80000e9c]:sw a1, 948(gp)<br>     |
| 249|[0x800045e4]<br>0x00000007|- rs1_val==4 and imm_val==3<br>                                                                                                                                                                           |[0x80000ea4]:ori a1, a0, 3<br> [0x80000ea8]:sw a1, 952(gp)<br>        |
| 250|[0x800045e8]<br>0x0000B52F|- rs1_val==46339 and imm_val==46<br>                                                                                                                                                                      |[0x80000eb4]:ori a1, a0, 46<br> [0x80000eb8]:sw a1, 956(gp)<br>       |
| 251|[0x800045ec]<br>0xFFFFFFD7|- rs1_val==46339 and imm_val==-44<br>                                                                                                                                                                     |[0x80000ec4]:ori a1, a0, 4052<br> [0x80000ec8]:sw a1, 960(gp)<br>     |
| 252|[0x800045f0]<br>0x0000B767|- rs1_val==46339 and imm_val==1639<br>                                                                                                                                                                    |[0x80000ed4]:ori a1, a0, 1639<br> [0x80000ed8]:sw a1, 964(gp)<br>     |
| 253|[0x800045f4]<br>0x0000B737|- rs1_val==46339 and imm_val==820<br>                                                                                                                                                                     |[0x80000ee4]:ori a1, a0, 820<br> [0x80000ee8]:sw a1, 968(gp)<br>      |
| 254|[0x800045f8]<br>0x0000B507|- rs1_val==46339 and imm_val==6<br>                                                                                                                                                                       |[0x80000ef4]:ori a1, a0, 6<br> [0x80000ef8]:sw a1, 972(gp)<br>        |
| 255|[0x800045fc]<br>0xFFFFFFAB|- rs1_val==46339 and imm_val==-1365<br>                                                                                                                                                                   |[0x80000f04]:ori a1, a0, 2731<br> [0x80000f08]:sw a1, 976(gp)<br>     |
| 256|[0x80004600]<br>0x0000B557|- rs1_val==46339 and imm_val==1366<br>                                                                                                                                                                    |[0x80000f14]:ori a1, a0, 1366<br> [0x80000f18]:sw a1, 980(gp)<br>     |
| 257|[0x80004604]<br>0x0000B507|- rs1_val==46339 and imm_val==4<br>                                                                                                                                                                       |[0x80000f24]:ori a1, a0, 4<br> [0x80000f28]:sw a1, 984(gp)<br>        |
| 258|[0x80004608]<br>0x0000B52F|- rs1_val==46339 and imm_val==44<br>                                                                                                                                                                      |[0x80000f34]:ori a1, a0, 44<br> [0x80000f38]:sw a1, 988(gp)<br>       |
| 259|[0x8000460c]<br>0x0000B503|- rs1_val==46339 and imm_val==0<br>                                                                                                                                                                       |[0x80000f44]:ori a1, a0, 0<br> [0x80000f48]:sw a1, 992(gp)<br>        |
| 260|[0x80004610]<br>0x0000B767|- rs1_val==46339 and imm_val==1637<br>                                                                                                                                                                    |[0x80000f54]:ori a1, a0, 1637<br> [0x80000f58]:sw a1, 996(gp)<br>     |
| 261|[0x80004614]<br>0x0000B733|- rs1_val==46339 and imm_val==818<br>                                                                                                                                                                     |[0x80000f64]:ori a1, a0, 818<br> [0x80000f68]:sw a1, 1000(gp)<br>     |
| 262|[0x80004618]<br>0x0000B557|- rs1_val==46339 and imm_val==1364<br>                                                                                                                                                                    |[0x80000f74]:ori a1, a0, 1364<br> [0x80000f78]:sw a1, 1004(gp)<br>    |
| 263|[0x8000461c]<br>0x0000B503|- rs1_val==46339 and imm_val==2<br>                                                                                                                                                                       |[0x80000f84]:ori a1, a0, 2<br> [0x80000f88]:sw a1, 1008(gp)<br>       |
| 264|[0x80004620]<br>0x0000B52F|- rs1_val==46339 and imm_val==45<br>                                                                                                                                                                      |[0x80000f94]:ori a1, a0, 45<br> [0x80000f98]:sw a1, 1012(gp)<br>      |
| 265|[0x80004624]<br>0xFFFFFFD3|- rs1_val==46339 and imm_val==-45<br>                                                                                                                                                                     |[0x80000fa4]:ori a1, a0, 4051<br> [0x80000fa8]:sw a1, 1016(gp)<br>    |
| 266|[0x80004628]<br>0x0000B767|- rs1_val==46339 and imm_val==1638<br>                                                                                                                                                                    |[0x80000fb4]:ori a1, a0, 1638<br> [0x80000fb8]:sw a1, 1020(gp)<br>    |
| 267|[0x8000462c]<br>0x0000B733|- rs1_val==46339 and imm_val==819<br>                                                                                                                                                                     |[0x80000fc4]:ori a1, a0, 819<br> [0x80000fc8]:sw a1, 1024(gp)<br>     |
| 268|[0x80004630]<br>0x0000B507|- rs1_val==46339 and imm_val==5<br>                                                                                                                                                                       |[0x80000fd4]:ori a1, a0, 5<br> [0x80000fd8]:sw a1, 1028(gp)<br>       |
| 269|[0x80004634]<br>0xFFFFFFAB|- rs1_val==46339 and imm_val==-1366<br>                                                                                                                                                                   |[0x80000fe4]:ori a1, a0, 2730<br> [0x80000fe8]:sw a1, 1032(gp)<br>    |
| 270|[0x80004638]<br>0x0000B557|- rs1_val==46339 and imm_val==1365<br>                                                                                                                                                                    |[0x80000ff4]:ori a1, a0, 1365<br> [0x80000ff8]:sw a1, 1036(gp)<br>    |
| 271|[0x8000463c]<br>0x0000B503|- rs1_val==46339 and imm_val==3<br>                                                                                                                                                                       |[0x80001004]:ori a1, a0, 3<br> [0x80001008]:sw a1, 1040(gp)<br>       |
| 272|[0x80004640]<br>0x0000002E|- rs1_val==0 and imm_val==46<br>                                                                                                                                                                          |[0x80001010]:ori a1, a0, 46<br> [0x80001014]:sw a1, 1044(gp)<br>      |
| 273|[0x80004644]<br>0xFFFFFFD4|- rs1_val==0 and imm_val==-44<br>                                                                                                                                                                         |[0x8000101c]:ori a1, a0, 4052<br> [0x80001020]:sw a1, 1048(gp)<br>    |
| 274|[0x80004648]<br>0x00000667|- rs1_val==0 and imm_val==1639<br>                                                                                                                                                                        |[0x80001028]:ori a1, a0, 1639<br> [0x8000102c]:sw a1, 1052(gp)<br>    |
| 275|[0x8000464c]<br>0x00000334|- rs1_val==0 and imm_val==820<br>                                                                                                                                                                         |[0x80001034]:ori a1, a0, 820<br> [0x80001038]:sw a1, 1056(gp)<br>     |
| 276|[0x80004650]<br>0x00000006|- rs1_val==0 and imm_val==6<br>                                                                                                                                                                           |[0x80001040]:ori a1, a0, 6<br> [0x80001044]:sw a1, 1060(gp)<br>       |
| 277|[0x80004654]<br>0xFFFFFAAB|- rs1_val==0 and imm_val==-1365<br>                                                                                                                                                                       |[0x8000104c]:ori a1, a0, 2731<br> [0x80001050]:sw a1, 1064(gp)<br>    |
| 278|[0x80004658]<br>0x00000556|- rs1_val==0 and imm_val==1366<br>                                                                                                                                                                        |[0x80001058]:ori a1, a0, 1366<br> [0x8000105c]:sw a1, 1068(gp)<br>    |
| 279|[0x8000465c]<br>0x00000004|- rs1_val==0 and imm_val==4<br>                                                                                                                                                                           |[0x80001064]:ori a1, a0, 4<br> [0x80001068]:sw a1, 1072(gp)<br>       |
| 280|[0x80004660]<br>0x0000002C|- rs1_val==0 and imm_val==44<br>                                                                                                                                                                          |[0x80001070]:ori a1, a0, 44<br> [0x80001074]:sw a1, 1076(gp)<br>      |
| 281|[0x80004664]<br>0x00000000|- rs1_val==0 and imm_val==0<br>                                                                                                                                                                           |[0x8000107c]:ori a1, a0, 0<br> [0x80001080]:sw a1, 1080(gp)<br>       |
| 282|[0x80004668]<br>0x00000665|- rs1_val==0 and imm_val==1637<br>                                                                                                                                                                        |[0x80001088]:ori a1, a0, 1637<br> [0x8000108c]:sw a1, 1084(gp)<br>    |
| 283|[0x8000466c]<br>0x00000332|- rs1_val==0 and imm_val==818<br>                                                                                                                                                                         |[0x80001094]:ori a1, a0, 818<br> [0x80001098]:sw a1, 1088(gp)<br>     |
| 284|[0x80004670]<br>0x00000554|- rs1_val==0 and imm_val==1364<br>                                                                                                                                                                        |[0x800010a0]:ori a1, a0, 1364<br> [0x800010a4]:sw a1, 1092(gp)<br>    |
| 285|[0x80004674]<br>0x00000002|- rs1_val==0 and imm_val==2<br>                                                                                                                                                                           |[0x800010ac]:ori a1, a0, 2<br> [0x800010b0]:sw a1, 1096(gp)<br>       |
| 286|[0x80004678]<br>0x0000002D|- rs1_val==0 and imm_val==45<br>                                                                                                                                                                          |[0x800010b8]:ori a1, a0, 45<br> [0x800010bc]:sw a1, 1100(gp)<br>      |
| 287|[0x8000467c]<br>0xFFFFFFD3|- rs1_val==0 and imm_val==-45<br>                                                                                                                                                                         |[0x800010c4]:ori a1, a0, 4051<br> [0x800010c8]:sw a1, 1104(gp)<br>    |
| 288|[0x80004680]<br>0x00000666|- rs1_val==0 and imm_val==1638<br>                                                                                                                                                                        |[0x800010d0]:ori a1, a0, 1638<br> [0x800010d4]:sw a1, 1108(gp)<br>    |
| 289|[0x80004684]<br>0x00000333|- rs1_val==0 and imm_val==819<br>                                                                                                                                                                         |[0x800010dc]:ori a1, a0, 819<br> [0x800010e0]:sw a1, 1112(gp)<br>     |
| 290|[0x80004688]<br>0x00000005|- rs1_val==0 and imm_val==5<br>                                                                                                                                                                           |[0x800010e8]:ori a1, a0, 5<br> [0x800010ec]:sw a1, 1116(gp)<br>       |
| 291|[0x8000468c]<br>0xFFFFFAAA|- rs1_val==0 and imm_val==-1366<br>                                                                                                                                                                       |[0x800010f4]:ori a1, a0, 2730<br> [0x800010f8]:sw a1, 1120(gp)<br>    |
| 292|[0x80004690]<br>0x00000555|- rs1_val==0 and imm_val==1365<br>                                                                                                                                                                        |[0x80001100]:ori a1, a0, 1365<br> [0x80001104]:sw a1, 1124(gp)<br>    |
| 293|[0x80004694]<br>0x00000003|- rs1_val==0 and imm_val==3<br>                                                                                                                                                                           |[0x8000110c]:ori a1, a0, 3<br> [0x80001110]:sw a1, 1128(gp)<br>       |
| 294|[0x80004698]<br>0x6666666F|- rs1_val==1717986917 and imm_val==46<br>                                                                                                                                                                 |[0x8000111c]:ori a1, a0, 46<br> [0x80001120]:sw a1, 1132(gp)<br>      |
| 295|[0x8000469c]<br>0xFFFFFFF5|- rs1_val==1717986917 and imm_val==-44<br>                                                                                                                                                                |[0x8000112c]:ori a1, a0, 4052<br> [0x80001130]:sw a1, 1136(gp)<br>    |
| 296|[0x800046a0]<br>0x66666667|- rs1_val==1717986917 and imm_val==1639<br>                                                                                                                                                               |[0x8000113c]:ori a1, a0, 1639<br> [0x80001140]:sw a1, 1140(gp)<br>    |
| 297|[0x800046a4]<br>0x66666775|- rs1_val==1717986917 and imm_val==820<br>                                                                                                                                                                |[0x8000114c]:ori a1, a0, 820<br> [0x80001150]:sw a1, 1144(gp)<br>     |
| 298|[0x800046a8]<br>0x66666667|- rs1_val==1717986917 and imm_val==6<br>                                                                                                                                                                  |[0x8000115c]:ori a1, a0, 6<br> [0x80001160]:sw a1, 1148(gp)<br>       |
| 299|[0x800046ac]<br>0xFFFFFEEF|- rs1_val==1717986917 and imm_val==-1365<br>                                                                                                                                                              |[0x8000116c]:ori a1, a0, 2731<br> [0x80001170]:sw a1, 1152(gp)<br>    |
| 300|[0x800046b0]<br>0x66666777|- rs1_val==1717986917 and imm_val==1366<br>                                                                                                                                                               |[0x8000117c]:ori a1, a0, 1366<br> [0x80001180]:sw a1, 1156(gp)<br>    |
| 301|[0x800046b4]<br>0x66666665|- rs1_val==1717986917 and imm_val==4<br>                                                                                                                                                                  |[0x8000118c]:ori a1, a0, 4<br> [0x80001190]:sw a1, 1160(gp)<br>       |
| 302|[0x800046b8]<br>0x6666666D|- rs1_val==1717986917 and imm_val==44<br>                                                                                                                                                                 |[0x8000119c]:ori a1, a0, 44<br> [0x800011a0]:sw a1, 1164(gp)<br>      |
| 303|[0x800046bc]<br>0xFFFFFAAB|- rs1_val==-1431655766 and imm_val==-1365<br> - rs1_val == -1431655766<br>                                                                                                                                |[0x800011ac]:ori a1, a0, 2731<br> [0x800011b0]:sw a1, 1168(gp)<br>    |
| 304|[0x800046c0]<br>0xAAAAAFFE|- rs1_val==-1431655766 and imm_val==1366<br>                                                                                                                                                              |[0x800011bc]:ori a1, a0, 1366<br> [0x800011c0]:sw a1, 1172(gp)<br>    |
| 305|[0x800046c4]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==4<br>                                                                                                                                                                 |[0x800011cc]:ori a1, a0, 4<br> [0x800011d0]:sw a1, 1176(gp)<br>       |
| 306|[0x800046c8]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==44<br>                                                                                                                                                                |[0x800011dc]:ori a1, a0, 44<br> [0x800011e0]:sw a1, 1180(gp)<br>      |
| 307|[0x800046cc]<br>0xAAAAAAAA|- rs1_val==-1431655766 and imm_val==0<br>                                                                                                                                                                 |[0x800011ec]:ori a1, a0, 0<br> [0x800011f0]:sw a1, 1184(gp)<br>       |
| 308|[0x800046d0]<br>0xAAAAAEEF|- rs1_val==-1431655766 and imm_val==1637<br>                                                                                                                                                              |[0x800011fc]:ori a1, a0, 1637<br> [0x80001200]:sw a1, 1188(gp)<br>    |
| 309|[0x800046d4]<br>0xAAAAABBA|- rs1_val==-1431655766 and imm_val==818<br>                                                                                                                                                               |[0x8000120c]:ori a1, a0, 818<br> [0x80001210]:sw a1, 1192(gp)<br>     |
| 310|[0x800046d8]<br>0xAAAAAFFE|- rs1_val==-1431655766 and imm_val==1364<br>                                                                                                                                                              |[0x8000121c]:ori a1, a0, 1364<br> [0x80001220]:sw a1, 1196(gp)<br>    |
| 311|[0x800046dc]<br>0xAAAAAAAA|- rs1_val==-1431655766 and imm_val==2<br>                                                                                                                                                                 |[0x8000122c]:ori a1, a0, 2<br> [0x80001230]:sw a1, 1200(gp)<br>       |
| 312|[0x800046e0]<br>0xAAAAAAAF|- rs1_val==-1431655766 and imm_val==45<br>                                                                                                                                                                |[0x8000123c]:ori a1, a0, 45<br> [0x80001240]:sw a1, 1204(gp)<br>      |
| 313|[0x800046e4]<br>0xFFFFFFFB|- rs1_val==-1431655766 and imm_val==-45<br>                                                                                                                                                               |[0x8000124c]:ori a1, a0, 4051<br> [0x80001250]:sw a1, 1208(gp)<br>    |
| 314|[0x800046e8]<br>0xAAAAAEEE|- rs1_val==-1431655766 and imm_val==1638<br>                                                                                                                                                              |[0x8000125c]:ori a1, a0, 1638<br> [0x80001260]:sw a1, 1212(gp)<br>    |
| 315|[0x800046ec]<br>0xAAAAABBB|- rs1_val==-1431655766 and imm_val==819<br>                                                                                                                                                               |[0x8000126c]:ori a1, a0, 819<br> [0x80001270]:sw a1, 1216(gp)<br>     |
| 316|[0x800046f0]<br>0xAAAAAAAF|- rs1_val==-1431655766 and imm_val==5<br>                                                                                                                                                                 |[0x8000127c]:ori a1, a0, 5<br> [0x80001280]:sw a1, 1220(gp)<br>       |
| 317|[0x800046f4]<br>0xFFFFFAAA|- rs1_val==-1431655766 and imm_val==-1366<br>                                                                                                                                                             |[0x8000128c]:ori a1, a0, 2730<br> [0x80001290]:sw a1, 1224(gp)<br>    |
| 318|[0x800046f8]<br>0xAAAAAFFF|- rs1_val==-1431655766 and imm_val==1365<br>                                                                                                                                                              |[0x8000129c]:ori a1, a0, 1365<br> [0x800012a0]:sw a1, 1228(gp)<br>    |
| 319|[0x800046fc]<br>0xAAAAAAAB|- rs1_val==-1431655766 and imm_val==3<br>                                                                                                                                                                 |[0x800012ac]:ori a1, a0, 3<br> [0x800012b0]:sw a1, 1232(gp)<br>       |
| 320|[0x80004700]<br>0x5555557F|- rs1_val==1431655765 and imm_val==46<br>                                                                                                                                                                 |[0x800012bc]:ori a1, a0, 46<br> [0x800012c0]:sw a1, 1236(gp)<br>      |
| 321|[0x80004704]<br>0xFFFFFFD5|- rs1_val==1431655765 and imm_val==-44<br>                                                                                                                                                                |[0x800012cc]:ori a1, a0, 4052<br> [0x800012d0]:sw a1, 1240(gp)<br>    |
| 322|[0x80004708]<br>0x55555777|- rs1_val==1431655765 and imm_val==1639<br>                                                                                                                                                               |[0x800012dc]:ori a1, a0, 1639<br> [0x800012e0]:sw a1, 1244(gp)<br>    |
| 323|[0x8000470c]<br>0x55555775|- rs1_val==1431655765 and imm_val==820<br>                                                                                                                                                                |[0x800012ec]:ori a1, a0, 820<br> [0x800012f0]:sw a1, 1248(gp)<br>     |
| 324|[0x80004710]<br>0x55555557|- rs1_val==1431655765 and imm_val==6<br>                                                                                                                                                                  |[0x800012fc]:ori a1, a0, 6<br> [0x80001300]:sw a1, 1252(gp)<br>       |
| 325|[0x80004714]<br>0xFFFFFFFF|- rs1_val==1431655765 and imm_val==-1365<br>                                                                                                                                                              |[0x8000130c]:ori a1, a0, 2731<br> [0x80001310]:sw a1, 1256(gp)<br>    |
| 326|[0x80004718]<br>0x55555557|- rs1_val==1431655765 and imm_val==1366<br>                                                                                                                                                               |[0x8000131c]:ori a1, a0, 1366<br> [0x80001320]:sw a1, 1260(gp)<br>    |
| 327|[0x8000471c]<br>0x55555555|- rs1_val==1431655765 and imm_val==4<br>                                                                                                                                                                  |[0x8000132c]:ori a1, a0, 4<br> [0x80001330]:sw a1, 1264(gp)<br>       |
| 328|[0x80004720]<br>0x5555557D|- rs1_val==1431655765 and imm_val==44<br>                                                                                                                                                                 |[0x8000133c]:ori a1, a0, 44<br> [0x80001340]:sw a1, 1268(gp)<br>      |
| 329|[0x80004724]<br>0x55555555|- rs1_val==1431655765 and imm_val==0<br>                                                                                                                                                                  |[0x8000134c]:ori a1, a0, 0<br> [0x80001350]:sw a1, 1272(gp)<br>       |
| 330|[0x80004728]<br>0x55555775|- rs1_val==1431655765 and imm_val==1637<br>                                                                                                                                                               |[0x8000135c]:ori a1, a0, 1637<br> [0x80001360]:sw a1, 1276(gp)<br>    |
| 331|[0x8000472c]<br>0x55555777|- rs1_val==1431655765 and imm_val==818<br>                                                                                                                                                                |[0x8000136c]:ori a1, a0, 818<br> [0x80001370]:sw a1, 1280(gp)<br>     |
| 332|[0x80004730]<br>0x55555555|- rs1_val==1431655765 and imm_val==1364<br>                                                                                                                                                               |[0x8000137c]:ori a1, a0, 1364<br> [0x80001380]:sw a1, 1284(gp)<br>    |
| 333|[0x80004734]<br>0x55555557|- rs1_val==1431655765 and imm_val==2<br>                                                                                                                                                                  |[0x8000138c]:ori a1, a0, 2<br> [0x80001390]:sw a1, 1288(gp)<br>       |
| 334|[0x80004738]<br>0x5555557D|- rs1_val==1431655765 and imm_val==45<br>                                                                                                                                                                 |[0x8000139c]:ori a1, a0, 45<br> [0x800013a0]:sw a1, 1292(gp)<br>      |
| 335|[0x8000473c]<br>0xFFFFFFD7|- rs1_val==1431655765 and imm_val==-45<br>                                                                                                                                                                |[0x800013ac]:ori a1, a0, 4051<br> [0x800013b0]:sw a1, 1296(gp)<br>    |
| 336|[0x80004740]<br>0x55555777|- rs1_val==1431655765 and imm_val==1638<br>                                                                                                                                                               |[0x800013bc]:ori a1, a0, 1638<br> [0x800013c0]:sw a1, 1300(gp)<br>    |
| 337|[0x80004744]<br>0x55555777|- rs1_val==1431655765 and imm_val==819<br>                                                                                                                                                                |[0x800013cc]:ori a1, a0, 819<br> [0x800013d0]:sw a1, 1304(gp)<br>     |
| 338|[0x80004748]<br>0x55555555|- rs1_val==1431655765 and imm_val==5<br>                                                                                                                                                                  |[0x800013dc]:ori a1, a0, 5<br> [0x800013e0]:sw a1, 1308(gp)<br>       |
| 339|[0x8000474c]<br>0xFFFFFFFF|- rs1_val==1431655765 and imm_val==-1366<br>                                                                                                                                                              |[0x800013ec]:ori a1, a0, 2730<br> [0x800013f0]:sw a1, 1312(gp)<br>    |
| 340|[0x80004750]<br>0x55555555|- rs1_val==1431655765 and imm_val==1365<br>                                                                                                                                                               |[0x800013fc]:ori a1, a0, 1365<br> [0x80001400]:sw a1, 1316(gp)<br>    |
| 341|[0x80004754]<br>0x55555557|- rs1_val==1431655765 and imm_val==3<br>                                                                                                                                                                  |[0x8000140c]:ori a1, a0, 3<br> [0x80001410]:sw a1, 1320(gp)<br>       |
| 342|[0x80004758]<br>0x0000002F|- rs1_val==3 and imm_val==46<br>                                                                                                                                                                          |[0x80001418]:ori a1, a0, 46<br> [0x8000141c]:sw a1, 1324(gp)<br>      |
| 343|[0x8000475c]<br>0xFFFFFFD7|- rs1_val==3 and imm_val==-44<br>                                                                                                                                                                         |[0x80001424]:ori a1, a0, 4052<br> [0x80001428]:sw a1, 1328(gp)<br>    |
| 344|[0x80004760]<br>0x00000667|- rs1_val==3 and imm_val==1639<br>                                                                                                                                                                        |[0x80001430]:ori a1, a0, 1639<br> [0x80001434]:sw a1, 1332(gp)<br>    |
| 345|[0x80004764]<br>0x00000337|- rs1_val==3 and imm_val==820<br>                                                                                                                                                                         |[0x8000143c]:ori a1, a0, 820<br> [0x80001440]:sw a1, 1336(gp)<br>     |
| 346|[0x80004768]<br>0x00000007|- rs1_val==3 and imm_val==6<br>                                                                                                                                                                           |[0x80001448]:ori a1, a0, 6<br> [0x8000144c]:sw a1, 1340(gp)<br>       |
| 347|[0x8000476c]<br>0xFFFFFAAB|- rs1_val==3 and imm_val==-1365<br>                                                                                                                                                                       |[0x80001454]:ori a1, a0, 2731<br> [0x80001458]:sw a1, 1344(gp)<br>    |
| 348|[0x80004770]<br>0x00000557|- rs1_val==3 and imm_val==1366<br>                                                                                                                                                                        |[0x80001460]:ori a1, a0, 1366<br> [0x80001464]:sw a1, 1348(gp)<br>    |
| 349|[0x80004774]<br>0x00000007|- rs1_val==3 and imm_val==4<br>                                                                                                                                                                           |[0x8000146c]:ori a1, a0, 4<br> [0x80001470]:sw a1, 1352(gp)<br>       |
| 350|[0x80004778]<br>0x0000002F|- rs1_val==3 and imm_val==44<br>                                                                                                                                                                          |[0x80001478]:ori a1, a0, 44<br> [0x8000147c]:sw a1, 1356(gp)<br>      |
| 351|[0x8000477c]<br>0x00000003|- rs1_val==3 and imm_val==0<br>                                                                                                                                                                           |[0x80001484]:ori a1, a0, 0<br> [0x80001488]:sw a1, 1360(gp)<br>       |
| 352|[0x80004780]<br>0x00000667|- rs1_val==3 and imm_val==1637<br>                                                                                                                                                                        |[0x80001490]:ori a1, a0, 1637<br> [0x80001494]:sw a1, 1364(gp)<br>    |
| 353|[0x80004784]<br>0x00000333|- rs1_val==3 and imm_val==818<br>                                                                                                                                                                         |[0x8000149c]:ori a1, a0, 818<br> [0x800014a0]:sw a1, 1368(gp)<br>     |
| 354|[0x80004788]<br>0x00000557|- rs1_val==3 and imm_val==1364<br>                                                                                                                                                                        |[0x800014a8]:ori a1, a0, 1364<br> [0x800014ac]:sw a1, 1372(gp)<br>    |
| 355|[0x8000478c]<br>0x00000003|- rs1_val==3 and imm_val==2<br>                                                                                                                                                                           |[0x800014b4]:ori a1, a0, 2<br> [0x800014b8]:sw a1, 1376(gp)<br>       |
| 356|[0x80004790]<br>0x0000002F|- rs1_val==3 and imm_val==45<br>                                                                                                                                                                          |[0x800014c0]:ori a1, a0, 45<br> [0x800014c4]:sw a1, 1380(gp)<br>      |
| 357|[0x80004794]<br>0xFFFFFFD3|- rs1_val==3 and imm_val==-45<br>                                                                                                                                                                         |[0x800014cc]:ori a1, a0, 4051<br> [0x800014d0]:sw a1, 1384(gp)<br>    |
| 358|[0x80004798]<br>0x00000667|- rs1_val==3 and imm_val==1638<br>                                                                                                                                                                        |[0x800014d8]:ori a1, a0, 1638<br> [0x800014dc]:sw a1, 1388(gp)<br>    |
| 359|[0x8000479c]<br>0x00000333|- rs1_val==3 and imm_val==819<br>                                                                                                                                                                         |[0x800014e4]:ori a1, a0, 819<br> [0x800014e8]:sw a1, 1392(gp)<br>     |
| 360|[0x800047a0]<br>0x00000007|- rs1_val==3 and imm_val==5<br>                                                                                                                                                                           |[0x800014f0]:ori a1, a0, 5<br> [0x800014f4]:sw a1, 1396(gp)<br>       |
| 361|[0x800047a4]<br>0xFFFFFAAB|- rs1_val==3 and imm_val==-1366<br>                                                                                                                                                                       |[0x800014fc]:ori a1, a0, 2730<br> [0x80001500]:sw a1, 1400(gp)<br>    |
| 362|[0x800047a8]<br>0x00000557|- rs1_val==3 and imm_val==1365<br>                                                                                                                                                                        |[0x80001508]:ori a1, a0, 1365<br> [0x8000150c]:sw a1, 1404(gp)<br>    |
| 363|[0x800047ac]<br>0x00000003|- rs1_val==3 and imm_val==3<br>                                                                                                                                                                           |[0x80001514]:ori a1, a0, 3<br> [0x80001518]:sw a1, 1408(gp)<br>       |
| 364|[0x800047b0]<br>0x66666665|- rs1_val==1717986917 and imm_val==0<br>                                                                                                                                                                  |[0x80001524]:ori a1, a0, 0<br> [0x80001528]:sw a1, 1412(gp)<br>       |
| 365|[0x800047b4]<br>0x66666665|- rs1_val==1717986917 and imm_val==1637<br>                                                                                                                                                               |[0x80001534]:ori a1, a0, 1637<br> [0x80001538]:sw a1, 1416(gp)<br>    |
| 366|[0x800047b8]<br>0x66666777|- rs1_val==1717986917 and imm_val==818<br>                                                                                                                                                                |[0x80001544]:ori a1, a0, 818<br> [0x80001548]:sw a1, 1420(gp)<br>     |
| 367|[0x800047bc]<br>0x66666775|- rs1_val==1717986917 and imm_val==1364<br>                                                                                                                                                               |[0x80001554]:ori a1, a0, 1364<br> [0x80001558]:sw a1, 1424(gp)<br>    |
| 368|[0x800047c0]<br>0x66666667|- rs1_val==1717986917 and imm_val==2<br>                                                                                                                                                                  |[0x80001564]:ori a1, a0, 2<br> [0x80001568]:sw a1, 1428(gp)<br>       |
| 369|[0x800047c4]<br>0x6666666D|- rs1_val==1717986917 and imm_val==45<br>                                                                                                                                                                 |[0x80001574]:ori a1, a0, 45<br> [0x80001578]:sw a1, 1432(gp)<br>      |
| 370|[0x800047c8]<br>0xFFFFFFF7|- rs1_val==1717986917 and imm_val==-45<br>                                                                                                                                                                |[0x80001584]:ori a1, a0, 4051<br> [0x80001588]:sw a1, 1436(gp)<br>    |
| 371|[0x800047cc]<br>0x66666667|- rs1_val==1717986917 and imm_val==1638<br>                                                                                                                                                               |[0x80001594]:ori a1, a0, 1638<br> [0x80001598]:sw a1, 1440(gp)<br>    |
| 372|[0x800047d0]<br>0x66666777|- rs1_val==1717986917 and imm_val==819<br>                                                                                                                                                                |[0x800015a4]:ori a1, a0, 819<br> [0x800015a8]:sw a1, 1444(gp)<br>     |
| 373|[0x800047d4]<br>0x66666665|- rs1_val==1717986917 and imm_val==5<br>                                                                                                                                                                  |[0x800015b4]:ori a1, a0, 5<br> [0x800015b8]:sw a1, 1448(gp)<br>       |
| 374|[0x800047d8]<br>0xFFFFFEEF|- rs1_val==1717986917 and imm_val==-1366<br>                                                                                                                                                              |[0x800015c4]:ori a1, a0, 2730<br> [0x800015c8]:sw a1, 1452(gp)<br>    |
| 375|[0x800047dc]<br>0x66666775|- rs1_val==1717986917 and imm_val==1365<br>                                                                                                                                                               |[0x800015d4]:ori a1, a0, 1365<br> [0x800015d8]:sw a1, 1456(gp)<br>    |
| 376|[0x800047e0]<br>0x66666667|- rs1_val==1717986917 and imm_val==3<br>                                                                                                                                                                  |[0x800015e4]:ori a1, a0, 3<br> [0x800015e8]:sw a1, 1460(gp)<br>       |
| 377|[0x800047e4]<br>0x3333333E|- rs1_val==858993458 and imm_val==46<br>                                                                                                                                                                  |[0x800015f4]:ori a1, a0, 46<br> [0x800015f8]:sw a1, 1464(gp)<br>      |
| 378|[0x800047e8]<br>0xFFFFFFF6|- rs1_val==858993458 and imm_val==-44<br>                                                                                                                                                                 |[0x80001604]:ori a1, a0, 4052<br> [0x80001608]:sw a1, 1468(gp)<br>    |
| 379|[0x800047ec]<br>0x33333777|- rs1_val==858993458 and imm_val==1639<br>                                                                                                                                                                |[0x80001614]:ori a1, a0, 1639<br> [0x80001618]:sw a1, 1472(gp)<br>    |
| 380|[0x800047f0]<br>0x33333336|- rs1_val==858993458 and imm_val==820<br>                                                                                                                                                                 |[0x80001624]:ori a1, a0, 820<br> [0x80001628]:sw a1, 1476(gp)<br>     |
| 381|[0x800047f4]<br>0x33333336|- rs1_val==858993458 and imm_val==6<br>                                                                                                                                                                   |[0x80001634]:ori a1, a0, 6<br> [0x80001638]:sw a1, 1480(gp)<br>       |
| 382|[0x800047f8]<br>0xFFFFFBBB|- rs1_val==858993458 and imm_val==-1365<br>                                                                                                                                                               |[0x80001644]:ori a1, a0, 2731<br> [0x80001648]:sw a1, 1484(gp)<br>    |
| 383|[0x800047fc]<br>0x33333776|- rs1_val==858993458 and imm_val==1366<br>                                                                                                                                                                |[0x80001654]:ori a1, a0, 1366<br> [0x80001658]:sw a1, 1488(gp)<br>    |
| 384|[0x80004800]<br>0x33333336|- rs1_val==858993458 and imm_val==4<br>                                                                                                                                                                   |[0x80001664]:ori a1, a0, 4<br> [0x80001668]:sw a1, 1492(gp)<br>       |
| 385|[0x80004804]<br>0x3333333E|- rs1_val==858993458 and imm_val==44<br>                                                                                                                                                                  |[0x80001674]:ori a1, a0, 44<br> [0x80001678]:sw a1, 1496(gp)<br>      |
| 386|[0x80004808]<br>0x33333332|- rs1_val==858993458 and imm_val==0<br>                                                                                                                                                                   |[0x80001684]:ori a1, a0, 0<br> [0x80001688]:sw a1, 1500(gp)<br>       |
| 387|[0x8000480c]<br>0x33333777|- rs1_val==858993458 and imm_val==1637<br>                                                                                                                                                                |[0x80001694]:ori a1, a0, 1637<br> [0x80001698]:sw a1, 1504(gp)<br>    |
| 388|[0x80004810]<br>0x33333332|- rs1_val==858993458 and imm_val==818<br>                                                                                                                                                                 |[0x800016a4]:ori a1, a0, 818<br> [0x800016a8]:sw a1, 1508(gp)<br>     |
| 389|[0x80004814]<br>0x33333776|- rs1_val==858993458 and imm_val==1364<br>                                                                                                                                                                |[0x800016b4]:ori a1, a0, 1364<br> [0x800016b8]:sw a1, 1512(gp)<br>    |
| 390|[0x80004818]<br>0x33333332|- rs1_val==858993458 and imm_val==2<br>                                                                                                                                                                   |[0x800016c4]:ori a1, a0, 2<br> [0x800016c8]:sw a1, 1516(gp)<br>       |
| 391|[0x8000481c]<br>0x3333333F|- rs1_val==858993458 and imm_val==45<br>                                                                                                                                                                  |[0x800016d4]:ori a1, a0, 45<br> [0x800016d8]:sw a1, 1520(gp)<br>      |
| 392|[0x80004820]<br>0xFFFFFFF3|- rs1_val==858993458 and imm_val==-45<br>                                                                                                                                                                 |[0x800016e4]:ori a1, a0, 4051<br> [0x800016e8]:sw a1, 1524(gp)<br>    |
| 393|[0x80004824]<br>0x33333776|- rs1_val==858993458 and imm_val==1638<br>                                                                                                                                                                |[0x800016f4]:ori a1, a0, 1638<br> [0x800016f8]:sw a1, 1528(gp)<br>    |
| 394|[0x80004828]<br>0x33333333|- rs1_val==858993458 and imm_val==819<br>                                                                                                                                                                 |[0x80001704]:ori a1, a0, 819<br> [0x80001708]:sw a1, 1532(gp)<br>     |
| 395|[0x8000482c]<br>0x33333337|- rs1_val==858993458 and imm_val==5<br>                                                                                                                                                                   |[0x80001714]:ori a1, a0, 5<br> [0x80001718]:sw a1, 1536(gp)<br>       |
| 396|[0x80004830]<br>0xFFFFFBBA|- rs1_val==858993458 and imm_val==-1366<br>                                                                                                                                                               |[0x80001724]:ori a1, a0, 2730<br> [0x80001728]:sw a1, 1540(gp)<br>    |
| 397|[0x80004834]<br>0x33333777|- rs1_val==858993458 and imm_val==1365<br>                                                                                                                                                                |[0x80001734]:ori a1, a0, 1365<br> [0x80001738]:sw a1, 1544(gp)<br>    |
| 398|[0x80004838]<br>0x33333333|- rs1_val==858993458 and imm_val==3<br>                                                                                                                                                                   |[0x80001744]:ori a1, a0, 3<br> [0x80001748]:sw a1, 1548(gp)<br>       |
| 399|[0x8000483c]<br>0x5555557E|- rs1_val==1431655764 and imm_val==46<br>                                                                                                                                                                 |[0x80001754]:ori a1, a0, 46<br> [0x80001758]:sw a1, 1552(gp)<br>      |
| 400|[0x80004840]<br>0xFFFFFFD4|- rs1_val==1431655764 and imm_val==-44<br>                                                                                                                                                                |[0x80001764]:ori a1, a0, 4052<br> [0x80001768]:sw a1, 1556(gp)<br>    |
| 401|[0x80004844]<br>0x55555777|- rs1_val==1431655764 and imm_val==1639<br>                                                                                                                                                               |[0x80001774]:ori a1, a0, 1639<br> [0x80001778]:sw a1, 1560(gp)<br>    |
| 402|[0x80004848]<br>0x55555774|- rs1_val==1431655764 and imm_val==820<br>                                                                                                                                                                |[0x80001784]:ori a1, a0, 820<br> [0x80001788]:sw a1, 1564(gp)<br>     |
| 403|[0x8000484c]<br>0x55555556|- rs1_val==1431655764 and imm_val==6<br>                                                                                                                                                                  |[0x80001794]:ori a1, a0, 6<br> [0x80001798]:sw a1, 1568(gp)<br>       |
| 404|[0x80004850]<br>0xFFFFFFFF|- rs1_val==1431655764 and imm_val==-1365<br>                                                                                                                                                              |[0x800017a4]:ori a1, a0, 2731<br> [0x800017a8]:sw a1, 1572(gp)<br>    |
| 405|[0x80004854]<br>0x55555556|- rs1_val==1431655764 and imm_val==1366<br>                                                                                                                                                               |[0x800017b4]:ori a1, a0, 1366<br> [0x800017b8]:sw a1, 1576(gp)<br>    |
| 406|[0x80004858]<br>0x55555554|- rs1_val==1431655764 and imm_val==4<br>                                                                                                                                                                  |[0x800017c4]:ori a1, a0, 4<br> [0x800017c8]:sw a1, 1580(gp)<br>       |
| 407|[0x8000485c]<br>0x5555557C|- rs1_val==1431655764 and imm_val==44<br>                                                                                                                                                                 |[0x800017d4]:ori a1, a0, 44<br> [0x800017d8]:sw a1, 1584(gp)<br>      |
| 408|[0x80004860]<br>0x55555554|- rs1_val==1431655764 and imm_val==0<br>                                                                                                                                                                  |[0x800017e4]:ori a1, a0, 0<br> [0x800017e8]:sw a1, 1588(gp)<br>       |
| 409|[0x80004864]<br>0x55555775|- rs1_val==1431655764 and imm_val==1637<br>                                                                                                                                                               |[0x800017f4]:ori a1, a0, 1637<br> [0x800017f8]:sw a1, 1592(gp)<br>    |
| 410|[0x80004868]<br>0x55555776|- rs1_val==1431655764 and imm_val==818<br>                                                                                                                                                                |[0x80001804]:ori a1, a0, 818<br> [0x80001808]:sw a1, 1596(gp)<br>     |
| 411|[0x8000486c]<br>0x55555554|- rs1_val==1431655764 and imm_val==1364<br>                                                                                                                                                               |[0x80001814]:ori a1, a0, 1364<br> [0x80001818]:sw a1, 1600(gp)<br>    |
| 412|[0x80004870]<br>0x55555556|- rs1_val==1431655764 and imm_val==2<br>                                                                                                                                                                  |[0x80001824]:ori a1, a0, 2<br> [0x80001828]:sw a1, 1604(gp)<br>       |
| 413|[0x80004874]<br>0x5555557D|- rs1_val==1431655764 and imm_val==45<br>                                                                                                                                                                 |[0x80001834]:ori a1, a0, 45<br> [0x80001838]:sw a1, 1608(gp)<br>      |
| 414|[0x80004878]<br>0xFFFFFFD7|- rs1_val==1431655764 and imm_val==-45<br>                                                                                                                                                                |[0x80001844]:ori a1, a0, 4051<br> [0x80001848]:sw a1, 1612(gp)<br>    |
| 415|[0x8000487c]<br>0x55555776|- rs1_val==1431655764 and imm_val==1638<br>                                                                                                                                                               |[0x80001854]:ori a1, a0, 1638<br> [0x80001858]:sw a1, 1616(gp)<br>    |
| 416|[0x80004880]<br>0x55555777|- rs1_val==1431655764 and imm_val==819<br>                                                                                                                                                                |[0x80001864]:ori a1, a0, 819<br> [0x80001868]:sw a1, 1620(gp)<br>     |
| 417|[0x80004884]<br>0x55555555|- rs1_val==1431655764 and imm_val==5<br>                                                                                                                                                                  |[0x80001874]:ori a1, a0, 5<br> [0x80001878]:sw a1, 1624(gp)<br>       |
| 418|[0x80004888]<br>0xFFFFFFFE|- rs1_val==1431655764 and imm_val==-1366<br>                                                                                                                                                              |[0x80001884]:ori a1, a0, 2730<br> [0x80001888]:sw a1, 1628(gp)<br>    |
| 419|[0x8000488c]<br>0x55555555|- rs1_val==1431655764 and imm_val==1365<br>                                                                                                                                                               |[0x80001894]:ori a1, a0, 1365<br> [0x80001898]:sw a1, 1632(gp)<br>    |
| 420|[0x80004890]<br>0x55555557|- rs1_val==1431655764 and imm_val==3<br>                                                                                                                                                                  |[0x800018a4]:ori a1, a0, 3<br> [0x800018a8]:sw a1, 1636(gp)<br>       |
| 421|[0x80004894]<br>0x0000002E|- rs1_val==2 and imm_val==46<br>                                                                                                                                                                          |[0x800018b0]:ori a1, a0, 46<br> [0x800018b4]:sw a1, 1640(gp)<br>      |
| 422|[0x80004898]<br>0xFFFFFFD6|- rs1_val==2 and imm_val==-44<br>                                                                                                                                                                         |[0x800018bc]:ori a1, a0, 4052<br> [0x800018c0]:sw a1, 1644(gp)<br>    |
| 423|[0x8000489c]<br>0x00000667|- rs1_val==2 and imm_val==1639<br>                                                                                                                                                                        |[0x800018c8]:ori a1, a0, 1639<br> [0x800018cc]:sw a1, 1648(gp)<br>    |
| 424|[0x800048a0]<br>0x00000336|- rs1_val==2 and imm_val==820<br>                                                                                                                                                                         |[0x800018d4]:ori a1, a0, 820<br> [0x800018d8]:sw a1, 1652(gp)<br>     |
| 425|[0x800048a4]<br>0x00000006|- rs1_val==2 and imm_val==6<br>                                                                                                                                                                           |[0x800018e0]:ori a1, a0, 6<br> [0x800018e4]:sw a1, 1656(gp)<br>       |
| 426|[0x800048a8]<br>0xFFFFFAAB|- rs1_val==2 and imm_val==-1365<br>                                                                                                                                                                       |[0x800018ec]:ori a1, a0, 2731<br> [0x800018f0]:sw a1, 1660(gp)<br>    |
| 427|[0x800048ac]<br>0x00000556|- rs1_val==2 and imm_val==1366<br>                                                                                                                                                                        |[0x800018f8]:ori a1, a0, 1366<br> [0x800018fc]:sw a1, 1664(gp)<br>    |
| 428|[0x800048b0]<br>0x00000006|- rs1_val==2 and imm_val==4<br>                                                                                                                                                                           |[0x80001904]:ori a1, a0, 4<br> [0x80001908]:sw a1, 1668(gp)<br>       |
| 429|[0x800048b4]<br>0x0000002E|- rs1_val==2 and imm_val==44<br>                                                                                                                                                                          |[0x80001910]:ori a1, a0, 44<br> [0x80001914]:sw a1, 1672(gp)<br>      |
| 430|[0x800048b8]<br>0x00000002|- rs1_val==2 and imm_val==0<br>                                                                                                                                                                           |[0x8000191c]:ori a1, a0, 0<br> [0x80001920]:sw a1, 1676(gp)<br>       |
| 431|[0x800048bc]<br>0x00000667|- rs1_val==2 and imm_val==1637<br>                                                                                                                                                                        |[0x80001928]:ori a1, a0, 1637<br> [0x8000192c]:sw a1, 1680(gp)<br>    |
| 432|[0x800048c0]<br>0x00000332|- rs1_val==2 and imm_val==818<br>                                                                                                                                                                         |[0x80001934]:ori a1, a0, 818<br> [0x80001938]:sw a1, 1684(gp)<br>     |
| 433|[0x800048c4]<br>0x00000556|- rs1_val==2 and imm_val==1364<br>                                                                                                                                                                        |[0x80001940]:ori a1, a0, 1364<br> [0x80001944]:sw a1, 1688(gp)<br>    |
| 434|[0x800048c8]<br>0x0000002F|- rs1_val==2 and imm_val==45<br>                                                                                                                                                                          |[0x8000194c]:ori a1, a0, 45<br> [0x80001950]:sw a1, 1692(gp)<br>      |
| 435|[0x800048cc]<br>0xFFFFFFD3|- rs1_val==2 and imm_val==-45<br>                                                                                                                                                                         |[0x80001958]:ori a1, a0, 4051<br> [0x8000195c]:sw a1, 1696(gp)<br>    |
| 436|[0x800048d0]<br>0x00000666|- rs1_val==2 and imm_val==1638<br>                                                                                                                                                                        |[0x80001964]:ori a1, a0, 1638<br> [0x80001968]:sw a1, 1700(gp)<br>    |
| 437|[0x800048d4]<br>0x00000333|- rs1_val==2 and imm_val==819<br>                                                                                                                                                                         |[0x80001970]:ori a1, a0, 819<br> [0x80001974]:sw a1, 1704(gp)<br>     |
| 438|[0x800048d8]<br>0x00000007|- rs1_val==2 and imm_val==5<br>                                                                                                                                                                           |[0x8000197c]:ori a1, a0, 5<br> [0x80001980]:sw a1, 1708(gp)<br>       |
| 439|[0x800048dc]<br>0xFFFFFAAA|- rs1_val==2 and imm_val==-1366<br>                                                                                                                                                                       |[0x80001988]:ori a1, a0, 2730<br> [0x8000198c]:sw a1, 1712(gp)<br>    |
| 440|[0x800048e0]<br>0x00000557|- rs1_val==2 and imm_val==1365<br>                                                                                                                                                                        |[0x80001994]:ori a1, a0, 1365<br> [0x80001998]:sw a1, 1716(gp)<br>    |
| 441|[0x800048e4]<br>0x00000003|- rs1_val==2 and imm_val==3<br>                                                                                                                                                                           |[0x800019a0]:ori a1, a0, 3<br> [0x800019a4]:sw a1, 1720(gp)<br>       |
| 442|[0x800048e8]<br>0x0000B52E|- rs1_val==46340 and imm_val==46<br>                                                                                                                                                                      |[0x800019b0]:ori a1, a0, 46<br> [0x800019b4]:sw a1, 1724(gp)<br>      |
| 443|[0x800048ec]<br>0xFFFFFFD4|- rs1_val==46340 and imm_val==-44<br>                                                                                                                                                                     |[0x800019c0]:ori a1, a0, 4052<br> [0x800019c4]:sw a1, 1728(gp)<br>    |
| 444|[0x800048f0]<br>0x0000B767|- rs1_val==46340 and imm_val==1639<br>                                                                                                                                                                    |[0x800019d0]:ori a1, a0, 1639<br> [0x800019d4]:sw a1, 1732(gp)<br>    |
| 445|[0x800048f4]<br>0x0000B734|- rs1_val==46340 and imm_val==820<br>                                                                                                                                                                     |[0x800019e0]:ori a1, a0, 820<br> [0x800019e4]:sw a1, 1736(gp)<br>     |
| 446|[0x800048f8]<br>0x0000B506|- rs1_val==46340 and imm_val==6<br>                                                                                                                                                                       |[0x800019f0]:ori a1, a0, 6<br> [0x800019f4]:sw a1, 1740(gp)<br>       |
| 447|[0x800048fc]<br>0xFFFFFFAF|- rs1_val==46340 and imm_val==-1365<br>                                                                                                                                                                   |[0x80001a00]:ori a1, a0, 2731<br> [0x80001a04]:sw a1, 1744(gp)<br>    |
| 448|[0x80004900]<br>0x0000B556|- rs1_val==46340 and imm_val==1366<br>                                                                                                                                                                    |[0x80001a10]:ori a1, a0, 1366<br> [0x80001a14]:sw a1, 1748(gp)<br>    |
| 449|[0x80004904]<br>0x0000B504|- rs1_val==46340 and imm_val==4<br>                                                                                                                                                                       |[0x80001a20]:ori a1, a0, 4<br> [0x80001a24]:sw a1, 1752(gp)<br>       |
| 450|[0x80004908]<br>0x0000B52C|- rs1_val==46340 and imm_val==44<br>                                                                                                                                                                      |[0x80001a30]:ori a1, a0, 44<br> [0x80001a34]:sw a1, 1756(gp)<br>      |
| 451|[0x8000490c]<br>0x0000B504|- rs1_val==46340 and imm_val==0<br>                                                                                                                                                                       |[0x80001a40]:ori a1, a0, 0<br> [0x80001a44]:sw a1, 1760(gp)<br>       |
| 452|[0x80004910]<br>0x0000B765|- rs1_val==46340 and imm_val==1637<br>                                                                                                                                                                    |[0x80001a50]:ori a1, a0, 1637<br> [0x80001a54]:sw a1, 1764(gp)<br>    |
| 453|[0x80004914]<br>0x0000B736|- rs1_val==46340 and imm_val==818<br>                                                                                                                                                                     |[0x80001a60]:ori a1, a0, 818<br> [0x80001a64]:sw a1, 1768(gp)<br>     |
| 454|[0x80004918]<br>0x0000B554|- rs1_val==46340 and imm_val==1364<br>                                                                                                                                                                    |[0x80001a70]:ori a1, a0, 1364<br> [0x80001a74]:sw a1, 1772(gp)<br>    |
| 455|[0x8000491c]<br>0x0000B506|- rs1_val==46340 and imm_val==2<br>                                                                                                                                                                       |[0x80001a80]:ori a1, a0, 2<br> [0x80001a84]:sw a1, 1776(gp)<br>       |
| 456|[0x80004920]<br>0x0000B52D|- rs1_val==46340 and imm_val==45<br>                                                                                                                                                                      |[0x80001a90]:ori a1, a0, 45<br> [0x80001a94]:sw a1, 1780(gp)<br>      |
| 457|[0x80004924]<br>0xFFFFFFD7|- rs1_val==46340 and imm_val==-45<br>                                                                                                                                                                     |[0x80001aa0]:ori a1, a0, 4051<br> [0x80001aa4]:sw a1, 1784(gp)<br>    |
| 458|[0x80004928]<br>0x0000B766|- rs1_val==46340 and imm_val==1638<br>                                                                                                                                                                    |[0x80001ab0]:ori a1, a0, 1638<br> [0x80001ab4]:sw a1, 1788(gp)<br>    |
| 459|[0x8000492c]<br>0x0000B737|- rs1_val==46340 and imm_val==819<br>                                                                                                                                                                     |[0x80001ac0]:ori a1, a0, 819<br> [0x80001ac4]:sw a1, 1792(gp)<br>     |
| 460|[0x80004930]<br>0x0000B505|- rs1_val==46340 and imm_val==5<br>                                                                                                                                                                       |[0x80001ad0]:ori a1, a0, 5<br> [0x80001ad4]:sw a1, 1796(gp)<br>       |
| 461|[0x80004934]<br>0xFFFFFFAE|- rs1_val==46340 and imm_val==-1366<br>                                                                                                                                                                   |[0x80001ae0]:ori a1, a0, 2730<br> [0x80001ae4]:sw a1, 1800(gp)<br>    |
| 462|[0x80004938]<br>0x0000B555|- rs1_val==46340 and imm_val==1365<br>                                                                                                                                                                    |[0x80001af0]:ori a1, a0, 1365<br> [0x80001af4]:sw a1, 1804(gp)<br>    |
| 463|[0x8000493c]<br>0x0000B507|- rs1_val==46340 and imm_val==3<br>                                                                                                                                                                       |[0x80001b00]:ori a1, a0, 3<br> [0x80001b04]:sw a1, 1808(gp)<br>       |
| 464|[0x80004940]<br>0xFFFF4AFE|- rs1_val==-46340 and imm_val==46<br>                                                                                                                                                                     |[0x80001b10]:ori a1, a0, 46<br> [0x80001b14]:sw a1, 1812(gp)<br>      |
| 465|[0x80004944]<br>0xFFFFFFFC|- rs1_val==-46340 and imm_val==-44<br>                                                                                                                                                                    |[0x80001b20]:ori a1, a0, 4052<br> [0x80001b24]:sw a1, 1816(gp)<br>    |
| 466|[0x80004948]<br>0xFFFF4EFF|- rs1_val==-46340 and imm_val==1639<br>                                                                                                                                                                   |[0x80001b30]:ori a1, a0, 1639<br> [0x80001b34]:sw a1, 1820(gp)<br>    |
| 467|[0x8000494c]<br>0xFFFF4BFC|- rs1_val==-46340 and imm_val==820<br>                                                                                                                                                                    |[0x80001b40]:ori a1, a0, 820<br> [0x80001b44]:sw a1, 1824(gp)<br>     |
| 468|[0x80004950]<br>0xFFFF4AFE|- rs1_val==-46340 and imm_val==6<br>                                                                                                                                                                      |[0x80001b50]:ori a1, a0, 6<br> [0x80001b54]:sw a1, 1828(gp)<br>       |
| 469|[0x80004954]<br>0xFFFFFAFF|- rs1_val==-46340 and imm_val==-1365<br>                                                                                                                                                                  |[0x80001b60]:ori a1, a0, 2731<br> [0x80001b64]:sw a1, 1832(gp)<br>    |
| 470|[0x80004958]<br>0xFFFF4FFE|- rs1_val==-46340 and imm_val==1366<br>                                                                                                                                                                   |[0x80001b70]:ori a1, a0, 1366<br> [0x80001b74]:sw a1, 1836(gp)<br>    |
| 471|[0x8000495c]<br>0xFFFF4AFC|- rs1_val==-46340 and imm_val==4<br>                                                                                                                                                                      |[0x80001b80]:ori a1, a0, 4<br> [0x80001b84]:sw a1, 1840(gp)<br>       |
| 472|[0x80004960]<br>0xFFFF4AFC|- rs1_val==-46340 and imm_val==44<br>                                                                                                                                                                     |[0x80001b90]:ori a1, a0, 44<br> [0x80001b94]:sw a1, 1844(gp)<br>      |
| 473|[0x80004964]<br>0xFFFF4AFC|- rs1_val==-46340 and imm_val==0<br>                                                                                                                                                                      |[0x80001ba0]:ori a1, a0, 0<br> [0x80001ba4]:sw a1, 1848(gp)<br>       |
| 474|[0x80004968]<br>0xFFFF4EFD|- rs1_val==-46340 and imm_val==1637<br>                                                                                                                                                                   |[0x80001bb0]:ori a1, a0, 1637<br> [0x80001bb4]:sw a1, 1852(gp)<br>    |
| 475|[0x8000496c]<br>0xFFFF4BFE|- rs1_val==-46340 and imm_val==818<br>                                                                                                                                                                    |[0x80001bc0]:ori a1, a0, 818<br> [0x80001bc4]:sw a1, 1856(gp)<br>     |
| 476|[0x80004970]<br>0xFFFF4FFC|- rs1_val==-46340 and imm_val==1364<br>                                                                                                                                                                   |[0x80001bd0]:ori a1, a0, 1364<br> [0x80001bd4]:sw a1, 1860(gp)<br>    |
| 477|[0x80004974]<br>0xFFFF4AFE|- rs1_val==-46340 and imm_val==2<br>                                                                                                                                                                      |[0x80001be0]:ori a1, a0, 2<br> [0x80001be4]:sw a1, 1864(gp)<br>       |
| 478|[0x80004978]<br>0xFFFF4AFD|- rs1_val==-46340 and imm_val==45<br>                                                                                                                                                                     |[0x80001bf0]:ori a1, a0, 45<br> [0x80001bf4]:sw a1, 1868(gp)<br>      |
| 479|[0x8000497c]<br>0xFFFFFFFF|- rs1_val==-46340 and imm_val==-45<br>                                                                                                                                                                    |[0x80001c00]:ori a1, a0, 4051<br> [0x80001c04]:sw a1, 1872(gp)<br>    |
| 480|[0x80004980]<br>0xFFFF4EFE|- rs1_val==-46340 and imm_val==1638<br>                                                                                                                                                                   |[0x80001c10]:ori a1, a0, 1638<br> [0x80001c14]:sw a1, 1876(gp)<br>    |
| 481|[0x80004984]<br>0xFFFF4BFF|- rs1_val==-46340 and imm_val==819<br>                                                                                                                                                                    |[0x80001c20]:ori a1, a0, 819<br> [0x80001c24]:sw a1, 1880(gp)<br>     |
| 482|[0x80004988]<br>0xFFFF4AFD|- rs1_val==-46340 and imm_val==5<br>                                                                                                                                                                      |[0x80001c30]:ori a1, a0, 5<br> [0x80001c34]:sw a1, 1884(gp)<br>       |
| 483|[0x8000498c]<br>0xFFFFFAFE|- rs1_val==-46340 and imm_val==-1366<br>                                                                                                                                                                  |[0x80001c40]:ori a1, a0, 2730<br> [0x80001c44]:sw a1, 1888(gp)<br>    |
| 484|[0x80004990]<br>0xFFFF4FFD|- rs1_val==-46340 and imm_val==1365<br>                                                                                                                                                                   |[0x80001c50]:ori a1, a0, 1365<br> [0x80001c54]:sw a1, 1892(gp)<br>    |
| 485|[0x80004994]<br>0xFFFF4AFF|- rs1_val==-46340 and imm_val==3<br>                                                                                                                                                                      |[0x80001c60]:ori a1, a0, 3<br> [0x80001c64]:sw a1, 1896(gp)<br>       |
| 486|[0x80004998]<br>0x6666666E|- rs1_val==1717986918 and imm_val==46<br>                                                                                                                                                                 |[0x80001c70]:ori a1, a0, 46<br> [0x80001c74]:sw a1, 1900(gp)<br>      |
| 487|[0x8000499c]<br>0xFFFFFFF6|- rs1_val==1717986918 and imm_val==-44<br>                                                                                                                                                                |[0x80001c80]:ori a1, a0, 4052<br> [0x80001c84]:sw a1, 1904(gp)<br>    |
| 488|[0x800049a0]<br>0x66666667|- rs1_val==1717986918 and imm_val==1639<br>                                                                                                                                                               |[0x80001c90]:ori a1, a0, 1639<br> [0x80001c94]:sw a1, 1908(gp)<br>    |
| 489|[0x800049a4]<br>0x66666776|- rs1_val==1717986918 and imm_val==820<br>                                                                                                                                                                |[0x80001ca0]:ori a1, a0, 820<br> [0x80001ca4]:sw a1, 1912(gp)<br>     |
| 490|[0x800049a8]<br>0x66666666|- rs1_val==1717986918 and imm_val==6<br>                                                                                                                                                                  |[0x80001cb0]:ori a1, a0, 6<br> [0x80001cb4]:sw a1, 1916(gp)<br>       |
| 491|[0x800049ac]<br>0xFFFFFEEF|- rs1_val==1717986918 and imm_val==-1365<br>                                                                                                                                                              |[0x80001cc0]:ori a1, a0, 2731<br> [0x80001cc4]:sw a1, 1920(gp)<br>    |
| 492|[0x800049b0]<br>0x66666776|- rs1_val==1717986918 and imm_val==1366<br>                                                                                                                                                               |[0x80001cd0]:ori a1, a0, 1366<br> [0x80001cd4]:sw a1, 1924(gp)<br>    |
| 493|[0x800049b4]<br>0x66666666|- rs1_val==1717986918 and imm_val==4<br>                                                                                                                                                                  |[0x80001ce0]:ori a1, a0, 4<br> [0x80001ce4]:sw a1, 1928(gp)<br>       |
| 494|[0x800049b8]<br>0x6666666E|- rs1_val==1717986918 and imm_val==44<br>                                                                                                                                                                 |[0x80001cf0]:ori a1, a0, 44<br> [0x80001cf4]:sw a1, 1932(gp)<br>      |
| 495|[0x800049bc]<br>0x66666666|- rs1_val==1717986918 and imm_val==0<br>                                                                                                                                                                  |[0x80001d00]:ori a1, a0, 0<br> [0x80001d04]:sw a1, 1936(gp)<br>       |
| 496|[0x800049c0]<br>0x66666667|- rs1_val==1717986918 and imm_val==1637<br>                                                                                                                                                               |[0x80001d10]:ori a1, a0, 1637<br> [0x80001d14]:sw a1, 1940(gp)<br>    |
| 497|[0x800049c4]<br>0x66666776|- rs1_val==1717986918 and imm_val==818<br>                                                                                                                                                                |[0x80001d20]:ori a1, a0, 818<br> [0x80001d24]:sw a1, 1944(gp)<br>     |
| 498|[0x800049c8]<br>0x66666776|- rs1_val==1717986918 and imm_val==1364<br>                                                                                                                                                               |[0x80001d30]:ori a1, a0, 1364<br> [0x80001d34]:sw a1, 1948(gp)<br>    |
| 499|[0x800049cc]<br>0x66666666|- rs1_val==1717986918 and imm_val==2<br>                                                                                                                                                                  |[0x80001d40]:ori a1, a0, 2<br> [0x80001d44]:sw a1, 1952(gp)<br>       |
| 500|[0x800049d0]<br>0x6666666F|- rs1_val==1717986918 and imm_val==45<br>                                                                                                                                                                 |[0x80001d50]:ori a1, a0, 45<br> [0x80001d54]:sw a1, 1956(gp)<br>      |
| 501|[0x800049d4]<br>0xFFFFFFF7|- rs1_val==1717986918 and imm_val==-45<br>                                                                                                                                                                |[0x80001d60]:ori a1, a0, 4051<br> [0x80001d64]:sw a1, 1960(gp)<br>    |
| 502|[0x800049d8]<br>0x66666666|- rs1_val==1717986918 and imm_val==1638<br>                                                                                                                                                               |[0x80001d70]:ori a1, a0, 1638<br> [0x80001d74]:sw a1, 1964(gp)<br>    |
| 503|[0x800049dc]<br>0x66666777|- rs1_val==1717986918 and imm_val==819<br>                                                                                                                                                                |[0x80001d80]:ori a1, a0, 819<br> [0x80001d84]:sw a1, 1968(gp)<br>     |
| 504|[0x800049e0]<br>0x66666667|- rs1_val==1717986918 and imm_val==5<br>                                                                                                                                                                  |[0x80001d90]:ori a1, a0, 5<br> [0x80001d94]:sw a1, 1972(gp)<br>       |
| 505|[0x800049e4]<br>0xFFFFFEEE|- rs1_val==1717986918 and imm_val==-1366<br>                                                                                                                                                              |[0x80001da0]:ori a1, a0, 2730<br> [0x80001da4]:sw a1, 1976(gp)<br>    |
| 506|[0x800049e8]<br>0x66666777|- rs1_val==1717986918 and imm_val==1365<br>                                                                                                                                                               |[0x80001db0]:ori a1, a0, 1365<br> [0x80001db4]:sw a1, 1980(gp)<br>    |
| 507|[0x800049ec]<br>0x66666667|- rs1_val==1717986918 and imm_val==3<br>                                                                                                                                                                  |[0x80001dc0]:ori a1, a0, 3<br> [0x80001dc4]:sw a1, 1984(gp)<br>       |
| 508|[0x800049f0]<br>0x3333333F|- rs1_val==858993459 and imm_val==46<br>                                                                                                                                                                  |[0x80001dd0]:ori a1, a0, 46<br> [0x80001dd4]:sw a1, 1988(gp)<br>      |
| 509|[0x800049f4]<br>0xFFFFFFF7|- rs1_val==858993459 and imm_val==-44<br>                                                                                                                                                                 |[0x80001de0]:ori a1, a0, 4052<br> [0x80001de4]:sw a1, 1992(gp)<br>    |
| 510|[0x800049f8]<br>0x33333777|- rs1_val==858993459 and imm_val==1639<br>                                                                                                                                                                |[0x80001df0]:ori a1, a0, 1639<br> [0x80001df4]:sw a1, 1996(gp)<br>    |
| 511|[0x800049fc]<br>0x33333337|- rs1_val==858993459 and imm_val==820<br>                                                                                                                                                                 |[0x80001e00]:ori a1, a0, 820<br> [0x80001e04]:sw a1, 2000(gp)<br>     |
| 512|[0x80004a00]<br>0x33333337|- rs1_val==858993459 and imm_val==6<br>                                                                                                                                                                   |[0x80001e10]:ori a1, a0, 6<br> [0x80001e14]:sw a1, 2004(gp)<br>       |
| 513|[0x80004a04]<br>0xFFFFFBBB|- rs1_val==858993459 and imm_val==-1365<br>                                                                                                                                                               |[0x80001e20]:ori a1, a0, 2731<br> [0x80001e24]:sw a1, 2008(gp)<br>    |
| 514|[0x80004a08]<br>0x33333777|- rs1_val==858993459 and imm_val==1366<br>                                                                                                                                                                |[0x80001e30]:ori a1, a0, 1366<br> [0x80001e34]:sw a1, 2012(gp)<br>    |
| 515|[0x80004a0c]<br>0x33333337|- rs1_val==858993459 and imm_val==4<br>                                                                                                                                                                   |[0x80001e40]:ori a1, a0, 4<br> [0x80001e44]:sw a1, 2016(gp)<br>       |
| 516|[0x80004a10]<br>0x3333333F|- rs1_val==858993459 and imm_val==44<br>                                                                                                                                                                  |[0x80001e50]:ori a1, a0, 44<br> [0x80001e54]:sw a1, 2020(gp)<br>      |
| 517|[0x80004a14]<br>0x33333333|- rs1_val==858993459 and imm_val==0<br>                                                                                                                                                                   |[0x80001e60]:ori a1, a0, 0<br> [0x80001e64]:sw a1, 2024(gp)<br>       |
| 518|[0x80004a18]<br>0x33333777|- rs1_val==858993459 and imm_val==1637<br>                                                                                                                                                                |[0x80001e70]:ori a1, a0, 1637<br> [0x80001e74]:sw a1, 2028(gp)<br>    |
| 519|[0x80004a1c]<br>0x33333333|- rs1_val==858993459 and imm_val==818<br>                                                                                                                                                                 |[0x80001e80]:ori a1, a0, 818<br> [0x80001e84]:sw a1, 2032(gp)<br>     |
| 520|[0x80004a20]<br>0x33333777|- rs1_val==858993459 and imm_val==1364<br>                                                                                                                                                                |[0x80001e90]:ori a1, a0, 1364<br> [0x80001e94]:sw a1, 2036(gp)<br>    |
| 521|[0x80004a24]<br>0x33333333|- rs1_val==858993459 and imm_val==2<br>                                                                                                                                                                   |[0x80001ea0]:ori a1, a0, 2<br> [0x80001ea4]:sw a1, 2040(gp)<br>       |
| 522|[0x80004a28]<br>0x3333333F|- rs1_val==858993459 and imm_val==45<br>                                                                                                                                                                  |[0x80001eb0]:ori a1, a0, 45<br> [0x80001eb4]:sw a1, 2044(gp)<br>      |
| 523|[0x80004a2c]<br>0xFFFFFFF3|- rs1_val==858993459 and imm_val==-45<br>                                                                                                                                                                 |[0x80001ec8]:ori a1, a0, 4051<br> [0x80001ecc]:sw a1, 0(gp)<br>       |
| 524|[0x80004a30]<br>0x33333777|- rs1_val==858993459 and imm_val==1638<br>                                                                                                                                                                |[0x80001ed8]:ori a1, a0, 1638<br> [0x80001edc]:sw a1, 4(gp)<br>       |
| 525|[0x80004a34]<br>0x33333333|- rs1_val==858993459 and imm_val==819<br>                                                                                                                                                                 |[0x80001ee8]:ori a1, a0, 819<br> [0x80001eec]:sw a1, 8(gp)<br>        |
| 526|[0x80004a38]<br>0x33333337|- rs1_val==858993459 and imm_val==5<br>                                                                                                                                                                   |[0x80001ef8]:ori a1, a0, 5<br> [0x80001efc]:sw a1, 12(gp)<br>         |
| 527|[0x80004a3c]<br>0xFFFFFBBB|- rs1_val==858993459 and imm_val==-1366<br>                                                                                                                                                               |[0x80001f08]:ori a1, a0, 2730<br> [0x80001f0c]:sw a1, 16(gp)<br>      |
| 528|[0x80004a40]<br>0x33333777|- rs1_val==858993459 and imm_val==1365<br>                                                                                                                                                                |[0x80001f18]:ori a1, a0, 1365<br> [0x80001f1c]:sw a1, 20(gp)<br>      |
| 529|[0x80004a44]<br>0x33333333|- rs1_val==858993459 and imm_val==3<br>                                                                                                                                                                   |[0x80001f28]:ori a1, a0, 3<br> [0x80001f2c]:sw a1, 24(gp)<br>         |
| 530|[0x80004a48]<br>0x0000002F|- rs1_val==5 and imm_val==46<br>                                                                                                                                                                          |[0x80001f34]:ori a1, a0, 46<br> [0x80001f38]:sw a1, 28(gp)<br>        |
| 531|[0x80004a4c]<br>0xFFFFFFD5|- rs1_val==5 and imm_val==-44<br>                                                                                                                                                                         |[0x80001f40]:ori a1, a0, 4052<br> [0x80001f44]:sw a1, 32(gp)<br>      |
| 532|[0x80004a50]<br>0x00000667|- rs1_val==5 and imm_val==1639<br>                                                                                                                                                                        |[0x80001f4c]:ori a1, a0, 1639<br> [0x80001f50]:sw a1, 36(gp)<br>      |
| 533|[0x80004a54]<br>0x00000335|- rs1_val==5 and imm_val==820<br>                                                                                                                                                                         |[0x80001f58]:ori a1, a0, 820<br> [0x80001f5c]:sw a1, 40(gp)<br>       |
| 534|[0x80004a58]<br>0x00000007|- rs1_val==5 and imm_val==6<br>                                                                                                                                                                           |[0x80001f64]:ori a1, a0, 6<br> [0x80001f68]:sw a1, 44(gp)<br>         |
| 535|[0x80004a5c]<br>0xFFFFFAAF|- rs1_val==5 and imm_val==-1365<br>                                                                                                                                                                       |[0x80001f70]:ori a1, a0, 2731<br> [0x80001f74]:sw a1, 48(gp)<br>      |
| 536|[0x80004a60]<br>0x00000557|- rs1_val==5 and imm_val==1366<br>                                                                                                                                                                        |[0x80001f7c]:ori a1, a0, 1366<br> [0x80001f80]:sw a1, 52(gp)<br>      |
| 537|[0x80004a64]<br>0x00000005|- rs1_val==5 and imm_val==4<br>                                                                                                                                                                           |[0x80001f88]:ori a1, a0, 4<br> [0x80001f8c]:sw a1, 56(gp)<br>         |
| 538|[0x80004a68]<br>0x0000002D|- rs1_val==5 and imm_val==44<br>                                                                                                                                                                          |[0x80001f94]:ori a1, a0, 44<br> [0x80001f98]:sw a1, 60(gp)<br>        |
| 539|[0x80004a6c]<br>0x00000005|- rs1_val==5 and imm_val==0<br>                                                                                                                                                                           |[0x80001fa0]:ori a1, a0, 0<br> [0x80001fa4]:sw a1, 64(gp)<br>         |
| 540|[0x80004a70]<br>0x00000665|- rs1_val==5 and imm_val==1637<br>                                                                                                                                                                        |[0x80001fac]:ori a1, a0, 1637<br> [0x80001fb0]:sw a1, 68(gp)<br>      |
| 541|[0x80004a74]<br>0x00000337|- rs1_val==5 and imm_val==818<br>                                                                                                                                                                         |[0x80001fb8]:ori a1, a0, 818<br> [0x80001fbc]:sw a1, 72(gp)<br>       |
| 542|[0x80004a78]<br>0x00000555|- rs1_val==5 and imm_val==1364<br>                                                                                                                                                                        |[0x80001fc4]:ori a1, a0, 1364<br> [0x80001fc8]:sw a1, 76(gp)<br>      |
| 543|[0x80004a7c]<br>0x00000007|- rs1_val==5 and imm_val==2<br>                                                                                                                                                                           |[0x80001fd0]:ori a1, a0, 2<br> [0x80001fd4]:sw a1, 80(gp)<br>         |
| 544|[0x80004a80]<br>0x0000002D|- rs1_val==5 and imm_val==45<br>                                                                                                                                                                          |[0x80001fdc]:ori a1, a0, 45<br> [0x80001fe0]:sw a1, 84(gp)<br>        |
| 545|[0x80004a84]<br>0xFFFFFFD7|- rs1_val==5 and imm_val==-45<br>                                                                                                                                                                         |[0x80001fe8]:ori a1, a0, 4051<br> [0x80001fec]:sw a1, 88(gp)<br>      |
| 546|[0x80004a88]<br>0x00000667|- rs1_val==5 and imm_val==1638<br>                                                                                                                                                                        |[0x80001ff4]:ori a1, a0, 1638<br> [0x80001ff8]:sw a1, 92(gp)<br>      |
| 547|[0x80004a8c]<br>0x00000337|- rs1_val==5 and imm_val==819<br>                                                                                                                                                                         |[0x80002000]:ori a1, a0, 819<br> [0x80002004]:sw a1, 96(gp)<br>       |
| 548|[0x80004a90]<br>0x00000005|- rs1_val==5 and imm_val==5<br>                                                                                                                                                                           |[0x8000200c]:ori a1, a0, 5<br> [0x80002010]:sw a1, 100(gp)<br>        |
| 549|[0x80004a94]<br>0xFFFFFAAF|- rs1_val==5 and imm_val==-1366<br>                                                                                                                                                                       |[0x80002018]:ori a1, a0, 2730<br> [0x8000201c]:sw a1, 104(gp)<br>     |
| 550|[0x80004a98]<br>0x00000555|- rs1_val==5 and imm_val==1365<br>                                                                                                                                                                        |[0x80002024]:ori a1, a0, 1365<br> [0x80002028]:sw a1, 108(gp)<br>     |
| 551|[0x80004a9c]<br>0x00000007|- rs1_val==5 and imm_val==3<br>                                                                                                                                                                           |[0x80002030]:ori a1, a0, 3<br> [0x80002034]:sw a1, 112(gp)<br>        |
| 552|[0x80004aa0]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==46<br>                                                                                                                                                                |[0x80002040]:ori a1, a0, 46<br> [0x80002044]:sw a1, 116(gp)<br>       |
| 553|[0x80004aa4]<br>0xFFFFFFFE|- rs1_val==-1431655766 and imm_val==-44<br>                                                                                                                                                               |[0x80002050]:ori a1, a0, 4052<br> [0x80002054]:sw a1, 120(gp)<br>     |
| 554|[0x80004aa8]<br>0xAAAAAEEF|- rs1_val==-1431655766 and imm_val==1639<br>                                                                                                                                                              |[0x80002060]:ori a1, a0, 1639<br> [0x80002064]:sw a1, 124(gp)<br>     |
| 555|[0x80004aac]<br>0xAAAAABBE|- rs1_val==-1431655766 and imm_val==820<br>                                                                                                                                                               |[0x80002070]:ori a1, a0, 820<br> [0x80002074]:sw a1, 128(gp)<br>      |
| 556|[0x80004ab0]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==6<br>                                                                                                                                                                 |[0x80002080]:ori a1, a0, 6<br> [0x80002084]:sw a1, 132(gp)<br>        |
| 557|[0x80004ab4]<br>0x7FFFFFFF|- rs1_val == 2147483647<br> - rs1_val == (2**(xlen-1)-1)<br>                                                                                                                                              |[0x80002090]:ori a1, a0, 1023<br> [0x80002094]:sw a1, 136(gp)<br>     |
