
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80002b00')]      |
| SIG_REGION                | [('0x80004010', '0x80004dd0', '440 dwords')]      |
| COV_LABELS                | caddi      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/caddi-01.S/caddi-01.S    |
| Total Number of coverpoints| 496     |
| Total Coverpoints Hit     | 496      |
| Total Signature Updates   | 440      |
| STAT1                     | 440      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                              coverpoints                                                               |                              code                               |
|---:|----------------------------------|----------------------------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------|
|   1|[0x80004010]<br>0xFFFFFFFFFFFFFFFA|- opcode : c.addi<br> - rd : x15<br> - rs1_val == imm_val<br> - rs1_val < 0 and imm_val < 0<br> - imm_val == -3<br> - rs1_val == -3<br> |[0x8000039c]:c.addi a5, 61<br> [0x8000039e]:c.sd a3, a5, 0<br>   |
|   2|[0x80004018]<br>0xFFFFFFFF4AFB0CDD|- rd : x4<br> - rs1_val != imm_val<br> - rs1_val < 0 and imm_val > 0<br>                                                                |[0x800003b0]:c.addi tp, 15<br> [0x800003b2]:sd tp, 8(a3)<br>     |
|   3|[0x80004020]<br>0x555555555555555B|- rd : x12<br> - rs1_val > 0 and imm_val > 0<br> - rs1_val == 6148914691236517205<br> - rs1_val==6148914691236517205 and imm_val==6<br> |[0x800003d6]:c.addi a2, 6<br> [0x800003d8]:c.sd a3, a2, 16<br>   |
|   4|[0x80004028]<br>0x0000000000000005|- rd : x5<br> - rs1_val > 0 and imm_val < 0<br> - rs1_val==6 and imm_val==-1<br>                                                        |[0x800003de]:c.addi t0, 63<br> [0x800003e0]:sd t0, 24(a3)<br>    |
|   5|[0x80004030]<br>0xFFFFFFFFFFFFFBDF|- rd : x8<br> - imm_val == (-2**(6-1))<br> - imm_val == -32<br> - rs1_val == -1025<br>                                                  |[0x800003e8]:c.addi fp, 32<br> [0x800003ea]:c.sd a3, s0, 32<br>  |
|   6|[0x80004038]<br>0xAAAAAAAAAAAAAAAA|- rd : x14<br> - imm_val == 0<br> - rs1_val == -6148914691236517206<br> - rs1_val==-6148914691236517206 and imm_val==0<br>              |[0x8000040c]:c.addi.hint.a4<br> [0x8000040e]:c.sd a3, a4, 40<br> |
|   7|[0x80004040]<br>0xFFFFFFFFFFFFFC1E|- rd : x21<br> - imm_val == (2**(6-1)-1)<br> - imm_val == 31<br>                                                                        |[0x80000414]:c.addi s5, 31<br> [0x80000416]:sd s5, 48(a3)<br>    |
|   8|[0x80004048]<br>0x5555555555555556|- rd : x22<br> - imm_val == 1<br>                                                                                                       |[0x8000043a]:c.addi s6, 1<br> [0x8000043c]:sd s6, 56(a3)<br>     |
|   9|[0x80004050]<br>0x8000000000000002|- rd : x28<br> - rs1_val == (-2**(xlen-1))<br> - imm_val == 2<br> - rs1_val == -9223372036854775808<br>                                 |[0x80000448]:c.addi t3, 2<br> [0x8000044a]:sd t3, 64(a3)<br>     |
|  10|[0x80004058]<br>0xFFFFFFFFFFFFFFF0|- rd : x1<br> - rs1_val == 0<br>                                                                                                        |[0x80000452]:c.addi ra, 48<br> [0x80000454]:sd ra, 72(a3)<br>    |
|  11|[0x80004060]<br>0x7FFFFFFFFFFFFFFA|- rd : x9<br> - rs1_val == (2**(xlen-1)-1)<br> - imm_val == -5<br> - rs1_val == 9223372036854775807<br>                                 |[0x80000464]:c.addi s1, 59<br> [0x80000466]:c.sd a3, s1, 80<br>  |
|  12|[0x80004068]<br>0x0000000000000000|- rd : x25<br> - rs1_val == 1<br>                                                                                                       |[0x8000046c]:c.addi s9, 63<br> [0x8000046e]:sd s9, 88(a3)<br>    |
|  13|[0x80004070]<br>0x0000000040000004|- rd : x31<br> - imm_val == 4<br> - rs1_val == 1073741824<br>                                                                           |[0x80000476]:c.addi t6, 4<br> [0x80000478]:sd t6, 96(a3)<br>     |
|  14|[0x80004078]<br>0xFFFFFFFC00000007|- rd : x20<br> - imm_val == 8<br> - rs1_val == -17179869185<br>                                                                         |[0x80000488]:c.addi s4, 8<br> [0x8000048a]:sd s4, 104(a3)<br>    |
|  15|[0x80004080]<br>0x000000000000000A|- rd : x6<br> - imm_val == 16<br>                                                                                                       |[0x80000492]:c.addi t1, 16<br> [0x80000494]:sd t1, 112(a3)<br>   |
|  16|[0x80004088]<br>0x0000000000000002|- rd : x26<br> - imm_val == -2<br> - rs1_val == 4<br> - rs1_val==4 and imm_val==-2<br>                                                  |[0x8000049c]:c.addi s10, 62<br> [0x8000049e]:sd s10, 120(a3)<br> |
|  17|[0x80004090]<br>0x00000000B504F329|- rd : x19<br> - imm_val == -9<br>                                                                                                      |[0x800004b2]:c.addi s3, 55<br> [0x800004b4]:sd s3, 128(a3)<br>   |
|  18|[0x80004098]<br>0xFFF7FFFFFFFFFFEE|- rd : x16<br> - imm_val == -17<br> - rs1_val == -2251799813685249<br>                                                                  |[0x800004c4]:c.addi a6, 47<br> [0x800004c6]:sd a6, 136(a3)<br>   |
|  19|[0x800040a0]<br>0x0000000001000015|- rd : x7<br> - imm_val == 21<br> - rs1_val == 16777216<br>                                                                             |[0x800004ce]:c.addi t2, 21<br> [0x800004d0]:sd t2, 144(a3)<br>   |
|  20|[0x800040a8]<br>0xFFFFFFFFFFFDFFE9|- rd : x30<br> - imm_val == -22<br> - rs1_val == -131073<br>                                                                            |[0x800004dc]:c.addi t5, 42<br> [0x800004de]:sd t5, 152(a3)<br>   |
|  21|[0x800040b0]<br>0x0000000000000007|- rd : x11<br> - rs1_val == 2<br> - rs1_val==2 and imm_val==5<br>                                                                       |[0x800004e6]:c.addi a1, 5<br> [0x800004e8]:c.sd a3, a1, 160<br>  |
|  22|[0x800040b8]<br>0x000000000000000D|- rd : x10<br> - rs1_val == 8<br>                                                                                                       |[0x800004ee]:c.addi a0, 5<br> [0x800004f0]:c.sd a3, a0, 168<br>  |
|  23|[0x800040c0]<br>0x0000000000000017|- rd : x3<br> - rs1_val == 16<br>                                                                                                       |[0x800004f6]:c.addi gp, 7<br> [0x800004f8]:sd gp, 176(a3)<br>    |
|  24|[0x800040c8]<br>0x0000000000000000|- rd : x27<br> - rs1_val == 32<br>                                                                                                      |[0x80000500]:c.addi s11, 32<br> [0x80000502]:sd s11, 184(a3)<br> |
|  25|[0x800040d0]<br>0x000000000000003E|- rd : x18<br> - rs1_val == 64<br>                                                                                                      |[0x8000050a]:c.addi s2, 62<br> [0x8000050c]:sd s2, 192(a3)<br>   |
|  26|[0x800040d8]<br>0x000000000000009F|- rd : x23<br> - rs1_val == 128<br>                                                                                                     |[0x80000514]:c.addi s7, 31<br> [0x80000516]:sd s7, 200(a3)<br>   |
|  27|[0x800040e0]<br>0x0000000000000104|- rd : x2<br> - rs1_val == 256<br>                                                                                                      |[0x8000051e]:c.addi sp, 4<br> [0x80000520]:sd sp, 208(a3)<br>    |
|  28|[0x800040e8]<br>0x0000000000000206|- rd : x24<br> - rs1_val == 512<br>                                                                                                     |[0x80000528]:c.addi s8, 6<br> [0x8000052a]:sd s8, 216(a3)<br>    |
|  29|[0x800040f0]<br>0x0000000000000407|- rd : x13<br> - rs1_val == 1024<br>                                                                                                    |[0x8000053a]:c.addi a3, 7<br> [0x8000053c]:sd a3, 0(ra)<br>      |
|  30|[0x800040f8]<br>0x000000000000081F|- rd : x17<br> - rs1_val == 2048<br>                                                                                                    |[0x80000548]:c.addi a7, 31<br> [0x8000054a]:sd a7, 8(ra)<br>     |
|  31|[0x80004100]<br>0x0000000000001006|- rd : x29<br> - rs1_val == 4096<br>                                                                                                    |[0x80000552]:c.addi t4, 6<br> [0x80000554]:sd t4, 16(ra)<br>     |
|  32|[0x80004108]<br>0x0000000000002004|- rs1_val == 8192<br>                                                                                                                   |[0x8000055c]:c.addi a0, 4<br> [0x8000055e]:sd a0, 24(ra)<br>     |
|  33|[0x80004110]<br>0x0000000000004007|- rs1_val == 16384<br>                                                                                                                  |[0x80000566]:c.addi a0, 7<br> [0x80000568]:sd a0, 32(ra)<br>     |
|  34|[0x80004118]<br>0x0000000000008004|- rs1_val == 32768<br>                                                                                                                  |[0x80000570]:c.addi a0, 4<br> [0x80000572]:sd a0, 40(ra)<br>     |
|  35|[0x80004120]<br>0x0000000000010004|- rs1_val == 65536<br>                                                                                                                  |[0x8000057a]:c.addi a0, 4<br> [0x8000057c]:sd a0, 48(ra)<br>     |
|  36|[0x80004128]<br>0x000000000001FFFD|- rs1_val == 131072<br>                                                                                                                 |[0x80000584]:c.addi a0, 61<br> [0x80000586]:sd a0, 56(ra)<br>    |
|  37|[0x80004130]<br>0x0000000000040002|- rs1_val == 262144<br>                                                                                                                 |[0x8000058e]:c.addi a0, 2<br> [0x80000590]:sd a0, 64(ra)<br>     |
|  38|[0x80004138]<br>0x000000000007FFEA|- rs1_val == 524288<br>                                                                                                                 |[0x80000598]:c.addi a0, 42<br> [0x8000059a]:sd a0, 72(ra)<br>    |
|  39|[0x80004140]<br>0x00000000000FFFF7|- rs1_val == 1048576<br>                                                                                                                |[0x800005a2]:c.addi a0, 55<br> [0x800005a4]:sd a0, 80(ra)<br>    |
|  40|[0x80004148]<br>0x00000000001FFFF6|- rs1_val == 2097152<br>                                                                                                                |[0x800005ac]:c.addi a0, 54<br> [0x800005ae]:sd a0, 88(ra)<br>    |
|  41|[0x80004150]<br>0x0000000000400004|- rs1_val == 4194304<br>                                                                                                                |[0x800005b6]:c.addi a0, 4<br> [0x800005b8]:sd a0, 96(ra)<br>     |
|  42|[0x80004158]<br>0x00000000007FFFE0|- rs1_val == 8388608<br>                                                                                                                |[0x800005c0]:c.addi a0, 32<br> [0x800005c2]:sd a0, 104(ra)<br>   |
|  43|[0x80004160]<br>0x0000000001FFFFEF|- rs1_val == 33554432<br>                                                                                                               |[0x800005ca]:c.addi a0, 47<br> [0x800005cc]:sd a0, 112(ra)<br>   |
|  44|[0x80004168]<br>0x0000000004000004|- rs1_val == 67108864<br>                                                                                                               |[0x800005d4]:c.addi a0, 4<br> [0x800005d6]:sd a0, 120(ra)<br>    |
|  45|[0x80004170]<br>0x0000000008000006|- rs1_val == 134217728<br>                                                                                                              |[0x800005de]:c.addi a0, 6<br> [0x800005e0]:sd a0, 128(ra)<br>    |
|  46|[0x80004178]<br>0x0000000010000002|- rs1_val == 268435456<br>                                                                                                              |[0x800005e8]:c.addi a0, 2<br> [0x800005ea]:sd a0, 136(ra)<br>    |
|  47|[0x80004180]<br>0x000000001FFFFFE0|- rs1_val == 536870912<br>                                                                                                              |[0x800005f2]:c.addi a0, 32<br> [0x800005f4]:sd a0, 144(ra)<br>   |
|  48|[0x80004188]<br>0x0000000080000000|- rs1_val == 2147483648<br>                                                                                                             |[0x80000600]:c.addi.hint.a0<br> [0x80000602]:sd a0, 152(ra)<br>  |
|  49|[0x80004190]<br>0x000000010000000A|- rs1_val == 4294967296<br>                                                                                                             |[0x8000060e]:c.addi a0, 10<br> [0x80000610]:sd a0, 160(ra)<br>   |
|  50|[0x80004198]<br>0x0000000200000006|- rs1_val == 8589934592<br>                                                                                                             |[0x8000061c]:c.addi a0, 6<br> [0x8000061e]:sd a0, 168(ra)<br>    |
|  51|[0x800041a0]<br>0x000000040000000A|- rs1_val == 17179869184<br>                                                                                                            |[0x8000062a]:c.addi a0, 10<br> [0x8000062c]:sd a0, 176(ra)<br>   |
|  52|[0x800041a8]<br>0x0000000800000007|- rs1_val == 34359738368<br>                                                                                                            |[0x80000638]:c.addi a0, 7<br> [0x8000063a]:sd a0, 184(ra)<br>    |
|  53|[0x800041b0]<br>0x0000000FFFFFFFFD|- rs1_val == 68719476736<br>                                                                                                            |[0x80000646]:c.addi a0, 61<br> [0x80000648]:sd a0, 192(ra)<br>   |
|  54|[0x800041b8]<br>0x0000001FFFFFFFFC|- rs1_val == 137438953472<br>                                                                                                           |[0x80000654]:c.addi a0, 60<br> [0x80000656]:sd a0, 200(ra)<br>   |
|  55|[0x800041c0]<br>0x0000004000000002|- rs1_val == 274877906944<br>                                                                                                           |[0x80000662]:c.addi a0, 2<br> [0x80000664]:sd a0, 208(ra)<br>    |
|  56|[0x800041c8]<br>0x0000008000000006|- rs1_val == 549755813888<br>                                                                                                           |[0x80000670]:c.addi a0, 6<br> [0x80000672]:sd a0, 216(ra)<br>    |
|  57|[0x800041d0]<br>0x0000010000000008|- rs1_val == 1099511627776<br>                                                                                                          |[0x8000067e]:c.addi a0, 8<br> [0x80000680]:sd a0, 224(ra)<br>    |
|  58|[0x800041d8]<br>0x0000020000000000|- rs1_val == 2199023255552<br>                                                                                                          |[0x8000068c]:c.addi.hint.a0<br> [0x8000068e]:sd a0, 232(ra)<br>  |
|  59|[0x800041e0]<br>0x0000040000000005|- rs1_val == 4398046511104<br>                                                                                                          |[0x8000069a]:c.addi a0, 5<br> [0x8000069c]:sd a0, 240(ra)<br>    |
|  60|[0x800041e8]<br>0x000007FFFFFFFFFD|- rs1_val == 8796093022208<br>                                                                                                          |[0x800006a8]:c.addi a0, 61<br> [0x800006aa]:sd a0, 248(ra)<br>   |
|  61|[0x800041f0]<br>0x0000100000000006|- rs1_val == 17592186044416<br>                                                                                                         |[0x800006b6]:c.addi a0, 6<br> [0x800006b8]:sd a0, 256(ra)<br>    |
|  62|[0x800041f8]<br>0x00001FFFFFFFFFFB|- rs1_val == 35184372088832<br>                                                                                                         |[0x800006c4]:c.addi a0, 59<br> [0x800006c6]:sd a0, 264(ra)<br>   |
|  63|[0x80004200]<br>0x0000400000000009|- rs1_val == 70368744177664<br>                                                                                                         |[0x800006d2]:c.addi a0, 9<br> [0x800006d4]:sd a0, 272(ra)<br>    |
|  64|[0x80004208]<br>0x0000800000000000|- rs1_val == 140737488355328<br>                                                                                                        |[0x800006e0]:c.addi.hint.a0<br> [0x800006e2]:sd a0, 280(ra)<br>  |
|  65|[0x80004210]<br>0x0001000000000005|- rs1_val == 281474976710656<br>                                                                                                        |[0x800006ee]:c.addi a0, 5<br> [0x800006f0]:sd a0, 288(ra)<br>    |
|  66|[0x80004218]<br>0x0002000000000005|- rs1_val == 562949953421312<br>                                                                                                        |[0x800006fc]:c.addi a0, 5<br> [0x800006fe]:sd a0, 296(ra)<br>    |
|  67|[0x80004220]<br>0x0003FFFFFFFFFFE0|- rs1_val == 1125899906842624<br>                                                                                                       |[0x8000070a]:c.addi a0, 32<br> [0x8000070c]:sd a0, 304(ra)<br>   |
|  68|[0x80004228]<br>0x0008000000000003|- rs1_val == 2251799813685248<br>                                                                                                       |[0x80000718]:c.addi a0, 3<br> [0x8000071a]:sd a0, 312(ra)<br>    |
|  69|[0x80004230]<br>0x0010000000000003|- rs1_val == 4503599627370496<br>                                                                                                       |[0x80000726]:c.addi a0, 3<br> [0x80000728]:sd a0, 320(ra)<br>    |
|  70|[0x80004238]<br>0x0020000000000006|- rs1_val == 9007199254740992<br>                                                                                                       |[0x80000734]:c.addi a0, 6<br> [0x80000736]:sd a0, 328(ra)<br>    |
|  71|[0x80004240]<br>0x0040000000000005|- rs1_val == 18014398509481984<br>                                                                                                      |[0x80000742]:c.addi a0, 5<br> [0x80000744]:sd a0, 336(ra)<br>    |
|  72|[0x80004248]<br>0x0080000000000002|- rs1_val == 36028797018963968<br>                                                                                                      |[0x80000750]:c.addi a0, 2<br> [0x80000752]:sd a0, 344(ra)<br>    |
|  73|[0x80004250]<br>0x00FFFFFFFFFFFFFD|- rs1_val == 72057594037927936<br>                                                                                                      |[0x8000075e]:c.addi a0, 61<br> [0x80000760]:sd a0, 352(ra)<br>   |
|  74|[0x80004258]<br>0x0200000000000004|- rs1_val == 144115188075855872<br>                                                                                                     |[0x8000076c]:c.addi a0, 4<br> [0x8000076e]:sd a0, 360(ra)<br>    |
|  75|[0x80004260]<br>0x0400000000000001|- rs1_val == 288230376151711744<br>                                                                                                     |[0x8000077a]:c.addi a0, 1<br> [0x8000077c]:sd a0, 368(ra)<br>    |
|  76|[0x80004268]<br>0x0800000000000008|- rs1_val == 576460752303423488<br>                                                                                                     |[0x80000788]:c.addi a0, 8<br> [0x8000078a]:sd a0, 376(ra)<br>    |
|  77|[0x80004270]<br>0x1000000000000004|- rs1_val == 1152921504606846976<br>                                                                                                    |[0x80000796]:c.addi a0, 4<br> [0x80000798]:sd a0, 384(ra)<br>    |
|  78|[0x80004278]<br>0x2000000000000003|- rs1_val == 2305843009213693952<br>                                                                                                    |[0x800007a4]:c.addi a0, 3<br> [0x800007a6]:sd a0, 392(ra)<br>    |
|  79|[0x80004280]<br>0x3FFFFFFFFFFFFFFE|- rs1_val == 4611686018427387904<br>                                                                                                    |[0x800007b2]:c.addi a0, 62<br> [0x800007b4]:sd a0, 400(ra)<br>   |
|  80|[0x80004288]<br>0x0000000000000006|- rs1_val == -2<br>                                                                                                                     |[0x800007bc]:c.addi a0, 8<br> [0x800007be]:sd a0, 408(ra)<br>    |
|  81|[0x80004290]<br>0x0000000000000006|- rs1_val == -5<br>                                                                                                                     |[0x800007c6]:c.addi a0, 11<br> [0x800007c8]:sd a0, 416(ra)<br>   |
|  82|[0x80004298]<br>0xFFFFFFFFFFFFFFF7|- rs1_val == -9<br>                                                                                                                     |[0x800007d0]:c.addi.hint.a0<br> [0x800007d2]:sd a0, 424(ra)<br>  |
|  83|[0x800042a0]<br>0xFFFFFFFFFFFFFFEA|- rs1_val == -17<br>                                                                                                                    |[0x800007da]:c.addi a0, 59<br> [0x800007dc]:sd a0, 432(ra)<br>   |
|  84|[0x800042a8]<br>0xFFFFFFFFFFFFFFDA|- rs1_val == -33<br>                                                                                                                    |[0x800007e4]:c.addi a0, 59<br> [0x800007e6]:sd a0, 440(ra)<br>   |
|  85|[0x800042b0]<br>0xFFFFFFFFFFFFFFC5|- rs1_val == -65<br>                                                                                                                    |[0x800007ee]:c.addi a0, 6<br> [0x800007f0]:sd a0, 448(ra)<br>    |
|  86|[0x800042b8]<br>0xFFFFFFFFFFFFFF7A|- rs1_val == -129<br>                                                                                                                   |[0x800007f8]:c.addi a0, 59<br> [0x800007fa]:sd a0, 456(ra)<br>   |
|  87|[0x800042c0]<br>0xFFFFFFFFFFFFFEFD|- rs1_val == -257<br>                                                                                                                   |[0x80000802]:c.addi a0, 62<br> [0x80000804]:sd a0, 464(ra)<br>   |
|  88|[0x800042c8]<br>0xFFFFFFFFFFFFFE03|- rs1_val == -513<br>                                                                                                                   |[0x8000080c]:c.addi a0, 4<br> [0x8000080e]:sd a0, 472(ra)<br>    |
|  89|[0x800042d0]<br>0xFFFFFFFFFFFFF805|- rs1_val == -2049<br>                                                                                                                  |[0x8000081a]:c.addi a0, 6<br> [0x8000081c]:sd a0, 480(ra)<br>    |
|  90|[0x800042d8]<br>0xFFFFFFFFFFFFEFFC|- rs1_val == -4097<br>                                                                                                                  |[0x80000828]:c.addi a0, 61<br> [0x8000082a]:sd a0, 488(ra)<br>   |
|  91|[0x800042e0]<br>0xFFFFFFFFFFFFE005|- rs1_val == -8193<br>                                                                                                                  |[0x80000836]:c.addi a0, 6<br> [0x80000838]:sd a0, 496(ra)<br>    |
|  92|[0x800042e8]<br>0xFFFFFFFFFFFFBFEE|- rs1_val == -16385<br>                                                                                                                 |[0x80000844]:c.addi a0, 47<br> [0x80000846]:sd a0, 504(ra)<br>   |
|  93|[0x800042f0]<br>0xFFFFFFFFFFFF8003|- rs1_val == -32769<br>                                                                                                                 |[0x80000852]:c.addi a0, 4<br> [0x80000854]:sd a0, 512(ra)<br>    |
|  94|[0x800042f8]<br>0xFFFFFFFFFFFF0002|- rs1_val == -65537<br>                                                                                                                 |[0x80000860]:c.addi a0, 3<br> [0x80000862]:sd a0, 520(ra)<br>    |
|  95|[0x80004300]<br>0xFFFFFFFFFFFBFFFE|- rs1_val == -262145<br>                                                                                                                |[0x8000086e]:c.addi a0, 63<br> [0x80000870]:sd a0, 528(ra)<br>   |
|  96|[0x80004308]<br>0xFFFFFFFFFFF7FFFD|- rs1_val == -524289<br>                                                                                                                |[0x8000087c]:c.addi a0, 62<br> [0x8000087e]:sd a0, 536(ra)<br>   |
|  97|[0x80004310]<br>0xFFFFFFFFFFEFFFFF|- rs1_val == -1048577<br>                                                                                                               |[0x8000088a]:c.addi.hint.a0<br> [0x8000088c]:sd a0, 544(ra)<br>  |
|  98|[0x80004318]<br>0xFFFFFFFFFFE00005|- rs1_val == -2097153<br>                                                                                                               |[0x80000898]:c.addi a0, 6<br> [0x8000089a]:sd a0, 552(ra)<br>    |
|  99|[0x80004320]<br>0xFFFFFFFFFFC0001E|- rs1_val == -4194305<br>                                                                                                               |[0x800008a6]:c.addi a0, 31<br> [0x800008a8]:sd a0, 560(ra)<br>   |
| 100|[0x80004328]<br>0xFFFFFFFFFF7FFFF9|- rs1_val == -8388609<br>                                                                                                               |[0x800008b4]:c.addi a0, 58<br> [0x800008b6]:sd a0, 568(ra)<br>   |
| 101|[0x80004330]<br>0xFFFFFFFFFF000009|- rs1_val == -16777217<br>                                                                                                              |[0x800008c2]:c.addi a0, 10<br> [0x800008c4]:sd a0, 576(ra)<br>   |
| 102|[0x80004338]<br>0xFFFFFFFFFDFFFFFB|- rs1_val == -33554433<br>                                                                                                              |[0x800008d0]:c.addi a0, 60<br> [0x800008d2]:sd a0, 584(ra)<br>   |
| 103|[0x80004340]<br>0xFFFFFFFFFC00000E|- rs1_val == -67108865<br>                                                                                                              |[0x800008de]:c.addi a0, 15<br> [0x800008e0]:sd a0, 592(ra)<br>   |
| 104|[0x80004348]<br>0xFFFFFFFFF8000005|- rs1_val == -134217729<br>                                                                                                             |[0x800008ec]:c.addi a0, 6<br> [0x800008ee]:sd a0, 600(ra)<br>    |
| 105|[0x80004350]<br>0xFFFFFFFFF0000005|- rs1_val == -268435457<br>                                                                                                             |[0x800008fa]:c.addi a0, 6<br> [0x800008fc]:sd a0, 608(ra)<br>    |
| 106|[0x80004358]<br>0xFFFFFFFFDFFFFFFE|- rs1_val == -536870913<br>                                                                                                             |[0x80000908]:c.addi a0, 63<br> [0x8000090a]:sd a0, 616(ra)<br>   |
| 107|[0x80004360]<br>0xFFFFFFFFBFFFFFFF|- rs1_val == -1073741825<br>                                                                                                            |[0x80000916]:c.addi.hint.a0<br> [0x80000918]:sd a0, 624(ra)<br>  |
| 108|[0x80004368]<br>0xFFFFFFFF7FFFFFF8|- rs1_val == -2147483649<br>                                                                                                            |[0x80000928]:c.addi a0, 57<br> [0x8000092a]:sd a0, 632(ra)<br>   |
| 109|[0x80004370]<br>0xFFFFFFFF0000000F|- rs1_val == -4294967297<br>                                                                                                            |[0x8000093a]:c.addi a0, 16<br> [0x8000093c]:sd a0, 640(ra)<br>   |
| 110|[0x80004378]<br>0xFFFFFFFE00000007|- rs1_val == -8589934593<br>                                                                                                            |[0x8000094c]:c.addi a0, 8<br> [0x8000094e]:sd a0, 648(ra)<br>    |
| 111|[0x80004380]<br>0xFFFFFFF7FFFFFFFF|- rs1_val == -34359738369<br>                                                                                                           |[0x8000095e]:c.addi.hint.a0<br> [0x80000960]:sd a0, 656(ra)<br>  |
| 112|[0x80004388]<br>0xFFFFFFF000000003|- rs1_val == -68719476737<br>                                                                                                           |[0x80000970]:c.addi a0, 4<br> [0x80000972]:sd a0, 664(ra)<br>    |
| 113|[0x80004390]<br>0xFFFFFFDFFFFFFFEE|- rs1_val == -137438953473<br>                                                                                                          |[0x80000982]:c.addi a0, 47<br> [0x80000984]:sd a0, 672(ra)<br>   |
| 114|[0x80004398]<br>0xFFFFFFC00000000E|- rs1_val == -274877906945<br>                                                                                                          |[0x80000994]:c.addi a0, 15<br> [0x80000996]:sd a0, 680(ra)<br>   |
| 115|[0x800043a0]<br>0xFFFFFF8000000004|- rs1_val == -549755813889<br>                                                                                                          |[0x800009a6]:c.addi a0, 5<br> [0x800009a8]:sd a0, 688(ra)<br>    |
| 116|[0x800043a8]<br>0xFFFFFEFFFFFFFFFF|- rs1_val == -1099511627777<br>                                                                                                         |[0x800009b8]:c.addi.hint.a0<br> [0x800009ba]:sd a0, 696(ra)<br>  |
| 117|[0x800043b0]<br>0xFFFFFE0000000005|- rs1_val == -2199023255553<br>                                                                                                         |[0x800009ca]:c.addi a0, 6<br> [0x800009cc]:sd a0, 704(ra)<br>    |
| 118|[0x800043b8]<br>0xFFFFFC0000000006|- rs1_val == -4398046511105<br>                                                                                                         |[0x800009dc]:c.addi a0, 7<br> [0x800009de]:sd a0, 712(ra)<br>    |
| 119|[0x800043c0]<br>0xFFFFF7FFFFFFFFF6|- rs1_val == -8796093022209<br>                                                                                                         |[0x800009ee]:c.addi a0, 55<br> [0x800009f0]:sd a0, 720(ra)<br>   |
| 120|[0x800043c8]<br>0xFFFFEFFFFFFFFFE9|- rs1_val == -17592186044417<br>                                                                                                        |[0x80000a00]:c.addi a0, 42<br> [0x80000a02]:sd a0, 728(ra)<br>   |
| 121|[0x800043d0]<br>0xFFFFE00000000003|- rs1_val == -35184372088833<br>                                                                                                        |[0x80000a12]:c.addi a0, 4<br> [0x80000a14]:sd a0, 736(ra)<br>    |
| 122|[0x800043d8]<br>0xFFFFC00000000003|- rs1_val == -70368744177665<br>                                                                                                        |[0x80000a24]:c.addi a0, 4<br> [0x80000a26]:sd a0, 744(ra)<br>    |
| 123|[0x800043e0]<br>0xFFFF800000000004|- rs1_val == -140737488355329<br>                                                                                                       |[0x80000a36]:c.addi a0, 5<br> [0x80000a38]:sd a0, 752(ra)<br>    |
| 124|[0x800043e8]<br>0xFFFEFFFFFFFFFFE9|- rs1_val == -281474976710657<br>                                                                                                       |[0x80000a48]:c.addi a0, 42<br> [0x80000a4a]:sd a0, 760(ra)<br>   |
| 125|[0x800043f0]<br>0xFFFE00000000000A|- rs1_val == -562949953421313<br>                                                                                                       |[0x80000a5a]:c.addi a0, 11<br> [0x80000a5c]:sd a0, 768(ra)<br>   |
| 126|[0x800043f8]<br>0xFFFC000000000004|- rs1_val == -1125899906842625<br>                                                                                                      |[0x80000a6c]:c.addi a0, 5<br> [0x80000a6e]:sd a0, 776(ra)<br>    |
| 127|[0x80004400]<br>0xFFEFFFFFFFFFFFF7|- rs1_val == -4503599627370497<br>                                                                                                      |[0x80000a7e]:c.addi a0, 56<br> [0x80000a80]:sd a0, 784(ra)<br>   |
| 128|[0x80004408]<br>0xFFE0000000000005|- rs1_val == -9007199254740993<br>                                                                                                      |[0x80000a90]:c.addi a0, 6<br> [0x80000a92]:sd a0, 792(ra)<br>    |
| 129|[0x80004410]<br>0xFFC0000000000001|- rs1_val == -18014398509481985<br>                                                                                                     |[0x80000aa2]:c.addi a0, 2<br> [0x80000aa4]:sd a0, 800(ra)<br>    |
| 130|[0x80004418]<br>0xFF7FFFFFFFFFFFFF|- rs1_val == -36028797018963969<br>                                                                                                     |[0x80000ab4]:c.addi.hint.a0<br> [0x80000ab6]:sd a0, 808(ra)<br>  |
| 131|[0x80004420]<br>0xFF00000000000005|- rs1_val == -72057594037927937<br>                                                                                                     |[0x80000ac6]:c.addi a0, 6<br> [0x80000ac8]:sd a0, 816(ra)<br>    |
| 132|[0x80004428]<br>0xFDFFFFFFFFFFFFFF|- rs1_val == -144115188075855873<br>                                                                                                    |[0x80000ad8]:c.addi.hint.a0<br> [0x80000ada]:sd a0, 824(ra)<br>  |
| 133|[0x80004430]<br>0xFBFFFFFFFFFFFFEE|- rs1_val == -288230376151711745<br>                                                                                                    |[0x80000aea]:c.addi a0, 47<br> [0x80000aec]:sd a0, 832(ra)<br>   |
| 134|[0x80004438]<br>0xF7FFFFFFFFFFFFEE|- rs1_val == -576460752303423489<br>                                                                                                    |[0x80000afc]:c.addi a0, 47<br> [0x80000afe]:sd a0, 840(ra)<br>   |
| 135|[0x80004440]<br>0xF000000000000001|- rs1_val == -1152921504606846977<br>                                                                                                   |[0x80000b0e]:c.addi a0, 2<br> [0x80000b10]:sd a0, 848(ra)<br>    |
| 136|[0x80004448]<br>0xE000000000000014|- rs1_val == -2305843009213693953<br>                                                                                                   |[0x80000b20]:c.addi a0, 21<br> [0x80000b22]:sd a0, 856(ra)<br>   |
| 137|[0x80004450]<br>0xC000000000000002|- rs1_val == -4611686018427387905<br>                                                                                                   |[0x80000b32]:c.addi a0, 3<br> [0x80000b34]:sd a0, 864(ra)<br>    |
| 138|[0x80004458]<br>0x0000000000000006|- rs1_val==3 and imm_val==3<br>                                                                                                         |[0x80000b3c]:c.addi a0, 3<br> [0x80000b3e]:sd a0, 872(ra)<br>    |
| 139|[0x80004460]<br>0x0000000000000008|- rs1_val==3 and imm_val==5<br>                                                                                                         |[0x80000b46]:c.addi a0, 5<br> [0x80000b48]:sd a0, 880(ra)<br>    |
| 140|[0x80004468]<br>0x000000000000000D|- rs1_val==3 and imm_val==10<br>                                                                                                        |[0x80000b50]:c.addi a0, 10<br> [0x80000b52]:sd a0, 888(ra)<br>   |
| 141|[0x80004470]<br>0x0000000000000009|- rs1_val==3 and imm_val==6<br>                                                                                                         |[0x80000b5a]:c.addi a0, 6<br> [0x80000b5c]:sd a0, 896(ra)<br>    |
| 142|[0x80004478]<br>0x0000000000000001|- rs1_val==3 and imm_val==-2<br>                                                                                                        |[0x80000b64]:c.addi a0, 62<br> [0x80000b66]:sd a0, 904(ra)<br>   |
| 143|[0x80004480]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==3 and imm_val==-5<br>                                                                                                        |[0x80000b6e]:c.addi a0, 59<br> [0x80000b70]:sd a0, 912(ra)<br>   |
| 144|[0x80004488]<br>0x0000000000000005|- rs1_val==3 and imm_val==2<br>                                                                                                         |[0x80000b78]:c.addi a0, 2<br> [0x80000b7a]:sd a0, 920(ra)<br>    |
| 145|[0x80004490]<br>0x0000000000000007|- rs1_val==3 and imm_val==4<br>                                                                                                         |[0x80000b82]:c.addi a0, 4<br> [0x80000b84]:sd a0, 928(ra)<br>    |
| 146|[0x80004498]<br>0x000000000000000C|- rs1_val==3 and imm_val==9<br>                                                                                                         |[0x80000b8c]:c.addi a0, 9<br> [0x80000b8e]:sd a0, 936(ra)<br>    |
| 147|[0x800044a0]<br>0x0000000000000003|- rs1_val==3 and imm_val==0<br>                                                                                                         |[0x80000b96]:c.addi.hint.a0<br> [0x80000b98]:sd a0, 944(ra)<br>  |
| 148|[0x800044a8]<br>0x000000000000000E|- rs1_val==3 and imm_val==11<br>                                                                                                        |[0x80000ba0]:c.addi a0, 11<br> [0x80000ba2]:sd a0, 952(ra)<br>   |
| 149|[0x800044b0]<br>0x000000000000000A|- rs1_val==3 and imm_val==7<br>                                                                                                         |[0x80000baa]:c.addi a0, 7<br> [0x80000bac]:sd a0, 960(ra)<br>    |
| 150|[0x800044b8]<br>0x0000000000000002|- rs1_val==3 and imm_val==-1<br>                                                                                                        |[0x80000bb4]:c.addi a0, 63<br> [0x80000bb6]:sd a0, 968(ra)<br>   |
| 151|[0x800044c0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3 and imm_val==-4<br>                                                                                                        |[0x80000bbe]:c.addi a0, 60<br> [0x80000bc0]:sd a0, 976(ra)<br>   |
| 152|[0x800044c8]<br>0x5555555555555558|- rs1_val==6148914691236517205 and imm_val==3<br>                                                                                       |[0x80000be4]:c.addi a0, 3<br> [0x80000be6]:sd a0, 984(ra)<br>    |
| 153|[0x800044d0]<br>0x555555555555555A|- rs1_val==6148914691236517205 and imm_val==5<br>                                                                                       |[0x80000c0a]:c.addi a0, 5<br> [0x80000c0c]:sd a0, 992(ra)<br>    |
| 154|[0x800044d8]<br>0x555555555555555F|- rs1_val==6148914691236517205 and imm_val==10<br>                                                                                      |[0x80000c30]:c.addi a0, 10<br> [0x80000c32]:sd a0, 1000(ra)<br>  |
| 155|[0x800044e0]<br>0x5555555555555553|- rs1_val==6148914691236517205 and imm_val==-2<br>                                                                                      |[0x80000c56]:c.addi a0, 62<br> [0x80000c58]:sd a0, 1008(ra)<br>  |
| 156|[0x800044e8]<br>0x5555555555555550|- rs1_val==6148914691236517205 and imm_val==-5<br>                                                                                      |[0x80000c7c]:c.addi a0, 59<br> [0x80000c7e]:sd a0, 1016(ra)<br>  |
| 157|[0x800044f0]<br>0x5555555555555557|- rs1_val==6148914691236517205 and imm_val==2<br>                                                                                       |[0x80000ca2]:c.addi a0, 2<br> [0x80000ca4]:sd a0, 1024(ra)<br>   |
| 158|[0x800044f8]<br>0x5555555555555559|- rs1_val==6148914691236517205 and imm_val==4<br>                                                                                       |[0x80000cc8]:c.addi a0, 4<br> [0x80000cca]:sd a0, 1032(ra)<br>   |
| 159|[0x80004500]<br>0x555555555555555E|- rs1_val==6148914691236517205 and imm_val==9<br>                                                                                       |[0x80000cee]:c.addi a0, 9<br> [0x80000cf0]:sd a0, 1040(ra)<br>   |
| 160|[0x80004508]<br>0x5555555555555555|- rs1_val==6148914691236517205 and imm_val==0<br>                                                                                       |[0x80000d14]:c.addi.hint.a0<br> [0x80000d16]:sd a0, 1048(ra)<br> |
| 161|[0x80004510]<br>0x5555555555555560|- rs1_val==6148914691236517205 and imm_val==11<br>                                                                                      |[0x80000d3a]:c.addi a0, 11<br> [0x80000d3c]:sd a0, 1056(ra)<br>  |
| 162|[0x80004518]<br>0x555555555555555C|- rs1_val==6148914691236517205 and imm_val==7<br>                                                                                       |[0x80000d60]:c.addi a0, 7<br> [0x80000d62]:sd a0, 1064(ra)<br>   |
| 163|[0x80004520]<br>0x5555555555555554|- rs1_val==6148914691236517205 and imm_val==-1<br>                                                                                      |[0x80000d86]:c.addi a0, 63<br> [0x80000d88]:sd a0, 1072(ra)<br>  |
| 164|[0x80004528]<br>0x5555555555555551|- rs1_val==6148914691236517205 and imm_val==-4<br>                                                                                      |[0x80000dac]:c.addi a0, 60<br> [0x80000dae]:sd a0, 1080(ra)<br>  |
| 165|[0x80004530]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==-6148914691236517206 and imm_val==3<br>                                                                                      |[0x80000dd2]:c.addi a0, 3<br> [0x80000dd4]:sd a0, 1088(ra)<br>   |
| 166|[0x80004538]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517206 and imm_val==5<br>                                                                                      |[0x80000df8]:c.addi a0, 5<br> [0x80000dfa]:sd a0, 1096(ra)<br>   |
| 167|[0x80004540]<br>0xAAAAAAAAAAAAAAB4|- rs1_val==-6148914691236517206 and imm_val==10<br>                                                                                     |[0x80000e1e]:c.addi a0, 10<br> [0x80000e20]:sd a0, 1104(ra)<br>  |
| 168|[0x80004548]<br>0xAAAAAAAAAAAAAAB0|- rs1_val==-6148914691236517206 and imm_val==6<br>                                                                                      |[0x80000e44]:c.addi a0, 6<br> [0x80000e46]:sd a0, 1112(ra)<br>   |
| 169|[0x80004550]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==-6148914691236517206 and imm_val==-2<br>                                                                                     |[0x80000e6a]:c.addi a0, 62<br> [0x80000e6c]:sd a0, 1120(ra)<br>  |
| 170|[0x80004558]<br>0xAAAAAAAAAAAAAAA5|- rs1_val==-6148914691236517206 and imm_val==-5<br>                                                                                     |[0x80000e90]:c.addi a0, 59<br> [0x80000e92]:sd a0, 1128(ra)<br>  |
| 171|[0x80004560]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==-6148914691236517206 and imm_val==2<br>                                                                                      |[0x80000eb6]:c.addi a0, 2<br> [0x80000eb8]:sd a0, 1136(ra)<br>   |
| 172|[0x80004568]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and imm_val==4<br>                                                                                      |[0x80000edc]:c.addi a0, 4<br> [0x80000ede]:sd a0, 1144(ra)<br>   |
| 173|[0x80004570]<br>0xAAAAAAAAAAAAAAB3|- rs1_val==-6148914691236517206 and imm_val==9<br>                                                                                      |[0x80000f02]:c.addi a0, 9<br> [0x80000f04]:sd a0, 1152(ra)<br>   |
| 174|[0x80004578]<br>0xAAAAAAAAAAAAAAB5|- rs1_val==-6148914691236517206 and imm_val==11<br>                                                                                     |[0x80000f28]:c.addi a0, 11<br> [0x80000f2a]:sd a0, 1160(ra)<br>  |
| 175|[0x80004580]<br>0xAAAAAAAAAAAAAAB1|- rs1_val==-6148914691236517206 and imm_val==7<br>                                                                                      |[0x80000f4e]:c.addi a0, 7<br> [0x80000f50]:sd a0, 1168(ra)<br>   |
| 176|[0x80004588]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==-6148914691236517206 and imm_val==-1<br>                                                                                     |[0x80000f74]:c.addi a0, 63<br> [0x80000f76]:sd a0, 1176(ra)<br>  |
| 177|[0x80004590]<br>0xAAAAAAAAAAAAAAA6|- rs1_val==-6148914691236517206 and imm_val==-4<br>                                                                                     |[0x80000f9a]:c.addi a0, 60<br> [0x80000f9c]:sd a0, 1184(ra)<br>  |
| 178|[0x80004598]<br>0x0000000000000008|- rs1_val==5 and imm_val==3<br>                                                                                                         |[0x80000fa4]:c.addi a0, 3<br> [0x80000fa6]:sd a0, 1192(ra)<br>   |
| 179|[0x800045a0]<br>0x000000000000000A|- rs1_val==5 and imm_val==5<br>                                                                                                         |[0x80000fae]:c.addi a0, 5<br> [0x80000fb0]:sd a0, 1200(ra)<br>   |
| 180|[0x800045a8]<br>0x000000000000000F|- rs1_val==5 and imm_val==10<br>                                                                                                        |[0x80000fb8]:c.addi a0, 10<br> [0x80000fba]:sd a0, 1208(ra)<br>  |
| 181|[0x800045b0]<br>0x000000000000000B|- rs1_val==5 and imm_val==6<br>                                                                                                         |[0x80000fc2]:c.addi a0, 6<br> [0x80000fc4]:sd a0, 1216(ra)<br>   |
| 182|[0x800045b8]<br>0x0000000000000003|- rs1_val==5 and imm_val==-2<br>                                                                                                        |[0x80000fcc]:c.addi a0, 62<br> [0x80000fce]:sd a0, 1224(ra)<br>  |
| 183|[0x800045c0]<br>0x0000000000000000|- rs1_val==5 and imm_val==-5<br>                                                                                                        |[0x80000fd6]:c.addi a0, 59<br> [0x80000fd8]:sd a0, 1232(ra)<br>  |
| 184|[0x800045c8]<br>0x0000000000000007|- rs1_val==5 and imm_val==2<br>                                                                                                         |[0x80000fe0]:c.addi a0, 2<br> [0x80000fe2]:sd a0, 1240(ra)<br>   |
| 185|[0x800045d0]<br>0x0000000000000009|- rs1_val==5 and imm_val==4<br>                                                                                                         |[0x80000fea]:c.addi a0, 4<br> [0x80000fec]:sd a0, 1248(ra)<br>   |
| 186|[0x800045d8]<br>0x000000000000000E|- rs1_val==5 and imm_val==9<br>                                                                                                         |[0x80000ff4]:c.addi a0, 9<br> [0x80000ff6]:sd a0, 1256(ra)<br>   |
| 187|[0x800045e0]<br>0x0000000000000005|- rs1_val==5 and imm_val==0<br>                                                                                                         |[0x80000ffe]:c.addi.hint.a0<br> [0x80001000]:sd a0, 1264(ra)<br> |
| 188|[0x800045e8]<br>0x0000000000000010|- rs1_val==5 and imm_val==11<br>                                                                                                        |[0x80001008]:c.addi a0, 11<br> [0x8000100a]:sd a0, 1272(ra)<br>  |
| 189|[0x800045f0]<br>0x000000000000000C|- rs1_val==5 and imm_val==7<br>                                                                                                         |[0x80001012]:c.addi a0, 7<br> [0x80001014]:sd a0, 1280(ra)<br>   |
| 190|[0x800045f8]<br>0x0000000000000004|- rs1_val==5 and imm_val==-1<br>                                                                                                        |[0x8000101c]:c.addi a0, 63<br> [0x8000101e]:sd a0, 1288(ra)<br>  |
| 191|[0x80004600]<br>0x0000000000000001|- rs1_val==5 and imm_val==-4<br>                                                                                                        |[0x80001026]:c.addi a0, 60<br> [0x80001028]:sd a0, 1296(ra)<br>  |
| 192|[0x80004608]<br>0x3333333333333336|- rs1_val==3689348814741910323 and imm_val==3<br>                                                                                       |[0x8000104c]:c.addi a0, 3<br> [0x8000104e]:sd a0, 1304(ra)<br>   |
| 193|[0x80004610]<br>0x3333333333333338|- rs1_val==3689348814741910323 and imm_val==5<br>                                                                                       |[0x80001072]:c.addi a0, 5<br> [0x80001074]:sd a0, 1312(ra)<br>   |
| 194|[0x80004618]<br>0x333333333333333D|- rs1_val==3689348814741910323 and imm_val==10<br>                                                                                      |[0x80001098]:c.addi a0, 10<br> [0x8000109a]:sd a0, 1320(ra)<br>  |
| 195|[0x80004620]<br>0x3333333333333339|- rs1_val==3689348814741910323 and imm_val==6<br>                                                                                       |[0x800010be]:c.addi a0, 6<br> [0x800010c0]:sd a0, 1328(ra)<br>   |
| 196|[0x80004628]<br>0x3333333333333331|- rs1_val==3689348814741910323 and imm_val==-2<br>                                                                                      |[0x800010e4]:c.addi a0, 62<br> [0x800010e6]:sd a0, 1336(ra)<br>  |
| 197|[0x80004630]<br>0x333333333333332E|- rs1_val==3689348814741910323 and imm_val==-5<br>                                                                                      |[0x8000110a]:c.addi a0, 59<br> [0x8000110c]:sd a0, 1344(ra)<br>  |
| 198|[0x80004638]<br>0x3333333333333335|- rs1_val==3689348814741910323 and imm_val==2<br>                                                                                       |[0x80001130]:c.addi a0, 2<br> [0x80001132]:sd a0, 1352(ra)<br>   |
| 199|[0x80004640]<br>0x3333333333333337|- rs1_val==3689348814741910323 and imm_val==4<br>                                                                                       |[0x80001156]:c.addi a0, 4<br> [0x80001158]:sd a0, 1360(ra)<br>   |
| 200|[0x80004648]<br>0x333333333333333C|- rs1_val==3689348814741910323 and imm_val==9<br>                                                                                       |[0x8000117c]:c.addi a0, 9<br> [0x8000117e]:sd a0, 1368(ra)<br>   |
| 201|[0x80004650]<br>0x3333333333333333|- rs1_val==3689348814741910323 and imm_val==0<br>                                                                                       |[0x800011a2]:c.addi.hint.a0<br> [0x800011a4]:sd a0, 1376(ra)<br> |
| 202|[0x80004658]<br>0x333333333333333E|- rs1_val==3689348814741910323 and imm_val==11<br>                                                                                      |[0x800011c8]:c.addi a0, 11<br> [0x800011ca]:sd a0, 1384(ra)<br>  |
| 203|[0x80004660]<br>0x333333333333333A|- rs1_val==3689348814741910323 and imm_val==7<br>                                                                                       |[0x800011ee]:c.addi a0, 7<br> [0x800011f0]:sd a0, 1392(ra)<br>   |
| 204|[0x80004668]<br>0x3333333333333332|- rs1_val==3689348814741910323 and imm_val==-1<br>                                                                                      |[0x80001214]:c.addi a0, 63<br> [0x80001216]:sd a0, 1400(ra)<br>  |
| 205|[0x80004670]<br>0x333333333333332F|- rs1_val==3689348814741910323 and imm_val==-4<br>                                                                                      |[0x8000123a]:c.addi a0, 60<br> [0x8000123c]:sd a0, 1408(ra)<br>  |
| 206|[0x80004678]<br>0x6666666666666669|- rs1_val==7378697629483820646 and imm_val==3<br>                                                                                       |[0x80001260]:c.addi a0, 3<br> [0x80001262]:sd a0, 1416(ra)<br>   |
| 207|[0x80004680]<br>0x666666666666666B|- rs1_val==7378697629483820646 and imm_val==5<br>                                                                                       |[0x80001286]:c.addi a0, 5<br> [0x80001288]:sd a0, 1424(ra)<br>   |
| 208|[0x80004688]<br>0x6666666666666670|- rs1_val==7378697629483820646 and imm_val==10<br>                                                                                      |[0x800012ac]:c.addi a0, 10<br> [0x800012ae]:sd a0, 1432(ra)<br>  |
| 209|[0x80004690]<br>0x666666666666666C|- rs1_val==7378697629483820646 and imm_val==6<br>                                                                                       |[0x800012d2]:c.addi a0, 6<br> [0x800012d4]:sd a0, 1440(ra)<br>   |
| 210|[0x80004698]<br>0x6666666666666664|- rs1_val==7378697629483820646 and imm_val==-2<br>                                                                                      |[0x800012f8]:c.addi a0, 62<br> [0x800012fa]:sd a0, 1448(ra)<br>  |
| 211|[0x800046a0]<br>0x6666666666666661|- rs1_val==7378697629483820646 and imm_val==-5<br>                                                                                      |[0x8000131e]:c.addi a0, 59<br> [0x80001320]:sd a0, 1456(ra)<br>  |
| 212|[0x800046a8]<br>0x6666666666666668|- rs1_val==7378697629483820646 and imm_val==2<br>                                                                                       |[0x80001344]:c.addi a0, 2<br> [0x80001346]:sd a0, 1464(ra)<br>   |
| 213|[0x800046b0]<br>0x666666666666666A|- rs1_val==7378697629483820646 and imm_val==4<br>                                                                                       |[0x8000136a]:c.addi a0, 4<br> [0x8000136c]:sd a0, 1472(ra)<br>   |
| 214|[0x800046b8]<br>0x666666666666666F|- rs1_val==7378697629483820646 and imm_val==9<br>                                                                                       |[0x80001390]:c.addi a0, 9<br> [0x80001392]:sd a0, 1480(ra)<br>   |
| 215|[0x800046c0]<br>0x6666666666666666|- rs1_val==7378697629483820646 and imm_val==0<br>                                                                                       |[0x800013b6]:c.addi.hint.a0<br> [0x800013b8]:sd a0, 1488(ra)<br> |
| 216|[0x800046c8]<br>0x6666666666666671|- rs1_val==7378697629483820646 and imm_val==11<br>                                                                                      |[0x800013dc]:c.addi a0, 11<br> [0x800013de]:sd a0, 1496(ra)<br>  |
| 217|[0x800046d0]<br>0x666666666666666D|- rs1_val==7378697629483820646 and imm_val==7<br>                                                                                       |[0x80001402]:c.addi a0, 7<br> [0x80001404]:sd a0, 1504(ra)<br>   |
| 218|[0x800046d8]<br>0x6666666666666665|- rs1_val==7378697629483820646 and imm_val==-1<br>                                                                                      |[0x80001428]:c.addi a0, 63<br> [0x8000142a]:sd a0, 1512(ra)<br>  |
| 219|[0x800046e0]<br>0x6666666666666662|- rs1_val==7378697629483820646 and imm_val==-4<br>                                                                                      |[0x8000144e]:c.addi a0, 60<br> [0x80001450]:sd a0, 1520(ra)<br>  |
| 220|[0x800046e8]<br>0xFFFFFFFF4AFB0CD0|- rs1_val==-3037000499 and imm_val==3<br>                                                                                               |[0x80001464]:c.addi a0, 3<br> [0x80001466]:sd a0, 1528(ra)<br>   |
| 221|[0x800046f0]<br>0xFFFFFFFF4AFB0CD2|- rs1_val==-3037000499 and imm_val==5<br>                                                                                               |[0x8000147a]:c.addi a0, 5<br> [0x8000147c]:sd a0, 1536(ra)<br>   |
| 222|[0x800046f8]<br>0xFFFFFFFF4AFB0CD7|- rs1_val==-3037000499 and imm_val==10<br>                                                                                              |[0x80001490]:c.addi a0, 10<br> [0x80001492]:sd a0, 1544(ra)<br>  |
| 223|[0x80004700]<br>0xFFFFFFFF4AFB0CD3|- rs1_val==-3037000499 and imm_val==6<br>                                                                                               |[0x800014a6]:c.addi a0, 6<br> [0x800014a8]:sd a0, 1552(ra)<br>   |
| 224|[0x80004708]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==-3037000499 and imm_val==-2<br>                                                                                              |[0x800014bc]:c.addi a0, 62<br> [0x800014be]:sd a0, 1560(ra)<br>  |
| 225|[0x80004710]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==-3037000499 and imm_val==-5<br>                                                                                              |[0x800014d2]:c.addi a0, 59<br> [0x800014d4]:sd a0, 1568(ra)<br>  |
| 226|[0x80004718]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and imm_val==2<br>                                                                                               |[0x800014e8]:c.addi a0, 2<br> [0x800014ea]:sd a0, 1576(ra)<br>   |
| 227|[0x80004720]<br>0xFFFFFFFF4AFB0CD1|- rs1_val==-3037000499 and imm_val==4<br>                                                                                               |[0x800014fe]:c.addi a0, 4<br> [0x80001500]:sd a0, 1584(ra)<br>   |
| 228|[0x80004728]<br>0xFFFFFFFF4AFB0CD6|- rs1_val==-3037000499 and imm_val==9<br>                                                                                               |[0x80001514]:c.addi a0, 9<br> [0x80001516]:sd a0, 1592(ra)<br>   |
| 229|[0x80004730]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and imm_val==0<br>                                                                                               |[0x8000152a]:c.addi.hint.a0<br> [0x8000152c]:sd a0, 1600(ra)<br> |
| 230|[0x80004738]<br>0xFFFFFFFF4AFB0CD8|- rs1_val==-3037000499 and imm_val==11<br>                                                                                              |[0x80001540]:c.addi a0, 11<br> [0x80001542]:sd a0, 1608(ra)<br>  |
| 231|[0x80004740]<br>0xFFFFFFFF4AFB0CD4|- rs1_val==-3037000499 and imm_val==7<br>                                                                                               |[0x80001556]:c.addi a0, 7<br> [0x80001558]:sd a0, 1616(ra)<br>   |
| 232|[0x80004748]<br>0xFFFFFFFF4AFB0CCC|- rs1_val==-3037000499 and imm_val==-1<br>                                                                                              |[0x8000156c]:c.addi a0, 63<br> [0x8000156e]:sd a0, 1624(ra)<br>  |
| 233|[0x80004750]<br>0xFFFFFFFF4AFB0CC9|- rs1_val==-3037000499 and imm_val==-4<br>                                                                                              |[0x80001582]:c.addi a0, 60<br> [0x80001584]:sd a0, 1632(ra)<br>  |
| 234|[0x80004758]<br>0x00000000B504F336|- rs1_val==3037000499 and imm_val==3<br>                                                                                                |[0x80001598]:c.addi a0, 3<br> [0x8000159a]:sd a0, 1640(ra)<br>   |
| 235|[0x80004760]<br>0x00000000B504F338|- rs1_val==3037000499 and imm_val==5<br>                                                                                                |[0x800015ae]:c.addi a0, 5<br> [0x800015b0]:sd a0, 1648(ra)<br>   |
| 236|[0x80004768]<br>0x00000000B504F33D|- rs1_val==3037000499 and imm_val==10<br>                                                                                               |[0x800015c4]:c.addi a0, 10<br> [0x800015c6]:sd a0, 1656(ra)<br>  |
| 237|[0x80004770]<br>0x00000000B504F339|- rs1_val==3037000499 and imm_val==6<br>                                                                                                |[0x800015da]:c.addi a0, 6<br> [0x800015dc]:sd a0, 1664(ra)<br>   |
| 238|[0x80004778]<br>0x00000000B504F331|- rs1_val==3037000499 and imm_val==-2<br>                                                                                               |[0x800015f0]:c.addi a0, 62<br> [0x800015f2]:sd a0, 1672(ra)<br>  |
| 239|[0x80004780]<br>0x00000000B504F32E|- rs1_val==3037000499 and imm_val==-5<br>                                                                                               |[0x80001606]:c.addi a0, 59<br> [0x80001608]:sd a0, 1680(ra)<br>  |
| 240|[0x80004788]<br>0x00000000B504F335|- rs1_val==3037000499 and imm_val==2<br>                                                                                                |[0x8000161c]:c.addi a0, 2<br> [0x8000161e]:sd a0, 1688(ra)<br>   |
| 241|[0x80004790]<br>0x00000000B504F337|- rs1_val==3037000499 and imm_val==4<br>                                                                                                |[0x80001632]:c.addi a0, 4<br> [0x80001634]:sd a0, 1696(ra)<br>   |
| 242|[0x80004798]<br>0x00000000B504F33C|- rs1_val==3037000499 and imm_val==9<br>                                                                                                |[0x80001648]:c.addi a0, 9<br> [0x8000164a]:sd a0, 1704(ra)<br>   |
| 243|[0x800047a0]<br>0x00000000B504F333|- rs1_val==3037000499 and imm_val==0<br>                                                                                                |[0x8000165e]:c.addi.hint.a0<br> [0x80001660]:sd a0, 1712(ra)<br> |
| 244|[0x800047a8]<br>0x00000000B504F33E|- rs1_val==3037000499 and imm_val==11<br>                                                                                               |[0x80001674]:c.addi a0, 11<br> [0x80001676]:sd a0, 1720(ra)<br>  |
| 245|[0x800047b0]<br>0x00000000B504F33A|- rs1_val==3037000499 and imm_val==7<br>                                                                                                |[0x8000168a]:c.addi a0, 7<br> [0x8000168c]:sd a0, 1728(ra)<br>   |
| 246|[0x800047b8]<br>0x00000000B504F332|- rs1_val==3037000499 and imm_val==-1<br>                                                                                               |[0x800016a0]:c.addi a0, 63<br> [0x800016a2]:sd a0, 1736(ra)<br>  |
| 247|[0x800047c0]<br>0x00000000B504F32F|- rs1_val==3037000499 and imm_val==-4<br>                                                                                               |[0x800016b6]:c.addi a0, 60<br> [0x800016b8]:sd a0, 1744(ra)<br>  |
| 248|[0x800047c8]<br>0x0000000000000005|- rs1_val==2 and imm_val==3<br>                                                                                                         |[0x800016c0]:c.addi a0, 3<br> [0x800016c2]:sd a0, 1752(ra)<br>   |
| 249|[0x800047d0]<br>0x000000000000000C|- rs1_val==2 and imm_val==10<br>                                                                                                        |[0x800016ca]:c.addi a0, 10<br> [0x800016cc]:sd a0, 1760(ra)<br>  |
| 250|[0x800047d8]<br>0x0000000000000008|- rs1_val==2 and imm_val==6<br>                                                                                                         |[0x800016d4]:c.addi a0, 6<br> [0x800016d6]:sd a0, 1768(ra)<br>   |
| 251|[0x800047e0]<br>0x0000000000000000|- rs1_val==2 and imm_val==-2<br>                                                                                                        |[0x800016de]:c.addi a0, 62<br> [0x800016e0]:sd a0, 1776(ra)<br>  |
| 252|[0x800047e8]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==2 and imm_val==-5<br>                                                                                                        |[0x800016e8]:c.addi a0, 59<br> [0x800016ea]:sd a0, 1784(ra)<br>  |
| 253|[0x800047f0]<br>0x0000000000000004|- rs1_val==2 and imm_val==2<br>                                                                                                         |[0x800016f2]:c.addi a0, 2<br> [0x800016f4]:sd a0, 1792(ra)<br>   |
| 254|[0x800047f8]<br>0x0000000000000006|- rs1_val==2 and imm_val==4<br>                                                                                                         |[0x800016fc]:c.addi a0, 4<br> [0x800016fe]:sd a0, 1800(ra)<br>   |
| 255|[0x80004800]<br>0x000000000000000B|- rs1_val==2 and imm_val==9<br>                                                                                                         |[0x80001706]:c.addi a0, 9<br> [0x80001708]:sd a0, 1808(ra)<br>   |
| 256|[0x80004808]<br>0x0000000000000002|- rs1_val==2 and imm_val==0<br>                                                                                                         |[0x80001710]:c.addi.hint.a0<br> [0x80001712]:sd a0, 1816(ra)<br> |
| 257|[0x80004810]<br>0x000000000000000D|- rs1_val==2 and imm_val==11<br>                                                                                                        |[0x8000171a]:c.addi a0, 11<br> [0x8000171c]:sd a0, 1824(ra)<br>  |
| 258|[0x80004818]<br>0x0000000000000009|- rs1_val==2 and imm_val==7<br>                                                                                                         |[0x80001724]:c.addi a0, 7<br> [0x80001726]:sd a0, 1832(ra)<br>   |
| 259|[0x80004820]<br>0x0000000000000001|- rs1_val==2 and imm_val==-1<br>                                                                                                        |[0x8000172e]:c.addi a0, 63<br> [0x80001730]:sd a0, 1840(ra)<br>  |
| 260|[0x80004828]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==2 and imm_val==-4<br>                                                                                                        |[0x80001738]:c.addi a0, 60<br> [0x8000173a]:sd a0, 1848(ra)<br>  |
| 261|[0x80004830]<br>0x5555555555555557|- rs1_val==6148914691236517204 and imm_val==3<br>                                                                                       |[0x8000175e]:c.addi a0, 3<br> [0x80001760]:sd a0, 1856(ra)<br>   |
| 262|[0x80004838]<br>0x5555555555555559|- rs1_val==6148914691236517204 and imm_val==5<br>                                                                                       |[0x80001784]:c.addi a0, 5<br> [0x80001786]:sd a0, 1864(ra)<br>   |
| 263|[0x80004840]<br>0x555555555555555E|- rs1_val==6148914691236517204 and imm_val==10<br>                                                                                      |[0x800017aa]:c.addi a0, 10<br> [0x800017ac]:sd a0, 1872(ra)<br>  |
| 264|[0x80004848]<br>0x555555555555555A|- rs1_val==6148914691236517204 and imm_val==6<br>                                                                                       |[0x800017d0]:c.addi a0, 6<br> [0x800017d2]:sd a0, 1880(ra)<br>   |
| 265|[0x80004850]<br>0x5555555555555552|- rs1_val==6148914691236517204 and imm_val==-2<br>                                                                                      |[0x800017f6]:c.addi a0, 62<br> [0x800017f8]:sd a0, 1888(ra)<br>  |
| 266|[0x80004858]<br>0x555555555555554F|- rs1_val==6148914691236517204 and imm_val==-5<br>                                                                                      |[0x8000181c]:c.addi a0, 59<br> [0x8000181e]:sd a0, 1896(ra)<br>  |
| 267|[0x80004860]<br>0x5555555555555556|- rs1_val==6148914691236517204 and imm_val==2<br>                                                                                       |[0x80001842]:c.addi a0, 2<br> [0x80001844]:sd a0, 1904(ra)<br>   |
| 268|[0x80004868]<br>0x5555555555555558|- rs1_val==6148914691236517204 and imm_val==4<br>                                                                                       |[0x80001868]:c.addi a0, 4<br> [0x8000186a]:sd a0, 1912(ra)<br>   |
| 269|[0x80004870]<br>0x555555555555555D|- rs1_val==6148914691236517204 and imm_val==9<br>                                                                                       |[0x8000188e]:c.addi a0, 9<br> [0x80001890]:sd a0, 1920(ra)<br>   |
| 270|[0x80004878]<br>0x5555555555555554|- rs1_val==6148914691236517204 and imm_val==0<br>                                                                                       |[0x800018b4]:c.addi.hint.a0<br> [0x800018b6]:sd a0, 1928(ra)<br> |
| 271|[0x80004880]<br>0x555555555555555F|- rs1_val==6148914691236517204 and imm_val==11<br>                                                                                      |[0x800018da]:c.addi a0, 11<br> [0x800018dc]:sd a0, 1936(ra)<br>  |
| 272|[0x80004888]<br>0x555555555555555B|- rs1_val==6148914691236517204 and imm_val==7<br>                                                                                       |[0x80001900]:c.addi a0, 7<br> [0x80001902]:sd a0, 1944(ra)<br>   |
| 273|[0x80004890]<br>0x5555555555555553|- rs1_val==6148914691236517204 and imm_val==-1<br>                                                                                      |[0x80001926]:c.addi a0, 63<br> [0x80001928]:sd a0, 1952(ra)<br>  |
| 274|[0x80004898]<br>0x5555555555555550|- rs1_val==6148914691236517204 and imm_val==-4<br>                                                                                      |[0x8000194c]:c.addi a0, 60<br> [0x8000194e]:sd a0, 1960(ra)<br>  |
| 275|[0x800048a0]<br>0x0000000000000003|- rs1_val==0 and imm_val==3<br>                                                                                                         |[0x80001956]:c.addi a0, 3<br> [0x80001958]:sd a0, 1968(ra)<br>   |
| 276|[0x800048a8]<br>0x0000000000000005|- rs1_val==0 and imm_val==5<br>                                                                                                         |[0x80001960]:c.addi a0, 5<br> [0x80001962]:sd a0, 1976(ra)<br>   |
| 277|[0x800048b0]<br>0x000000000000000A|- rs1_val==0 and imm_val==10<br>                                                                                                        |[0x8000196a]:c.addi a0, 10<br> [0x8000196c]:sd a0, 1984(ra)<br>  |
| 278|[0x800048b8]<br>0x0000000000000006|- rs1_val==0 and imm_val==6<br>                                                                                                         |[0x80001974]:c.addi a0, 6<br> [0x80001976]:sd a0, 1992(ra)<br>   |
| 279|[0x800048c0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==0 and imm_val==-2<br>                                                                                                        |[0x8000197e]:c.addi a0, 62<br> [0x80001980]:sd a0, 2000(ra)<br>  |
| 280|[0x800048c8]<br>0xFFFFFFFFFFFFFFFB|- rs1_val==0 and imm_val==-5<br>                                                                                                        |[0x80001988]:c.addi a0, 59<br> [0x8000198a]:sd a0, 2008(ra)<br>  |
| 281|[0x800048d0]<br>0x0000000000000002|- rs1_val==0 and imm_val==2<br>                                                                                                         |[0x80001992]:c.addi a0, 2<br> [0x80001994]:sd a0, 2016(ra)<br>   |
| 282|[0x800048d8]<br>0x0000000000000004|- rs1_val==0 and imm_val==4<br>                                                                                                         |[0x8000199c]:c.addi a0, 4<br> [0x8000199e]:sd a0, 2024(ra)<br>   |
| 283|[0x800048e0]<br>0x0000000000000009|- rs1_val==0 and imm_val==9<br>                                                                                                         |[0x800019a6]:c.addi a0, 9<br> [0x800019a8]:sd a0, 2032(ra)<br>   |
| 284|[0x800048e8]<br>0x0000000000000000|- rs1_val==0 and imm_val==0<br>                                                                                                         |[0x800019b0]:c.addi.hint.a0<br> [0x800019b2]:sd a0, 2040(ra)<br> |
| 285|[0x800048f0]<br>0x000000000000000B|- rs1_val==0 and imm_val==11<br>                                                                                                        |[0x800019c2]:c.addi a0, 11<br> [0x800019c4]:sd a0, 0(ra)<br>     |
| 286|[0x800048f8]<br>0x0000000000000007|- rs1_val==0 and imm_val==7<br>                                                                                                         |[0x800019cc]:c.addi a0, 7<br> [0x800019ce]:sd a0, 8(ra)<br>      |
| 287|[0x80004900]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==0 and imm_val==-1<br>                                                                                                        |[0x800019d6]:c.addi a0, 63<br> [0x800019d8]:sd a0, 16(ra)<br>    |
| 288|[0x80004908]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==0 and imm_val==-4<br>                                                                                                        |[0x800019e0]:c.addi a0, 60<br> [0x800019e2]:sd a0, 24(ra)<br>    |
| 289|[0x80004910]<br>0x0000000000000007|- rs1_val==4 and imm_val==3<br>                                                                                                         |[0x800019ea]:c.addi a0, 3<br> [0x800019ec]:sd a0, 32(ra)<br>     |
| 290|[0x80004918]<br>0x0000000000000009|- rs1_val==4 and imm_val==5<br>                                                                                                         |[0x800019f4]:c.addi a0, 5<br> [0x800019f6]:sd a0, 40(ra)<br>     |
| 291|[0x80004920]<br>0x000000000000000E|- rs1_val==4 and imm_val==10<br>                                                                                                        |[0x800019fe]:c.addi a0, 10<br> [0x80001a00]:sd a0, 48(ra)<br>    |
| 292|[0x80004928]<br>0x000000000000000A|- rs1_val==4 and imm_val==6<br>                                                                                                         |[0x80001a08]:c.addi a0, 6<br> [0x80001a0a]:sd a0, 56(ra)<br>     |
| 293|[0x80004930]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==4 and imm_val==-5<br>                                                                                                        |[0x80001a12]:c.addi a0, 59<br> [0x80001a14]:sd a0, 64(ra)<br>    |
| 294|[0x80004938]<br>0x0000000000000006|- rs1_val==4 and imm_val==2<br>                                                                                                         |[0x80001a1c]:c.addi a0, 2<br> [0x80001a1e]:sd a0, 72(ra)<br>     |
| 295|[0x80004940]<br>0x0000000000000008|- rs1_val==4 and imm_val==4<br>                                                                                                         |[0x80001a26]:c.addi a0, 4<br> [0x80001a28]:sd a0, 80(ra)<br>     |
| 296|[0x80004948]<br>0x000000000000000D|- rs1_val==4 and imm_val==9<br>                                                                                                         |[0x80001a30]:c.addi a0, 9<br> [0x80001a32]:sd a0, 88(ra)<br>     |
| 297|[0x80004950]<br>0x0000000000000004|- rs1_val==4 and imm_val==0<br>                                                                                                         |[0x80001a3a]:c.addi.hint.a0<br> [0x80001a3c]:sd a0, 96(ra)<br>   |
| 298|[0x80004958]<br>0x000000000000000F|- rs1_val==4 and imm_val==11<br>                                                                                                        |[0x80001a44]:c.addi a0, 11<br> [0x80001a46]:sd a0, 104(ra)<br>   |
| 299|[0x80004960]<br>0x000000000000000B|- rs1_val==4 and imm_val==7<br>                                                                                                         |[0x80001a4e]:c.addi a0, 7<br> [0x80001a50]:sd a0, 112(ra)<br>    |
| 300|[0x80004968]<br>0x0000000000000003|- rs1_val==4 and imm_val==-1<br>                                                                                                        |[0x80001a58]:c.addi a0, 63<br> [0x80001a5a]:sd a0, 120(ra)<br>   |
| 301|[0x80004970]<br>0x0000000000000000|- rs1_val==4 and imm_val==-4<br>                                                                                                        |[0x80001a62]:c.addi a0, 60<br> [0x80001a64]:sd a0, 128(ra)<br>   |
| 302|[0x80004978]<br>0x3333333333333335|- rs1_val==3689348814741910322 and imm_val==3<br>                                                                                       |[0x80001a88]:c.addi a0, 3<br> [0x80001a8a]:sd a0, 136(ra)<br>    |
| 303|[0x80004980]<br>0x3333333333333337|- rs1_val==3689348814741910322 and imm_val==5<br>                                                                                       |[0x80001aae]:c.addi a0, 5<br> [0x80001ab0]:sd a0, 144(ra)<br>    |
| 304|[0x80004988]<br>0x333333333333333C|- rs1_val==3689348814741910322 and imm_val==10<br>                                                                                      |[0x80001ad4]:c.addi a0, 10<br> [0x80001ad6]:sd a0, 152(ra)<br>   |
| 305|[0x80004990]<br>0x3333333333333338|- rs1_val==3689348814741910322 and imm_val==6<br>                                                                                       |[0x80001afa]:c.addi a0, 6<br> [0x80001afc]:sd a0, 160(ra)<br>    |
| 306|[0x80004998]<br>0x3333333333333330|- rs1_val==3689348814741910322 and imm_val==-2<br>                                                                                      |[0x80001b20]:c.addi a0, 62<br> [0x80001b22]:sd a0, 168(ra)<br>   |
| 307|[0x800049a0]<br>0x333333333333332D|- rs1_val==3689348814741910322 and imm_val==-5<br>                                                                                      |[0x80001b46]:c.addi a0, 59<br> [0x80001b48]:sd a0, 176(ra)<br>   |
| 308|[0x800049a8]<br>0x3333333333333334|- rs1_val==3689348814741910322 and imm_val==2<br>                                                                                       |[0x80001b6c]:c.addi a0, 2<br> [0x80001b6e]:sd a0, 184(ra)<br>    |
| 309|[0x800049b0]<br>0x3333333333333336|- rs1_val==3689348814741910322 and imm_val==4<br>                                                                                       |[0x80001b92]:c.addi a0, 4<br> [0x80001b94]:sd a0, 192(ra)<br>    |
| 310|[0x800049b8]<br>0x333333333333333B|- rs1_val==3689348814741910322 and imm_val==9<br>                                                                                       |[0x80001bb8]:c.addi a0, 9<br> [0x80001bba]:sd a0, 200(ra)<br>    |
| 311|[0x800049c0]<br>0x3333333333333332|- rs1_val==3689348814741910322 and imm_val==0<br>                                                                                       |[0x80001bde]:c.addi.hint.a0<br> [0x80001be0]:sd a0, 208(ra)<br>  |
| 312|[0x800049c8]<br>0x333333333333333D|- rs1_val==3689348814741910322 and imm_val==11<br>                                                                                      |[0x80001c04]:c.addi a0, 11<br> [0x80001c06]:sd a0, 216(ra)<br>   |
| 313|[0x800049d0]<br>0x3333333333333339|- rs1_val==3689348814741910322 and imm_val==7<br>                                                                                       |[0x80001c2a]:c.addi a0, 7<br> [0x80001c2c]:sd a0, 224(ra)<br>    |
| 314|[0x800049d8]<br>0x3333333333333331|- rs1_val==3689348814741910322 and imm_val==-1<br>                                                                                      |[0x80001c50]:c.addi a0, 63<br> [0x80001c52]:sd a0, 232(ra)<br>   |
| 315|[0x800049e0]<br>0x333333333333332E|- rs1_val==3689348814741910322 and imm_val==-4<br>                                                                                      |[0x80001c76]:c.addi a0, 60<br> [0x80001c78]:sd a0, 240(ra)<br>   |
| 316|[0x800049e8]<br>0x6666666666666668|- rs1_val==7378697629483820645 and imm_val==3<br>                                                                                       |[0x80001c9c]:c.addi a0, 3<br> [0x80001c9e]:sd a0, 248(ra)<br>    |
| 317|[0x800049f0]<br>0x666666666666666A|- rs1_val==7378697629483820645 and imm_val==5<br>                                                                                       |[0x80001cc2]:c.addi a0, 5<br> [0x80001cc4]:sd a0, 256(ra)<br>    |
| 318|[0x800049f8]<br>0x666666666666666F|- rs1_val==7378697629483820645 and imm_val==10<br>                                                                                      |[0x80001ce8]:c.addi a0, 10<br> [0x80001cea]:sd a0, 264(ra)<br>   |
| 319|[0x80004a00]<br>0x666666666666666B|- rs1_val==7378697629483820645 and imm_val==6<br>                                                                                       |[0x80001d0e]:c.addi a0, 6<br> [0x80001d10]:sd a0, 272(ra)<br>    |
| 320|[0x80004a08]<br>0x6666666666666663|- rs1_val==7378697629483820645 and imm_val==-2<br>                                                                                      |[0x80001d34]:c.addi a0, 62<br> [0x80001d36]:sd a0, 280(ra)<br>   |
| 321|[0x80004a10]<br>0x6666666666666660|- rs1_val==7378697629483820645 and imm_val==-5<br>                                                                                      |[0x80001d5a]:c.addi a0, 59<br> [0x80001d5c]:sd a0, 288(ra)<br>   |
| 322|[0x80004a18]<br>0x6666666666666667|- rs1_val==7378697629483820645 and imm_val==2<br>                                                                                       |[0x80001d80]:c.addi a0, 2<br> [0x80001d82]:sd a0, 296(ra)<br>    |
| 323|[0x80004a20]<br>0x6666666666666669|- rs1_val==7378697629483820645 and imm_val==4<br>                                                                                       |[0x80001da6]:c.addi a0, 4<br> [0x80001da8]:sd a0, 304(ra)<br>    |
| 324|[0x80004a28]<br>0x666666666666666E|- rs1_val==7378697629483820645 and imm_val==9<br>                                                                                       |[0x80001dcc]:c.addi a0, 9<br> [0x80001dce]:sd a0, 312(ra)<br>    |
| 325|[0x80004a30]<br>0x6666666666666665|- rs1_val==7378697629483820645 and imm_val==0<br>                                                                                       |[0x80001df2]:c.addi.hint.a0<br> [0x80001df4]:sd a0, 320(ra)<br>  |
| 326|[0x80004a38]<br>0x6666666666666670|- rs1_val==7378697629483820645 and imm_val==11<br>                                                                                      |[0x80001e18]:c.addi a0, 11<br> [0x80001e1a]:sd a0, 328(ra)<br>   |
| 327|[0x80004a40]<br>0x666666666666666C|- rs1_val==7378697629483820645 and imm_val==7<br>                                                                                       |[0x80001e3e]:c.addi a0, 7<br> [0x80001e40]:sd a0, 336(ra)<br>    |
| 328|[0x80004a48]<br>0x6666666666666664|- rs1_val==7378697629483820645 and imm_val==-1<br>                                                                                      |[0x80001e64]:c.addi a0, 63<br> [0x80001e66]:sd a0, 344(ra)<br>   |
| 329|[0x80004a50]<br>0x6666666666666661|- rs1_val==7378697629483820645 and imm_val==-4<br>                                                                                      |[0x80001e8a]:c.addi a0, 60<br> [0x80001e8c]:sd a0, 352(ra)<br>   |
| 330|[0x80004a58]<br>0x00000000B504F335|- rs1_val==3037000498 and imm_val==3<br>                                                                                                |[0x80001ea0]:c.addi a0, 3<br> [0x80001ea2]:sd a0, 360(ra)<br>    |
| 331|[0x80004a60]<br>0x00000000B504F337|- rs1_val==3037000498 and imm_val==5<br>                                                                                                |[0x80001eb6]:c.addi a0, 5<br> [0x80001eb8]:sd a0, 368(ra)<br>    |
| 332|[0x80004a68]<br>0x00000000B504F33C|- rs1_val==3037000498 and imm_val==10<br>                                                                                               |[0x80001ecc]:c.addi a0, 10<br> [0x80001ece]:sd a0, 376(ra)<br>   |
| 333|[0x80004a70]<br>0x00000000B504F338|- rs1_val==3037000498 and imm_val==6<br>                                                                                                |[0x80001ee2]:c.addi a0, 6<br> [0x80001ee4]:sd a0, 384(ra)<br>    |
| 334|[0x80004a78]<br>0x00000000B504F330|- rs1_val==3037000498 and imm_val==-2<br>                                                                                               |[0x80001ef8]:c.addi a0, 62<br> [0x80001efa]:sd a0, 392(ra)<br>   |
| 335|[0x80004a80]<br>0x00000000B504F32D|- rs1_val==3037000498 and imm_val==-5<br>                                                                                               |[0x80001f0e]:c.addi a0, 59<br> [0x80001f10]:sd a0, 400(ra)<br>   |
| 336|[0x80004a88]<br>0x00000000B504F334|- rs1_val==3037000498 and imm_val==2<br>                                                                                                |[0x80001f24]:c.addi a0, 2<br> [0x80001f26]:sd a0, 408(ra)<br>    |
| 337|[0x80004a90]<br>0x00000000B504F336|- rs1_val==3037000498 and imm_val==4<br>                                                                                                |[0x80001f3a]:c.addi a0, 4<br> [0x80001f3c]:sd a0, 416(ra)<br>    |
| 338|[0x80004a98]<br>0x00000000B504F33B|- rs1_val==3037000498 and imm_val==9<br>                                                                                                |[0x80001f50]:c.addi a0, 9<br> [0x80001f52]:sd a0, 424(ra)<br>    |
| 339|[0x80004aa0]<br>0x00000000B504F332|- rs1_val==3037000498 and imm_val==0<br>                                                                                                |[0x80001f66]:c.addi.hint.a0<br> [0x80001f68]:sd a0, 432(ra)<br>  |
| 340|[0x80004aa8]<br>0x00000000B504F33D|- rs1_val==3037000498 and imm_val==11<br>                                                                                               |[0x80001f7c]:c.addi a0, 11<br> [0x80001f7e]:sd a0, 440(ra)<br>   |
| 341|[0x80004ab0]<br>0x00000000B504F339|- rs1_val==3037000498 and imm_val==7<br>                                                                                                |[0x80001f92]:c.addi a0, 7<br> [0x80001f94]:sd a0, 448(ra)<br>    |
| 342|[0x80004ab8]<br>0x00000000B504F331|- rs1_val==3037000498 and imm_val==-1<br>                                                                                               |[0x80001fa8]:c.addi a0, 63<br> [0x80001faa]:sd a0, 456(ra)<br>   |
| 343|[0x80004ac0]<br>0x00000000B504F32E|- rs1_val==3037000498 and imm_val==-4<br>                                                                                               |[0x80001fbe]:c.addi a0, 60<br> [0x80001fc0]:sd a0, 464(ra)<br>   |
| 344|[0x80004ac8]<br>0x5555555555555559|- rs1_val==6148914691236517206 and imm_val==3<br>                                                                                       |[0x80001fe4]:c.addi a0, 3<br> [0x80001fe6]:sd a0, 472(ra)<br>    |
| 345|[0x80004ad0]<br>0x555555555555555B|- rs1_val==6148914691236517206 and imm_val==5<br>                                                                                       |[0x8000200a]:c.addi a0, 5<br> [0x8000200c]:sd a0, 480(ra)<br>    |
| 346|[0x80004ad8]<br>0x5555555555555560|- rs1_val==6148914691236517206 and imm_val==10<br>                                                                                      |[0x80002030]:c.addi a0, 10<br> [0x80002032]:sd a0, 488(ra)<br>   |
| 347|[0x80004ae0]<br>0x555555555555555C|- rs1_val==6148914691236517206 and imm_val==6<br>                                                                                       |[0x80002056]:c.addi a0, 6<br> [0x80002058]:sd a0, 496(ra)<br>    |
| 348|[0x80004ae8]<br>0x5555555555555554|- rs1_val==6148914691236517206 and imm_val==-2<br>                                                                                      |[0x8000207c]:c.addi a0, 62<br> [0x8000207e]:sd a0, 504(ra)<br>   |
| 349|[0x80004af0]<br>0x5555555555555551|- rs1_val==6148914691236517206 and imm_val==-5<br>                                                                                      |[0x800020a2]:c.addi a0, 59<br> [0x800020a4]:sd a0, 512(ra)<br>   |
| 350|[0x80004af8]<br>0x5555555555555558|- rs1_val==6148914691236517206 and imm_val==2<br>                                                                                       |[0x800020c8]:c.addi a0, 2<br> [0x800020ca]:sd a0, 520(ra)<br>    |
| 351|[0x80004b00]<br>0x555555555555555A|- rs1_val==6148914691236517206 and imm_val==4<br>                                                                                       |[0x800020ee]:c.addi a0, 4<br> [0x800020f0]:sd a0, 528(ra)<br>    |
| 352|[0x80004b08]<br>0x555555555555555F|- rs1_val==6148914691236517206 and imm_val==9<br>                                                                                       |[0x80002114]:c.addi a0, 9<br> [0x80002116]:sd a0, 536(ra)<br>    |
| 353|[0x80004b10]<br>0x5555555555555556|- rs1_val==6148914691236517206 and imm_val==0<br>                                                                                       |[0x8000213a]:c.addi.hint.a0<br> [0x8000213c]:sd a0, 544(ra)<br>  |
| 354|[0x80004b18]<br>0x5555555555555561|- rs1_val==6148914691236517206 and imm_val==11<br>                                                                                      |[0x80002160]:c.addi a0, 11<br> [0x80002162]:sd a0, 552(ra)<br>   |
| 355|[0x80004b20]<br>0x555555555555555D|- rs1_val==6148914691236517206 and imm_val==7<br>                                                                                       |[0x80002186]:c.addi a0, 7<br> [0x80002188]:sd a0, 560(ra)<br>    |
| 356|[0x80004b28]<br>0x5555555555555555|- rs1_val==6148914691236517206 and imm_val==-1<br>                                                                                      |[0x800021ac]:c.addi a0, 63<br> [0x800021ae]:sd a0, 568(ra)<br>   |
| 357|[0x80004b30]<br>0x5555555555555552|- rs1_val==6148914691236517206 and imm_val==-4<br>                                                                                      |[0x800021d2]:c.addi a0, 60<br> [0x800021d4]:sd a0, 576(ra)<br>   |
| 358|[0x80004b38]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517205 and imm_val==3<br>                                                                                      |[0x800021f8]:c.addi a0, 3<br> [0x800021fa]:sd a0, 584(ra)<br>    |
| 359|[0x80004b40]<br>0xAAAAAAAAAAAAAAB0|- rs1_val==-6148914691236517205 and imm_val==5<br>                                                                                      |[0x8000221e]:c.addi a0, 5<br> [0x80002220]:sd a0, 592(ra)<br>    |
| 360|[0x80004b48]<br>0xAAAAAAAAAAAAAAB5|- rs1_val==-6148914691236517205 and imm_val==10<br>                                                                                     |[0x80002244]:c.addi a0, 10<br> [0x80002246]:sd a0, 600(ra)<br>   |
| 361|[0x80004b50]<br>0xAAAAAAAAAAAAAAB1|- rs1_val==-6148914691236517205 and imm_val==6<br>                                                                                      |[0x8000226a]:c.addi a0, 6<br> [0x8000226c]:sd a0, 608(ra)<br>    |
| 362|[0x80004b58]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==-6148914691236517205 and imm_val==-2<br>                                                                                     |[0x80002290]:c.addi a0, 62<br> [0x80002292]:sd a0, 616(ra)<br>   |
| 363|[0x80004b60]<br>0xAAAAAAAAAAAAAAA6|- rs1_val==-6148914691236517205 and imm_val==-5<br>                                                                                     |[0x800022b6]:c.addi a0, 59<br> [0x800022b8]:sd a0, 624(ra)<br>   |
| 364|[0x80004b68]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==-6148914691236517205 and imm_val==2<br>                                                                                      |[0x800022dc]:c.addi a0, 2<br> [0x800022de]:sd a0, 632(ra)<br>    |
| 365|[0x80004b70]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and imm_val==4<br>                                                                                      |[0x80002302]:c.addi a0, 4<br> [0x80002304]:sd a0, 640(ra)<br>    |
| 366|[0x80004b78]<br>0xAAAAAAAAAAAAAAB4|- rs1_val==-6148914691236517205 and imm_val==9<br>                                                                                      |[0x80002328]:c.addi a0, 9<br> [0x8000232a]:sd a0, 648(ra)<br>    |
| 367|[0x80004b80]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and imm_val==0<br>                                                                                      |[0x8000234e]:c.addi.hint.a0<br> [0x80002350]:sd a0, 656(ra)<br>  |
| 368|[0x80004b88]<br>0xAAAAAAAAAAAAAAB6|- rs1_val==-6148914691236517205 and imm_val==11<br>                                                                                     |[0x80002374]:c.addi a0, 11<br> [0x80002376]:sd a0, 664(ra)<br>   |
| 369|[0x80004b90]<br>0xAAAAAAAAAAAAAAB2|- rs1_val==-6148914691236517205 and imm_val==7<br>                                                                                      |[0x8000239a]:c.addi a0, 7<br> [0x8000239c]:sd a0, 672(ra)<br>    |
| 370|[0x80004b98]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517205 and imm_val==-1<br>                                                                                     |[0x800023c0]:c.addi a0, 63<br> [0x800023c2]:sd a0, 680(ra)<br>   |
| 371|[0x80004ba0]<br>0xAAAAAAAAAAAAAAA7|- rs1_val==-6148914691236517205 and imm_val==-4<br>                                                                                     |[0x800023e6]:c.addi a0, 60<br> [0x800023e8]:sd a0, 688(ra)<br>   |
| 372|[0x80004ba8]<br>0x0000000000000009|- rs1_val==6 and imm_val==3<br>                                                                                                         |[0x800023f0]:c.addi a0, 3<br> [0x800023f2]:sd a0, 696(ra)<br>    |
| 373|[0x80004bb0]<br>0x000000000000000B|- rs1_val==6 and imm_val==5<br>                                                                                                         |[0x800023fa]:c.addi a0, 5<br> [0x800023fc]:sd a0, 704(ra)<br>    |
| 374|[0x80004bb8]<br>0x0000000000000010|- rs1_val==6 and imm_val==10<br>                                                                                                        |[0x80002404]:c.addi a0, 10<br> [0x80002406]:sd a0, 712(ra)<br>   |
| 375|[0x80004bc0]<br>0x000000000000000C|- rs1_val==6 and imm_val==6<br>                                                                                                         |[0x8000240e]:c.addi a0, 6<br> [0x80002410]:sd a0, 720(ra)<br>    |
| 376|[0x80004bc8]<br>0x0000000000000004|- rs1_val==6 and imm_val==-2<br>                                                                                                        |[0x80002418]:c.addi a0, 62<br> [0x8000241a]:sd a0, 728(ra)<br>   |
| 377|[0x80004bd0]<br>0x0000000000000001|- rs1_val==6 and imm_val==-5<br>                                                                                                        |[0x80002422]:c.addi a0, 59<br> [0x80002424]:sd a0, 736(ra)<br>   |
| 378|[0x80004bd8]<br>0x0000000000000008|- rs1_val==6 and imm_val==2<br>                                                                                                         |[0x8000242c]:c.addi a0, 2<br> [0x8000242e]:sd a0, 744(ra)<br>    |
| 379|[0x80004be0]<br>0x000000000000000A|- rs1_val==6 and imm_val==4<br>                                                                                                         |[0x80002436]:c.addi a0, 4<br> [0x80002438]:sd a0, 752(ra)<br>    |
| 380|[0x80004be8]<br>0x000000000000000F|- rs1_val==6 and imm_val==9<br>                                                                                                         |[0x80002440]:c.addi a0, 9<br> [0x80002442]:sd a0, 760(ra)<br>    |
| 381|[0x80004bf0]<br>0x0000000000000006|- rs1_val==6 and imm_val==0<br>                                                                                                         |[0x8000244a]:c.addi.hint.a0<br> [0x8000244c]:sd a0, 768(ra)<br>  |
| 382|[0x80004bf8]<br>0x0000000000000011|- rs1_val==6 and imm_val==11<br>                                                                                                        |[0x80002454]:c.addi a0, 11<br> [0x80002456]:sd a0, 776(ra)<br>   |
| 383|[0x80004c00]<br>0x000000000000000D|- rs1_val==6 and imm_val==7<br>                                                                                                         |[0x8000245e]:c.addi a0, 7<br> [0x80002460]:sd a0, 784(ra)<br>    |
| 384|[0x80004c08]<br>0x0000000000000002|- rs1_val==6 and imm_val==-4<br>                                                                                                        |[0x80002468]:c.addi a0, 60<br> [0x8000246a]:sd a0, 792(ra)<br>   |
| 385|[0x80004c10]<br>0x3333333333333337|- rs1_val==3689348814741910324 and imm_val==3<br>                                                                                       |[0x8000248e]:c.addi a0, 3<br> [0x80002490]:sd a0, 800(ra)<br>    |
| 386|[0x80004c18]<br>0x3333333333333339|- rs1_val==3689348814741910324 and imm_val==5<br>                                                                                       |[0x800024b4]:c.addi a0, 5<br> [0x800024b6]:sd a0, 808(ra)<br>    |
| 387|[0x80004c20]<br>0x333333333333333E|- rs1_val==3689348814741910324 and imm_val==10<br>                                                                                      |[0x800024da]:c.addi a0, 10<br> [0x800024dc]:sd a0, 816(ra)<br>   |
| 388|[0x80004c28]<br>0x333333333333333A|- rs1_val==3689348814741910324 and imm_val==6<br>                                                                                       |[0x80002500]:c.addi a0, 6<br> [0x80002502]:sd a0, 824(ra)<br>    |
| 389|[0x80004c30]<br>0x3333333333333332|- rs1_val==3689348814741910324 and imm_val==-2<br>                                                                                      |[0x80002526]:c.addi a0, 62<br> [0x80002528]:sd a0, 832(ra)<br>   |
| 390|[0x80004c38]<br>0x333333333333332F|- rs1_val==3689348814741910324 and imm_val==-5<br>                                                                                      |[0x8000254c]:c.addi a0, 59<br> [0x8000254e]:sd a0, 840(ra)<br>   |
| 391|[0x80004c40]<br>0x3333333333333336|- rs1_val==3689348814741910324 and imm_val==2<br>                                                                                       |[0x80002572]:c.addi a0, 2<br> [0x80002574]:sd a0, 848(ra)<br>    |
| 392|[0x80004c48]<br>0x3333333333333338|- rs1_val==3689348814741910324 and imm_val==4<br>                                                                                       |[0x80002598]:c.addi a0, 4<br> [0x8000259a]:sd a0, 856(ra)<br>    |
| 393|[0x80004c50]<br>0x333333333333333D|- rs1_val==3689348814741910324 and imm_val==9<br>                                                                                       |[0x800025be]:c.addi a0, 9<br> [0x800025c0]:sd a0, 864(ra)<br>    |
| 394|[0x80004c58]<br>0x3333333333333334|- rs1_val==3689348814741910324 and imm_val==0<br>                                                                                       |[0x800025e4]:c.addi.hint.a0<br> [0x800025e6]:sd a0, 872(ra)<br>  |
| 395|[0x80004c60]<br>0x333333333333333F|- rs1_val==3689348814741910324 and imm_val==11<br>                                                                                      |[0x8000260a]:c.addi a0, 11<br> [0x8000260c]:sd a0, 880(ra)<br>   |
| 396|[0x80004c68]<br>0x333333333333333B|- rs1_val==3689348814741910324 and imm_val==7<br>                                                                                       |[0x80002630]:c.addi a0, 7<br> [0x80002632]:sd a0, 888(ra)<br>    |
| 397|[0x80004c70]<br>0x3333333333333333|- rs1_val==3689348814741910324 and imm_val==-1<br>                                                                                      |[0x80002656]:c.addi a0, 63<br> [0x80002658]:sd a0, 896(ra)<br>   |
| 398|[0x80004c78]<br>0x3333333333333330|- rs1_val==3689348814741910324 and imm_val==-4<br>                                                                                      |[0x8000267c]:c.addi a0, 60<br> [0x8000267e]:sd a0, 904(ra)<br>   |
| 399|[0x80004c80]<br>0x666666666666666A|- rs1_val==7378697629483820647 and imm_val==3<br>                                                                                       |[0x800026a2]:c.addi a0, 3<br> [0x800026a4]:sd a0, 912(ra)<br>    |
| 400|[0x80004c88]<br>0x666666666666666C|- rs1_val==7378697629483820647 and imm_val==5<br>                                                                                       |[0x800026c8]:c.addi a0, 5<br> [0x800026ca]:sd a0, 920(ra)<br>    |
| 401|[0x80004c90]<br>0x6666666666666671|- rs1_val==7378697629483820647 and imm_val==10<br>                                                                                      |[0x800026ee]:c.addi a0, 10<br> [0x800026f0]:sd a0, 928(ra)<br>   |
| 402|[0x80004c98]<br>0x666666666666666D|- rs1_val==7378697629483820647 and imm_val==6<br>                                                                                       |[0x80002714]:c.addi a0, 6<br> [0x80002716]:sd a0, 936(ra)<br>    |
| 403|[0x80004ca0]<br>0x6666666666666665|- rs1_val==7378697629483820647 and imm_val==-2<br>                                                                                      |[0x8000273a]:c.addi a0, 62<br> [0x8000273c]:sd a0, 944(ra)<br>   |
| 404|[0x80004ca8]<br>0x6666666666666662|- rs1_val==7378697629483820647 and imm_val==-5<br>                                                                                      |[0x80002760]:c.addi a0, 59<br> [0x80002762]:sd a0, 952(ra)<br>   |
| 405|[0x80004cb0]<br>0x6666666666666669|- rs1_val==7378697629483820647 and imm_val==2<br>                                                                                       |[0x80002786]:c.addi a0, 2<br> [0x80002788]:sd a0, 960(ra)<br>    |
| 406|[0x80004cb8]<br>0x666666666666666B|- rs1_val==7378697629483820647 and imm_val==4<br>                                                                                       |[0x800027ac]:c.addi a0, 4<br> [0x800027ae]:sd a0, 968(ra)<br>    |
| 407|[0x80004cc0]<br>0x6666666666666670|- rs1_val==7378697629483820647 and imm_val==9<br>                                                                                       |[0x800027d2]:c.addi a0, 9<br> [0x800027d4]:sd a0, 976(ra)<br>    |
| 408|[0x80004cc8]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==0<br>                                                                                       |[0x800027f8]:c.addi.hint.a0<br> [0x800027fa]:sd a0, 984(ra)<br>  |
| 409|[0x80004cd0]<br>0x6666666666666672|- rs1_val==7378697629483820647 and imm_val==11<br>                                                                                      |[0x8000281e]:c.addi a0, 11<br> [0x80002820]:sd a0, 992(ra)<br>   |
| 410|[0x80004cd8]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000498 and imm_val==-1<br>                                                                                              |[0x80002834]:c.addi a0, 63<br> [0x80002836]:sd a0, 1000(ra)<br>  |
| 411|[0x80004ce0]<br>0xFFFFFFFF4AFB0CCA|- rs1_val==-3037000498 and imm_val==-4<br>                                                                                              |[0x8000284a]:c.addi a0, 60<br> [0x8000284c]:sd a0, 1008(ra)<br>  |
| 412|[0x80004ce8]<br>0x00000000B504F337|- rs1_val==3037000500 and imm_val==3<br>                                                                                                |[0x80002860]:c.addi a0, 3<br> [0x80002862]:sd a0, 1016(ra)<br>   |
| 413|[0x80004cf0]<br>0x00000000B504F339|- rs1_val==3037000500 and imm_val==5<br>                                                                                                |[0x80002876]:c.addi a0, 5<br> [0x80002878]:sd a0, 1024(ra)<br>   |
| 414|[0x80004cf8]<br>0x00000000B504F33E|- rs1_val==3037000500 and imm_val==10<br>                                                                                               |[0x8000288c]:c.addi a0, 10<br> [0x8000288e]:sd a0, 1032(ra)<br>  |
| 415|[0x80004d00]<br>0x00000000B504F33A|- rs1_val==3037000500 and imm_val==6<br>                                                                                                |[0x800028a2]:c.addi a0, 6<br> [0x800028a4]:sd a0, 1040(ra)<br>   |
| 416|[0x80004d08]<br>0x00000000B504F332|- rs1_val==3037000500 and imm_val==-2<br>                                                                                               |[0x800028b8]:c.addi a0, 62<br> [0x800028ba]:sd a0, 1048(ra)<br>  |
| 417|[0x80004d10]<br>0x00000000B504F32F|- rs1_val==3037000500 and imm_val==-5<br>                                                                                               |[0x800028ce]:c.addi a0, 59<br> [0x800028d0]:sd a0, 1056(ra)<br>  |
| 418|[0x80004d18]<br>0x00000000B504F336|- rs1_val==3037000500 and imm_val==2<br>                                                                                                |[0x800028e4]:c.addi a0, 2<br> [0x800028e6]:sd a0, 1064(ra)<br>   |
| 419|[0x80004d20]<br>0x00000000B504F338|- rs1_val==3037000500 and imm_val==4<br>                                                                                                |[0x800028fa]:c.addi a0, 4<br> [0x800028fc]:sd a0, 1072(ra)<br>   |
| 420|[0x80004d28]<br>0x00000000B504F33D|- rs1_val==3037000500 and imm_val==9<br>                                                                                                |[0x80002910]:c.addi a0, 9<br> [0x80002912]:sd a0, 1080(ra)<br>   |
| 421|[0x80004d30]<br>0x00000000B504F334|- rs1_val==3037000500 and imm_val==0<br>                                                                                                |[0x80002926]:c.addi.hint.a0<br> [0x80002928]:sd a0, 1088(ra)<br> |
| 422|[0x80004d38]<br>0x00000000B504F33F|- rs1_val==3037000500 and imm_val==11<br>                                                                                               |[0x8000293c]:c.addi a0, 11<br> [0x8000293e]:sd a0, 1096(ra)<br>  |
| 423|[0x80004d40]<br>0x00000000B504F33B|- rs1_val==3037000500 and imm_val==7<br>                                                                                                |[0x80002952]:c.addi a0, 7<br> [0x80002954]:sd a0, 1104(ra)<br>   |
| 424|[0x80004d48]<br>0x00000000B504F333|- rs1_val==3037000500 and imm_val==-1<br>                                                                                               |[0x80002968]:c.addi a0, 63<br> [0x8000296a]:sd a0, 1112(ra)<br>  |
| 425|[0x80004d50]<br>0x00000000B504F330|- rs1_val==3037000500 and imm_val==-4<br>                                                                                               |[0x8000297e]:c.addi a0, 60<br> [0x80002980]:sd a0, 1120(ra)<br>  |
| 426|[0x80004d58]<br>0x666666666666666E|- rs1_val==7378697629483820647 and imm_val==7<br>                                                                                       |[0x800029a4]:c.addi a0, 7<br> [0x800029a6]:sd a0, 1128(ra)<br>   |
| 427|[0x80004d60]<br>0x6666666666666666|- rs1_val==7378697629483820647 and imm_val==-1<br>                                                                                      |[0x800029ca]:c.addi a0, 63<br> [0x800029cc]:sd a0, 1136(ra)<br>  |
| 428|[0x80004d68]<br>0x6666666666666663|- rs1_val==7378697629483820647 and imm_val==-4<br>                                                                                      |[0x800029f0]:c.addi a0, 60<br> [0x800029f2]:sd a0, 1144(ra)<br>  |
| 429|[0x80004d70]<br>0xFFFFFFFF4AFB0CD1|- rs1_val==-3037000498 and imm_val==3<br>                                                                                               |[0x80002a06]:c.addi a0, 3<br> [0x80002a08]:sd a0, 1152(ra)<br>   |
| 430|[0x80004d78]<br>0xFFFFFFFF4AFB0CD3|- rs1_val==-3037000498 and imm_val==5<br>                                                                                               |[0x80002a1c]:c.addi a0, 5<br> [0x80002a1e]:sd a0, 1160(ra)<br>   |
| 431|[0x80004d80]<br>0xFFFFFFFF4AFB0CD8|- rs1_val==-3037000498 and imm_val==10<br>                                                                                              |[0x80002a32]:c.addi a0, 10<br> [0x80002a34]:sd a0, 1168(ra)<br>  |
| 432|[0x80004d88]<br>0xFFFFFFFF4AFB0CD4|- rs1_val==-3037000498 and imm_val==6<br>                                                                                               |[0x80002a48]:c.addi a0, 6<br> [0x80002a4a]:sd a0, 1176(ra)<br>   |
| 433|[0x80004d90]<br>0xFFFFFFFF4AFB0CCC|- rs1_val==-3037000498 and imm_val==-2<br>                                                                                              |[0x80002a5e]:c.addi a0, 62<br> [0x80002a60]:sd a0, 1184(ra)<br>  |
| 434|[0x80004d98]<br>0xFFFFFFFF4AFB0CC9|- rs1_val==-3037000498 and imm_val==-5<br>                                                                                              |[0x80002a74]:c.addi a0, 59<br> [0x80002a76]:sd a0, 1192(ra)<br>  |
| 435|[0x80004da0]<br>0xFFFFFFFF4AFB0CD0|- rs1_val==-3037000498 and imm_val==2<br>                                                                                               |[0x80002a8a]:c.addi a0, 2<br> [0x80002a8c]:sd a0, 1200(ra)<br>   |
| 436|[0x80004da8]<br>0xFFFFFFFF4AFB0CD2|- rs1_val==-3037000498 and imm_val==4<br>                                                                                               |[0x80002aa0]:c.addi a0, 4<br> [0x80002aa2]:sd a0, 1208(ra)<br>   |
| 437|[0x80004db0]<br>0xFFFFFFFF4AFB0CD7|- rs1_val==-3037000498 and imm_val==9<br>                                                                                               |[0x80002ab6]:c.addi a0, 9<br> [0x80002ab8]:sd a0, 1216(ra)<br>   |
| 438|[0x80004db8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and imm_val==0<br>                                                                                               |[0x80002acc]:c.addi.hint.a0<br> [0x80002ace]:sd a0, 1224(ra)<br> |
| 439|[0x80004dc0]<br>0xFFFFFFFF4AFB0CD9|- rs1_val==-3037000498 and imm_val==11<br>                                                                                              |[0x80002ae2]:c.addi a0, 11<br> [0x80002ae4]:sd a0, 1232(ra)<br>  |
| 440|[0x80004dc8]<br>0xFFFFFFFF4AFB0CD5|- rs1_val==-3037000498 and imm_val==7<br>                                                                                               |[0x80002af8]:c.addi a0, 7<br> [0x80002afa]:sd a0, 1240(ra)<br>   |
