
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x800042e0')]      |
| SIG_REGION                | [('0x80006010', '0x80007380', '622 dwords')]      |
| COV_LABELS                | ori      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/ori-01.S/ori-01.S    |
| Total Number of coverpoints| 719     |
| Total Coverpoints Hit     | 719      |
| Total Signature Updates   | 622      |
| STAT1                     | 620      |
| STAT2                     | 2      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800042c0]:ori a1, a0, 1
      [0x800042c4]:sd a1, 688(ra)
 -- Signature Address: 0x80007370 Data: 0x0000000000000005
 -- Redundant Coverpoints hit by the op
      - opcode : ori
      - rs1 : x10
      - rd : x11
      - rs1 != rd
      - imm_val == 1
      - rs1_val != imm_val
      - rs1_val > 0 and imm_val > 0
      - rs1_val == 4




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800042d0]:ori a1, a0, 4087
      [0x800042d4]:sd a1, 696(ra)
 -- Signature Address: 0x80007378 Data: 0xFFFFFFFFFFFFFFFF
 -- Redundant Coverpoints hit by the op
      - opcode : ori
      - rs1 : x10
      - rd : x11
      - rs1 != rd
      - rs1_val != imm_val
      - rs1_val < 0 and imm_val < 0
      - imm_val == -9
      - rs1_val == -2097153






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                             coverpoints                                                                                              |                                code                                 |
|---:|----------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------|
|   1|[0x80006010]<br>0xFFFFFFFFFFFFF800|- opcode : ori<br> - rs1 : x6<br> - rd : x6<br> - rs1 == rd<br> - imm_val == (-2**(12-1))<br> - rs1_val != imm_val<br> - rs1_val > 0 and imm_val < 0<br> - imm_val == -2048<br> - rs1_val == 8192<br> |[0x8000039c]:ori t1, t1, 2048<br> [0x800003a0]:sd t1, 0(a1)<br>      |
|   2|[0x80006018]<br>0x0000000000000004|- rs1 : x28<br> - rd : x2<br> - rs1 != rd<br> - imm_val == 0<br> - rs1_val == 4<br> - rs1_val==4 and imm_val==0<br>                                                                                   |[0x800003a8]:ori sp, t3, 0<br> [0x800003ac]:sd sp, 8(a1)<br>         |
|   3|[0x80006020]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x25<br> - rd : x19<br> - imm_val == (2**(12-1)-1)<br> - rs1_val < 0 and imm_val > 0<br> - imm_val == 2047<br> - rs1_val == -2<br>                                                             |[0x800003b4]:ori s3, s9, 2047<br> [0x800003b8]:sd s3, 16(a1)<br>     |
|   4|[0x80006028]<br>0x0000000000000001|- rs1 : x0<br> - rd : x1<br> - imm_val == 1<br> - rs1_val == 0<br>                                                                                                                                    |[0x800003c0]:ori ra, zero, 1<br> [0x800003c4]:sd ra, 24(a1)<br>      |
|   5|[0x80006030]<br>0x8000000000000666|- rs1 : x4<br> - rd : x7<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -9223372036854775808<br>                                                                                                    |[0x800003d0]:ori t2, tp, 1638<br> [0x800003d4]:sd t2, 32(a1)<br>     |
|   6|[0x80006038]<br>0xFFFFFFFFFFFFFDFF|- rs1 : x29<br> - rd : x8<br> - imm_val == -513<br>                                                                                                                                                   |[0x800003dc]:ori fp, t4, 3583<br> [0x800003e0]:sd fp, 40(a1)<br>     |
|   7|[0x80006040]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x22<br> - rd : x17<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val == 9223372036854775807<br>                                                                                                  |[0x800003f0]:ori a7, s6, 3583<br> [0x800003f4]:sd a7, 48(a1)<br>     |
|   8|[0x80006048]<br>0xFFFFFFFFFFFFFFFB|- rs1 : x17<br> - rd : x10<br> - rs1_val == 1<br>                                                                                                                                                     |[0x800003fc]:ori a0, a7, 4090<br> [0x80000400]:sd a0, 56(a1)<br>     |
|   9|[0x80006050]<br>0x0000000000000005|- rs1 : x5<br> - rd : x30<br> - rs1_val == imm_val<br> - rs1_val > 0 and imm_val > 0<br> - rs1_val==5 and imm_val==5<br>                                                                              |[0x80000408]:ori t5, t0, 5<br> [0x8000040c]:sd t5, 64(a1)<br>        |
|  10|[0x80006058]<br>0x0000000000000000|- rs1 : x12<br> - rd : x0<br> - rs1_val < 0 and imm_val < 0<br> - imm_val == -9<br> - rs1_val == -2097153<br>                                                                                         |[0x80000418]:ori zero, a2, 4087<br> [0x8000041c]:sd zero, 72(a1)<br> |
|  11|[0x80006060]<br>0x0020000000000002|- rs1 : x16<br> - rd : x3<br> - imm_val == 2<br> - rs1_val == 9007199254740992<br>                                                                                                                    |[0x80000428]:ori gp, a6, 2<br> [0x8000042c]:sd gp, 80(a1)<br>        |
|  12|[0x80006068]<br>0xFFFFFFFFFFFFFFBF|- rs1 : x31<br> - rd : x20<br> - imm_val == 4<br> - rs1_val == -65<br>                                                                                                                                |[0x80000434]:ori s4, t6, 4<br> [0x80000438]:sd s4, 88(a1)<br>        |
|  13|[0x80006070]<br>0x0000000000004008|- rs1 : x3<br> - rd : x12<br> - imm_val == 8<br> - rs1_val == 16384<br>                                                                                                                               |[0x80000440]:ori a2, gp, 8<br> [0x80000444]:sd a2, 96(a1)<br>        |
|  14|[0x80006078]<br>0xFFFEFFFFFFFFFFFF|- rs1 : x18<br> - rd : x21<br> - imm_val == 16<br> - rs1_val == -281474976710657<br>                                                                                                                  |[0x80000454]:ori s5, s2, 16<br> [0x80000458]:sd s5, 104(a1)<br>      |
|  15|[0x80006080]<br>0x0010000000000020|- rs1 : x15<br> - rd : x24<br> - imm_val == 32<br> - rs1_val == 4503599627370496<br>                                                                                                                  |[0x80000464]:ori s8, a5, 32<br> [0x80000468]:sd s8, 112(a1)<br>      |
|  16|[0x80006088]<br>0xFFFFFFFFEFFFFFFF|- rs1 : x10<br> - rd : x23<br> - imm_val == 64<br> - rs1_val == -268435457<br>                                                                                                                        |[0x80000474]:ori s7, a0, 64<br> [0x80000478]:sd s7, 120(a1)<br>      |
|  17|[0x80006090]<br>0x8000000000000080|- rs1 : x20<br> - rd : x18<br> - imm_val == 128<br>                                                                                                                                                   |[0x80000484]:ori s2, s4, 128<br> [0x80000488]:sd s2, 128(a1)<br>     |
|  18|[0x80006098]<br>0x0000000100000100|- rs1 : x24<br> - rd : x14<br> - imm_val == 256<br> - rs1_val == 4294967296<br>                                                                                                                       |[0x80000494]:ori a4, s8, 256<br> [0x80000498]:sd a4, 136(a1)<br>     |
|  19|[0x800060a0]<br>0x0000020000000200|- rs1 : x26<br> - rd : x29<br> - imm_val == 512<br> - rs1_val == 2199023255552<br>                                                                                                                    |[0x800004a4]:ori t4, s10, 512<br> [0x800004a8]:sd t4, 144(a1)<br>    |
|  20|[0x800060a8]<br>0xFFDFFFFFFFFFFFFF|- rs1 : x1<br> - rd : x28<br> - imm_val == 1024<br> - rs1_val == -9007199254740993<br>                                                                                                                |[0x800004b8]:ori t3, ra, 1024<br> [0x800004bc]:sd t3, 152(a1)<br>    |
|  21|[0x800060b0]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x2<br> - rd : x22<br> - imm_val == -2<br>                                                                                                                                                     |[0x800004e0]:ori s6, sp, 4094<br> [0x800004e4]:sd s6, 160(a1)<br>    |
|  22|[0x800060b8]<br>0xFFFFFFFFFFFFFFFD|- rs1 : x9<br> - rd : x16<br> - imm_val == -3<br> - rs1_val == 33554432<br>                                                                                                                           |[0x800004ec]:ori a6, s1, 4093<br> [0x800004f0]:sd a6, 168(a1)<br>    |
|  23|[0x800060c0]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x13<br> - rd : x26<br> - imm_val == -5<br>                                                                                                                                                    |[0x80000508]:ori s10, a3, 4091<br> [0x8000050c]:sd s10, 0(ra)<br>    |
|  24|[0x800060c8]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x19<br> - rd : x25<br> - imm_val == -17<br>                                                                                                                                                   |[0x80000530]:ori s9, s3, 4079<br> [0x80000534]:sd s9, 8(ra)<br>      |
|  25|[0x800060d0]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x27<br> - rd : x15<br> - imm_val == -33<br> - rs1_val == -262145<br>                                                                                                                          |[0x80000540]:ori a5, s11, 4063<br> [0x80000544]:sd a5, 16(ra)<br>    |
|  26|[0x800060d8]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x7<br> - rd : x9<br> - imm_val == -65<br> - rs1_val == 6148914691236517205<br>                                                                                                                |[0x80000568]:ori s1, t2, 4031<br> [0x8000056c]:sd s1, 24(ra)<br>     |
|  27|[0x800060e0]<br>0xFFFFFFFFFFFFFF7F|- rs1 : x30<br> - rd : x4<br> - imm_val == -129<br> - rs1_val == 8589934592<br>                                                                                                                       |[0x80000578]:ori tp, t5, 3967<br> [0x8000057c]:sd tp, 32(ra)<br>     |
|  28|[0x800060e8]<br>0xFFFFFFFFFFFFFFFF|- rs1 : x23<br> - rd : x5<br> - imm_val == -257<br> - rs1_val == -8388609<br>                                                                                                                         |[0x80000588]:ori t0, s7, 3839<br> [0x8000058c]:sd t0, 40(ra)<br>     |
|  29|[0x800060f0]<br>0xFFFFFFFFFFFFFBFF|- rs1 : x21<br> - rd : x11<br> - imm_val == -1025<br>                                                                                                                                                 |[0x80000594]:ori a1, s5, 3071<br> [0x80000598]:sd a1, 48(ra)<br>     |
|  30|[0x800060f8]<br>0x0000000000000555|- rs1 : x11<br> - rd : x27<br> - imm_val == 1365<br> - rs1_val==0 and imm_val==1365<br>                                                                                                               |[0x800005a0]:ori s11, a1, 1365<br> [0x800005a4]:sd s11, 56(ra)<br>   |
|  31|[0x80006100]<br>0xFFFFFFFFFFFFFAAA|- rs1 : x8<br> - rd : x13<br> - imm_val == -1366<br> - rs1_val == 281474976710656<br>                                                                                                                 |[0x800005b0]:ori a3, fp, 2730<br> [0x800005b4]:sd a3, 64(ra)<br>     |
|  32|[0x80006108]<br>0x0000000000000402|- rs1 : x14<br> - rd : x31<br> - rs1_val == 2<br>                                                                                                                                                     |[0x800005bc]:ori t6, a4, 1024<br> [0x800005c0]:sd t6, 72(ra)<br>     |
|  33|[0x80006110]<br>0x000000000000000C|- rs1_val == 8<br>                                                                                                                                                                                    |[0x800005c8]:ori a1, a0, 4<br> [0x800005cc]:sd a1, 80(ra)<br>        |
|  34|[0x80006118]<br>0x0000000000000676|- rs1_val == 16<br>                                                                                                                                                                                   |[0x800005d4]:ori a1, a0, 1638<br> [0x800005d8]:sd a1, 88(ra)<br>     |
|  35|[0x80006120]<br>0x000000000000002D|- rs1_val == 32<br>                                                                                                                                                                                   |[0x800005e0]:ori a1, a0, 45<br> [0x800005e4]:sd a1, 96(ra)<br>       |
|  36|[0x80006128]<br>0xFFFFFFFFFFFFFFD4|- rs1_val == 64<br>                                                                                                                                                                                   |[0x800005ec]:ori a1, a0, 4052<br> [0x800005f0]:sd a1, 104(ra)<br>    |
|  37|[0x80006130]<br>0xFFFFFFFFFFFFFFFB|- rs1_val == 128<br>                                                                                                                                                                                  |[0x800005f8]:ori a1, a0, 4091<br> [0x800005fc]:sd a1, 112(ra)<br>    |
|  38|[0x80006138]<br>0x0000000000000104|- rs1_val == 256<br>                                                                                                                                                                                  |[0x80000604]:ori a1, a0, 4<br> [0x80000608]:sd a1, 120(ra)<br>       |
|  39|[0x80006140]<br>0xFFFFFFFFFFFFFE00|- rs1_val == 512<br>                                                                                                                                                                                  |[0x80000610]:ori a1, a0, 3072<br> [0x80000614]:sd a1, 128(ra)<br>    |
|  40|[0x80006148]<br>0xFFFFFFFFFFFFFEFF|- rs1_val == 1024<br>                                                                                                                                                                                 |[0x8000061c]:ori a1, a0, 3839<br> [0x80000620]:sd a1, 136(ra)<br>    |
|  41|[0x80006150]<br>0x0000000000000803|- rs1_val == 2048<br>                                                                                                                                                                                 |[0x8000062c]:ori a1, a0, 3<br> [0x80000630]:sd a1, 144(ra)<br>       |
|  42|[0x80006158]<br>0x0000000000001200|- rs1_val == 4096<br>                                                                                                                                                                                 |[0x80000638]:ori a1, a0, 512<br> [0x8000063c]:sd a1, 152(ra)<br>     |
|  43|[0x80006160]<br>0x0000000000008200|- rs1_val == 32768<br>                                                                                                                                                                                |[0x80000644]:ori a1, a0, 512<br> [0x80000648]:sd a1, 160(ra)<br>     |
|  44|[0x80006168]<br>0x0000000000010000|- rs1_val == 65536<br>                                                                                                                                                                                |[0x80000650]:ori a1, a0, 0<br> [0x80000654]:sd a1, 168(ra)<br>       |
|  45|[0x80006170]<br>0xFFFFFFFFFFFFFFFE|- rs1_val == 131072<br>                                                                                                                                                                               |[0x8000065c]:ori a1, a0, 4094<br> [0x80000660]:sd a1, 176(ra)<br>    |
|  46|[0x80006178]<br>0x000000000004002C|- rs1_val == 262144<br>                                                                                                                                                                               |[0x80000668]:ori a1, a0, 44<br> [0x8000066c]:sd a1, 184(ra)<br>      |
|  47|[0x80006180]<br>0xFFFFFFFFFFFFFFFB|- rs1_val == 524288<br>                                                                                                                                                                               |[0x80000674]:ori a1, a0, 4091<br> [0x80000678]:sd a1, 192(ra)<br>    |
|  48|[0x80006188]<br>0x0000000000100003|- rs1_val == 1048576<br>                                                                                                                                                                              |[0x80000680]:ori a1, a0, 3<br> [0x80000684]:sd a1, 200(ra)<br>       |
|  49|[0x80006190]<br>0x0000000000200005|- rs1_val == 2097152<br>                                                                                                                                                                              |[0x8000068c]:ori a1, a0, 5<br> [0x80000690]:sd a1, 208(ra)<br>       |
|  50|[0x80006198]<br>0x0000000000400556|- rs1_val == 4194304<br>                                                                                                                                                                              |[0x80000698]:ori a1, a0, 1366<br> [0x8000069c]:sd a1, 216(ra)<br>    |
|  51|[0x800061a0]<br>0xFFFFFFFFFFFFFFD4|- rs1_val == 8388608<br>                                                                                                                                                                              |[0x800006a4]:ori a1, a0, 4052<br> [0x800006a8]:sd a1, 224(ra)<br>    |
|  52|[0x800061a8]<br>0x000000000100002E|- rs1_val == 16777216<br>                                                                                                                                                                             |[0x800006b0]:ori a1, a0, 46<br> [0x800006b4]:sd a1, 232(ra)<br>      |
|  53|[0x800061b0]<br>0x0000000004000000|- rs1_val == 67108864<br>                                                                                                                                                                             |[0x800006bc]:ori a1, a0, 0<br> [0x800006c0]:sd a1, 240(ra)<br>       |
|  54|[0x800061b8]<br>0x0000000008000333|- rs1_val == 134217728<br>                                                                                                                                                                            |[0x800006c8]:ori a1, a0, 819<br> [0x800006cc]:sd a1, 248(ra)<br>     |
|  55|[0x800061c0]<br>0x0000000010000003|- rs1_val == 268435456<br>                                                                                                                                                                            |[0x800006d4]:ori a1, a0, 3<br> [0x800006d8]:sd a1, 256(ra)<br>       |
|  56|[0x800061c8]<br>0xFFFFFFFFFFFFFFD4|- rs1_val == 536870912<br>                                                                                                                                                                            |[0x800006e0]:ori a1, a0, 4052<br> [0x800006e4]:sd a1, 264(ra)<br>    |
|  57|[0x800061d0]<br>0x0000000040000002|- rs1_val == 1073741824<br>                                                                                                                                                                           |[0x800006ec]:ori a1, a0, 2<br> [0x800006f0]:sd a1, 272(ra)<br>       |
|  58|[0x800061d8]<br>0xFFFFFFFFFFFFFFD3|- rs1_val == 2147483648<br>                                                                                                                                                                           |[0x800006fc]:ori a1, a0, 4051<br> [0x80000700]:sd a1, 280(ra)<br>    |
|  59|[0x800061e0]<br>0x0000000400000004|- rs1_val == 17179869184<br>                                                                                                                                                                          |[0x8000070c]:ori a1, a0, 4<br> [0x80000710]:sd a1, 288(ra)<br>       |
|  60|[0x800061e8]<br>0x0000000800000040|- rs1_val == 34359738368<br>                                                                                                                                                                          |[0x8000071c]:ori a1, a0, 64<br> [0x80000720]:sd a1, 296(ra)<br>      |
|  61|[0x800061f0]<br>0x0000001000000332|- rs1_val == 68719476736<br>                                                                                                                                                                          |[0x8000072c]:ori a1, a0, 818<br> [0x80000730]:sd a1, 304(ra)<br>     |
|  62|[0x800061f8]<br>0xFFFFFFFFFFFFFFF6|- rs1_val == 137438953472<br>                                                                                                                                                                         |[0x8000073c]:ori a1, a0, 4086<br> [0x80000740]:sd a1, 312(ra)<br>    |
|  63|[0x80006200]<br>0xFFFFFFFFFFFFFFD3|- rs1_val == 274877906944<br>                                                                                                                                                                         |[0x8000074c]:ori a1, a0, 4051<br> [0x80000750]:sd a1, 320(ra)<br>    |
|  64|[0x80006208]<br>0x000000800000002D|- rs1_val == 549755813888<br>                                                                                                                                                                         |[0x8000075c]:ori a1, a0, 45<br> [0x80000760]:sd a1, 328(ra)<br>      |
|  65|[0x80006210]<br>0xFFFFFFFFFFFFFFD3|- rs1_val == 1099511627776<br>                                                                                                                                                                        |[0x8000076c]:ori a1, a0, 4051<br> [0x80000770]:sd a1, 336(ra)<br>    |
|  66|[0x80006218]<br>0xFFFFFFFFFFFFFFF6|- rs1_val == 4398046511104<br>                                                                                                                                                                        |[0x8000077c]:ori a1, a0, 4086<br> [0x80000780]:sd a1, 344(ra)<br>    |
|  67|[0x80006220]<br>0xFFFFFFFFFFFFFFBF|- rs1_val == 8796093022208<br>                                                                                                                                                                        |[0x8000078c]:ori a1, a0, 4031<br> [0x80000790]:sd a1, 352(ra)<br>    |
|  68|[0x80006228]<br>0xFFFFFFFFFFFFFFFB|- rs1_val == 17592186044416<br>                                                                                                                                                                       |[0x8000079c]:ori a1, a0, 4091<br> [0x800007a0]:sd a1, 360(ra)<br>    |
|  69|[0x80006230]<br>0x0000200000000000|- rs1_val == 35184372088832<br>                                                                                                                                                                       |[0x800007ac]:ori a1, a0, 0<br> [0x800007b0]:sd a1, 368(ra)<br>       |
|  70|[0x80006238]<br>0x0000400000000667|- rs1_val == 70368744177664<br>                                                                                                                                                                       |[0x800007bc]:ori a1, a0, 1639<br> [0x800007c0]:sd a1, 376(ra)<br>    |
|  71|[0x80006240]<br>0xFFFFFFFFFFFFFFD4|- rs1_val == 140737488355328<br>                                                                                                                                                                      |[0x800007cc]:ori a1, a0, 4052<br> [0x800007d0]:sd a1, 384(ra)<br>    |
|  72|[0x80006248]<br>0x0002000000000400|- rs1_val == 562949953421312<br>                                                                                                                                                                      |[0x800007dc]:ori a1, a0, 1024<br> [0x800007e0]:sd a1, 392(ra)<br>    |
|  73|[0x80006250]<br>0x0004000000000200|- rs1_val == 1125899906842624<br>                                                                                                                                                                     |[0x800007ec]:ori a1, a0, 512<br> [0x800007f0]:sd a1, 400(ra)<br>     |
|  74|[0x80006258]<br>0x0008000000000009|- rs1_val == 2251799813685248<br>                                                                                                                                                                     |[0x800007fc]:ori a1, a0, 9<br> [0x80000800]:sd a1, 408(ra)<br>       |
|  75|[0x80006260]<br>0xFFFFFFFFFFFFFF7F|- rs1_val == 18014398509481984<br>                                                                                                                                                                    |[0x8000080c]:ori a1, a0, 3967<br> [0x80000810]:sd a1, 416(ra)<br>    |
|  76|[0x80006268]<br>0x00800000000007FF|- rs1_val == 36028797018963968<br>                                                                                                                                                                    |[0x8000081c]:ori a1, a0, 2047<br> [0x80000820]:sd a1, 424(ra)<br>    |
|  77|[0x80006270]<br>0xFFFFFFFFFFFFFFFC|- rs1_val == 72057594037927936<br>                                                                                                                                                                    |[0x8000082c]:ori a1, a0, 4092<br> [0x80000830]:sd a1, 432(ra)<br>    |
|  78|[0x80006278]<br>0x0200000000000004|- rs1_val == 144115188075855872<br>                                                                                                                                                                   |[0x8000083c]:ori a1, a0, 4<br> [0x80000840]:sd a1, 440(ra)<br>       |
|  79|[0x80006280]<br>0x0400000000000333|- rs1_val == 288230376151711744<br>                                                                                                                                                                   |[0x8000084c]:ori a1, a0, 819<br> [0x80000850]:sd a1, 448(ra)<br>     |
|  80|[0x80006288]<br>0xFFFFFFFFFFFFFFFC|- rs1_val == 576460752303423488<br>                                                                                                                                                                   |[0x8000085c]:ori a1, a0, 4092<br> [0x80000860]:sd a1, 456(ra)<br>    |
|  81|[0x80006290]<br>0x1000000000000333|- rs1_val == 1152921504606846976<br>                                                                                                                                                                  |[0x8000086c]:ori a1, a0, 819<br> [0x80000870]:sd a1, 464(ra)<br>     |
|  82|[0x80006298]<br>0x2000000000000100|- rs1_val == 2305843009213693952<br>                                                                                                                                                                  |[0x8000087c]:ori a1, a0, 256<br> [0x80000880]:sd a1, 472(ra)<br>     |
|  83|[0x800062a0]<br>0x4000000000000003|- rs1_val == 4611686018427387904<br>                                                                                                                                                                  |[0x8000088c]:ori a1, a0, 3<br> [0x80000890]:sd a1, 480(ra)<br>       |
|  84|[0x800062a8]<br>0xFFFFFFFFFFFFFFFD|- rs1_val == -3<br>                                                                                                                                                                                   |[0x80000898]:ori a1, a0, 3072<br> [0x8000089c]:sd a1, 488(ra)<br>    |
|  85|[0x800062b0]<br>0xFFFFFFFFFFFFFFFB|- rs1_val == -5<br>                                                                                                                                                                                   |[0x800008a4]:ori a1, a0, 2731<br> [0x800008a8]:sd a1, 496(ra)<br>    |
|  86|[0x800062b8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -9<br>                                                                                                                                                                                   |[0x800008b0]:ori a1, a0, 45<br> [0x800008b4]:sd a1, 504(ra)<br>      |
|  87|[0x800062c0]<br>0xFFFFFFFFFFFFFFEF|- rs1_val == -17<br>                                                                                                                                                                                  |[0x800008bc]:ori a1, a0, 9<br> [0x800008c0]:sd a1, 512(ra)<br>       |
|  88|[0x800062c8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -33<br>                                                                                                                                                                                  |[0x800008c8]:ori a1, a0, 4094<br> [0x800008cc]:sd a1, 520(ra)<br>    |
|  89|[0x800062d0]<br>0xFFFFFFFFFFFFFF7F|- rs1_val == -129<br>                                                                                                                                                                                 |[0x800008d4]:ori a1, a0, 818<br> [0x800008d8]:sd a1, 528(ra)<br>     |
|  90|[0x800062d8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -257<br>                                                                                                                                                                                 |[0x800008e0]:ori a1, a0, 4089<br> [0x800008e4]:sd a1, 536(ra)<br>    |
|  91|[0x800062e0]<br>0xFFFFFFFFFFFFFDFF|- rs1_val == -513<br>                                                                                                                                                                                 |[0x800008ec]:ori a1, a0, 0<br> [0x800008f0]:sd a1, 544(ra)<br>       |
|  92|[0x800062e8]<br>0xFFFFFFFFFFFFFBFF|- rs1_val == -1025<br>                                                                                                                                                                                |[0x800008f8]:ori a1, a0, 0<br> [0x800008fc]:sd a1, 552(ra)<br>       |
|  93|[0x800062f0]<br>0xFFFFFFFFFFFFF7FF|- rs1_val == -2049<br>                                                                                                                                                                                |[0x80000908]:ori a1, a0, 4<br> [0x8000090c]:sd a1, 560(ra)<br>       |
|  94|[0x800062f8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -4097<br>                                                                                                                                                                                |[0x80000918]:ori a1, a0, 4095<br> [0x8000091c]:sd a1, 568(ra)<br>    |
|  95|[0x80006300]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -8193<br>                                                                                                                                                                                |[0x80000928]:ori a1, a0, 4052<br> [0x8000092c]:sd a1, 576(ra)<br>    |
|  96|[0x80006308]<br>0xFFFFFFFFFFFFBFFF|- rs1_val == -16385<br>                                                                                                                                                                               |[0x80000938]:ori a1, a0, 1639<br> [0x8000093c]:sd a1, 584(ra)<br>    |
|  97|[0x80006310]<br>0xFFFFFFFFFFFF7FFF|- rs1_val == -32769<br>                                                                                                                                                                               |[0x80000948]:ori a1, a0, 9<br> [0x8000094c]:sd a1, 592(ra)<br>       |
|  98|[0x80006318]<br>0xFFFFFFFFFFFEFFFF|- rs1_val == -65537<br>                                                                                                                                                                               |[0x80000958]:ori a1, a0, 1364<br> [0x8000095c]:sd a1, 600(ra)<br>    |
|  99|[0x80006320]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -131073<br>                                                                                                                                                                              |[0x80000968]:ori a1, a0, 3839<br> [0x8000096c]:sd a1, 608(ra)<br>    |
| 100|[0x80006328]<br>0xFFFFFFFFFFF7FFFF|- rs1_val == -524289<br>                                                                                                                                                                              |[0x80000978]:ori a1, a0, 512<br> [0x8000097c]:sd a1, 616(ra)<br>     |
| 101|[0x80006330]<br>0xFFFFFFFFFFEFFFFF|- rs1_val == -1048577<br>                                                                                                                                                                             |[0x80000988]:ori a1, a0, 64<br> [0x8000098c]:sd a1, 624(ra)<br>      |
| 102|[0x80006338]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -4194305<br>                                                                                                                                                                             |[0x80000998]:ori a1, a0, 4031<br> [0x8000099c]:sd a1, 632(ra)<br>    |
| 103|[0x80006340]<br>0xFFFFFFFFFEFFFFFF|- rs1_val == -16777217<br>                                                                                                                                                                            |[0x800009a8]:ori a1, a0, 256<br> [0x800009ac]:sd a1, 640(ra)<br>     |
| 104|[0x80006348]<br>0xFFFFFFFFFDFFFFFF|- rs1_val == -33554433<br>                                                                                                                                                                            |[0x800009b8]:ori a1, a0, 0<br> [0x800009bc]:sd a1, 648(ra)<br>       |
| 105|[0x80006350]<br>0xFFFFFFFFFBFFFFFF|- rs1_val == -67108865<br>                                                                                                                                                                            |[0x800009c8]:ori a1, a0, 45<br> [0x800009cc]:sd a1, 656(ra)<br>      |
| 106|[0x80006358]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -134217729<br>                                                                                                                                                                           |[0x800009d8]:ori a1, a0, 4088<br> [0x800009dc]:sd a1, 664(ra)<br>    |
| 107|[0x80006360]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -536870913<br>                                                                                                                                                                           |[0x800009e8]:ori a1, a0, 2730<br> [0x800009ec]:sd a1, 672(ra)<br>    |
| 108|[0x80006368]<br>0xFFFFFFFFBFFFFFFF|- rs1_val == -1073741825<br>                                                                                                                                                                          |[0x800009f8]:ori a1, a0, 0<br> [0x800009fc]:sd a1, 680(ra)<br>       |
| 109|[0x80006370]<br>0xFFFFFFFF7FFFFFFF|- rs1_val == -2147483649<br>                                                                                                                                                                          |[0x80000a0c]:ori a1, a0, 0<br> [0x80000a10]:sd a1, 688(ra)<br>       |
| 110|[0x80006378]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -4294967297<br>                                                                                                                                                                          |[0x80000a20]:ori a1, a0, 4093<br> [0x80000a24]:sd a1, 696(ra)<br>    |
| 111|[0x80006380]<br>0xFFFFFFFDFFFFFFFF|- rs1_val == -8589934593<br>                                                                                                                                                                          |[0x80000a34]:ori a1, a0, 0<br> [0x80000a38]:sd a1, 704(ra)<br>       |
| 112|[0x80006388]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -17179869185<br>                                                                                                                                                                         |[0x80000a48]:ori a1, a0, 4087<br> [0x80000a4c]:sd a1, 712(ra)<br>    |
| 113|[0x80006390]<br>0xFFFFFFF7FFFFFFFF|- rs1_val == -34359738369<br>                                                                                                                                                                         |[0x80000a5c]:ori a1, a0, 4<br> [0x80000a60]:sd a1, 720(ra)<br>       |
| 114|[0x80006398]<br>0xFFFFFFEFFFFFFFFF|- rs1_val == -68719476737<br>                                                                                                                                                                         |[0x80000a70]:ori a1, a0, 512<br> [0x80000a74]:sd a1, 728(ra)<br>     |
| 115|[0x800063a0]<br>0xFFFFFFDFFFFFFFFF|- rs1_val == -137438953473<br>                                                                                                                                                                        |[0x80000a84]:ori a1, a0, 6<br> [0x80000a88]:sd a1, 736(ra)<br>       |
| 116|[0x800063a8]<br>0xFFFFFFBFFFFFFFFF|- rs1_val == -274877906945<br>                                                                                                                                                                        |[0x80000a98]:ori a1, a0, 1638<br> [0x80000a9c]:sd a1, 744(ra)<br>    |
| 117|[0x800063b0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -549755813889<br>                                                                                                                                                                        |[0x80000aac]:ori a1, a0, 2048<br> [0x80000ab0]:sd a1, 752(ra)<br>    |
| 118|[0x800063b8]<br>0xFFFFFEFFFFFFFFFF|- rs1_val == -1099511627777<br>                                                                                                                                                                       |[0x80000ac0]:ori a1, a0, 3<br> [0x80000ac4]:sd a1, 760(ra)<br>       |
| 119|[0x800063c0]<br>0xFFFFFDFFFFFFFFFF|- rs1_val == -2199023255553<br>                                                                                                                                                                       |[0x80000ad4]:ori a1, a0, 1023<br> [0x80000ad8]:sd a1, 768(ra)<br>    |
| 120|[0x800063c8]<br>0xFFFFFBFFFFFFFFFF|- rs1_val == -4398046511105<br>                                                                                                                                                                       |[0x80000ae8]:ori a1, a0, 1364<br> [0x80000aec]:sd a1, 776(ra)<br>    |
| 121|[0x800063d0]<br>0xFFFFF7FFFFFFFFFF|- rs1_val == -8796093022209<br>                                                                                                                                                                       |[0x80000afc]:ori a1, a0, 4<br> [0x80000b00]:sd a1, 784(ra)<br>       |
| 122|[0x800063d8]<br>0xFFFFEFFFFFFFFFFF|- rs1_val == -17592186044417<br>                                                                                                                                                                      |[0x80000b10]:ori a1, a0, 2<br> [0x80000b14]:sd a1, 792(ra)<br>       |
| 123|[0x800063e0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -35184372088833<br>                                                                                                                                                                      |[0x80000b24]:ori a1, a0, 2730<br> [0x80000b28]:sd a1, 800(ra)<br>    |
| 124|[0x800063e8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -70368744177665<br>                                                                                                                                                                      |[0x80000b38]:ori a1, a0, 4093<br> [0x80000b3c]:sd a1, 808(ra)<br>    |
| 125|[0x800063f0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -140737488355329<br>                                                                                                                                                                     |[0x80000b4c]:ori a1, a0, 3072<br> [0x80000b50]:sd a1, 816(ra)<br>    |
| 126|[0x800063f8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -562949953421313<br>                                                                                                                                                                     |[0x80000b60]:ori a1, a0, 4051<br> [0x80000b64]:sd a1, 824(ra)<br>    |
| 127|[0x80006400]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -1125899906842625<br>                                                                                                                                                                    |[0x80000b74]:ori a1, a0, 2731<br> [0x80000b78]:sd a1, 832(ra)<br>    |
| 128|[0x80006408]<br>0xFFF7FFFFFFFFFFFF|- rs1_val == -2251799813685249<br>                                                                                                                                                                    |[0x80000b88]:ori a1, a0, 1637<br> [0x80000b8c]:sd a1, 840(ra)<br>    |
| 129|[0x80006410]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -4503599627370497<br>                                                                                                                                                                    |[0x80000b9c]:ori a1, a0, 3072<br> [0x80000ba0]:sd a1, 848(ra)<br>    |
| 130|[0x80006418]<br>0xFFBFFFFFFFFFFFFF|- rs1_val == -18014398509481985<br>                                                                                                                                                                   |[0x80000bb0]:ori a1, a0, 5<br> [0x80000bb4]:sd a1, 856(ra)<br>       |
| 131|[0x80006420]<br>0xFF7FFFFFFFFFFFFF|- rs1_val == -36028797018963969<br>                                                                                                                                                                   |[0x80000bc4]:ori a1, a0, 1366<br> [0x80000bc8]:sd a1, 864(ra)<br>    |
| 132|[0x80006428]<br>0xFEFFFFFFFFFFFFFF|- rs1_val == -72057594037927937<br>                                                                                                                                                                   |[0x80000bd8]:ori a1, a0, 16<br> [0x80000bdc]:sd a1, 872(ra)<br>      |
| 133|[0x80006430]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -144115188075855873<br>                                                                                                                                                                  |[0x80000bec]:ori a1, a0, 4092<br> [0x80000bf0]:sd a1, 880(ra)<br>    |
| 134|[0x80006438]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -288230376151711745<br>                                                                                                                                                                  |[0x80000c00]:ori a1, a0, 3839<br> [0x80000c04]:sd a1, 888(ra)<br>    |
| 135|[0x80006440]<br>0xF7FFFFFFFFFFFFFF|- rs1_val == -576460752303423489<br>                                                                                                                                                                  |[0x80000c14]:ori a1, a0, 32<br> [0x80000c18]:sd a1, 896(ra)<br>      |
| 136|[0x80006448]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -1152921504606846977<br>                                                                                                                                                                 |[0x80000c28]:ori a1, a0, 4088<br> [0x80000c2c]:sd a1, 904(ra)<br>    |
| 137|[0x80006450]<br>0xDFFFFFFFFFFFFFFF|- rs1_val == -2305843009213693953<br>                                                                                                                                                                 |[0x80000c3c]:ori a1, a0, 7<br> [0x80000c40]:sd a1, 912(ra)<br>       |
| 138|[0x80006458]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -4611686018427387905<br>                                                                                                                                                                 |[0x80000c50]:ori a1, a0, 4092<br> [0x80000c54]:sd a1, 920(ra)<br>    |
| 139|[0x80006460]<br>0xAAAAAAAAAAAAAAAB|- rs1_val == -6148914691236517206<br>                                                                                                                                                                 |[0x80000c78]:ori a1, a0, 9<br> [0x80000c7c]:sd a1, 928(ra)<br>       |
| 140|[0x80006468]<br>0x0000000000000003|- rs1_val==3 and imm_val==3<br>                                                                                                                                                                       |[0x80000c84]:ori a1, a0, 3<br> [0x80000c88]:sd a1, 936(ra)<br>       |
| 141|[0x80006470]<br>0x0000000000000557|- rs1_val==3 and imm_val==1365<br>                                                                                                                                                                    |[0x80000c90]:ori a1, a0, 1365<br> [0x80000c94]:sd a1, 944(ra)<br>    |
| 142|[0x80006478]<br>0xFFFFFFFFFFFFFAAB|- rs1_val==3 and imm_val==-1366<br>                                                                                                                                                                   |[0x80000c9c]:ori a1, a0, 2730<br> [0x80000ca0]:sd a1, 952(ra)<br>    |
| 143|[0x80006480]<br>0x0000000000000007|- rs1_val==3 and imm_val==5<br>                                                                                                                                                                       |[0x80000ca8]:ori a1, a0, 5<br> [0x80000cac]:sd a1, 960(ra)<br>       |
| 144|[0x80006488]<br>0x0000000000000333|- rs1_val==3 and imm_val==819<br>                                                                                                                                                                     |[0x80000cb4]:ori a1, a0, 819<br> [0x80000cb8]:sd a1, 968(ra)<br>     |
| 145|[0x80006490]<br>0x0000000000000667|- rs1_val==3 and imm_val==1638<br>                                                                                                                                                                    |[0x80000cc0]:ori a1, a0, 1638<br> [0x80000cc4]:sd a1, 976(ra)<br>    |
| 146|[0x80006498]<br>0xFFFFFFFFFFFFFFD3|- rs1_val==3 and imm_val==-45<br>                                                                                                                                                                     |[0x80000ccc]:ori a1, a0, 4051<br> [0x80000cd0]:sd a1, 984(ra)<br>    |
| 147|[0x800064a0]<br>0x000000000000002F|- rs1_val==3 and imm_val==45<br>                                                                                                                                                                      |[0x80000cd8]:ori a1, a0, 45<br> [0x80000cdc]:sd a1, 992(ra)<br>      |
| 148|[0x800064a8]<br>0x0000000000000003|- rs1_val==3 and imm_val==2<br>                                                                                                                                                                       |[0x80000ce4]:ori a1, a0, 2<br> [0x80000ce8]:sd a1, 1000(ra)<br>      |
| 149|[0x800064b0]<br>0x0000000000000557|- rs1_val==3 and imm_val==1364<br>                                                                                                                                                                    |[0x80000cf0]:ori a1, a0, 1364<br> [0x80000cf4]:sd a1, 1008(ra)<br>   |
| 150|[0x800064b8]<br>0x0000000000000003|- rs1_val==3 and imm_val==0<br>                                                                                                                                                                       |[0x80000cfc]:ori a1, a0, 0<br> [0x80000d00]:sd a1, 1016(ra)<br>      |
| 151|[0x800064c0]<br>0x0000000000000007|- rs1_val==3 and imm_val==4<br>                                                                                                                                                                       |[0x80000d08]:ori a1, a0, 4<br> [0x80000d0c]:sd a1, 1024(ra)<br>      |
| 152|[0x800064c8]<br>0x0000000000000333|- rs1_val==3 and imm_val==818<br>                                                                                                                                                                     |[0x80000d14]:ori a1, a0, 818<br> [0x80000d18]:sd a1, 1032(ra)<br>    |
| 153|[0x800064d0]<br>0x0000000000000667|- rs1_val==3 and imm_val==1637<br>                                                                                                                                                                    |[0x80000d20]:ori a1, a0, 1637<br> [0x80000d24]:sd a1, 1040(ra)<br>   |
| 154|[0x800064d8]<br>0x000000000000002F|- rs1_val==3 and imm_val==44<br>                                                                                                                                                                      |[0x80000d2c]:ori a1, a0, 44<br> [0x80000d30]:sd a1, 1048(ra)<br>     |
| 155|[0x800064e0]<br>0x0000000000000557|- rs1_val==3 and imm_val==1366<br>                                                                                                                                                                    |[0x80000d38]:ori a1, a0, 1366<br> [0x80000d3c]:sd a1, 1056(ra)<br>   |
| 156|[0x800064e8]<br>0xFFFFFFFFFFFFFAAB|- rs1_val==3 and imm_val==-1365<br>                                                                                                                                                                   |[0x80000d44]:ori a1, a0, 2731<br> [0x80000d48]:sd a1, 1064(ra)<br>   |
| 157|[0x800064f0]<br>0x0000000000000007|- rs1_val==3 and imm_val==6<br>                                                                                                                                                                       |[0x80000d50]:ori a1, a0, 6<br> [0x80000d54]:sd a1, 1072(ra)<br>      |
| 158|[0x800064f8]<br>0x0000000000000337|- rs1_val==3 and imm_val==820<br>                                                                                                                                                                     |[0x80000d5c]:ori a1, a0, 820<br> [0x80000d60]:sd a1, 1080(ra)<br>    |
| 159|[0x80006500]<br>0x0000000000000667|- rs1_val==3 and imm_val==1639<br>                                                                                                                                                                    |[0x80000d68]:ori a1, a0, 1639<br> [0x80000d6c]:sd a1, 1088(ra)<br>   |
| 160|[0x80006508]<br>0xFFFFFFFFFFFFFFD7|- rs1_val==3 and imm_val==-44<br>                                                                                                                                                                     |[0x80000d74]:ori a1, a0, 4052<br> [0x80000d78]:sd a1, 1096(ra)<br>   |
| 161|[0x80006510]<br>0x000000000000002F|- rs1_val==3 and imm_val==46<br>                                                                                                                                                                      |[0x80000d80]:ori a1, a0, 46<br> [0x80000d84]:sd a1, 1104(ra)<br>     |
| 162|[0x80006518]<br>0x5555555555555557|- rs1_val==6148914691236517205 and imm_val==3<br>                                                                                                                                                     |[0x80000da8]:ori a1, a0, 3<br> [0x80000dac]:sd a1, 1112(ra)<br>      |
| 163|[0x80006520]<br>0x5555555555555555|- rs1_val==6148914691236517205 and imm_val==1365<br>                                                                                                                                                  |[0x80000dd0]:ori a1, a0, 1365<br> [0x80000dd4]:sd a1, 1120(ra)<br>   |
| 164|[0x80006528]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517205 and imm_val==-1366<br>                                                                                                                                                 |[0x80000df8]:ori a1, a0, 2730<br> [0x80000dfc]:sd a1, 1128(ra)<br>   |
| 165|[0x80006530]<br>0x5555555555555555|- rs1_val==6148914691236517205 and imm_val==5<br>                                                                                                                                                     |[0x80000e20]:ori a1, a0, 5<br> [0x80000e24]:sd a1, 1136(ra)<br>      |
| 166|[0x80006538]<br>0x5555555555555777|- rs1_val==6148914691236517205 and imm_val==819<br>                                                                                                                                                   |[0x80000e48]:ori a1, a0, 819<br> [0x80000e4c]:sd a1, 1144(ra)<br>    |
| 167|[0x80006540]<br>0x5555555555555777|- rs1_val==6148914691236517205 and imm_val==1638<br>                                                                                                                                                  |[0x80000e70]:ori a1, a0, 1638<br> [0x80000e74]:sd a1, 1152(ra)<br>   |
| 168|[0x80006548]<br>0xFFFFFFFFFFFFFFD7|- rs1_val==6148914691236517205 and imm_val==-45<br>                                                                                                                                                   |[0x80000e98]:ori a1, a0, 4051<br> [0x80000e9c]:sd a1, 1160(ra)<br>   |
| 169|[0x80006550]<br>0x555555555555557D|- rs1_val==6148914691236517205 and imm_val==45<br>                                                                                                                                                    |[0x80000ec0]:ori a1, a0, 45<br> [0x80000ec4]:sd a1, 1168(ra)<br>     |
| 170|[0x80006558]<br>0x5555555555555557|- rs1_val==6148914691236517205 and imm_val==2<br>                                                                                                                                                     |[0x80000ee8]:ori a1, a0, 2<br> [0x80000eec]:sd a1, 1176(ra)<br>      |
| 171|[0x80006560]<br>0x5555555555555555|- rs1_val==6148914691236517205 and imm_val==1364<br>                                                                                                                                                  |[0x80000f10]:ori a1, a0, 1364<br> [0x80000f14]:sd a1, 1184(ra)<br>   |
| 172|[0x80006568]<br>0x5555555555555555|- rs1_val==6148914691236517205 and imm_val==0<br>                                                                                                                                                     |[0x80000f38]:ori a1, a0, 0<br> [0x80000f3c]:sd a1, 1192(ra)<br>      |
| 173|[0x80006570]<br>0x5555555555555555|- rs1_val==6148914691236517205 and imm_val==4<br>                                                                                                                                                     |[0x80000f60]:ori a1, a0, 4<br> [0x80000f64]:sd a1, 1200(ra)<br>      |
| 174|[0x80006578]<br>0x5555555555555777|- rs1_val==6148914691236517205 and imm_val==818<br>                                                                                                                                                   |[0x80000f88]:ori a1, a0, 818<br> [0x80000f8c]:sd a1, 1208(ra)<br>    |
| 175|[0x80006580]<br>0x5555555555555775|- rs1_val==6148914691236517205 and imm_val==1637<br>                                                                                                                                                  |[0x80000fb0]:ori a1, a0, 1637<br> [0x80000fb4]:sd a1, 1216(ra)<br>   |
| 176|[0x80006588]<br>0x555555555555557D|- rs1_val==6148914691236517205 and imm_val==44<br>                                                                                                                                                    |[0x80000fd8]:ori a1, a0, 44<br> [0x80000fdc]:sd a1, 1224(ra)<br>     |
| 177|[0x80006590]<br>0x5555555555555557|- rs1_val==6148914691236517205 and imm_val==1366<br>                                                                                                                                                  |[0x80001000]:ori a1, a0, 1366<br> [0x80001004]:sd a1, 1232(ra)<br>   |
| 178|[0x80006598]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517205 and imm_val==-1365<br>                                                                                                                                                 |[0x80001028]:ori a1, a0, 2731<br> [0x8000102c]:sd a1, 1240(ra)<br>   |
| 179|[0x800065a0]<br>0x5555555555555557|- rs1_val==6148914691236517205 and imm_val==6<br>                                                                                                                                                     |[0x80001050]:ori a1, a0, 6<br> [0x80001054]:sd a1, 1248(ra)<br>      |
| 180|[0x800065a8]<br>0x5555555555555775|- rs1_val==6148914691236517205 and imm_val==820<br>                                                                                                                                                   |[0x80001078]:ori a1, a0, 820<br> [0x8000107c]:sd a1, 1256(ra)<br>    |
| 181|[0x800065b0]<br>0x5555555555555777|- rs1_val==6148914691236517205 and imm_val==1639<br>                                                                                                                                                  |[0x800010a0]:ori a1, a0, 1639<br> [0x800010a4]:sd a1, 1264(ra)<br>   |
| 182|[0x800065b8]<br>0xFFFFFFFFFFFFFFD5|- rs1_val==6148914691236517205 and imm_val==-44<br>                                                                                                                                                   |[0x800010c8]:ori a1, a0, 4052<br> [0x800010cc]:sd a1, 1272(ra)<br>   |
| 183|[0x800065c0]<br>0x555555555555557F|- rs1_val==6148914691236517205 and imm_val==46<br>                                                                                                                                                    |[0x800010f0]:ori a1, a0, 46<br> [0x800010f4]:sd a1, 1280(ra)<br>     |
| 184|[0x800065c8]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517206 and imm_val==3<br>                                                                                                                                                    |[0x80001118]:ori a1, a0, 3<br> [0x8000111c]:sd a1, 1288(ra)<br>      |
| 185|[0x800065d0]<br>0xAAAAAAAAAAAAAFFF|- rs1_val==-6148914691236517206 and imm_val==1365<br>                                                                                                                                                 |[0x80001140]:ori a1, a0, 1365<br> [0x80001144]:sd a1, 1296(ra)<br>   |
| 186|[0x800065d8]<br>0xFFFFFFFFFFFFFAAA|- rs1_val==-6148914691236517206 and imm_val==-1366<br>                                                                                                                                                |[0x80001168]:ori a1, a0, 2730<br> [0x8000116c]:sd a1, 1304(ra)<br>   |
| 187|[0x800065e0]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517206 and imm_val==5<br>                                                                                                                                                    |[0x80001190]:ori a1, a0, 5<br> [0x80001194]:sd a1, 1312(ra)<br>      |
| 188|[0x800065e8]<br>0xAAAAAAAAAAAAABBB|- rs1_val==-6148914691236517206 and imm_val==819<br>                                                                                                                                                  |[0x800011b8]:ori a1, a0, 819<br> [0x800011bc]:sd a1, 1320(ra)<br>    |
| 189|[0x800065f0]<br>0xAAAAAAAAAAAAAEEE|- rs1_val==-6148914691236517206 and imm_val==1638<br>                                                                                                                                                 |[0x800011e0]:ori a1, a0, 1638<br> [0x800011e4]:sd a1, 1328(ra)<br>   |
| 190|[0x800065f8]<br>0xFFFFFFFFFFFFFFFB|- rs1_val==-6148914691236517206 and imm_val==-45<br>                                                                                                                                                  |[0x80001208]:ori a1, a0, 4051<br> [0x8000120c]:sd a1, 1336(ra)<br>   |
| 191|[0x80006600]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517206 and imm_val==45<br>                                                                                                                                                   |[0x80001230]:ori a1, a0, 45<br> [0x80001234]:sd a1, 1344(ra)<br>     |
| 192|[0x80006608]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and imm_val==2<br>                                                                                                                                                    |[0x80001258]:ori a1, a0, 2<br> [0x8000125c]:sd a1, 1352(ra)<br>      |
| 193|[0x80006610]<br>0xAAAAAAAAAAAAAFFE|- rs1_val==-6148914691236517206 and imm_val==1364<br>                                                                                                                                                 |[0x80001280]:ori a1, a0, 1364<br> [0x80001284]:sd a1, 1360(ra)<br>   |
| 194|[0x80006618]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and imm_val==0<br>                                                                                                                                                    |[0x800012a8]:ori a1, a0, 0<br> [0x800012ac]:sd a1, 1368(ra)<br>      |
| 195|[0x80006620]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and imm_val==4<br>                                                                                                                                                    |[0x800012d0]:ori a1, a0, 4<br> [0x800012d4]:sd a1, 1376(ra)<br>      |
| 196|[0x80006628]<br>0xAAAAAAAAAAAAABBA|- rs1_val==-6148914691236517206 and imm_val==818<br>                                                                                                                                                  |[0x800012f8]:ori a1, a0, 818<br> [0x800012fc]:sd a1, 1384(ra)<br>    |
| 197|[0x80006630]<br>0xAAAAAAAAAAAAAEEF|- rs1_val==-6148914691236517206 and imm_val==1637<br>                                                                                                                                                 |[0x80001320]:ori a1, a0, 1637<br> [0x80001324]:sd a1, 1392(ra)<br>   |
| 198|[0x80006638]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and imm_val==44<br>                                                                                                                                                   |[0x80001348]:ori a1, a0, 44<br> [0x8000134c]:sd a1, 1400(ra)<br>     |
| 199|[0x80006640]<br>0xAAAAAAAAAAAAAFFE|- rs1_val==-6148914691236517206 and imm_val==1366<br>                                                                                                                                                 |[0x80001370]:ori a1, a0, 1366<br> [0x80001374]:sd a1, 1408(ra)<br>   |
| 200|[0x80006648]<br>0xFFFFFFFFFFFFFAAB|- rs1_val==-6148914691236517206 and imm_val==-1365<br>                                                                                                                                                |[0x80001398]:ori a1, a0, 2731<br> [0x8000139c]:sd a1, 1416(ra)<br>   |
| 201|[0x80006650]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and imm_val==6<br>                                                                                                                                                    |[0x800013c0]:ori a1, a0, 6<br> [0x800013c4]:sd a1, 1424(ra)<br>      |
| 202|[0x80006658]<br>0xAAAAAAAAAAAAABBE|- rs1_val==-6148914691236517206 and imm_val==820<br>                                                                                                                                                  |[0x800013e8]:ori a1, a0, 820<br> [0x800013ec]:sd a1, 1432(ra)<br>    |
| 203|[0x80006660]<br>0xAAAAAAAAAAAAAEEF|- rs1_val==-6148914691236517206 and imm_val==1639<br>                                                                                                                                                 |[0x80001410]:ori a1, a0, 1639<br> [0x80001414]:sd a1, 1440(ra)<br>   |
| 204|[0x80006668]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-6148914691236517206 and imm_val==-44<br>                                                                                                                                                  |[0x80001438]:ori a1, a0, 4052<br> [0x8000143c]:sd a1, 1448(ra)<br>   |
| 205|[0x80006670]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and imm_val==46<br>                                                                                                                                                   |[0x80001460]:ori a1, a0, 46<br> [0x80001464]:sd a1, 1456(ra)<br>     |
| 206|[0x80006678]<br>0x0000000000000007|- rs1_val==5 and imm_val==3<br>                                                                                                                                                                       |[0x8000146c]:ori a1, a0, 3<br> [0x80001470]:sd a1, 1464(ra)<br>      |
| 207|[0x80006680]<br>0x0000000000000555|- rs1_val==5 and imm_val==1365<br>                                                                                                                                                                    |[0x80001478]:ori a1, a0, 1365<br> [0x8000147c]:sd a1, 1472(ra)<br>   |
| 208|[0x80006688]<br>0xFFFFFFFFFFFFFAAF|- rs1_val==5 and imm_val==-1366<br>                                                                                                                                                                   |[0x80001484]:ori a1, a0, 2730<br> [0x80001488]:sd a1, 1480(ra)<br>   |
| 209|[0x80006690]<br>0x0000000000000337|- rs1_val==5 and imm_val==819<br>                                                                                                                                                                     |[0x80001490]:ori a1, a0, 819<br> [0x80001494]:sd a1, 1488(ra)<br>    |
| 210|[0x80006698]<br>0x0000000000000667|- rs1_val==5 and imm_val==1638<br>                                                                                                                                                                    |[0x8000149c]:ori a1, a0, 1638<br> [0x800014a0]:sd a1, 1496(ra)<br>   |
| 211|[0x800066a0]<br>0xFFFFFFFFFFFFFFD7|- rs1_val==5 and imm_val==-45<br>                                                                                                                                                                     |[0x800014a8]:ori a1, a0, 4051<br> [0x800014ac]:sd a1, 1504(ra)<br>   |
| 212|[0x800066a8]<br>0x000000000000002D|- rs1_val==5 and imm_val==45<br>                                                                                                                                                                      |[0x800014b4]:ori a1, a0, 45<br> [0x800014b8]:sd a1, 1512(ra)<br>     |
| 213|[0x800066b0]<br>0x0000000000000007|- rs1_val==5 and imm_val==2<br>                                                                                                                                                                       |[0x800014c0]:ori a1, a0, 2<br> [0x800014c4]:sd a1, 1520(ra)<br>      |
| 214|[0x800066b8]<br>0x0000000000000555|- rs1_val==5 and imm_val==1364<br>                                                                                                                                                                    |[0x800014cc]:ori a1, a0, 1364<br> [0x800014d0]:sd a1, 1528(ra)<br>   |
| 215|[0x800066c0]<br>0x0000000000000005|- rs1_val==5 and imm_val==0<br>                                                                                                                                                                       |[0x800014d8]:ori a1, a0, 0<br> [0x800014dc]:sd a1, 1536(ra)<br>      |
| 216|[0x800066c8]<br>0x0000000000000005|- rs1_val==5 and imm_val==4<br>                                                                                                                                                                       |[0x800014e4]:ori a1, a0, 4<br> [0x800014e8]:sd a1, 1544(ra)<br>      |
| 217|[0x800066d0]<br>0x0000000000000337|- rs1_val==5 and imm_val==818<br>                                                                                                                                                                     |[0x800014f0]:ori a1, a0, 818<br> [0x800014f4]:sd a1, 1552(ra)<br>    |
| 218|[0x800066d8]<br>0x0000000000000665|- rs1_val==5 and imm_val==1637<br>                                                                                                                                                                    |[0x800014fc]:ori a1, a0, 1637<br> [0x80001500]:sd a1, 1560(ra)<br>   |
| 219|[0x800066e0]<br>0x000000000000002D|- rs1_val==5 and imm_val==44<br>                                                                                                                                                                      |[0x80001508]:ori a1, a0, 44<br> [0x8000150c]:sd a1, 1568(ra)<br>     |
| 220|[0x800066e8]<br>0x0000000000000557|- rs1_val==5 and imm_val==1366<br>                                                                                                                                                                    |[0x80001514]:ori a1, a0, 1366<br> [0x80001518]:sd a1, 1576(ra)<br>   |
| 221|[0x800066f0]<br>0xFFFFFFFFFFFFFAAF|- rs1_val==5 and imm_val==-1365<br>                                                                                                                                                                   |[0x80001520]:ori a1, a0, 2731<br> [0x80001524]:sd a1, 1584(ra)<br>   |
| 222|[0x800066f8]<br>0x0000000000000007|- rs1_val==5 and imm_val==6<br>                                                                                                                                                                       |[0x8000152c]:ori a1, a0, 6<br> [0x80001530]:sd a1, 1592(ra)<br>      |
| 223|[0x80006700]<br>0x0000000000000335|- rs1_val==5 and imm_val==820<br>                                                                                                                                                                     |[0x80001538]:ori a1, a0, 820<br> [0x8000153c]:sd a1, 1600(ra)<br>    |
| 224|[0x80006708]<br>0x0000000000000667|- rs1_val==5 and imm_val==1639<br>                                                                                                                                                                    |[0x80001544]:ori a1, a0, 1639<br> [0x80001548]:sd a1, 1608(ra)<br>   |
| 225|[0x80006710]<br>0xFFFFFFFFFFFFFFD5|- rs1_val==5 and imm_val==-44<br>                                                                                                                                                                     |[0x80001550]:ori a1, a0, 4052<br> [0x80001554]:sd a1, 1616(ra)<br>   |
| 226|[0x80006718]<br>0x000000000000002F|- rs1_val==5 and imm_val==46<br>                                                                                                                                                                      |[0x8000155c]:ori a1, a0, 46<br> [0x80001560]:sd a1, 1624(ra)<br>     |
| 227|[0x80006720]<br>0x3333333333333333|- rs1_val==3689348814741910323 and imm_val==3<br>                                                                                                                                                     |[0x80001584]:ori a1, a0, 3<br> [0x80001588]:sd a1, 1632(ra)<br>      |
| 228|[0x80006728]<br>0x3333333333333777|- rs1_val==3689348814741910323 and imm_val==1365<br>                                                                                                                                                  |[0x800015ac]:ori a1, a0, 1365<br> [0x800015b0]:sd a1, 1640(ra)<br>   |
| 229|[0x80006730]<br>0xFFFFFFFFFFFFFBBB|- rs1_val==3689348814741910323 and imm_val==-1366<br>                                                                                                                                                 |[0x800015d4]:ori a1, a0, 2730<br> [0x800015d8]:sd a1, 1648(ra)<br>   |
| 230|[0x80006738]<br>0x3333333333333337|- rs1_val==3689348814741910323 and imm_val==5<br>                                                                                                                                                     |[0x800015fc]:ori a1, a0, 5<br> [0x80001600]:sd a1, 1656(ra)<br>      |
| 231|[0x80006740]<br>0x3333333333333333|- rs1_val==3689348814741910323 and imm_val==819<br>                                                                                                                                                   |[0x80001624]:ori a1, a0, 819<br> [0x80001628]:sd a1, 1664(ra)<br>    |
| 232|[0x80006748]<br>0x3333333333333777|- rs1_val==3689348814741910323 and imm_val==1638<br>                                                                                                                                                  |[0x8000164c]:ori a1, a0, 1638<br> [0x80001650]:sd a1, 1672(ra)<br>   |
| 233|[0x80006750]<br>0xFFFFFFFFFFFFFFF3|- rs1_val==3689348814741910323 and imm_val==-45<br>                                                                                                                                                   |[0x80001674]:ori a1, a0, 4051<br> [0x80001678]:sd a1, 1680(ra)<br>   |
| 234|[0x80006758]<br>0x333333333333333F|- rs1_val==3689348814741910323 and imm_val==45<br>                                                                                                                                                    |[0x8000169c]:ori a1, a0, 45<br> [0x800016a0]:sd a1, 1688(ra)<br>     |
| 235|[0x80006760]<br>0x3333333333333333|- rs1_val==3689348814741910323 and imm_val==2<br>                                                                                                                                                     |[0x800016c4]:ori a1, a0, 2<br> [0x800016c8]:sd a1, 1696(ra)<br>      |
| 236|[0x80006768]<br>0x3333333333333777|- rs1_val==3689348814741910323 and imm_val==1364<br>                                                                                                                                                  |[0x800016ec]:ori a1, a0, 1364<br> [0x800016f0]:sd a1, 1704(ra)<br>   |
| 237|[0x80006770]<br>0x3333333333333333|- rs1_val==3689348814741910323 and imm_val==0<br>                                                                                                                                                     |[0x80001714]:ori a1, a0, 0<br> [0x80001718]:sd a1, 1712(ra)<br>      |
| 238|[0x80006778]<br>0x3333333333333337|- rs1_val==3689348814741910323 and imm_val==4<br>                                                                                                                                                     |[0x8000173c]:ori a1, a0, 4<br> [0x80001740]:sd a1, 1720(ra)<br>      |
| 239|[0x80006780]<br>0x3333333333333333|- rs1_val==3689348814741910323 and imm_val==818<br>                                                                                                                                                   |[0x80001764]:ori a1, a0, 818<br> [0x80001768]:sd a1, 1728(ra)<br>    |
| 240|[0x80006788]<br>0x3333333333333777|- rs1_val==3689348814741910323 and imm_val==1637<br>                                                                                                                                                  |[0x8000178c]:ori a1, a0, 1637<br> [0x80001790]:sd a1, 1736(ra)<br>   |
| 241|[0x80006790]<br>0x333333333333333F|- rs1_val==3689348814741910323 and imm_val==44<br>                                                                                                                                                    |[0x800017b4]:ori a1, a0, 44<br> [0x800017b8]:sd a1, 1744(ra)<br>     |
| 242|[0x80006798]<br>0x3333333333333777|- rs1_val==3689348814741910323 and imm_val==1366<br>                                                                                                                                                  |[0x800017dc]:ori a1, a0, 1366<br> [0x800017e0]:sd a1, 1752(ra)<br>   |
| 243|[0x800067a0]<br>0xFFFFFFFFFFFFFBBB|- rs1_val==3689348814741910323 and imm_val==-1365<br>                                                                                                                                                 |[0x80001804]:ori a1, a0, 2731<br> [0x80001808]:sd a1, 1760(ra)<br>   |
| 244|[0x800067a8]<br>0x3333333333333337|- rs1_val==3689348814741910323 and imm_val==6<br>                                                                                                                                                     |[0x8000182c]:ori a1, a0, 6<br> [0x80001830]:sd a1, 1768(ra)<br>      |
| 245|[0x800067b0]<br>0x3333333333333337|- rs1_val==3689348814741910323 and imm_val==820<br>                                                                                                                                                   |[0x80001854]:ori a1, a0, 820<br> [0x80001858]:sd a1, 1776(ra)<br>    |
| 246|[0x800067b8]<br>0x3333333333333777|- rs1_val==3689348814741910323 and imm_val==1639<br>                                                                                                                                                  |[0x8000187c]:ori a1, a0, 1639<br> [0x80001880]:sd a1, 1784(ra)<br>   |
| 247|[0x800067c0]<br>0xFFFFFFFFFFFFFFF7|- rs1_val==3689348814741910323 and imm_val==-44<br>                                                                                                                                                   |[0x800018a4]:ori a1, a0, 4052<br> [0x800018a8]:sd a1, 1792(ra)<br>   |
| 248|[0x800067c8]<br>0x333333333333333F|- rs1_val==3689348814741910323 and imm_val==46<br>                                                                                                                                                    |[0x800018cc]:ori a1, a0, 46<br> [0x800018d0]:sd a1, 1800(ra)<br>     |
| 249|[0x800067d0]<br>0x6666666666666667|- rs1_val==7378697629483820646 and imm_val==3<br>                                                                                                                                                     |[0x800018f4]:ori a1, a0, 3<br> [0x800018f8]:sd a1, 1808(ra)<br>      |
| 250|[0x800067d8]<br>0x6666666666666777|- rs1_val==7378697629483820646 and imm_val==1365<br>                                                                                                                                                  |[0x8000191c]:ori a1, a0, 1365<br> [0x80001920]:sd a1, 1816(ra)<br>   |
| 251|[0x800067e0]<br>0xFFFFFFFFFFFFFEEE|- rs1_val==7378697629483820646 and imm_val==-1366<br>                                                                                                                                                 |[0x80001944]:ori a1, a0, 2730<br> [0x80001948]:sd a1, 1824(ra)<br>   |
| 252|[0x800067e8]<br>0x6666666666666667|- rs1_val==7378697629483820646 and imm_val==5<br>                                                                                                                                                     |[0x8000196c]:ori a1, a0, 5<br> [0x80001970]:sd a1, 1832(ra)<br>      |
| 253|[0x800067f0]<br>0x6666666666666777|- rs1_val==7378697629483820646 and imm_val==819<br>                                                                                                                                                   |[0x80001994]:ori a1, a0, 819<br> [0x80001998]:sd a1, 1840(ra)<br>    |
| 254|[0x800067f8]<br>0x6666666666666666|- rs1_val==7378697629483820646 and imm_val==1638<br>                                                                                                                                                  |[0x800019bc]:ori a1, a0, 1638<br> [0x800019c0]:sd a1, 1848(ra)<br>   |
| 255|[0x80006800]<br>0xFFFFFFFFFFFFFFF7|- rs1_val==7378697629483820646 and imm_val==-45<br>                                                                                                                                                   |[0x800019e4]:ori a1, a0, 4051<br> [0x800019e8]:sd a1, 1856(ra)<br>   |
| 256|[0x80006808]<br>0x666666666666666F|- rs1_val==7378697629483820646 and imm_val==45<br>                                                                                                                                                    |[0x80001a0c]:ori a1, a0, 45<br> [0x80001a10]:sd a1, 1864(ra)<br>     |
| 257|[0x80006810]<br>0x6666666666666666|- rs1_val==7378697629483820646 and imm_val==2<br>                                                                                                                                                     |[0x80001a34]:ori a1, a0, 2<br> [0x80001a38]:sd a1, 1872(ra)<br>      |
| 258|[0x80006818]<br>0x6666666666666776|- rs1_val==7378697629483820646 and imm_val==1364<br>                                                                                                                                                  |[0x80001a5c]:ori a1, a0, 1364<br> [0x80001a60]:sd a1, 1880(ra)<br>   |
| 259|[0x80006820]<br>0x6666666666666666|- rs1_val==7378697629483820646 and imm_val==0<br>                                                                                                                                                     |[0x80001a84]:ori a1, a0, 0<br> [0x80001a88]:sd a1, 1888(ra)<br>      |
| 260|[0x80006828]<br>0x6666666666666666|- rs1_val==7378697629483820646 and imm_val==4<br>                                                                                                                                                     |[0x80001aac]:ori a1, a0, 4<br> [0x80001ab0]:sd a1, 1896(ra)<br>      |
| 261|[0x80006830]<br>0x6666666666666776|- rs1_val==7378697629483820646 and imm_val==818<br>                                                                                                                                                   |[0x80001ad4]:ori a1, a0, 818<br> [0x80001ad8]:sd a1, 1904(ra)<br>    |
| 262|[0x80006838]<br>0x6666666666666667|- rs1_val==7378697629483820646 and imm_val==1637<br>                                                                                                                                                  |[0x80001afc]:ori a1, a0, 1637<br> [0x80001b00]:sd a1, 1912(ra)<br>   |
| 263|[0x80006840]<br>0x666666666666666E|- rs1_val==7378697629483820646 and imm_val==44<br>                                                                                                                                                    |[0x80001b24]:ori a1, a0, 44<br> [0x80001b28]:sd a1, 1920(ra)<br>     |
| 264|[0x80006848]<br>0x6666666666666776|- rs1_val==7378697629483820646 and imm_val==1366<br>                                                                                                                                                  |[0x80001b4c]:ori a1, a0, 1366<br> [0x80001b50]:sd a1, 1928(ra)<br>   |
| 265|[0x80006850]<br>0xFFFFFFFFFFFFFEEF|- rs1_val==7378697629483820646 and imm_val==-1365<br>                                                                                                                                                 |[0x80001b74]:ori a1, a0, 2731<br> [0x80001b78]:sd a1, 1936(ra)<br>   |
| 266|[0x80006858]<br>0x6666666666666666|- rs1_val==7378697629483820646 and imm_val==6<br>                                                                                                                                                     |[0x80001b9c]:ori a1, a0, 6<br> [0x80001ba0]:sd a1, 1944(ra)<br>      |
| 267|[0x80006860]<br>0x6666666666666776|- rs1_val==7378697629483820646 and imm_val==820<br>                                                                                                                                                   |[0x80001bc4]:ori a1, a0, 820<br> [0x80001bc8]:sd a1, 1952(ra)<br>    |
| 268|[0x80006868]<br>0x6666666666666667|- rs1_val==7378697629483820646 and imm_val==1639<br>                                                                                                                                                  |[0x80001bec]:ori a1, a0, 1639<br> [0x80001bf0]:sd a1, 1960(ra)<br>   |
| 269|[0x80006870]<br>0xFFFFFFFFFFFFFFF6|- rs1_val==7378697629483820646 and imm_val==-44<br>                                                                                                                                                   |[0x80001c14]:ori a1, a0, 4052<br> [0x80001c18]:sd a1, 1968(ra)<br>   |
| 270|[0x80006878]<br>0x666666666666666E|- rs1_val==7378697629483820646 and imm_val==46<br>                                                                                                                                                    |[0x80001c3c]:ori a1, a0, 46<br> [0x80001c40]:sd a1, 1976(ra)<br>     |
| 271|[0x80006880]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and imm_val==3<br>                                                                                                                                                             |[0x80001c54]:ori a1, a0, 3<br> [0x80001c58]:sd a1, 1984(ra)<br>      |
| 272|[0x80006888]<br>0xFFFFFFFF4AFB0DDD|- rs1_val==-3037000499 and imm_val==1365<br>                                                                                                                                                          |[0x80001c6c]:ori a1, a0, 1365<br> [0x80001c70]:sd a1, 1992(ra)<br>   |
| 273|[0x80006890]<br>0xFFFFFFFFFFFFFEEF|- rs1_val==-3037000499 and imm_val==-1366<br>                                                                                                                                                         |[0x80001c84]:ori a1, a0, 2730<br> [0x80001c88]:sd a1, 2000(ra)<br>   |
| 274|[0x80006898]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and imm_val==5<br>                                                                                                                                                             |[0x80001c9c]:ori a1, a0, 5<br> [0x80001ca0]:sd a1, 2008(ra)<br>      |
| 275|[0x800068a0]<br>0xFFFFFFFF4AFB0FFF|- rs1_val==-3037000499 and imm_val==819<br>                                                                                                                                                           |[0x80001cb4]:ori a1, a0, 819<br> [0x80001cb8]:sd a1, 2016(ra)<br>    |
| 276|[0x800068a8]<br>0xFFFFFFFF4AFB0EEF|- rs1_val==-3037000499 and imm_val==1638<br>                                                                                                                                                          |[0x80001ccc]:ori a1, a0, 1638<br> [0x80001cd0]:sd a1, 2024(ra)<br>   |
| 277|[0x800068b0]<br>0xFFFFFFFFFFFFFFDF|- rs1_val==-3037000499 and imm_val==-45<br>                                                                                                                                                           |[0x80001ce4]:ori a1, a0, 4051<br> [0x80001ce8]:sd a1, 2032(ra)<br>   |
| 278|[0x800068b8]<br>0xFFFFFFFF4AFB0CED|- rs1_val==-3037000499 and imm_val==45<br>                                                                                                                                                            |[0x80001cfc]:ori a1, a0, 45<br> [0x80001d00]:sd a1, 2040(ra)<br>     |
| 279|[0x800068c0]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and imm_val==2<br>                                                                                                                                                             |[0x80001d1c]:ori a1, a0, 2<br> [0x80001d20]:sd a1, 0(ra)<br>         |
| 280|[0x800068c8]<br>0xFFFFFFFF4AFB0DDD|- rs1_val==-3037000499 and imm_val==1364<br>                                                                                                                                                          |[0x80001d34]:ori a1, a0, 1364<br> [0x80001d38]:sd a1, 8(ra)<br>      |
| 281|[0x800068d0]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and imm_val==0<br>                                                                                                                                                             |[0x80001d4c]:ori a1, a0, 0<br> [0x80001d50]:sd a1, 16(ra)<br>        |
| 282|[0x800068d8]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and imm_val==4<br>                                                                                                                                                             |[0x80001d64]:ori a1, a0, 4<br> [0x80001d68]:sd a1, 24(ra)<br>        |
| 283|[0x800068e0]<br>0xFFFFFFFF4AFB0FFF|- rs1_val==-3037000499 and imm_val==818<br>                                                                                                                                                           |[0x80001d7c]:ori a1, a0, 818<br> [0x80001d80]:sd a1, 32(ra)<br>      |
| 284|[0x800068e8]<br>0xFFFFFFFF4AFB0EED|- rs1_val==-3037000499 and imm_val==1637<br>                                                                                                                                                          |[0x80001d94]:ori a1, a0, 1637<br> [0x80001d98]:sd a1, 40(ra)<br>     |
| 285|[0x800068f0]<br>0xFFFFFFFF4AFB0CED|- rs1_val==-3037000499 and imm_val==44<br>                                                                                                                                                            |[0x80001dac]:ori a1, a0, 44<br> [0x80001db0]:sd a1, 48(ra)<br>       |
| 286|[0x800068f8]<br>0xFFFFFFFF4AFB0DDF|- rs1_val==-3037000499 and imm_val==1366<br>                                                                                                                                                          |[0x80001dc4]:ori a1, a0, 1366<br> [0x80001dc8]:sd a1, 56(ra)<br>     |
| 287|[0x80006900]<br>0xFFFFFFFFFFFFFEEF|- rs1_val==-3037000499 and imm_val==-1365<br>                                                                                                                                                         |[0x80001ddc]:ori a1, a0, 2731<br> [0x80001de0]:sd a1, 64(ra)<br>     |
| 288|[0x80006908]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and imm_val==6<br>                                                                                                                                                             |[0x80001df4]:ori a1, a0, 6<br> [0x80001df8]:sd a1, 72(ra)<br>        |
| 289|[0x80006910]<br>0xFFFFFFFF4AFB0FFD|- rs1_val==-3037000499 and imm_val==820<br>                                                                                                                                                           |[0x80001e0c]:ori a1, a0, 820<br> [0x80001e10]:sd a1, 80(ra)<br>      |
| 290|[0x80006918]<br>0xFFFFFFFF4AFB0EEF|- rs1_val==-3037000499 and imm_val==1639<br>                                                                                                                                                          |[0x80001e24]:ori a1, a0, 1639<br> [0x80001e28]:sd a1, 88(ra)<br>     |
| 291|[0x80006920]<br>0xFFFFFFFFFFFFFFDD|- rs1_val==-3037000499 and imm_val==-44<br>                                                                                                                                                           |[0x80001e3c]:ori a1, a0, 4052<br> [0x80001e40]:sd a1, 96(ra)<br>     |
| 292|[0x80006928]<br>0xFFFFFFFF4AFB0CEF|- rs1_val==-3037000499 and imm_val==46<br>                                                                                                                                                            |[0x80001e54]:ori a1, a0, 46<br> [0x80001e58]:sd a1, 104(ra)<br>      |
| 293|[0x80006930]<br>0x00000000B504F333|- rs1_val==3037000499 and imm_val==3<br>                                                                                                                                                              |[0x80001e6c]:ori a1, a0, 3<br> [0x80001e70]:sd a1, 112(ra)<br>       |
| 294|[0x80006938]<br>0x00000000B504F777|- rs1_val==3037000499 and imm_val==1365<br>                                                                                                                                                           |[0x80001e84]:ori a1, a0, 1365<br> [0x80001e88]:sd a1, 120(ra)<br>    |
| 295|[0x80006940]<br>0xFFFFFFFFFFFFFBBB|- rs1_val==3037000499 and imm_val==-1366<br>                                                                                                                                                          |[0x80001e9c]:ori a1, a0, 2730<br> [0x80001ea0]:sd a1, 128(ra)<br>    |
| 296|[0x80006948]<br>0x00000000B504F337|- rs1_val==3037000499 and imm_val==5<br>                                                                                                                                                              |[0x80001eb4]:ori a1, a0, 5<br> [0x80001eb8]:sd a1, 136(ra)<br>       |
| 297|[0x80006950]<br>0x00000000B504F333|- rs1_val==3037000499 and imm_val==819<br>                                                                                                                                                            |[0x80001ecc]:ori a1, a0, 819<br> [0x80001ed0]:sd a1, 144(ra)<br>     |
| 298|[0x80006958]<br>0x00000000B504F777|- rs1_val==3037000499 and imm_val==1638<br>                                                                                                                                                           |[0x80001ee4]:ori a1, a0, 1638<br> [0x80001ee8]:sd a1, 152(ra)<br>    |
| 299|[0x80006960]<br>0xFFFFFFFFFFFFFFF3|- rs1_val==3037000499 and imm_val==-45<br>                                                                                                                                                            |[0x80001efc]:ori a1, a0, 4051<br> [0x80001f00]:sd a1, 160(ra)<br>    |
| 300|[0x80006968]<br>0x00000000B504F33F|- rs1_val==3037000499 and imm_val==45<br>                                                                                                                                                             |[0x80001f14]:ori a1, a0, 45<br> [0x80001f18]:sd a1, 168(ra)<br>      |
| 301|[0x80006970]<br>0x00000000B504F333|- rs1_val==3037000499 and imm_val==2<br>                                                                                                                                                              |[0x80001f2c]:ori a1, a0, 2<br> [0x80001f30]:sd a1, 176(ra)<br>       |
| 302|[0x80006978]<br>0x00000000B504F777|- rs1_val==3037000499 and imm_val==1364<br>                                                                                                                                                           |[0x80001f44]:ori a1, a0, 1364<br> [0x80001f48]:sd a1, 184(ra)<br>    |
| 303|[0x80006980]<br>0x00000000B504F333|- rs1_val==3037000499 and imm_val==0<br>                                                                                                                                                              |[0x80001f5c]:ori a1, a0, 0<br> [0x80001f60]:sd a1, 192(ra)<br>       |
| 304|[0x80006988]<br>0x00000000B504F337|- rs1_val==3037000499 and imm_val==4<br>                                                                                                                                                              |[0x80001f74]:ori a1, a0, 4<br> [0x80001f78]:sd a1, 200(ra)<br>       |
| 305|[0x80006990]<br>0x00000000B504F333|- rs1_val==3037000499 and imm_val==818<br>                                                                                                                                                            |[0x80001f8c]:ori a1, a0, 818<br> [0x80001f90]:sd a1, 208(ra)<br>     |
| 306|[0x80006998]<br>0x00000000B504F777|- rs1_val==3037000499 and imm_val==1637<br>                                                                                                                                                           |[0x80001fa4]:ori a1, a0, 1637<br> [0x80001fa8]:sd a1, 216(ra)<br>    |
| 307|[0x800069a0]<br>0x00000000B504F33F|- rs1_val==3037000499 and imm_val==44<br>                                                                                                                                                             |[0x80001fbc]:ori a1, a0, 44<br> [0x80001fc0]:sd a1, 224(ra)<br>      |
| 308|[0x800069a8]<br>0x00000000B504F777|- rs1_val==3037000499 and imm_val==1366<br>                                                                                                                                                           |[0x80001fd4]:ori a1, a0, 1366<br> [0x80001fd8]:sd a1, 232(ra)<br>    |
| 309|[0x800069b0]<br>0xFFFFFFFFFFFFFBBB|- rs1_val==3037000499 and imm_val==-1365<br>                                                                                                                                                          |[0x80001fec]:ori a1, a0, 2731<br> [0x80001ff0]:sd a1, 240(ra)<br>    |
| 310|[0x800069b8]<br>0x00000000B504F337|- rs1_val==3037000499 and imm_val==6<br>                                                                                                                                                              |[0x80002004]:ori a1, a0, 6<br> [0x80002008]:sd a1, 248(ra)<br>       |
| 311|[0x800069c0]<br>0x00000000B504F337|- rs1_val==3037000499 and imm_val==820<br>                                                                                                                                                            |[0x8000201c]:ori a1, a0, 820<br> [0x80002020]:sd a1, 256(ra)<br>     |
| 312|[0x800069c8]<br>0x00000000B504F777|- rs1_val==3037000499 and imm_val==1639<br>                                                                                                                                                           |[0x80002034]:ori a1, a0, 1639<br> [0x80002038]:sd a1, 264(ra)<br>    |
| 313|[0x800069d0]<br>0xFFFFFFFFFFFFFFF7|- rs1_val==3037000499 and imm_val==-44<br>                                                                                                                                                            |[0x8000204c]:ori a1, a0, 4052<br> [0x80002050]:sd a1, 272(ra)<br>    |
| 314|[0x800069d8]<br>0x00000000B504F33F|- rs1_val==3037000499 and imm_val==46<br>                                                                                                                                                             |[0x80002064]:ori a1, a0, 46<br> [0x80002068]:sd a1, 280(ra)<br>      |
| 315|[0x800069e0]<br>0x0000000000000003|- rs1_val==2 and imm_val==3<br>                                                                                                                                                                       |[0x80002070]:ori a1, a0, 3<br> [0x80002074]:sd a1, 288(ra)<br>       |
| 316|[0x800069e8]<br>0x0000000000000557|- rs1_val==2 and imm_val==1365<br>                                                                                                                                                                    |[0x8000207c]:ori a1, a0, 1365<br> [0x80002080]:sd a1, 296(ra)<br>    |
| 317|[0x800069f0]<br>0xFFFFFFFFFFFFFAAA|- rs1_val==2 and imm_val==-1366<br>                                                                                                                                                                   |[0x80002088]:ori a1, a0, 2730<br> [0x8000208c]:sd a1, 304(ra)<br>    |
| 318|[0x800069f8]<br>0x0000000000000007|- rs1_val==2 and imm_val==5<br>                                                                                                                                                                       |[0x80002094]:ori a1, a0, 5<br> [0x80002098]:sd a1, 312(ra)<br>       |
| 319|[0x80006a00]<br>0x0000000000000333|- rs1_val==2 and imm_val==819<br>                                                                                                                                                                     |[0x800020a0]:ori a1, a0, 819<br> [0x800020a4]:sd a1, 320(ra)<br>     |
| 320|[0x80006a08]<br>0x0000000000000666|- rs1_val==2 and imm_val==1638<br>                                                                                                                                                                    |[0x800020ac]:ori a1, a0, 1638<br> [0x800020b0]:sd a1, 328(ra)<br>    |
| 321|[0x80006a10]<br>0xFFFFFFFFFFFFFFD3|- rs1_val==2 and imm_val==-45<br>                                                                                                                                                                     |[0x800020b8]:ori a1, a0, 4051<br> [0x800020bc]:sd a1, 336(ra)<br>    |
| 322|[0x80006a18]<br>0x000000000000002F|- rs1_val==2 and imm_val==45<br>                                                                                                                                                                      |[0x800020c4]:ori a1, a0, 45<br> [0x800020c8]:sd a1, 344(ra)<br>      |
| 323|[0x80006a20]<br>0x0000000000000002|- rs1_val==2 and imm_val==2<br>                                                                                                                                                                       |[0x800020d0]:ori a1, a0, 2<br> [0x800020d4]:sd a1, 352(ra)<br>       |
| 324|[0x80006a28]<br>0x0000000000000556|- rs1_val==2 and imm_val==1364<br>                                                                                                                                                                    |[0x800020dc]:ori a1, a0, 1364<br> [0x800020e0]:sd a1, 360(ra)<br>    |
| 325|[0x80006a30]<br>0x0000000000000002|- rs1_val==2 and imm_val==0<br>                                                                                                                                                                       |[0x800020e8]:ori a1, a0, 0<br> [0x800020ec]:sd a1, 368(ra)<br>       |
| 326|[0x80006a38]<br>0x0000000000000006|- rs1_val==2 and imm_val==4<br>                                                                                                                                                                       |[0x800020f4]:ori a1, a0, 4<br> [0x800020f8]:sd a1, 376(ra)<br>       |
| 327|[0x80006a40]<br>0x0000000000000332|- rs1_val==2 and imm_val==818<br>                                                                                                                                                                     |[0x80002100]:ori a1, a0, 818<br> [0x80002104]:sd a1, 384(ra)<br>     |
| 328|[0x80006a48]<br>0x0000000000000667|- rs1_val==2 and imm_val==1637<br>                                                                                                                                                                    |[0x8000210c]:ori a1, a0, 1637<br> [0x80002110]:sd a1, 392(ra)<br>    |
| 329|[0x80006a50]<br>0x000000000000002E|- rs1_val==2 and imm_val==44<br>                                                                                                                                                                      |[0x80002118]:ori a1, a0, 44<br> [0x8000211c]:sd a1, 400(ra)<br>      |
| 330|[0x80006a58]<br>0x0000000000000556|- rs1_val==2 and imm_val==1366<br>                                                                                                                                                                    |[0x80002124]:ori a1, a0, 1366<br> [0x80002128]:sd a1, 408(ra)<br>    |
| 331|[0x80006a60]<br>0xFFFFFFFFFFFFFAAB|- rs1_val==2 and imm_val==-1365<br>                                                                                                                                                                   |[0x80002130]:ori a1, a0, 2731<br> [0x80002134]:sd a1, 416(ra)<br>    |
| 332|[0x80006a68]<br>0x0000000000000006|- rs1_val==2 and imm_val==6<br>                                                                                                                                                                       |[0x8000213c]:ori a1, a0, 6<br> [0x80002140]:sd a1, 424(ra)<br>       |
| 333|[0x80006a70]<br>0x0000000000000336|- rs1_val==2 and imm_val==820<br>                                                                                                                                                                     |[0x80002148]:ori a1, a0, 820<br> [0x8000214c]:sd a1, 432(ra)<br>     |
| 334|[0x80006a78]<br>0x0000000000000667|- rs1_val==2 and imm_val==1639<br>                                                                                                                                                                    |[0x80002154]:ori a1, a0, 1639<br> [0x80002158]:sd a1, 440(ra)<br>    |
| 335|[0x80006a80]<br>0xFFFFFFFFFFFFFFD6|- rs1_val==2 and imm_val==-44<br>                                                                                                                                                                     |[0x80002160]:ori a1, a0, 4052<br> [0x80002164]:sd a1, 448(ra)<br>    |
| 336|[0x80006a88]<br>0x000000000000002E|- rs1_val==2 and imm_val==46<br>                                                                                                                                                                      |[0x8000216c]:ori a1, a0, 46<br> [0x80002170]:sd a1, 456(ra)<br>      |
| 337|[0x80006a90]<br>0x5555555555555557|- rs1_val==6148914691236517204 and imm_val==3<br>                                                                                                                                                     |[0x80002194]:ori a1, a0, 3<br> [0x80002198]:sd a1, 464(ra)<br>       |
| 338|[0x80006a98]<br>0x5555555555555555|- rs1_val==6148914691236517204 and imm_val==1365<br>                                                                                                                                                  |[0x800021bc]:ori a1, a0, 1365<br> [0x800021c0]:sd a1, 472(ra)<br>    |
| 339|[0x80006aa0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517204 and imm_val==-1366<br>                                                                                                                                                 |[0x800021e4]:ori a1, a0, 2730<br> [0x800021e8]:sd a1, 480(ra)<br>    |
| 340|[0x80006aa8]<br>0x5555555555555555|- rs1_val==6148914691236517204 and imm_val==5<br>                                                                                                                                                     |[0x8000220c]:ori a1, a0, 5<br> [0x80002210]:sd a1, 488(ra)<br>       |
| 341|[0x80006ab0]<br>0x5555555555555777|- rs1_val==6148914691236517204 and imm_val==819<br>                                                                                                                                                   |[0x80002234]:ori a1, a0, 819<br> [0x80002238]:sd a1, 496(ra)<br>     |
| 342|[0x80006ab8]<br>0x5555555555555776|- rs1_val==6148914691236517204 and imm_val==1638<br>                                                                                                                                                  |[0x8000225c]:ori a1, a0, 1638<br> [0x80002260]:sd a1, 504(ra)<br>    |
| 343|[0x80006ac0]<br>0xFFFFFFFFFFFFFFD7|- rs1_val==6148914691236517204 and imm_val==-45<br>                                                                                                                                                   |[0x80002284]:ori a1, a0, 4051<br> [0x80002288]:sd a1, 512(ra)<br>    |
| 344|[0x80006ac8]<br>0x555555555555557D|- rs1_val==6148914691236517204 and imm_val==45<br>                                                                                                                                                    |[0x800022ac]:ori a1, a0, 45<br> [0x800022b0]:sd a1, 520(ra)<br>      |
| 345|[0x80006ad0]<br>0x5555555555555556|- rs1_val==6148914691236517204 and imm_val==2<br>                                                                                                                                                     |[0x800022d4]:ori a1, a0, 2<br> [0x800022d8]:sd a1, 528(ra)<br>       |
| 346|[0x80006ad8]<br>0x5555555555555554|- rs1_val==6148914691236517204 and imm_val==1364<br>                                                                                                                                                  |[0x800022fc]:ori a1, a0, 1364<br> [0x80002300]:sd a1, 536(ra)<br>    |
| 347|[0x80006ae0]<br>0x5555555555555554|- rs1_val==6148914691236517204 and imm_val==0<br>                                                                                                                                                     |[0x80002324]:ori a1, a0, 0<br> [0x80002328]:sd a1, 544(ra)<br>       |
| 348|[0x80006ae8]<br>0x5555555555555554|- rs1_val==6148914691236517204 and imm_val==4<br>                                                                                                                                                     |[0x8000234c]:ori a1, a0, 4<br> [0x80002350]:sd a1, 552(ra)<br>       |
| 349|[0x80006af0]<br>0x5555555555555776|- rs1_val==6148914691236517204 and imm_val==818<br>                                                                                                                                                   |[0x80002374]:ori a1, a0, 818<br> [0x80002378]:sd a1, 560(ra)<br>     |
| 350|[0x80006af8]<br>0x5555555555555775|- rs1_val==6148914691236517204 and imm_val==1637<br>                                                                                                                                                  |[0x8000239c]:ori a1, a0, 1637<br> [0x800023a0]:sd a1, 568(ra)<br>    |
| 351|[0x80006b00]<br>0x555555555555557C|- rs1_val==6148914691236517204 and imm_val==44<br>                                                                                                                                                    |[0x800023c4]:ori a1, a0, 44<br> [0x800023c8]:sd a1, 576(ra)<br>      |
| 352|[0x80006b08]<br>0x5555555555555556|- rs1_val==6148914691236517204 and imm_val==1366<br>                                                                                                                                                  |[0x800023ec]:ori a1, a0, 1366<br> [0x800023f0]:sd a1, 584(ra)<br>    |
| 353|[0x80006b10]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517204 and imm_val==-1365<br>                                                                                                                                                 |[0x80002414]:ori a1, a0, 2731<br> [0x80002418]:sd a1, 592(ra)<br>    |
| 354|[0x80006b18]<br>0x5555555555555556|- rs1_val==6148914691236517204 and imm_val==6<br>                                                                                                                                                     |[0x8000243c]:ori a1, a0, 6<br> [0x80002440]:sd a1, 600(ra)<br>       |
| 355|[0x80006b20]<br>0x5555555555555774|- rs1_val==6148914691236517204 and imm_val==820<br>                                                                                                                                                   |[0x80002464]:ori a1, a0, 820<br> [0x80002468]:sd a1, 608(ra)<br>     |
| 356|[0x80006b28]<br>0x5555555555555777|- rs1_val==6148914691236517204 and imm_val==1639<br>                                                                                                                                                  |[0x8000248c]:ori a1, a0, 1639<br> [0x80002490]:sd a1, 616(ra)<br>    |
| 357|[0x80006b30]<br>0xFFFFFFFFFFFFFFD4|- rs1_val==6148914691236517204 and imm_val==-44<br>                                                                                                                                                   |[0x800024b4]:ori a1, a0, 4052<br> [0x800024b8]:sd a1, 624(ra)<br>    |
| 358|[0x80006b38]<br>0x555555555555557E|- rs1_val==6148914691236517204 and imm_val==46<br>                                                                                                                                                    |[0x800024dc]:ori a1, a0, 46<br> [0x800024e0]:sd a1, 632(ra)<br>      |
| 359|[0x80006b40]<br>0x0000000000000003|- rs1_val==0 and imm_val==3<br>                                                                                                                                                                       |[0x800024e8]:ori a1, a0, 3<br> [0x800024ec]:sd a1, 640(ra)<br>       |
| 360|[0x80006b48]<br>0xFFFFFFFFFFFFFAAA|- rs1_val==0 and imm_val==-1366<br>                                                                                                                                                                   |[0x800024f4]:ori a1, a0, 2730<br> [0x800024f8]:sd a1, 648(ra)<br>    |
| 361|[0x80006b50]<br>0x0000000000000005|- rs1_val==0 and imm_val==5<br>                                                                                                                                                                       |[0x80002500]:ori a1, a0, 5<br> [0x80002504]:sd a1, 656(ra)<br>       |
| 362|[0x80006b58]<br>0x0000000000000333|- rs1_val==0 and imm_val==819<br>                                                                                                                                                                     |[0x8000250c]:ori a1, a0, 819<br> [0x80002510]:sd a1, 664(ra)<br>     |
| 363|[0x80006b60]<br>0x0000000000000666|- rs1_val==0 and imm_val==1638<br>                                                                                                                                                                    |[0x80002518]:ori a1, a0, 1638<br> [0x8000251c]:sd a1, 672(ra)<br>    |
| 364|[0x80006b68]<br>0xFFFFFFFFFFFFFFD3|- rs1_val==0 and imm_val==-45<br>                                                                                                                                                                     |[0x80002524]:ori a1, a0, 4051<br> [0x80002528]:sd a1, 680(ra)<br>    |
| 365|[0x80006b70]<br>0x000000000000002D|- rs1_val==0 and imm_val==45<br>                                                                                                                                                                      |[0x80002530]:ori a1, a0, 45<br> [0x80002534]:sd a1, 688(ra)<br>      |
| 366|[0x80006b78]<br>0x555555555555557E|- rs1_val==6148914691236517206 and imm_val==44<br>                                                                                                                                                    |[0x80002558]:ori a1, a0, 44<br> [0x8000255c]:sd a1, 696(ra)<br>      |
| 367|[0x80006b80]<br>0x5555555555555556|- rs1_val==6148914691236517206 and imm_val==1366<br>                                                                                                                                                  |[0x80002580]:ori a1, a0, 1366<br> [0x80002584]:sd a1, 704(ra)<br>    |
| 368|[0x80006b88]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517206 and imm_val==-1365<br>                                                                                                                                                 |[0x800025a8]:ori a1, a0, 2731<br> [0x800025ac]:sd a1, 712(ra)<br>    |
| 369|[0x80006b90]<br>0x5555555555555556|- rs1_val==6148914691236517206 and imm_val==6<br>                                                                                                                                                     |[0x800025d0]:ori a1, a0, 6<br> [0x800025d4]:sd a1, 720(ra)<br>       |
| 370|[0x80006b98]<br>0x5555555555555776|- rs1_val==6148914691236517206 and imm_val==820<br>                                                                                                                                                   |[0x800025f8]:ori a1, a0, 820<br> [0x800025fc]:sd a1, 728(ra)<br>     |
| 371|[0x80006ba0]<br>0x5555555555555777|- rs1_val==6148914691236517206 and imm_val==1639<br>                                                                                                                                                  |[0x80002620]:ori a1, a0, 1639<br> [0x80002624]:sd a1, 736(ra)<br>    |
| 372|[0x80006ba8]<br>0xFFFFFFFFFFFFFFD6|- rs1_val==6148914691236517206 and imm_val==-44<br>                                                                                                                                                   |[0x80002648]:ori a1, a0, 4052<br> [0x8000264c]:sd a1, 744(ra)<br>    |
| 373|[0x80006bb0]<br>0x555555555555557E|- rs1_val==6148914691236517206 and imm_val==46<br>                                                                                                                                                    |[0x80002670]:ori a1, a0, 46<br> [0x80002674]:sd a1, 752(ra)<br>      |
| 374|[0x80006bb8]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and imm_val==3<br>                                                                                                                                                    |[0x80002698]:ori a1, a0, 3<br> [0x8000269c]:sd a1, 760(ra)<br>       |
| 375|[0x80006bc0]<br>0xAAAAAAAAAAAAAFFF|- rs1_val==-6148914691236517205 and imm_val==1365<br>                                                                                                                                                 |[0x800026c0]:ori a1, a0, 1365<br> [0x800026c4]:sd a1, 768(ra)<br>    |
| 376|[0x80006bc8]<br>0xFFFFFFFFFFFFFAAB|- rs1_val==-6148914691236517205 and imm_val==-1366<br>                                                                                                                                                |[0x800026e8]:ori a1, a0, 2730<br> [0x800026ec]:sd a1, 776(ra)<br>    |
| 377|[0x80006bd0]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and imm_val==5<br>                                                                                                                                                    |[0x80002710]:ori a1, a0, 5<br> [0x80002714]:sd a1, 784(ra)<br>       |
| 378|[0x80006bd8]<br>0xAAAAAAAAAAAAABBB|- rs1_val==-6148914691236517205 and imm_val==819<br>                                                                                                                                                  |[0x80002738]:ori a1, a0, 819<br> [0x8000273c]:sd a1, 792(ra)<br>     |
| 379|[0x80006be0]<br>0xAAAAAAAAAAAAAEEF|- rs1_val==-6148914691236517205 and imm_val==1638<br>                                                                                                                                                 |[0x80002760]:ori a1, a0, 1638<br> [0x80002764]:sd a1, 800(ra)<br>    |
| 380|[0x80006be8]<br>0xFFFFFFFFFFFFFFFB|- rs1_val==-6148914691236517205 and imm_val==-45<br>                                                                                                                                                  |[0x80002788]:ori a1, a0, 4051<br> [0x8000278c]:sd a1, 808(ra)<br>    |
| 381|[0x80006bf0]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and imm_val==45<br>                                                                                                                                                   |[0x800027b0]:ori a1, a0, 45<br> [0x800027b4]:sd a1, 816(ra)<br>      |
| 382|[0x80006bf8]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and imm_val==2<br>                                                                                                                                                    |[0x800027d8]:ori a1, a0, 2<br> [0x800027dc]:sd a1, 824(ra)<br>       |
| 383|[0x80006c00]<br>0xAAAAAAAAAAAAAFFF|- rs1_val==-6148914691236517205 and imm_val==1364<br>                                                                                                                                                 |[0x80002800]:ori a1, a0, 1364<br> [0x80002804]:sd a1, 832(ra)<br>    |
| 384|[0x80006c08]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and imm_val==0<br>                                                                                                                                                    |[0x80002828]:ori a1, a0, 0<br> [0x8000282c]:sd a1, 840(ra)<br>       |
| 385|[0x80006c10]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and imm_val==4<br>                                                                                                                                                    |[0x80002850]:ori a1, a0, 4<br> [0x80002854]:sd a1, 848(ra)<br>       |
| 386|[0x80006c18]<br>0xAAAAAAAAAAAAABBB|- rs1_val==-6148914691236517205 and imm_val==818<br>                                                                                                                                                  |[0x80002878]:ori a1, a0, 818<br> [0x8000287c]:sd a1, 856(ra)<br>     |
| 387|[0x80006c20]<br>0xAAAAAAAAAAAAAEEF|- rs1_val==-6148914691236517205 and imm_val==1637<br>                                                                                                                                                 |[0x800028a0]:ori a1, a0, 1637<br> [0x800028a4]:sd a1, 864(ra)<br>    |
| 388|[0x80006c28]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and imm_val==44<br>                                                                                                                                                   |[0x800028c8]:ori a1, a0, 44<br> [0x800028cc]:sd a1, 872(ra)<br>      |
| 389|[0x80006c30]<br>0xAAAAAAAAAAAAAFFF|- rs1_val==-6148914691236517205 and imm_val==1366<br>                                                                                                                                                 |[0x800028f0]:ori a1, a0, 1366<br> [0x800028f4]:sd a1, 880(ra)<br>    |
| 390|[0x80006c38]<br>0xFFFFFFFFFFFFFAAB|- rs1_val==-6148914691236517205 and imm_val==-1365<br>                                                                                                                                                |[0x80002918]:ori a1, a0, 2731<br> [0x8000291c]:sd a1, 888(ra)<br>    |
| 391|[0x80006c40]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and imm_val==6<br>                                                                                                                                                    |[0x80002940]:ori a1, a0, 6<br> [0x80002944]:sd a1, 896(ra)<br>       |
| 392|[0x80006c48]<br>0xAAAAAAAAAAAAABBF|- rs1_val==-6148914691236517205 and imm_val==820<br>                                                                                                                                                  |[0x80002968]:ori a1, a0, 820<br> [0x8000296c]:sd a1, 904(ra)<br>     |
| 393|[0x80006c50]<br>0xAAAAAAAAAAAAAEEF|- rs1_val==-6148914691236517205 and imm_val==1639<br>                                                                                                                                                 |[0x80002990]:ori a1, a0, 1639<br> [0x80002994]:sd a1, 912(ra)<br>    |
| 394|[0x80006c58]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517205 and imm_val==-44<br>                                                                                                                                                  |[0x800029b8]:ori a1, a0, 4052<br> [0x800029bc]:sd a1, 920(ra)<br>    |
| 395|[0x80006c60]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and imm_val==46<br>                                                                                                                                                   |[0x800029e0]:ori a1, a0, 46<br> [0x800029e4]:sd a1, 928(ra)<br>      |
| 396|[0x80006c68]<br>0x0000000000000007|- rs1_val==6 and imm_val==3<br>                                                                                                                                                                       |[0x800029ec]:ori a1, a0, 3<br> [0x800029f0]:sd a1, 936(ra)<br>       |
| 397|[0x80006c70]<br>0x0000000000000557|- rs1_val==6 and imm_val==1365<br>                                                                                                                                                                    |[0x800029f8]:ori a1, a0, 1365<br> [0x800029fc]:sd a1, 944(ra)<br>    |
| 398|[0x80006c78]<br>0xFFFFFFFFFFFFFAAE|- rs1_val==6 and imm_val==-1366<br>                                                                                                                                                                   |[0x80002a04]:ori a1, a0, 2730<br> [0x80002a08]:sd a1, 952(ra)<br>    |
| 399|[0x80006c80]<br>0x0000000000000007|- rs1_val==6 and imm_val==5<br>                                                                                                                                                                       |[0x80002a10]:ori a1, a0, 5<br> [0x80002a14]:sd a1, 960(ra)<br>       |
| 400|[0x80006c88]<br>0x0000000000000337|- rs1_val==6 and imm_val==819<br>                                                                                                                                                                     |[0x80002a1c]:ori a1, a0, 819<br> [0x80002a20]:sd a1, 968(ra)<br>     |
| 401|[0x80006c90]<br>0x0000000000000666|- rs1_val==6 and imm_val==1638<br>                                                                                                                                                                    |[0x80002a28]:ori a1, a0, 1638<br> [0x80002a2c]:sd a1, 976(ra)<br>    |
| 402|[0x80006c98]<br>0xFFFFFFFFFFFFFFD7|- rs1_val==6 and imm_val==-45<br>                                                                                                                                                                     |[0x80002a34]:ori a1, a0, 4051<br> [0x80002a38]:sd a1, 984(ra)<br>    |
| 403|[0x80006ca0]<br>0x000000000000002F|- rs1_val==6 and imm_val==45<br>                                                                                                                                                                      |[0x80002a40]:ori a1, a0, 45<br> [0x80002a44]:sd a1, 992(ra)<br>      |
| 404|[0x80006ca8]<br>0x0000000000000006|- rs1_val==6 and imm_val==2<br>                                                                                                                                                                       |[0x80002a4c]:ori a1, a0, 2<br> [0x80002a50]:sd a1, 1000(ra)<br>      |
| 405|[0x80006cb0]<br>0x0000000000000556|- rs1_val==6 and imm_val==1364<br>                                                                                                                                                                    |[0x80002a58]:ori a1, a0, 1364<br> [0x80002a5c]:sd a1, 1008(ra)<br>   |
| 406|[0x80006cb8]<br>0x0000000000000006|- rs1_val==6 and imm_val==0<br>                                                                                                                                                                       |[0x80002a64]:ori a1, a0, 0<br> [0x80002a68]:sd a1, 1016(ra)<br>      |
| 407|[0x80006cc0]<br>0x0000000000000006|- rs1_val==6 and imm_val==4<br>                                                                                                                                                                       |[0x80002a70]:ori a1, a0, 4<br> [0x80002a74]:sd a1, 1024(ra)<br>      |
| 408|[0x80006cc8]<br>0x0000000000000336|- rs1_val==6 and imm_val==818<br>                                                                                                                                                                     |[0x80002a7c]:ori a1, a0, 818<br> [0x80002a80]:sd a1, 1032(ra)<br>    |
| 409|[0x80006cd0]<br>0x0000000000000667|- rs1_val==6 and imm_val==1637<br>                                                                                                                                                                    |[0x80002a88]:ori a1, a0, 1637<br> [0x80002a8c]:sd a1, 1040(ra)<br>   |
| 410|[0x80006cd8]<br>0x000000000000002E|- rs1_val==6 and imm_val==44<br>                                                                                                                                                                      |[0x80002a94]:ori a1, a0, 44<br> [0x80002a98]:sd a1, 1048(ra)<br>     |
| 411|[0x80006ce0]<br>0x0000000000000556|- rs1_val==6 and imm_val==1366<br>                                                                                                                                                                    |[0x80002aa0]:ori a1, a0, 1366<br> [0x80002aa4]:sd a1, 1056(ra)<br>   |
| 412|[0x80006ce8]<br>0xFFFFFFFFFFFFFAAF|- rs1_val==6 and imm_val==-1365<br>                                                                                                                                                                   |[0x80002aac]:ori a1, a0, 2731<br> [0x80002ab0]:sd a1, 1064(ra)<br>   |
| 413|[0x80006cf0]<br>0x0000000000000006|- rs1_val==6 and imm_val==6<br>                                                                                                                                                                       |[0x80002ab8]:ori a1, a0, 6<br> [0x80002abc]:sd a1, 1072(ra)<br>      |
| 414|[0x80006cf8]<br>0x0000000000000336|- rs1_val==6 and imm_val==820<br>                                                                                                                                                                     |[0x80002ac4]:ori a1, a0, 820<br> [0x80002ac8]:sd a1, 1080(ra)<br>    |
| 415|[0x80006d00]<br>0x0000000000000667|- rs1_val==6 and imm_val==1639<br>                                                                                                                                                                    |[0x80002ad0]:ori a1, a0, 1639<br> [0x80002ad4]:sd a1, 1088(ra)<br>   |
| 416|[0x80006d08]<br>0xFFFFFFFFFFFFFFD6|- rs1_val==6 and imm_val==-44<br>                                                                                                                                                                     |[0x80002adc]:ori a1, a0, 4052<br> [0x80002ae0]:sd a1, 1096(ra)<br>   |
| 417|[0x80006d10]<br>0x000000000000002E|- rs1_val==6 and imm_val==46<br>                                                                                                                                                                      |[0x80002ae8]:ori a1, a0, 46<br> [0x80002aec]:sd a1, 1104(ra)<br>     |
| 418|[0x80006d18]<br>0x3333333333333337|- rs1_val==3689348814741910324 and imm_val==3<br>                                                                                                                                                     |[0x80002b10]:ori a1, a0, 3<br> [0x80002b14]:sd a1, 1112(ra)<br>      |
| 419|[0x80006d20]<br>0x3333333333333775|- rs1_val==3689348814741910324 and imm_val==1365<br>                                                                                                                                                  |[0x80002b38]:ori a1, a0, 1365<br> [0x80002b3c]:sd a1, 1120(ra)<br>   |
| 420|[0x80006d28]<br>0xFFFFFFFFFFFFFBBE|- rs1_val==3689348814741910324 and imm_val==-1366<br>                                                                                                                                                 |[0x80002b60]:ori a1, a0, 2730<br> [0x80002b64]:sd a1, 1128(ra)<br>   |
| 421|[0x80006d30]<br>0x3333333333333335|- rs1_val==3689348814741910324 and imm_val==5<br>                                                                                                                                                     |[0x80002b88]:ori a1, a0, 5<br> [0x80002b8c]:sd a1, 1136(ra)<br>      |
| 422|[0x80006d38]<br>0x3333333333333337|- rs1_val==3689348814741910324 and imm_val==819<br>                                                                                                                                                   |[0x80002bb0]:ori a1, a0, 819<br> [0x80002bb4]:sd a1, 1144(ra)<br>    |
| 423|[0x80006d40]<br>0x3333333333333776|- rs1_val==3689348814741910324 and imm_val==1638<br>                                                                                                                                                  |[0x80002bd8]:ori a1, a0, 1638<br> [0x80002bdc]:sd a1, 1152(ra)<br>   |
| 424|[0x80006d48]<br>0xFFFFFFFFFFFFFFF7|- rs1_val==3689348814741910324 and imm_val==-45<br>                                                                                                                                                   |[0x80002c00]:ori a1, a0, 4051<br> [0x80002c04]:sd a1, 1160(ra)<br>   |
| 425|[0x80006d50]<br>0x333333333333333D|- rs1_val==3689348814741910324 and imm_val==45<br>                                                                                                                                                    |[0x80002c28]:ori a1, a0, 45<br> [0x80002c2c]:sd a1, 1168(ra)<br>     |
| 426|[0x80006d58]<br>0x3333333333333336|- rs1_val==3689348814741910324 and imm_val==2<br>                                                                                                                                                     |[0x80002c50]:ori a1, a0, 2<br> [0x80002c54]:sd a1, 1176(ra)<br>      |
| 427|[0x80006d60]<br>0x3333333333333774|- rs1_val==3689348814741910324 and imm_val==1364<br>                                                                                                                                                  |[0x80002c78]:ori a1, a0, 1364<br> [0x80002c7c]:sd a1, 1184(ra)<br>   |
| 428|[0x80006d68]<br>0x3333333333333334|- rs1_val==3689348814741910324 and imm_val==0<br>                                                                                                                                                     |[0x80002ca0]:ori a1, a0, 0<br> [0x80002ca4]:sd a1, 1192(ra)<br>      |
| 429|[0x80006d70]<br>0x3333333333333334|- rs1_val==3689348814741910324 and imm_val==4<br>                                                                                                                                                     |[0x80002cc8]:ori a1, a0, 4<br> [0x80002ccc]:sd a1, 1200(ra)<br>      |
| 430|[0x80006d78]<br>0x3333333333333336|- rs1_val==3689348814741910324 and imm_val==818<br>                                                                                                                                                   |[0x80002cf0]:ori a1, a0, 818<br> [0x80002cf4]:sd a1, 1208(ra)<br>    |
| 431|[0x80006d80]<br>0x3333333333333775|- rs1_val==3689348814741910324 and imm_val==1637<br>                                                                                                                                                  |[0x80002d18]:ori a1, a0, 1637<br> [0x80002d1c]:sd a1, 1216(ra)<br>   |
| 432|[0x80006d88]<br>0x333333333333333C|- rs1_val==3689348814741910324 and imm_val==44<br>                                                                                                                                                    |[0x80002d40]:ori a1, a0, 44<br> [0x80002d44]:sd a1, 1224(ra)<br>     |
| 433|[0x80006d90]<br>0x3333333333333776|- rs1_val==3689348814741910324 and imm_val==1366<br>                                                                                                                                                  |[0x80002d68]:ori a1, a0, 1366<br> [0x80002d6c]:sd a1, 1232(ra)<br>   |
| 434|[0x80006d98]<br>0xFFFFFFFFFFFFFBBF|- rs1_val==3689348814741910324 and imm_val==-1365<br>                                                                                                                                                 |[0x80002d90]:ori a1, a0, 2731<br> [0x80002d94]:sd a1, 1240(ra)<br>   |
| 435|[0x80006da0]<br>0x3333333333333336|- rs1_val==3689348814741910324 and imm_val==6<br>                                                                                                                                                     |[0x80002db8]:ori a1, a0, 6<br> [0x80002dbc]:sd a1, 1248(ra)<br>      |
| 436|[0x80006da8]<br>0x3333333333333334|- rs1_val==3689348814741910324 and imm_val==820<br>                                                                                                                                                   |[0x80002de0]:ori a1, a0, 820<br> [0x80002de4]:sd a1, 1256(ra)<br>    |
| 437|[0x80006db0]<br>0x3333333333333777|- rs1_val==3689348814741910324 and imm_val==1639<br>                                                                                                                                                  |[0x80002e08]:ori a1, a0, 1639<br> [0x80002e0c]:sd a1, 1264(ra)<br>   |
| 438|[0x80006db8]<br>0xFFFFFFFFFFFFFFF4|- rs1_val==3689348814741910324 and imm_val==-44<br>                                                                                                                                                   |[0x80002e30]:ori a1, a0, 4052<br> [0x80002e34]:sd a1, 1272(ra)<br>   |
| 439|[0x80006dc0]<br>0x333333333333333E|- rs1_val==3689348814741910324 and imm_val==46<br>                                                                                                                                                    |[0x80002e58]:ori a1, a0, 46<br> [0x80002e5c]:sd a1, 1280(ra)<br>     |
| 440|[0x80006dc8]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==3<br>                                                                                                                                                     |[0x80002e80]:ori a1, a0, 3<br> [0x80002e84]:sd a1, 1288(ra)<br>      |
| 441|[0x80006dd0]<br>0x6666666666666777|- rs1_val==7378697629483820647 and imm_val==1365<br>                                                                                                                                                  |[0x80002ea8]:ori a1, a0, 1365<br> [0x80002eac]:sd a1, 1296(ra)<br>   |
| 442|[0x80006dd8]<br>0xFFFFFFFFFFFFFEEF|- rs1_val==7378697629483820647 and imm_val==-1366<br>                                                                                                                                                 |[0x80002ed0]:ori a1, a0, 2730<br> [0x80002ed4]:sd a1, 1304(ra)<br>   |
| 443|[0x80006de0]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==5<br>                                                                                                                                                     |[0x80002ef8]:ori a1, a0, 5<br> [0x80002efc]:sd a1, 1312(ra)<br>      |
| 444|[0x80006de8]<br>0x6666666666666777|- rs1_val==7378697629483820647 and imm_val==819<br>                                                                                                                                                   |[0x80002f20]:ori a1, a0, 819<br> [0x80002f24]:sd a1, 1320(ra)<br>    |
| 445|[0x80006df0]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==1638<br>                                                                                                                                                  |[0x80002f48]:ori a1, a0, 1638<br> [0x80002f4c]:sd a1, 1328(ra)<br>   |
| 446|[0x80006df8]<br>0xFFFFFFFFFFFFFFF7|- rs1_val==7378697629483820647 and imm_val==-45<br>                                                                                                                                                   |[0x80002f70]:ori a1, a0, 4051<br> [0x80002f74]:sd a1, 1336(ra)<br>   |
| 447|[0x80006e00]<br>0x666666666666666F|- rs1_val==7378697629483820647 and imm_val==45<br>                                                                                                                                                    |[0x80002f98]:ori a1, a0, 45<br> [0x80002f9c]:sd a1, 1344(ra)<br>     |
| 448|[0x80006e08]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==2<br>                                                                                                                                                     |[0x80002fc0]:ori a1, a0, 2<br> [0x80002fc4]:sd a1, 1352(ra)<br>      |
| 449|[0x80006e10]<br>0x6666666666666777|- rs1_val==7378697629483820647 and imm_val==1364<br>                                                                                                                                                  |[0x80002fe8]:ori a1, a0, 1364<br> [0x80002fec]:sd a1, 1360(ra)<br>   |
| 450|[0x80006e18]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==0<br>                                                                                                                                                     |[0x80003010]:ori a1, a0, 0<br> [0x80003014]:sd a1, 1368(ra)<br>      |
| 451|[0x80006e20]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==4<br>                                                                                                                                                     |[0x80003038]:ori a1, a0, 4<br> [0x8000303c]:sd a1, 1376(ra)<br>      |
| 452|[0x80006e28]<br>0x6666666666666777|- rs1_val==7378697629483820647 and imm_val==818<br>                                                                                                                                                   |[0x80003060]:ori a1, a0, 818<br> [0x80003064]:sd a1, 1384(ra)<br>    |
| 453|[0x80006e30]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==1637<br>                                                                                                                                                  |[0x80003088]:ori a1, a0, 1637<br> [0x8000308c]:sd a1, 1392(ra)<br>   |
| 454|[0x80006e38]<br>0x666666666666666F|- rs1_val==7378697629483820647 and imm_val==44<br>                                                                                                                                                    |[0x800030b0]:ori a1, a0, 44<br> [0x800030b4]:sd a1, 1400(ra)<br>     |
| 455|[0x80006e40]<br>0x6666666666666777|- rs1_val==7378697629483820647 and imm_val==1366<br>                                                                                                                                                  |[0x800030d8]:ori a1, a0, 1366<br> [0x800030dc]:sd a1, 1408(ra)<br>   |
| 456|[0x80006e48]<br>0xFFFFFFFFFFFFFEEF|- rs1_val==7378697629483820647 and imm_val==-1365<br>                                                                                                                                                 |[0x80003100]:ori a1, a0, 2731<br> [0x80003104]:sd a1, 1416(ra)<br>   |
| 457|[0x80006e50]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==6<br>                                                                                                                                                     |[0x80003128]:ori a1, a0, 6<br> [0x8000312c]:sd a1, 1424(ra)<br>      |
| 458|[0x80006e58]<br>0x6666666666666777|- rs1_val==7378697629483820647 and imm_val==820<br>                                                                                                                                                   |[0x80003150]:ori a1, a0, 820<br> [0x80003154]:sd a1, 1432(ra)<br>    |
| 459|[0x80006e60]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==1639<br>                                                                                                                                                  |[0x80003178]:ori a1, a0, 1639<br> [0x8000317c]:sd a1, 1440(ra)<br>   |
| 460|[0x80006e68]<br>0xFFFFFFFFFFFFFFF7|- rs1_val==7378697629483820647 and imm_val==-44<br>                                                                                                                                                   |[0x800031a0]:ori a1, a0, 4052<br> [0x800031a4]:sd a1, 1448(ra)<br>   |
| 461|[0x80006e70]<br>0x666666666666666F|- rs1_val==7378697629483820647 and imm_val==46<br>                                                                                                                                                    |[0x800031c8]:ori a1, a0, 46<br> [0x800031cc]:sd a1, 1456(ra)<br>     |
| 462|[0x80006e78]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000498 and imm_val==3<br>                                                                                                                                                             |[0x800031e0]:ori a1, a0, 3<br> [0x800031e4]:sd a1, 1464(ra)<br>      |
| 463|[0x80006e80]<br>0xFFFFFFFF4AFB0DDF|- rs1_val==-3037000498 and imm_val==1365<br>                                                                                                                                                          |[0x800031f8]:ori a1, a0, 1365<br> [0x800031fc]:sd a1, 1472(ra)<br>   |
| 464|[0x80006e88]<br>0xFFFFFFFFFFFFFEEE|- rs1_val==-3037000498 and imm_val==-1366<br>                                                                                                                                                         |[0x80003210]:ori a1, a0, 2730<br> [0x80003214]:sd a1, 1480(ra)<br>   |
| 465|[0x80006e90]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000498 and imm_val==5<br>                                                                                                                                                             |[0x80003228]:ori a1, a0, 5<br> [0x8000322c]:sd a1, 1488(ra)<br>      |
| 466|[0x80006e98]<br>0xFFFFFFFF4AFB0FFF|- rs1_val==-3037000498 and imm_val==819<br>                                                                                                                                                           |[0x80003240]:ori a1, a0, 819<br> [0x80003244]:sd a1, 1496(ra)<br>    |
| 467|[0x80006ea0]<br>0xFFFFFFFF4AFB0EEE|- rs1_val==-3037000498 and imm_val==1638<br>                                                                                                                                                          |[0x80003258]:ori a1, a0, 1638<br> [0x8000325c]:sd a1, 1504(ra)<br>   |
| 468|[0x80006ea8]<br>0xFFFFFFFFFFFFFFDF|- rs1_val==-3037000498 and imm_val==-45<br>                                                                                                                                                           |[0x80003270]:ori a1, a0, 4051<br> [0x80003274]:sd a1, 1512(ra)<br>   |
| 469|[0x80006eb0]<br>0xFFFFFFFF4AFB0CEF|- rs1_val==-3037000498 and imm_val==45<br>                                                                                                                                                            |[0x80003288]:ori a1, a0, 45<br> [0x8000328c]:sd a1, 1520(ra)<br>     |
| 470|[0x80006eb8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and imm_val==2<br>                                                                                                                                                             |[0x800032a0]:ori a1, a0, 2<br> [0x800032a4]:sd a1, 1528(ra)<br>      |
| 471|[0x80006ec0]<br>0xFFFFFFFF4AFB0DDE|- rs1_val==-3037000498 and imm_val==1364<br>                                                                                                                                                          |[0x800032b8]:ori a1, a0, 1364<br> [0x800032bc]:sd a1, 1536(ra)<br>   |
| 472|[0x80006ec8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and imm_val==0<br>                                                                                                                                                             |[0x800032d0]:ori a1, a0, 0<br> [0x800032d4]:sd a1, 1544(ra)<br>      |
| 473|[0x80006ed0]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and imm_val==4<br>                                                                                                                                                             |[0x800032e8]:ori a1, a0, 4<br> [0x800032ec]:sd a1, 1552(ra)<br>      |
| 474|[0x80006ed8]<br>0xFFFFFFFF4AFB0FFE|- rs1_val==-3037000498 and imm_val==818<br>                                                                                                                                                           |[0x80003300]:ori a1, a0, 818<br> [0x80003304]:sd a1, 1560(ra)<br>    |
| 475|[0x80006ee0]<br>0xFFFFFFFF4AFB0EEF|- rs1_val==-3037000498 and imm_val==1637<br>                                                                                                                                                          |[0x80003318]:ori a1, a0, 1637<br> [0x8000331c]:sd a1, 1568(ra)<br>   |
| 476|[0x80006ee8]<br>0xFFFFFFFF4AFB0CEE|- rs1_val==-3037000498 and imm_val==44<br>                                                                                                                                                            |[0x80003330]:ori a1, a0, 44<br> [0x80003334]:sd a1, 1576(ra)<br>     |
| 477|[0x80006ef0]<br>0xFFFFFFFF4AFB0DDE|- rs1_val==-3037000498 and imm_val==1366<br>                                                                                                                                                          |[0x80003348]:ori a1, a0, 1366<br> [0x8000334c]:sd a1, 1584(ra)<br>   |
| 478|[0x80006ef8]<br>0xFFFFFFFFFFFFFEEF|- rs1_val==-3037000498 and imm_val==-1365<br>                                                                                                                                                         |[0x80003360]:ori a1, a0, 2731<br> [0x80003364]:sd a1, 1592(ra)<br>   |
| 479|[0x80006f00]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and imm_val==6<br>                                                                                                                                                             |[0x80003378]:ori a1, a0, 6<br> [0x8000337c]:sd a1, 1600(ra)<br>      |
| 480|[0x80006f08]<br>0xFFFFFFFF4AFB0FFE|- rs1_val==-3037000498 and imm_val==820<br>                                                                                                                                                           |[0x80003390]:ori a1, a0, 820<br> [0x80003394]:sd a1, 1608(ra)<br>    |
| 481|[0x80006f10]<br>0xFFFFFFFF4AFB0EEF|- rs1_val==-3037000498 and imm_val==1639<br>                                                                                                                                                          |[0x800033a8]:ori a1, a0, 1639<br> [0x800033ac]:sd a1, 1616(ra)<br>   |
| 482|[0x80006f18]<br>0xFFFFFFFFFFFFFFDE|- rs1_val==-3037000498 and imm_val==-44<br>                                                                                                                                                           |[0x800033c0]:ori a1, a0, 4052<br> [0x800033c4]:sd a1, 1624(ra)<br>   |
| 483|[0x80006f20]<br>0xFFFFFFFF4AFB0CEE|- rs1_val==-3037000498 and imm_val==46<br>                                                                                                                                                            |[0x800033d8]:ori a1, a0, 46<br> [0x800033dc]:sd a1, 1632(ra)<br>     |
| 484|[0x80006f28]<br>0x00000000B504F337|- rs1_val==3037000500 and imm_val==3<br>                                                                                                                                                              |[0x800033f0]:ori a1, a0, 3<br> [0x800033f4]:sd a1, 1640(ra)<br>      |
| 485|[0x80006f30]<br>0x00000000B504F775|- rs1_val==3037000500 and imm_val==1365<br>                                                                                                                                                           |[0x80003408]:ori a1, a0, 1365<br> [0x8000340c]:sd a1, 1648(ra)<br>   |
| 486|[0x80006f38]<br>0xFFFFFFFFFFFFFBBE|- rs1_val==3037000500 and imm_val==-1366<br>                                                                                                                                                          |[0x80003420]:ori a1, a0, 2730<br> [0x80003424]:sd a1, 1656(ra)<br>   |
| 487|[0x80006f40]<br>0x00000000B504F335|- rs1_val==3037000500 and imm_val==5<br>                                                                                                                                                              |[0x80003438]:ori a1, a0, 5<br> [0x8000343c]:sd a1, 1664(ra)<br>      |
| 488|[0x80006f48]<br>0x00000000B504F337|- rs1_val==3037000500 and imm_val==819<br>                                                                                                                                                            |[0x80003450]:ori a1, a0, 819<br> [0x80003454]:sd a1, 1672(ra)<br>    |
| 489|[0x80006f50]<br>0x00000000B504F776|- rs1_val==3037000500 and imm_val==1638<br>                                                                                                                                                           |[0x80003468]:ori a1, a0, 1638<br> [0x8000346c]:sd a1, 1680(ra)<br>   |
| 490|[0x80006f58]<br>0xFFFFFFFFFFFFFFF7|- rs1_val==3037000500 and imm_val==-45<br>                                                                                                                                                            |[0x80003480]:ori a1, a0, 4051<br> [0x80003484]:sd a1, 1688(ra)<br>   |
| 491|[0x80006f60]<br>0x00000000B504F33D|- rs1_val==3037000500 and imm_val==45<br>                                                                                                                                                             |[0x80003498]:ori a1, a0, 45<br> [0x8000349c]:sd a1, 1696(ra)<br>     |
| 492|[0x80006f68]<br>0x00000000B504F336|- rs1_val==3037000500 and imm_val==2<br>                                                                                                                                                              |[0x800034b0]:ori a1, a0, 2<br> [0x800034b4]:sd a1, 1704(ra)<br>      |
| 493|[0x80006f70]<br>0x00000000B504F774|- rs1_val==3037000500 and imm_val==1364<br>                                                                                                                                                           |[0x800034c8]:ori a1, a0, 1364<br> [0x800034cc]:sd a1, 1712(ra)<br>   |
| 494|[0x80006f78]<br>0x00000000B504F334|- rs1_val==3037000500 and imm_val==0<br>                                                                                                                                                              |[0x800034e0]:ori a1, a0, 0<br> [0x800034e4]:sd a1, 1720(ra)<br>      |
| 495|[0x80006f80]<br>0x00000000B504F334|- rs1_val==3037000500 and imm_val==4<br>                                                                                                                                                              |[0x800034f8]:ori a1, a0, 4<br> [0x800034fc]:sd a1, 1728(ra)<br>      |
| 496|[0x80006f88]<br>0x00000000B504F336|- rs1_val==3037000500 and imm_val==818<br>                                                                                                                                                            |[0x80003510]:ori a1, a0, 818<br> [0x80003514]:sd a1, 1736(ra)<br>    |
| 497|[0x80006f90]<br>0x00000000B504F775|- rs1_val==3037000500 and imm_val==1637<br>                                                                                                                                                           |[0x80003528]:ori a1, a0, 1637<br> [0x8000352c]:sd a1, 1744(ra)<br>   |
| 498|[0x80006f98]<br>0x00000000B504F33C|- rs1_val==3037000500 and imm_val==44<br>                                                                                                                                                             |[0x80003540]:ori a1, a0, 44<br> [0x80003544]:sd a1, 1752(ra)<br>     |
| 499|[0x80006fa0]<br>0x00000000B504F776|- rs1_val==3037000500 and imm_val==1366<br>                                                                                                                                                           |[0x80003558]:ori a1, a0, 1366<br> [0x8000355c]:sd a1, 1760(ra)<br>   |
| 500|[0x80006fa8]<br>0xFFFFFFFFFFFFFBBF|- rs1_val==3037000500 and imm_val==-1365<br>                                                                                                                                                          |[0x80003570]:ori a1, a0, 2731<br> [0x80003574]:sd a1, 1768(ra)<br>   |
| 501|[0x80006fb0]<br>0x00000000B504F336|- rs1_val==3037000500 and imm_val==6<br>                                                                                                                                                              |[0x80003588]:ori a1, a0, 6<br> [0x8000358c]:sd a1, 1776(ra)<br>      |
| 502|[0x80006fb8]<br>0x00000000B504F334|- rs1_val==3037000500 and imm_val==820<br>                                                                                                                                                            |[0x800035a0]:ori a1, a0, 820<br> [0x800035a4]:sd a1, 1784(ra)<br>    |
| 503|[0x80006fc0]<br>0x00000000B504F777|- rs1_val==3037000500 and imm_val==1639<br>                                                                                                                                                           |[0x800035b8]:ori a1, a0, 1639<br> [0x800035bc]:sd a1, 1792(ra)<br>   |
| 504|[0x80006fc8]<br>0xFFFFFFFFFFFFFFF4|- rs1_val==3037000500 and imm_val==-44<br>                                                                                                                                                            |[0x800035d0]:ori a1, a0, 4052<br> [0x800035d4]:sd a1, 1800(ra)<br>   |
| 505|[0x80006fd0]<br>0x00000000B504F33E|- rs1_val==3037000500 and imm_val==46<br>                                                                                                                                                             |[0x800035e8]:ori a1, a0, 46<br> [0x800035ec]:sd a1, 1808(ra)<br>     |
| 506|[0x80006fd8]<br>0x0000000000000002|- rs1_val==0 and imm_val==2<br>                                                                                                                                                                       |[0x800035f4]:ori a1, a0, 2<br> [0x800035f8]:sd a1, 1816(ra)<br>      |
| 507|[0x80006fe0]<br>0x0000000000000554|- rs1_val==0 and imm_val==1364<br>                                                                                                                                                                    |[0x80003600]:ori a1, a0, 1364<br> [0x80003604]:sd a1, 1824(ra)<br>   |
| 508|[0x80006fe8]<br>0x0000000000000000|- rs1_val==0 and imm_val==0<br>                                                                                                                                                                       |[0x8000360c]:ori a1, a0, 0<br> [0x80003610]:sd a1, 1832(ra)<br>      |
| 509|[0x80006ff0]<br>0x0000000000000004|- rs1_val==0 and imm_val==4<br>                                                                                                                                                                       |[0x80003618]:ori a1, a0, 4<br> [0x8000361c]:sd a1, 1840(ra)<br>      |
| 510|[0x80006ff8]<br>0x0000000000000332|- rs1_val==0 and imm_val==818<br>                                                                                                                                                                     |[0x80003624]:ori a1, a0, 818<br> [0x80003628]:sd a1, 1848(ra)<br>    |
| 511|[0x80007000]<br>0x0000000000000665|- rs1_val==0 and imm_val==1637<br>                                                                                                                                                                    |[0x80003630]:ori a1, a0, 1637<br> [0x80003634]:sd a1, 1856(ra)<br>   |
| 512|[0x80007008]<br>0x000000000000002C|- rs1_val==0 and imm_val==44<br>                                                                                                                                                                      |[0x8000363c]:ori a1, a0, 44<br> [0x80003640]:sd a1, 1864(ra)<br>     |
| 513|[0x80007010]<br>0x0000000000000556|- rs1_val==0 and imm_val==1366<br>                                                                                                                                                                    |[0x80003648]:ori a1, a0, 1366<br> [0x8000364c]:sd a1, 1872(ra)<br>   |
| 514|[0x80007018]<br>0xFFFFFFFFFFFFFAAB|- rs1_val==0 and imm_val==-1365<br>                                                                                                                                                                   |[0x80003654]:ori a1, a0, 2731<br> [0x80003658]:sd a1, 1880(ra)<br>   |
| 515|[0x80007020]<br>0x0000000000000006|- rs1_val==0 and imm_val==6<br>                                                                                                                                                                       |[0x80003660]:ori a1, a0, 6<br> [0x80003664]:sd a1, 1888(ra)<br>      |
| 516|[0x80007028]<br>0x0000000000000334|- rs1_val==0 and imm_val==820<br>                                                                                                                                                                     |[0x8000366c]:ori a1, a0, 820<br> [0x80003670]:sd a1, 1896(ra)<br>    |
| 517|[0x80007030]<br>0x0000000000000667|- rs1_val==0 and imm_val==1639<br>                                                                                                                                                                    |[0x80003678]:ori a1, a0, 1639<br> [0x8000367c]:sd a1, 1904(ra)<br>   |
| 518|[0x80007038]<br>0xFFFFFFFFFFFFFFD4|- rs1_val==0 and imm_val==-44<br>                                                                                                                                                                     |[0x80003684]:ori a1, a0, 4052<br> [0x80003688]:sd a1, 1912(ra)<br>   |
| 519|[0x80007040]<br>0x000000000000002E|- rs1_val==0 and imm_val==46<br>                                                                                                                                                                      |[0x80003690]:ori a1, a0, 46<br> [0x80003694]:sd a1, 1920(ra)<br>     |
| 520|[0x80007048]<br>0x0000000000000007|- rs1_val==4 and imm_val==3<br>                                                                                                                                                                       |[0x8000369c]:ori a1, a0, 3<br> [0x800036a0]:sd a1, 1928(ra)<br>      |
| 521|[0x80007050]<br>0x0000000000000555|- rs1_val==4 and imm_val==1365<br>                                                                                                                                                                    |[0x800036a8]:ori a1, a0, 1365<br> [0x800036ac]:sd a1, 1936(ra)<br>   |
| 522|[0x80007058]<br>0xFFFFFFFFFFFFFAAE|- rs1_val==4 and imm_val==-1366<br>                                                                                                                                                                   |[0x800036b4]:ori a1, a0, 2730<br> [0x800036b8]:sd a1, 1944(ra)<br>   |
| 523|[0x80007060]<br>0x0000000000000005|- rs1_val==4 and imm_val==5<br>                                                                                                                                                                       |[0x800036c0]:ori a1, a0, 5<br> [0x800036c4]:sd a1, 1952(ra)<br>      |
| 524|[0x80007068]<br>0x0000000000000337|- rs1_val==4 and imm_val==819<br>                                                                                                                                                                     |[0x800036cc]:ori a1, a0, 819<br> [0x800036d0]:sd a1, 1960(ra)<br>    |
| 525|[0x80007070]<br>0x0000000000000666|- rs1_val==4 and imm_val==1638<br>                                                                                                                                                                    |[0x800036d8]:ori a1, a0, 1638<br> [0x800036dc]:sd a1, 1968(ra)<br>   |
| 526|[0x80007078]<br>0xFFFFFFFFFFFFFFD7|- rs1_val==4 and imm_val==-45<br>                                                                                                                                                                     |[0x800036e4]:ori a1, a0, 4051<br> [0x800036e8]:sd a1, 1976(ra)<br>   |
| 527|[0x80007080]<br>0x000000000000002D|- rs1_val==4 and imm_val==45<br>                                                                                                                                                                      |[0x800036f0]:ori a1, a0, 45<br> [0x800036f4]:sd a1, 1984(ra)<br>     |
| 528|[0x80007088]<br>0x0000000000000006|- rs1_val==4 and imm_val==2<br>                                                                                                                                                                       |[0x800036fc]:ori a1, a0, 2<br> [0x80003700]:sd a1, 1992(ra)<br>      |
| 529|[0x80007090]<br>0x0000000000000554|- rs1_val==4 and imm_val==1364<br>                                                                                                                                                                    |[0x80003708]:ori a1, a0, 1364<br> [0x8000370c]:sd a1, 2000(ra)<br>   |
| 530|[0x80007098]<br>0x0000000000000004|- rs1_val==4 and imm_val==4<br>                                                                                                                                                                       |[0x80003714]:ori a1, a0, 4<br> [0x80003718]:sd a1, 2008(ra)<br>      |
| 531|[0x800070a0]<br>0x0000000000000336|- rs1_val==4 and imm_val==818<br>                                                                                                                                                                     |[0x80003720]:ori a1, a0, 818<br> [0x80003724]:sd a1, 2016(ra)<br>    |
| 532|[0x800070a8]<br>0x0000000000000665|- rs1_val==4 and imm_val==1637<br>                                                                                                                                                                    |[0x8000372c]:ori a1, a0, 1637<br> [0x80003730]:sd a1, 2024(ra)<br>   |
| 533|[0x800070b0]<br>0x000000000000002C|- rs1_val==4 and imm_val==44<br>                                                                                                                                                                      |[0x80003738]:ori a1, a0, 44<br> [0x8000373c]:sd a1, 2032(ra)<br>     |
| 534|[0x800070b8]<br>0x0000000000000556|- rs1_val==4 and imm_val==1366<br>                                                                                                                                                                    |[0x80003744]:ori a1, a0, 1366<br> [0x80003748]:sd a1, 2040(ra)<br>   |
| 535|[0x800070c0]<br>0xFFFFFFFFFFFFFAAF|- rs1_val==4 and imm_val==-1365<br>                                                                                                                                                                   |[0x80003758]:ori a1, a0, 2731<br> [0x8000375c]:sd a1, 0(ra)<br>      |
| 536|[0x800070c8]<br>0x0000000000000006|- rs1_val==4 and imm_val==6<br>                                                                                                                                                                       |[0x80003764]:ori a1, a0, 6<br> [0x80003768]:sd a1, 8(ra)<br>         |
| 537|[0x800070d0]<br>0x0000000000000334|- rs1_val==4 and imm_val==820<br>                                                                                                                                                                     |[0x80003770]:ori a1, a0, 820<br> [0x80003774]:sd a1, 16(ra)<br>      |
| 538|[0x800070d8]<br>0x0000000000000667|- rs1_val==4 and imm_val==1639<br>                                                                                                                                                                    |[0x8000377c]:ori a1, a0, 1639<br> [0x80003780]:sd a1, 24(ra)<br>     |
| 539|[0x800070e0]<br>0xFFFFFFFFFFFFFFD4|- rs1_val==4 and imm_val==-44<br>                                                                                                                                                                     |[0x80003788]:ori a1, a0, 4052<br> [0x8000378c]:sd a1, 32(ra)<br>     |
| 540|[0x800070e8]<br>0x000000000000002E|- rs1_val==4 and imm_val==46<br>                                                                                                                                                                      |[0x80003794]:ori a1, a0, 46<br> [0x80003798]:sd a1, 40(ra)<br>       |
| 541|[0x800070f0]<br>0x3333333333333333|- rs1_val==3689348814741910322 and imm_val==3<br>                                                                                                                                                     |[0x800037bc]:ori a1, a0, 3<br> [0x800037c0]:sd a1, 48(ra)<br>        |
| 542|[0x800070f8]<br>0x3333333333333777|- rs1_val==3689348814741910322 and imm_val==1365<br>                                                                                                                                                  |[0x800037e4]:ori a1, a0, 1365<br> [0x800037e8]:sd a1, 56(ra)<br>     |
| 543|[0x80007100]<br>0xFFFFFFFFFFFFFBBA|- rs1_val==3689348814741910322 and imm_val==-1366<br>                                                                                                                                                 |[0x8000380c]:ori a1, a0, 2730<br> [0x80003810]:sd a1, 64(ra)<br>     |
| 544|[0x80007108]<br>0x3333333333333337|- rs1_val==3689348814741910322 and imm_val==5<br>                                                                                                                                                     |[0x80003834]:ori a1, a0, 5<br> [0x80003838]:sd a1, 72(ra)<br>        |
| 545|[0x80007110]<br>0x3333333333333333|- rs1_val==3689348814741910322 and imm_val==819<br>                                                                                                                                                   |[0x8000385c]:ori a1, a0, 819<br> [0x80003860]:sd a1, 80(ra)<br>      |
| 546|[0x80007118]<br>0x3333333333333776|- rs1_val==3689348814741910322 and imm_val==1638<br>                                                                                                                                                  |[0x80003884]:ori a1, a0, 1638<br> [0x80003888]:sd a1, 88(ra)<br>     |
| 547|[0x80007120]<br>0xFFFFFFFFFFFFFFF3|- rs1_val==3689348814741910322 and imm_val==-45<br>                                                                                                                                                   |[0x800038ac]:ori a1, a0, 4051<br> [0x800038b0]:sd a1, 96(ra)<br>     |
| 548|[0x80007128]<br>0x333333333333333F|- rs1_val==3689348814741910322 and imm_val==45<br>                                                                                                                                                    |[0x800038d4]:ori a1, a0, 45<br> [0x800038d8]:sd a1, 104(ra)<br>      |
| 549|[0x80007130]<br>0x3333333333333332|- rs1_val==3689348814741910322 and imm_val==2<br>                                                                                                                                                     |[0x800038fc]:ori a1, a0, 2<br> [0x80003900]:sd a1, 112(ra)<br>       |
| 550|[0x80007138]<br>0x3333333333333776|- rs1_val==3689348814741910322 and imm_val==1364<br>                                                                                                                                                  |[0x80003924]:ori a1, a0, 1364<br> [0x80003928]:sd a1, 120(ra)<br>    |
| 551|[0x80007140]<br>0x3333333333333332|- rs1_val==3689348814741910322 and imm_val==0<br>                                                                                                                                                     |[0x8000394c]:ori a1, a0, 0<br> [0x80003950]:sd a1, 128(ra)<br>       |
| 552|[0x80007148]<br>0x3333333333333336|- rs1_val==3689348814741910322 and imm_val==4<br>                                                                                                                                                     |[0x80003974]:ori a1, a0, 4<br> [0x80003978]:sd a1, 136(ra)<br>       |
| 553|[0x80007150]<br>0x3333333333333332|- rs1_val==3689348814741910322 and imm_val==818<br>                                                                                                                                                   |[0x8000399c]:ori a1, a0, 818<br> [0x800039a0]:sd a1, 144(ra)<br>     |
| 554|[0x80007158]<br>0x3333333333333777|- rs1_val==3689348814741910322 and imm_val==1637<br>                                                                                                                                                  |[0x800039c4]:ori a1, a0, 1637<br> [0x800039c8]:sd a1, 152(ra)<br>    |
| 555|[0x80007160]<br>0x333333333333333E|- rs1_val==3689348814741910322 and imm_val==44<br>                                                                                                                                                    |[0x800039ec]:ori a1, a0, 44<br> [0x800039f0]:sd a1, 160(ra)<br>      |
| 556|[0x80007168]<br>0x3333333333333776|- rs1_val==3689348814741910322 and imm_val==1366<br>                                                                                                                                                  |[0x80003a14]:ori a1, a0, 1366<br> [0x80003a18]:sd a1, 168(ra)<br>    |
| 557|[0x80007170]<br>0xFFFFFFFFFFFFFBBB|- rs1_val==3689348814741910322 and imm_val==-1365<br>                                                                                                                                                 |[0x80003a3c]:ori a1, a0, 2731<br> [0x80003a40]:sd a1, 176(ra)<br>    |
| 558|[0x80007178]<br>0x3333333333333336|- rs1_val==3689348814741910322 and imm_val==6<br>                                                                                                                                                     |[0x80003a64]:ori a1, a0, 6<br> [0x80003a68]:sd a1, 184(ra)<br>       |
| 559|[0x80007180]<br>0x3333333333333336|- rs1_val==3689348814741910322 and imm_val==820<br>                                                                                                                                                   |[0x80003a8c]:ori a1, a0, 820<br> [0x80003a90]:sd a1, 192(ra)<br>     |
| 560|[0x80007188]<br>0x3333333333333777|- rs1_val==3689348814741910322 and imm_val==1639<br>                                                                                                                                                  |[0x80003ab4]:ori a1, a0, 1639<br> [0x80003ab8]:sd a1, 200(ra)<br>    |
| 561|[0x80007190]<br>0xFFFFFFFFFFFFFFF6|- rs1_val==3689348814741910322 and imm_val==-44<br>                                                                                                                                                   |[0x80003adc]:ori a1, a0, 4052<br> [0x80003ae0]:sd a1, 208(ra)<br>    |
| 562|[0x80007198]<br>0x333333333333333E|- rs1_val==3689348814741910322 and imm_val==46<br>                                                                                                                                                    |[0x80003b04]:ori a1, a0, 46<br> [0x80003b08]:sd a1, 216(ra)<br>      |
| 563|[0x800071a0]<br>0x6666666666666667|- rs1_val==7378697629483820645 and imm_val==3<br>                                                                                                                                                     |[0x80003b2c]:ori a1, a0, 3<br> [0x80003b30]:sd a1, 224(ra)<br>       |
| 564|[0x800071a8]<br>0x6666666666666775|- rs1_val==7378697629483820645 and imm_val==1365<br>                                                                                                                                                  |[0x80003b54]:ori a1, a0, 1365<br> [0x80003b58]:sd a1, 232(ra)<br>    |
| 565|[0x800071b0]<br>0xFFFFFFFFFFFFFEEF|- rs1_val==7378697629483820645 and imm_val==-1366<br>                                                                                                                                                 |[0x80003b7c]:ori a1, a0, 2730<br> [0x80003b80]:sd a1, 240(ra)<br>    |
| 566|[0x800071b8]<br>0x6666666666666665|- rs1_val==7378697629483820645 and imm_val==5<br>                                                                                                                                                     |[0x80003ba4]:ori a1, a0, 5<br> [0x80003ba8]:sd a1, 248(ra)<br>       |
| 567|[0x800071c0]<br>0x6666666666666777|- rs1_val==7378697629483820645 and imm_val==819<br>                                                                                                                                                   |[0x80003bcc]:ori a1, a0, 819<br> [0x80003bd0]:sd a1, 256(ra)<br>     |
| 568|[0x800071c8]<br>0x6666666666666667|- rs1_val==7378697629483820645 and imm_val==1638<br>                                                                                                                                                  |[0x80003bf4]:ori a1, a0, 1638<br> [0x80003bf8]:sd a1, 264(ra)<br>    |
| 569|[0x800071d0]<br>0xFFFFFFFFFFFFFFF7|- rs1_val==7378697629483820645 and imm_val==-45<br>                                                                                                                                                   |[0x80003c1c]:ori a1, a0, 4051<br> [0x80003c20]:sd a1, 272(ra)<br>    |
| 570|[0x800071d8]<br>0x666666666666666D|- rs1_val==7378697629483820645 and imm_val==45<br>                                                                                                                                                    |[0x80003c44]:ori a1, a0, 45<br> [0x80003c48]:sd a1, 280(ra)<br>      |
| 571|[0x800071e0]<br>0x6666666666666667|- rs1_val==7378697629483820645 and imm_val==2<br>                                                                                                                                                     |[0x80003c6c]:ori a1, a0, 2<br> [0x80003c70]:sd a1, 288(ra)<br>       |
| 572|[0x800071e8]<br>0x6666666666666775|- rs1_val==7378697629483820645 and imm_val==1364<br>                                                                                                                                                  |[0x80003c94]:ori a1, a0, 1364<br> [0x80003c98]:sd a1, 296(ra)<br>    |
| 573|[0x800071f0]<br>0x6666666666666665|- rs1_val==7378697629483820645 and imm_val==0<br>                                                                                                                                                     |[0x80003cbc]:ori a1, a0, 0<br> [0x80003cc0]:sd a1, 304(ra)<br>       |
| 574|[0x800071f8]<br>0x6666666666666665|- rs1_val==7378697629483820645 and imm_val==4<br>                                                                                                                                                     |[0x80003ce4]:ori a1, a0, 4<br> [0x80003ce8]:sd a1, 312(ra)<br>       |
| 575|[0x80007200]<br>0x6666666666666777|- rs1_val==7378697629483820645 and imm_val==818<br>                                                                                                                                                   |[0x80003d0c]:ori a1, a0, 818<br> [0x80003d10]:sd a1, 320(ra)<br>     |
| 576|[0x80007208]<br>0x6666666666666665|- rs1_val==7378697629483820645 and imm_val==1637<br>                                                                                                                                                  |[0x80003d34]:ori a1, a0, 1637<br> [0x80003d38]:sd a1, 328(ra)<br>    |
| 577|[0x80007210]<br>0x666666666666666D|- rs1_val==7378697629483820645 and imm_val==44<br>                                                                                                                                                    |[0x80003d5c]:ori a1, a0, 44<br> [0x80003d60]:sd a1, 336(ra)<br>      |
| 578|[0x80007218]<br>0x6666666666666777|- rs1_val==7378697629483820645 and imm_val==1366<br>                                                                                                                                                  |[0x80003d84]:ori a1, a0, 1366<br> [0x80003d88]:sd a1, 344(ra)<br>    |
| 579|[0x80007220]<br>0xFFFFFFFFFFFFFEEF|- rs1_val==7378697629483820645 and imm_val==-1365<br>                                                                                                                                                 |[0x80003dac]:ori a1, a0, 2731<br> [0x80003db0]:sd a1, 352(ra)<br>    |
| 580|[0x80007228]<br>0x6666666666666667|- rs1_val==7378697629483820645 and imm_val==6<br>                                                                                                                                                     |[0x80003dd4]:ori a1, a0, 6<br> [0x80003dd8]:sd a1, 360(ra)<br>       |
| 581|[0x80007230]<br>0x6666666666666775|- rs1_val==7378697629483820645 and imm_val==820<br>                                                                                                                                                   |[0x80003dfc]:ori a1, a0, 820<br> [0x80003e00]:sd a1, 368(ra)<br>     |
| 582|[0x80007238]<br>0x6666666666666667|- rs1_val==7378697629483820645 and imm_val==1639<br>                                                                                                                                                  |[0x80003e24]:ori a1, a0, 1639<br> [0x80003e28]:sd a1, 376(ra)<br>    |
| 583|[0x80007240]<br>0xFFFFFFFFFFFFFFF5|- rs1_val==7378697629483820645 and imm_val==-44<br>                                                                                                                                                   |[0x80003e4c]:ori a1, a0, 4052<br> [0x80003e50]:sd a1, 384(ra)<br>    |
| 584|[0x80007248]<br>0x666666666666666F|- rs1_val==7378697629483820645 and imm_val==46<br>                                                                                                                                                    |[0x80003e74]:ori a1, a0, 46<br> [0x80003e78]:sd a1, 392(ra)<br>      |
| 585|[0x80007250]<br>0x00000000B504F333|- rs1_val==3037000498 and imm_val==3<br>                                                                                                                                                              |[0x80003e8c]:ori a1, a0, 3<br> [0x80003e90]:sd a1, 400(ra)<br>       |
| 586|[0x80007258]<br>0x00000000B504F777|- rs1_val==3037000498 and imm_val==1365<br>                                                                                                                                                           |[0x80003ea4]:ori a1, a0, 1365<br> [0x80003ea8]:sd a1, 408(ra)<br>    |
| 587|[0x80007260]<br>0xFFFFFFFFFFFFFBBA|- rs1_val==3037000498 and imm_val==-1366<br>                                                                                                                                                          |[0x80003ebc]:ori a1, a0, 2730<br> [0x80003ec0]:sd a1, 416(ra)<br>    |
| 588|[0x80007268]<br>0x00000000B504F337|- rs1_val==3037000498 and imm_val==5<br>                                                                                                                                                              |[0x80003ed4]:ori a1, a0, 5<br> [0x80003ed8]:sd a1, 424(ra)<br>       |
| 589|[0x80007270]<br>0x00000000B504F333|- rs1_val==3037000498 and imm_val==819<br>                                                                                                                                                            |[0x80003eec]:ori a1, a0, 819<br> [0x80003ef0]:sd a1, 432(ra)<br>     |
| 590|[0x80007278]<br>0x00000000B504F776|- rs1_val==3037000498 and imm_val==1638<br>                                                                                                                                                           |[0x80003f04]:ori a1, a0, 1638<br> [0x80003f08]:sd a1, 440(ra)<br>    |
| 591|[0x80007280]<br>0xFFFFFFFFFFFFFFF3|- rs1_val==3037000498 and imm_val==-45<br>                                                                                                                                                            |[0x80003f1c]:ori a1, a0, 4051<br> [0x80003f20]:sd a1, 448(ra)<br>    |
| 592|[0x80007288]<br>0x00000000B504F33F|- rs1_val==3037000498 and imm_val==45<br>                                                                                                                                                             |[0x80003f34]:ori a1, a0, 45<br> [0x80003f38]:sd a1, 456(ra)<br>      |
| 593|[0x80007290]<br>0x00000000B504F332|- rs1_val==3037000498 and imm_val==2<br>                                                                                                                                                              |[0x80003f4c]:ori a1, a0, 2<br> [0x80003f50]:sd a1, 464(ra)<br>       |
| 594|[0x80007298]<br>0x00000000B504F776|- rs1_val==3037000498 and imm_val==1364<br>                                                                                                                                                           |[0x80003f64]:ori a1, a0, 1364<br> [0x80003f68]:sd a1, 472(ra)<br>    |
| 595|[0x800072a0]<br>0x00000000B504F332|- rs1_val==3037000498 and imm_val==0<br>                                                                                                                                                              |[0x80003f7c]:ori a1, a0, 0<br> [0x80003f80]:sd a1, 480(ra)<br>       |
| 596|[0x800072a8]<br>0x00000000B504F336|- rs1_val==3037000498 and imm_val==4<br>                                                                                                                                                              |[0x80003f94]:ori a1, a0, 4<br> [0x80003f98]:sd a1, 488(ra)<br>       |
| 597|[0x800072b0]<br>0x00000000B504F332|- rs1_val==3037000498 and imm_val==818<br>                                                                                                                                                            |[0x80003fac]:ori a1, a0, 818<br> [0x80003fb0]:sd a1, 496(ra)<br>     |
| 598|[0x800072b8]<br>0x00000000B504F777|- rs1_val==3037000498 and imm_val==1637<br>                                                                                                                                                           |[0x80003fc4]:ori a1, a0, 1637<br> [0x80003fc8]:sd a1, 504(ra)<br>    |
| 599|[0x800072c0]<br>0x00000000B504F33E|- rs1_val==3037000498 and imm_val==44<br>                                                                                                                                                             |[0x80003fdc]:ori a1, a0, 44<br> [0x80003fe0]:sd a1, 512(ra)<br>      |
| 600|[0x800072c8]<br>0x00000000B504F776|- rs1_val==3037000498 and imm_val==1366<br>                                                                                                                                                           |[0x80003ff4]:ori a1, a0, 1366<br> [0x80003ff8]:sd a1, 520(ra)<br>    |
| 601|[0x800072d0]<br>0xFFFFFFFFFFFFFBBB|- rs1_val==3037000498 and imm_val==-1365<br>                                                                                                                                                          |[0x8000400c]:ori a1, a0, 2731<br> [0x80004010]:sd a1, 528(ra)<br>    |
| 602|[0x800072d8]<br>0x00000000B504F336|- rs1_val==3037000498 and imm_val==6<br>                                                                                                                                                              |[0x80004024]:ori a1, a0, 6<br> [0x80004028]:sd a1, 536(ra)<br>       |
| 603|[0x800072e0]<br>0x00000000B504F336|- rs1_val==3037000498 and imm_val==820<br>                                                                                                                                                            |[0x8000403c]:ori a1, a0, 820<br> [0x80004040]:sd a1, 544(ra)<br>     |
| 604|[0x800072e8]<br>0x00000000B504F777|- rs1_val==3037000498 and imm_val==1639<br>                                                                                                                                                           |[0x80004054]:ori a1, a0, 1639<br> [0x80004058]:sd a1, 552(ra)<br>    |
| 605|[0x800072f0]<br>0xFFFFFFFFFFFFFFF6|- rs1_val==3037000498 and imm_val==-44<br>                                                                                                                                                            |[0x8000406c]:ori a1, a0, 4052<br> [0x80004070]:sd a1, 560(ra)<br>    |
| 606|[0x800072f8]<br>0x00000000B504F33E|- rs1_val==3037000498 and imm_val==46<br>                                                                                                                                                             |[0x80004084]:ori a1, a0, 46<br> [0x80004088]:sd a1, 568(ra)<br>      |
| 607|[0x80007300]<br>0x5555555555555557|- rs1_val==6148914691236517206 and imm_val==3<br>                                                                                                                                                     |[0x800040ac]:ori a1, a0, 3<br> [0x800040b0]:sd a1, 576(ra)<br>       |
| 608|[0x80007308]<br>0x5555555555555557|- rs1_val==6148914691236517206 and imm_val==1365<br>                                                                                                                                                  |[0x800040d4]:ori a1, a0, 1365<br> [0x800040d8]:sd a1, 584(ra)<br>    |
| 609|[0x80007310]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517206 and imm_val==-1366<br>                                                                                                                                                 |[0x800040fc]:ori a1, a0, 2730<br> [0x80004100]:sd a1, 592(ra)<br>    |
| 610|[0x80007318]<br>0x5555555555555557|- rs1_val==6148914691236517206 and imm_val==5<br>                                                                                                                                                     |[0x80004124]:ori a1, a0, 5<br> [0x80004128]:sd a1, 600(ra)<br>       |
| 611|[0x80007320]<br>0x5555555555555777|- rs1_val==6148914691236517206 and imm_val==819<br>                                                                                                                                                   |[0x8000414c]:ori a1, a0, 819<br> [0x80004150]:sd a1, 608(ra)<br>     |
| 612|[0x80007328]<br>0x5555555555555776|- rs1_val==6148914691236517206 and imm_val==1638<br>                                                                                                                                                  |[0x80004174]:ori a1, a0, 1638<br> [0x80004178]:sd a1, 616(ra)<br>    |
| 613|[0x80007330]<br>0xFFFFFFFFFFFFFFD7|- rs1_val==6148914691236517206 and imm_val==-45<br>                                                                                                                                                   |[0x8000419c]:ori a1, a0, 4051<br> [0x800041a0]:sd a1, 624(ra)<br>    |
| 614|[0x80007338]<br>0x555555555555557F|- rs1_val==6148914691236517206 and imm_val==45<br>                                                                                                                                                    |[0x800041c4]:ori a1, a0, 45<br> [0x800041c8]:sd a1, 632(ra)<br>      |
| 615|[0x80007340]<br>0x5555555555555556|- rs1_val==6148914691236517206 and imm_val==2<br>                                                                                                                                                     |[0x800041ec]:ori a1, a0, 2<br> [0x800041f0]:sd a1, 640(ra)<br>       |
| 616|[0x80007348]<br>0x5555555555555556|- rs1_val==6148914691236517206 and imm_val==1364<br>                                                                                                                                                  |[0x80004214]:ori a1, a0, 1364<br> [0x80004218]:sd a1, 648(ra)<br>    |
| 617|[0x80007350]<br>0x5555555555555556|- rs1_val==6148914691236517206 and imm_val==0<br>                                                                                                                                                     |[0x8000423c]:ori a1, a0, 0<br> [0x80004240]:sd a1, 656(ra)<br>       |
| 618|[0x80007358]<br>0x5555555555555556|- rs1_val==6148914691236517206 and imm_val==4<br>                                                                                                                                                     |[0x80004264]:ori a1, a0, 4<br> [0x80004268]:sd a1, 664(ra)<br>       |
| 619|[0x80007360]<br>0x5555555555555776|- rs1_val==6148914691236517206 and imm_val==818<br>                                                                                                                                                   |[0x8000428c]:ori a1, a0, 818<br> [0x80004290]:sd a1, 672(ra)<br>     |
| 620|[0x80007368]<br>0x5555555555555777|- rs1_val==6148914691236517206 and imm_val==1637<br>                                                                                                                                                  |[0x800042b4]:ori a1, a0, 1637<br> [0x800042b8]:sd a1, 680(ra)<br>    |
