// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.5
// timestamp : Thu May 20 05:54:26 2021 GMT
// usage     : riscv_ctg \
//                  --cgf /scratch/git-repo/github/riscv-ctg/sample_cgfs/dataset.cgf \
//                  --cgf /scratch/git-repo/github/riscv-ctg/sample_cgfs/rv32i_k.cgf \
//                  --base-isa rv32i \
//                  --randomize
// -----------
//
// -----------
// Copyright (c) 2021. Indian Institute of Technology Madras. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the aes32esi instruction of the RISC-V  extension for the aes32esi covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV32IK")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*32.*);check ISA:=regex(.*RV32.*I.*K.*);def TEST_CASE_1=True;",aes32esi)

RVTEST_CASE(1,"//check ISA:=regex(.*32.*);check ISA:=regex(.*RV32.*I.*ZKn.*);def TEST_CASE_1=True;",aes32esi)

RVTEST_CASE(2,"//check ISA:=regex(.*32.*);check ISA:=regex(.*RV32.*I.*ZKne.*);def TEST_CASE_1=True;",aes32esi)

RVTEST_SIGBASE( x1,signature_x1_1)

inst_0:
// rs1 == rs2, rs1==x14, rs2==x14, rs1_val == 0 and rs2_val == 0x03020100 and imm_val == 0 
// opcode: aes32esi; op1:x14; op2:x14; op1val:0x0; op2val:0x0; immval:0x0
TEST_RI_OP(aes32esi, x14, x14, 0x0, 0x00000000, 0x0, 0x0, x1, 0, x3)

inst_1:
// rs1 != rs2, rs1==x0, rs2==x2, rs1_val == 0x3fb0fe60 and rs2_val == 0x1826a804 and imm_val == 0x1 
// opcode: aes32esi; op1:x0; op2:x2; op1val:0x0; op2val:0x1826a804; immval:0x1
TEST_RI_OP(aes32esi, x0, x2, 0x1, 0x00000000, 0x0, 0x1826a804, x1, 4, x3)

inst_2:
// rs1==x13, rs2==x7, rs1_val == 0xb369e102 and rs2_val == 0x293f9f60 and imm_val == 0x3 
// opcode: aes32esi; op1:x13; op2:x7; op1val:0xb369e102; op2val:0x293f9f60; immval:0x3
TEST_RI_OP(aes32esi, x13, x7, 0x3, 0x00000000, 0xb369e102, 0x293f9f60, x1, 8, x3)

inst_3:
// rs1==x11, rs2==x22, rs1_val == 0x1aa1beeb and rs2_val == 0xa4b7f979 and imm_val == 0x0 
// opcode: aes32esi; op1:x11; op2:x22; op1val:0x1aa1beeb; op2val:0xa4b7f979; immval:0x0
TEST_RI_OP(aes32esi, x11, x22, 0x0, 0x00000000, 0x1aa1beeb, 0xa4b7f979, x1, 12, x3)

inst_4:
// rs1==x10, rs2==x25, rs1_val == 0x8678f5e3 and rs2_val == 0x358a9235 and imm_val == 0x3 
// opcode: aes32esi; op1:x10; op2:x25; op1val:0x8678f5e3; op2val:0x358a9235; immval:0x3
TEST_RI_OP(aes32esi, x10, x25, 0x3, 0x00000000, 0x8678f5e3, 0x358a9235, x1, 16, x3)

inst_5:
// rs1==x2, rs2==x16, rs1_val == 0x74a813d2 and rs2_val == 0xb0873a0f and imm_val == 0x3 
// opcode: aes32esi; op1:x2; op2:x16; op1val:0x74a813d2; op2val:0xb0873a0f; immval:0x3
TEST_RI_OP(aes32esi, x2, x16, 0x3, 0x00000000, 0x74a813d2, 0xb0873a0f, x1, 20, x3)

inst_6:
// rs1==x5, rs2==x6, rs1_val == 0x9f053821 and rs2_val == 0x91766f62 and imm_val == 0x2 
// opcode: aes32esi; op1:x5; op2:x6; op1val:0x9f053821; op2val:0x91766f62; immval:0x2
TEST_RI_OP(aes32esi, x5, x6, 0x2, 0x00000000, 0x9f053821, 0x91766f62, x1, 24, x3)

inst_7:
// rs1==x28, rs2==x11, rs1_val == 0xdc80d916 and rs2_val == 0x2a2a146d and imm_val == 0x2 
// opcode: aes32esi; op1:x28; op2:x11; op1val:0xdc80d916; op2val:0x2a2a146d; immval:0x2
TEST_RI_OP(aes32esi, x28, x11, 0x2, 0x00000000, 0xdc80d916, 0x2a2a146d, x1, 28, x3)

inst_8:
// rs1==x7, rs2==x21, rs1_val == 0xcd157633 and rs2_val == 0x4113ee60 and imm_val == 0x0 
// opcode: aes32esi; op1:x7; op2:x21; op1val:0xcd157633; op2val:0x4113ee60; immval:0x0
TEST_RI_OP(aes32esi, x7, x21, 0x0, 0x00000000, 0xcd157633, 0x4113ee60, x1, 32, x3)

inst_9:
// rs1==x23, rs2==x27, rs1_val == 0xe3f4fca3 and rs2_val == 0xa6c9253a and imm_val == 0x2 
// opcode: aes32esi; op1:x23; op2:x27; op1val:0xe3f4fca3; op2val:0xa6c9253a; immval:0x2
TEST_RI_OP(aes32esi, x23, x27, 0x2, 0x00000000, 0xe3f4fca3, 0xa6c9253a, x1, 36, x3)

inst_10:
// rs1==x21, rs2==x5, rs1_val == 0x7bcad7c4 and rs2_val == 0xc2f1c53e and imm_val == 0x0 
// opcode: aes32esi; op1:x21; op2:x5; op1val:0x7bcad7c4; op2val:0xc2f1c53e; immval:0x0
TEST_RI_OP(aes32esi, x21, x5, 0x0, 0x00000000, 0x7bcad7c4, 0xc2f1c53e, x1, 40, x3)

inst_11:
// rs1==x26, rs2==x19, rs1_val == 0x633dbabc and rs2_val == 0xb6c4fd42 and imm_val == 0x2 
// opcode: aes32esi; op1:x26; op2:x19; op1val:0x633dbabc; op2val:0xb6c4fd42; immval:0x2
TEST_RI_OP(aes32esi, x26, x19, 0x2, 0x00000000, 0x633dbabc, 0xb6c4fd42, x1, 44, x3)

inst_12:
// rs1==x18, rs2==x15, rs1_val == 0x299c3bcf and rs2_val == 0xaa6bb2bd and imm_val == 0x3 
// opcode: aes32esi; op1:x18; op2:x15; op1val:0x299c3bcf; op2val:0xaa6bb2bd; immval:0x3
TEST_RI_OP(aes32esi, x18, x15, 0x3, 0x00000000, 0x299c3bcf, 0xaa6bb2bd, x1, 48, x3)

inst_13:
// rs1==x24, rs2==x12, rs1_val == 0xa371db42 and rs2_val == 0x2e3ee8c4 and imm_val == 0x3 
// opcode: aes32esi; op1:x24; op2:x12; op1val:0xa371db42; op2val:0x2e3ee8c4; immval:0x3
TEST_RI_OP(aes32esi, x24, x12, 0x3, 0x00000000, 0xa371db42, 0x2e3ee8c4, x1, 52, x3)

inst_14:
// rs1==x8, rs2==x24, rs1_val == 0x8e2eac2a and rs2_val == 0xd169a3f8 and imm_val == 0x1 
// opcode: aes32esi; op1:x8; op2:x24; op1val:0x8e2eac2a; op2val:0xd169a3f8; immval:0x1
TEST_RI_OP(aes32esi, x8, x24, 0x1, 0x00000000, 0x8e2eac2a, 0xd169a3f8, x1, 56, x3)

inst_15:
// rs1==x31, rs2==x29, rs1_val == 0xa0569d76 and rs2_val == 0x35f9377f and imm_val == 0x3 
// opcode: aes32esi; op1:x31; op2:x29; op1val:0xa0569d76; op2val:0x35f9377f; immval:0x3
TEST_RI_OP(aes32esi, x31, x29, 0x3, 0x00000000, 0xa0569d76, 0x35f9377f, x1, 60, x3)

inst_16:
// rs1==x20, rs2==x0, rs1_val == 0x240d84d6 and rs2_val == 0xe4921bf7 and imm_val == 0x2 
// opcode: aes32esi; op1:x20; op2:x0; op1val:0x240d84d6; op2val:0x0; immval:0x2
TEST_RI_OP(aes32esi, x20, x0, 0x2, 0x00000000, 0x240d84d6, 0x0, x1, 64, x3)

inst_17:
// rs1==x9, rs2==x20, rs1_val == 0x3acdf616 and rs2_val == 0xfcc1b543 and imm_val == 0x1 
// opcode: aes32esi; op1:x9; op2:x20; op1val:0x3acdf616; op2val:0xfcc1b543; immval:0x1
TEST_RI_OP(aes32esi, x9, x20, 0x1, 0x00000000, 0x3acdf616, 0xfcc1b543, x1, 68, x3)

inst_18:
// rs1==x27, rs2==x31, rs1_val == 0x74b8de87 and rs2_val == 0xf273b44c and imm_val == 0x2 
// opcode: aes32esi; op1:x27; op2:x31; op1val:0x74b8de87; op2val:0xf273b44c; immval:0x2
TEST_RI_OP(aes32esi, x27, x31, 0x2, 0x00000000, 0x74b8de87, 0xf273b44c, x1, 72, x3)

inst_19:
// rs1==x17, rs2==x18, rs1_val == 0xbb61a9cd and rs2_val == 0xccce240c and imm_val == 0x0 
// opcode: aes32esi; op1:x17; op2:x18; op1val:0xbb61a9cd; op2val:0xccce240c; immval:0x0
TEST_RI_OP(aes32esi, x17, x18, 0x0, 0x00000000, 0xbb61a9cd, 0xccce240c, x1, 76, x3)

inst_20:
// rs1==x25, rs2==x3, rs1_val == 0x254a9493 and rs2_val == 0xc5521660 and imm_val == 0x3 
// opcode: aes32esi; op1:x25; op2:x3; op1val:0x254a9493; op2val:0xc5521660; immval:0x3
TEST_RI_OP(aes32esi, x25, x3, 0x3, 0x00000000, 0x254a9493, 0xc5521660, x1, 80, x5)
RVTEST_SIGBASE( x2,signature_x2_0)

inst_21:
// rs1==x15, rs2==x13, rs1_val == 0 and rs2_val == 0xfffefdfc and imm_val == 3 
// opcode: aes32esi; op1:x15; op2:x13; op1val:0x0; op2val:0xfffefdfc; immval:0x3
TEST_RI_OP(aes32esi, x15, x13, 0x3, 0x00000000, 0x0, 0xfffefdfc, x2, 0, x5)

inst_22:
// rs1==x3, rs2==x17, rs1_val == 0 and rs2_val == 0xfffefdfc and imm_val == 2 
// opcode: aes32esi; op1:x3; op2:x17; op1val:0x0; op2val:0xfffefdfc; immval:0x2
TEST_RI_OP(aes32esi, x3, x17, 0x2, 0x00000000, 0x0, 0xfffefdfc, x2, 4, x5)

inst_23:
// rs1==x30, rs2==x9, rs1_val == 0 and rs2_val == 0xfffefdfc and imm_val == 1 
// opcode: aes32esi; op1:x30; op2:x9; op1val:0x0; op2val:0xfffefdfc; immval:0x1
TEST_RI_OP(aes32esi, x30, x9, 0x1, 0x00000000, 0x0, 0xfffefdfc, x2, 8, x5)

inst_24:
// rs1==x22, rs2==x23, rs1_val == 0 and rs2_val == 0xfffefdfc and imm_val == 0 
// opcode: aes32esi; op1:x22; op2:x23; op1val:0x0; op2val:0xfffefdfc; immval:0x0
TEST_RI_OP(aes32esi, x22, x23, 0x0, 0x00000000, 0x0, 0xfffefdfc, x2, 12, x5)

inst_25:
// rs1==x12, rs2==x30, rs1_val == 0 and rs2_val == 0xfbfaf9f8 and imm_val == 3 
// opcode: aes32esi; op1:x12; op2:x30; op1val:0x0; op2val:0xfbfaf9f8; immval:0x3
TEST_RI_OP(aes32esi, x12, x30, 0x3, 0x00000000, 0x0, 0xfbfaf9f8, x2, 16, x5)

inst_26:
// rs1==x4, rs2==x8, rs1_val == 0 and rs2_val == 0xfbfaf9f8 and imm_val == 2 
// opcode: aes32esi; op1:x4; op2:x8; op1val:0x0; op2val:0xfbfaf9f8; immval:0x2
TEST_RI_OP(aes32esi, x4, x8, 0x2, 0x00000000, 0x0, 0xfbfaf9f8, x2, 20, x5)

inst_27:
// rs1==x1, rs2==x26, rs1_val == 0 and rs2_val == 0xfbfaf9f8 and imm_val == 1 
// opcode: aes32esi; op1:x1; op2:x26; op1val:0x0; op2val:0xfbfaf9f8; immval:0x1
TEST_RI_OP(aes32esi, x1, x26, 0x1, 0x00000000, 0x0, 0xfbfaf9f8, x2, 24, x5)

inst_28:
// rs1==x29, rs2==x28, rs1_val == 0 and rs2_val == 0xfbfaf9f8 and imm_val == 0 
// opcode: aes32esi; op1:x29; op2:x28; op1val:0x0; op2val:0xfbfaf9f8; immval:0x0
TEST_RI_OP(aes32esi, x29, x28, 0x0, 0x00000000, 0x0, 0xfbfaf9f8, x2, 28, x5)

inst_29:
// rs1==x19, rs2==x10, rs1_val == 0 and rs2_val == 0xf7f6f5f4 and imm_val == 3 
// opcode: aes32esi; op1:x19; op2:x10; op1val:0x0; op2val:0xf7f6f5f4; immval:0x3
TEST_RI_OP(aes32esi, x19, x10, 0x3, 0x00000000, 0x0, 0xf7f6f5f4, x2, 32, x5)

inst_30:
// rs1==x6, rs2==x4, rs1_val == 0 and rs2_val == 0xf7f6f5f4 and imm_val == 2 
// opcode: aes32esi; op1:x6; op2:x4; op1val:0x0; op2val:0xf7f6f5f4; immval:0x2
TEST_RI_OP(aes32esi, x6, x4, 0x2, 0x00000000, 0x0, 0xf7f6f5f4, x2, 36, x5)

inst_31:
// rs1==x16, rs2==x1, rs1_val == 0 and rs2_val == 0xf7f6f5f4 and imm_val == 1 
// opcode: aes32esi; op1:x16; op2:x1; op1val:0x0; op2val:0xf7f6f5f4; immval:0x1
TEST_RI_OP(aes32esi, x16, x1, 0x1, 0x00000000, 0x0, 0xf7f6f5f4, x2, 40, x5)

inst_32:
// rs1_val == 0 and rs2_val == 0xf7f6f5f4 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xf7f6f5f4; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xf7f6f5f4, x2, 44, x5)

inst_33:
// rs1_val == 0 and rs2_val == 0xf3f2f1f0 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xf3f2f1f0; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xf3f2f1f0, x2, 48, x5)

inst_34:
// rs1_val == 0 and rs2_val == 0xf3f2f1f0 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xf3f2f1f0; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xf3f2f1f0, x2, 52, x5)

inst_35:
// rs1_val == 0 and rs2_val == 0xf3f2f1f0 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xf3f2f1f0; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xf3f2f1f0, x2, 56, x5)

inst_36:
// rs1_val == 0 and rs2_val == 0xf3f2f1f0 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xf3f2f1f0; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xf3f2f1f0, x2, 60, x5)

inst_37:
// rs1_val == 0 and rs2_val == 0xefeeedec and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xefeeedec; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xefeeedec, x2, 64, x5)

inst_38:
// rs1_val == 0 and rs2_val == 0xefeeedec and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xefeeedec; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xefeeedec, x2, 68, x5)

inst_39:
// rs1_val == 0 and rs2_val == 0xefeeedec and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xefeeedec; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xefeeedec, x2, 72, x5)

inst_40:
// rs1_val == 0 and rs2_val == 0xefeeedec and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xefeeedec; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xefeeedec, x2, 76, x5)

inst_41:
// rs1_val == 0 and rs2_val == 0xebeae9e8 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xebeae9e8; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xebeae9e8, x2, 80, x5)

inst_42:
// rs1_val == 0 and rs2_val == 0xebeae9e8 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xebeae9e8; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xebeae9e8, x2, 84, x5)

inst_43:
// rs1_val == 0 and rs2_val == 0xebeae9e8 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xebeae9e8; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xebeae9e8, x2, 88, x5)

inst_44:
// rs1_val == 0 and rs2_val == 0xebeae9e8 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xebeae9e8; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xebeae9e8, x2, 92, x5)

inst_45:
// rs1_val == 0 and rs2_val == 0xe7e6e5e4 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xe7e6e5e4; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xe7e6e5e4, x2, 96, x5)

inst_46:
// rs1_val == 0 and rs2_val == 0xe7e6e5e4 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xe7e6e5e4; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xe7e6e5e4, x2, 100, x5)

inst_47:
// rs1_val == 0 and rs2_val == 0xe7e6e5e4 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xe7e6e5e4; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xe7e6e5e4, x2, 104, x5)

inst_48:
// rs1_val == 0 and rs2_val == 0xe7e6e5e4 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xe7e6e5e4; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xe7e6e5e4, x2, 108, x5)

inst_49:
// rs1_val == 0 and rs2_val == 0xe3e2e1e0 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xe3e2e1e0; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xe3e2e1e0, x2, 112, x5)

inst_50:
// rs1_val == 0 and rs2_val == 0xe3e2e1e0 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xe3e2e1e0; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xe3e2e1e0, x2, 116, x5)

inst_51:
// rs1_val == 0 and rs2_val == 0xe3e2e1e0 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xe3e2e1e0; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xe3e2e1e0, x2, 120, x5)

inst_52:
// rs1_val == 0 and rs2_val == 0xe3e2e1e0 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xe3e2e1e0; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xe3e2e1e0, x2, 124, x5)

inst_53:
// rs1_val == 0 and rs2_val == 0xdfdedddc and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xdfdedddc; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xdfdedddc, x2, 128, x5)

inst_54:
// rs1_val == 0 and rs2_val == 0xdfdedddc and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xdfdedddc; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xdfdedddc, x2, 132, x5)

inst_55:
// rs1_val == 0 and rs2_val == 0xdfdedddc and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xdfdedddc; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xdfdedddc, x2, 136, x5)

inst_56:
// rs1_val == 0 and rs2_val == 0xdfdedddc and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xdfdedddc; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xdfdedddc, x2, 140, x5)

inst_57:
// rs1_val == 0 and rs2_val == 0xdbdad9d8 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xdbdad9d8; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xdbdad9d8, x2, 144, x5)

inst_58:
// rs1_val == 0 and rs2_val == 0xdbdad9d8 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xdbdad9d8; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xdbdad9d8, x2, 148, x5)

inst_59:
// rs1_val == 0 and rs2_val == 0xdbdad9d8 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xdbdad9d8; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xdbdad9d8, x2, 152, x5)

inst_60:
// rs1_val == 0 and rs2_val == 0xdbdad9d8 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xdbdad9d8; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xdbdad9d8, x2, 156, x5)

inst_61:
// rs1_val == 0 and rs2_val == 0xd7d6d5d4 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xd7d6d5d4; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xd7d6d5d4, x2, 160, x5)

inst_62:
// rs1_val == 0 and rs2_val == 0xd7d6d5d4 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xd7d6d5d4; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xd7d6d5d4, x2, 164, x5)

inst_63:
// rs1_val == 0 and rs2_val == 0xd7d6d5d4 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xd7d6d5d4; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xd7d6d5d4, x2, 168, x5)

inst_64:
// rs1_val == 0 and rs2_val == 0xd7d6d5d4 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xd7d6d5d4; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xd7d6d5d4, x2, 172, x5)

inst_65:
// rs1_val == 0 and rs2_val == 0xd3d2d1d0 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xd3d2d1d0; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xd3d2d1d0, x2, 176, x5)

inst_66:
// rs1_val == 0 and rs2_val == 0xd3d2d1d0 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xd3d2d1d0; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xd3d2d1d0, x2, 180, x5)

inst_67:
// rs1_val == 0 and rs2_val == 0xd3d2d1d0 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xd3d2d1d0; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xd3d2d1d0, x2, 184, x5)

inst_68:
// rs1_val == 0 and rs2_val == 0xd3d2d1d0 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xd3d2d1d0; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xd3d2d1d0, x2, 188, x5)

inst_69:
// rs1_val == 0 and rs2_val == 0xcfcecdcc and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xcfcecdcc; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xcfcecdcc, x2, 192, x5)

inst_70:
// rs1_val == 0 and rs2_val == 0xcfcecdcc and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xcfcecdcc; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xcfcecdcc, x2, 196, x5)

inst_71:
// rs1_val == 0 and rs2_val == 0xcfcecdcc and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xcfcecdcc; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xcfcecdcc, x2, 200, x5)

inst_72:
// rs1_val == 0 and rs2_val == 0xcfcecdcc and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xcfcecdcc; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xcfcecdcc, x2, 204, x5)

inst_73:
// rs1_val == 0 and rs2_val == 0xcbcac9c8 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xcbcac9c8; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xcbcac9c8, x2, 208, x5)

inst_74:
// rs1_val == 0 and rs2_val == 0xcbcac9c8 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xcbcac9c8; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xcbcac9c8, x2, 212, x5)

inst_75:
// rs1_val == 0 and rs2_val == 0xcbcac9c8 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xcbcac9c8; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xcbcac9c8, x2, 216, x5)

inst_76:
// rs1_val == 0 and rs2_val == 0xcbcac9c8 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xcbcac9c8; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xcbcac9c8, x2, 220, x5)

inst_77:
// rs1_val == 0 and rs2_val == 0xc7c6c5c4 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xc7c6c5c4; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xc7c6c5c4, x2, 224, x5)

inst_78:
// rs1_val == 0 and rs2_val == 0xc7c6c5c4 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xc7c6c5c4; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xc7c6c5c4, x2, 228, x5)

inst_79:
// rs1_val == 0 and rs2_val == 0xc7c6c5c4 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xc7c6c5c4; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xc7c6c5c4, x2, 232, x5)

inst_80:
// rs1_val == 0 and rs2_val == 0xc7c6c5c4 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xc7c6c5c4; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xc7c6c5c4, x2, 236, x5)

inst_81:
// rs1_val == 0 and rs2_val == 0xc3c2c1c0 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xc3c2c1c0; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xc3c2c1c0, x2, 240, x5)

inst_82:
// rs1_val == 0 and rs2_val == 0xc3c2c1c0 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xc3c2c1c0; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xc3c2c1c0, x2, 244, x5)

inst_83:
// rs1_val == 0 and rs2_val == 0xc3c2c1c0 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xc3c2c1c0; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xc3c2c1c0, x2, 248, x5)

inst_84:
// rs1_val == 0 and rs2_val == 0xc3c2c1c0 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xc3c2c1c0; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xc3c2c1c0, x2, 252, x5)

inst_85:
// rs1_val == 0 and rs2_val == 0xbfbebdbc and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xbfbebdbc; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xbfbebdbc, x2, 256, x5)

inst_86:
// rs1_val == 0 and rs2_val == 0xbfbebdbc and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xbfbebdbc; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xbfbebdbc, x2, 260, x5)

inst_87:
// rs1_val == 0 and rs2_val == 0xbfbebdbc and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xbfbebdbc; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xbfbebdbc, x2, 264, x5)

inst_88:
// rs1_val == 0 and rs2_val == 0xbfbebdbc and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xbfbebdbc; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xbfbebdbc, x2, 268, x5)

inst_89:
// rs1_val == 0 and rs2_val == 0xbbbab9b8 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xbbbab9b8; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xbbbab9b8, x2, 272, x5)

inst_90:
// rs1_val == 0 and rs2_val == 0xbbbab9b8 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xbbbab9b8; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xbbbab9b8, x2, 276, x5)

inst_91:
// rs1_val == 0 and rs2_val == 0xbbbab9b8 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xbbbab9b8; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xbbbab9b8, x2, 280, x5)

inst_92:
// rs1_val == 0 and rs2_val == 0xbbbab9b8 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xbbbab9b8; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xbbbab9b8, x2, 284, x5)

inst_93:
// rs1_val == 0 and rs2_val == 0xb7b6b5b4 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb7b6b5b4; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xb7b6b5b4, x2, 288, x5)

inst_94:
// rs1_val == 0 and rs2_val == 0xb7b6b5b4 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb7b6b5b4; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xb7b6b5b4, x2, 292, x5)

inst_95:
// rs1_val == 0 and rs2_val == 0xb7b6b5b4 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb7b6b5b4; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xb7b6b5b4, x2, 296, x5)

inst_96:
// rs1_val == 0 and rs2_val == 0xb7b6b5b4 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb7b6b5b4; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xb7b6b5b4, x2, 300, x5)

inst_97:
// rs1_val == 0 and rs2_val == 0xb3b2b1b0 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb3b2b1b0; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xb3b2b1b0, x2, 304, x5)

inst_98:
// rs1_val == 0 and rs2_val == 0xb3b2b1b0 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb3b2b1b0; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xb3b2b1b0, x2, 308, x5)

inst_99:
// rs1_val == 0 and rs2_val == 0xb3b2b1b0 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb3b2b1b0; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xb3b2b1b0, x2, 312, x5)

inst_100:
// rs1_val == 0 and rs2_val == 0xb3b2b1b0 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb3b2b1b0; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xb3b2b1b0, x2, 316, x5)

inst_101:
// rs1_val == 0 and rs2_val == 0xafaeadac and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xafaeadac; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xafaeadac, x2, 320, x5)

inst_102:
// rs1_val == 0 and rs2_val == 0xafaeadac and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xafaeadac; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xafaeadac, x2, 324, x5)

inst_103:
// rs1_val == 0 and rs2_val == 0xafaeadac and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xafaeadac; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xafaeadac, x2, 328, x5)

inst_104:
// rs1_val == 0 and rs2_val == 0xafaeadac and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xafaeadac; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xafaeadac, x2, 332, x5)

inst_105:
// rs1_val == 0 and rs2_val == 0xabaaa9a8 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xabaaa9a8; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xabaaa9a8, x2, 336, x5)

inst_106:
// rs1_val == 0 and rs2_val == 0xabaaa9a8 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xabaaa9a8; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xabaaa9a8, x2, 340, x5)

inst_107:
// rs1_val == 0 and rs2_val == 0xabaaa9a8 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xabaaa9a8; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xabaaa9a8, x2, 344, x5)

inst_108:
// rs1_val == 0 and rs2_val == 0xabaaa9a8 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xabaaa9a8; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xabaaa9a8, x2, 348, x5)

inst_109:
// rs1_val == 0 and rs2_val == 0xa7a6a5a4 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xa7a6a5a4; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xa7a6a5a4, x2, 352, x5)

inst_110:
// rs1_val == 0 and rs2_val == 0xa7a6a5a4 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xa7a6a5a4; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xa7a6a5a4, x2, 356, x5)

inst_111:
// rs1_val == 0 and rs2_val == 0xa7a6a5a4 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xa7a6a5a4; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xa7a6a5a4, x2, 360, x5)

inst_112:
// rs1_val == 0 and rs2_val == 0xa7a6a5a4 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xa7a6a5a4; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xa7a6a5a4, x2, 364, x5)

inst_113:
// rs1_val == 0 and rs2_val == 0xa3a2a1a0 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xa3a2a1a0; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xa3a2a1a0, x2, 368, x5)

inst_114:
// rs1_val == 0 and rs2_val == 0xa3a2a1a0 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xa3a2a1a0; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xa3a2a1a0, x2, 372, x5)

inst_115:
// rs1_val == 0 and rs2_val == 0xa3a2a1a0 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xa3a2a1a0; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xa3a2a1a0, x2, 376, x5)

inst_116:
// rs1_val == 0 and rs2_val == 0xa3a2a1a0 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xa3a2a1a0; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xa3a2a1a0, x2, 380, x5)

inst_117:
// rs1_val == 0 and rs2_val == 0x9f9e9d9c and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x9f9e9d9c; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x9f9e9d9c, x2, 384, x5)

inst_118:
// rs1_val == 0 and rs2_val == 0x9f9e9d9c and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x9f9e9d9c; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x9f9e9d9c, x2, 388, x5)

inst_119:
// rs1_val == 0 and rs2_val == 0x9f9e9d9c and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x9f9e9d9c; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x9f9e9d9c, x2, 392, x5)

inst_120:
// rs1_val == 0 and rs2_val == 0x9f9e9d9c and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x9f9e9d9c; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x9f9e9d9c, x2, 396, x5)

inst_121:
// rs1_val == 0 and rs2_val == 0x9b9a9998 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x9b9a9998; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x9b9a9998, x2, 400, x5)

inst_122:
// rs1_val == 0 and rs2_val == 0x9b9a9998 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x9b9a9998; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x9b9a9998, x2, 404, x5)

inst_123:
// rs1_val == 0 and rs2_val == 0x9b9a9998 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x9b9a9998; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x9b9a9998, x2, 408, x5)

inst_124:
// rs1_val == 0 and rs2_val == 0x9b9a9998 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x9b9a9998; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x9b9a9998, x2, 412, x5)

inst_125:
// rs1_val == 0 and rs2_val == 0x97969594 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x97969594; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x97969594, x2, 416, x5)

inst_126:
// rs1_val == 0 and rs2_val == 0x97969594 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x97969594; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x97969594, x2, 420, x5)

inst_127:
// rs1_val == 0 and rs2_val == 0x97969594 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x97969594; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x97969594, x2, 424, x5)

inst_128:
// rs1_val == 0 and rs2_val == 0x97969594 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x97969594; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x97969594, x2, 428, x5)

inst_129:
// rs1_val == 0 and rs2_val == 0x93929190 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x93929190; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x93929190, x2, 432, x5)

inst_130:
// rs1_val == 0 and rs2_val == 0x93929190 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x93929190; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x93929190, x2, 436, x5)

inst_131:
// rs1_val == 0 and rs2_val == 0x93929190 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x93929190; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x93929190, x2, 440, x5)

inst_132:
// rs1_val == 0 and rs2_val == 0x93929190 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x93929190; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x93929190, x2, 444, x5)

inst_133:
// rs1_val == 0 and rs2_val == 0x8f8e8d8c and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x8f8e8d8c; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x8f8e8d8c, x2, 448, x5)

inst_134:
// rs1_val == 0 and rs2_val == 0x8f8e8d8c and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x8f8e8d8c; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x8f8e8d8c, x2, 452, x5)

inst_135:
// rs1_val == 0 and rs2_val == 0x8f8e8d8c and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x8f8e8d8c; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x8f8e8d8c, x2, 456, x5)

inst_136:
// rs1_val == 0 and rs2_val == 0x8f8e8d8c and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x8f8e8d8c; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x8f8e8d8c, x2, 460, x5)

inst_137:
// rs1_val == 0 and rs2_val == 0x8b8a8988 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x8b8a8988; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x8b8a8988, x2, 464, x5)

inst_138:
// rs1_val == 0 and rs2_val == 0x8b8a8988 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x8b8a8988; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x8b8a8988, x2, 468, x5)

inst_139:
// rs1_val == 0 and rs2_val == 0x8b8a8988 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x8b8a8988; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x8b8a8988, x2, 472, x5)

inst_140:
// rs1_val == 0 and rs2_val == 0x8b8a8988 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x8b8a8988; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x8b8a8988, x2, 476, x5)

inst_141:
// rs1_val == 0 and rs2_val == 0x87868584 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x87868584; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x87868584, x2, 480, x5)

inst_142:
// rs1_val == 0 and rs2_val == 0x87868584 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x87868584; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x87868584, x2, 484, x5)

inst_143:
// rs1_val == 0 and rs2_val == 0x87868584 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x87868584; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x87868584, x2, 488, x5)

inst_144:
// rs1_val == 0 and rs2_val == 0x87868584 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x87868584; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x87868584, x2, 492, x5)

inst_145:
// rs1_val == 0 and rs2_val == 0x83828180 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x83828180; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x83828180, x2, 496, x5)

inst_146:
// rs1_val == 0 and rs2_val == 0x83828180 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x83828180; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x83828180, x2, 500, x5)

inst_147:
// rs1_val == 0 and rs2_val == 0x83828180 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x83828180; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x83828180, x2, 504, x5)

inst_148:
// rs1_val == 0 and rs2_val == 0x83828180 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x83828180; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x83828180, x2, 508, x5)

inst_149:
// rs1_val == 0 and rs2_val == 0x7f7e7d7c and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7f7e7d7c; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x7f7e7d7c, x2, 512, x5)

inst_150:
// rs1_val == 0 and rs2_val == 0x7f7e7d7c and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7f7e7d7c; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x7f7e7d7c, x2, 516, x5)

inst_151:
// rs1_val == 0 and rs2_val == 0x7f7e7d7c and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7f7e7d7c; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x7f7e7d7c, x2, 520, x5)

inst_152:
// rs1_val == 0 and rs2_val == 0x7f7e7d7c and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7f7e7d7c; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x7f7e7d7c, x2, 524, x5)

inst_153:
// rs1_val == 0 and rs2_val == 0x7b7a7978 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7b7a7978; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x7b7a7978, x2, 528, x5)

inst_154:
// rs1_val == 0 and rs2_val == 0x7b7a7978 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7b7a7978; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x7b7a7978, x2, 532, x5)

inst_155:
// rs1_val == 0 and rs2_val == 0x7b7a7978 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7b7a7978; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x7b7a7978, x2, 536, x5)

inst_156:
// rs1_val == 0 and rs2_val == 0x7b7a7978 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7b7a7978; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x7b7a7978, x2, 540, x5)

inst_157:
// rs1_val == 0 and rs2_val == 0x77767574 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x77767574; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x77767574, x2, 544, x5)

inst_158:
// rs1_val == 0 and rs2_val == 0x77767574 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x77767574; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x77767574, x2, 548, x5)

inst_159:
// rs1_val == 0 and rs2_val == 0x77767574 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x77767574; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x77767574, x2, 552, x5)

inst_160:
// rs1_val == 0 and rs2_val == 0x77767574 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x77767574; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x77767574, x2, 556, x5)

inst_161:
// rs1_val == 0 and rs2_val == 0x73727170 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x73727170; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x73727170, x2, 560, x5)

inst_162:
// rs1_val == 0 and rs2_val == 0x73727170 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x73727170; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x73727170, x2, 564, x5)

inst_163:
// rs1_val == 0 and rs2_val == 0x73727170 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x73727170; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x73727170, x2, 568, x5)

inst_164:
// rs1_val == 0 and rs2_val == 0x73727170 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x73727170; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x73727170, x2, 572, x5)

inst_165:
// rs1_val == 0 and rs2_val == 0x6f6e6d6c and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x6f6e6d6c; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x6f6e6d6c, x2, 576, x5)

inst_166:
// rs1_val == 0 and rs2_val == 0x6f6e6d6c and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x6f6e6d6c; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x6f6e6d6c, x2, 580, x5)

inst_167:
// rs1_val == 0 and rs2_val == 0x6f6e6d6c and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x6f6e6d6c; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x6f6e6d6c, x2, 584, x5)

inst_168:
// rs1_val == 0 and rs2_val == 0x6f6e6d6c and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x6f6e6d6c; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x6f6e6d6c, x2, 588, x5)

inst_169:
// rs1_val == 0 and rs2_val == 0x6b6a6968 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x6b6a6968; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x6b6a6968, x2, 592, x5)

inst_170:
// rs1_val == 0 and rs2_val == 0x6b6a6968 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x6b6a6968; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x6b6a6968, x2, 596, x5)

inst_171:
// rs1_val == 0 and rs2_val == 0x6b6a6968 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x6b6a6968; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x6b6a6968, x2, 600, x5)

inst_172:
// rs1_val == 0 and rs2_val == 0x6b6a6968 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x6b6a6968; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x6b6a6968, x2, 604, x5)

inst_173:
// rs1_val == 0 and rs2_val == 0x67666564 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x67666564; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x67666564, x2, 608, x5)

inst_174:
// rs1_val == 0 and rs2_val == 0x67666564 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x67666564; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x67666564, x2, 612, x5)

inst_175:
// rs1_val == 0 and rs2_val == 0x67666564 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x67666564; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x67666564, x2, 616, x5)

inst_176:
// rs1_val == 0 and rs2_val == 0x67666564 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x67666564; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x67666564, x2, 620, x5)

inst_177:
// rs1_val == 0 and rs2_val == 0x63626160 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x63626160; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x63626160, x2, 624, x5)

inst_178:
// rs1_val == 0 and rs2_val == 0x63626160 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x63626160; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x63626160, x2, 628, x5)

inst_179:
// rs1_val == 0 and rs2_val == 0x63626160 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x63626160; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x63626160, x2, 632, x5)

inst_180:
// rs1_val == 0 and rs2_val == 0x63626160 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x63626160; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x63626160, x2, 636, x5)

inst_181:
// rs1_val == 0 and rs2_val == 0x5f5e5d5c and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x5f5e5d5c; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x5f5e5d5c, x2, 640, x5)

inst_182:
// rs1_val == 0 and rs2_val == 0x5f5e5d5c and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x5f5e5d5c; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x5f5e5d5c, x2, 644, x5)

inst_183:
// rs1_val == 0 and rs2_val == 0x5f5e5d5c and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x5f5e5d5c; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x5f5e5d5c, x2, 648, x5)

inst_184:
// rs1_val == 0 and rs2_val == 0x5f5e5d5c and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x5f5e5d5c; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x5f5e5d5c, x2, 652, x5)

inst_185:
// rs1_val == 0 and rs2_val == 0x5b5a5958 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x5b5a5958; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x5b5a5958, x2, 656, x5)

inst_186:
// rs1_val == 0 and rs2_val == 0x5b5a5958 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x5b5a5958; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x5b5a5958, x2, 660, x5)

inst_187:
// rs1_val == 0 and rs2_val == 0x5b5a5958 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x5b5a5958; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x5b5a5958, x2, 664, x5)

inst_188:
// rs1_val == 0 and rs2_val == 0x5b5a5958 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x5b5a5958; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x5b5a5958, x2, 668, x5)

inst_189:
// rs1_val == 0 and rs2_val == 0x57565554 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x57565554; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x57565554, x2, 672, x5)

inst_190:
// rs1_val == 0 and rs2_val == 0x57565554 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x57565554; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x57565554, x2, 676, x5)

inst_191:
// rs1_val == 0 and rs2_val == 0x57565554 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x57565554; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x57565554, x2, 680, x5)

inst_192:
// rs1_val == 0 and rs2_val == 0x57565554 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x57565554; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x57565554, x2, 684, x5)

inst_193:
// rs1_val == 0 and rs2_val == 0x53525150 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x53525150; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x53525150, x2, 688, x5)

inst_194:
// rs1_val == 0 and rs2_val == 0x53525150 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x53525150; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x53525150, x2, 692, x5)

inst_195:
// rs1_val == 0 and rs2_val == 0x53525150 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x53525150; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x53525150, x2, 696, x5)

inst_196:
// rs1_val == 0 and rs2_val == 0x53525150 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x53525150; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x53525150, x2, 700, x5)

inst_197:
// rs1_val == 0 and rs2_val == 0x4f4e4d4c and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x4f4e4d4c; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x4f4e4d4c, x2, 704, x5)

inst_198:
// rs1_val == 0 and rs2_val == 0x4f4e4d4c and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x4f4e4d4c; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x4f4e4d4c, x2, 708, x5)

inst_199:
// rs1_val == 0 and rs2_val == 0x4f4e4d4c and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x4f4e4d4c; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x4f4e4d4c, x2, 712, x5)

inst_200:
// rs1_val == 0 and rs2_val == 0x4f4e4d4c and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x4f4e4d4c; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x4f4e4d4c, x2, 716, x5)

inst_201:
// rs1_val == 0 and rs2_val == 0x4b4a4948 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x4b4a4948; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x4b4a4948, x2, 720, x5)

inst_202:
// rs1_val == 0 and rs2_val == 0x4b4a4948 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x4b4a4948; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x4b4a4948, x2, 724, x5)

inst_203:
// rs1_val == 0 and rs2_val == 0x4b4a4948 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x4b4a4948; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x4b4a4948, x2, 728, x5)

inst_204:
// rs1_val == 0 and rs2_val == 0x4b4a4948 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x4b4a4948; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x4b4a4948, x2, 732, x5)

inst_205:
// rs1_val == 0 and rs2_val == 0x47464544 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x47464544; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x47464544, x2, 736, x5)

inst_206:
// rs1_val == 0 and rs2_val == 0x47464544 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x47464544; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x47464544, x2, 740, x5)

inst_207:
// rs1_val == 0 and rs2_val == 0x47464544 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x47464544; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x47464544, x2, 744, x5)

inst_208:
// rs1_val == 0 and rs2_val == 0x47464544 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x47464544; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x47464544, x2, 748, x5)

inst_209:
// rs1_val == 0 and rs2_val == 0x43424140 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x43424140; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x43424140, x2, 752, x5)

inst_210:
// rs1_val == 0 and rs2_val == 0x43424140 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x43424140; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x43424140, x2, 756, x5)

inst_211:
// rs1_val == 0 and rs2_val == 0x43424140 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x43424140; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x43424140, x2, 760, x5)

inst_212:
// rs1_val == 0 and rs2_val == 0x43424140 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x43424140; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x43424140, x2, 764, x5)

inst_213:
// rs1_val == 0 and rs2_val == 0x3f3e3d3c and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3f3e3d3c; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x3f3e3d3c, x2, 768, x5)

inst_214:
// rs1_val == 0 and rs2_val == 0x3f3e3d3c and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3f3e3d3c; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x3f3e3d3c, x2, 772, x5)

inst_215:
// rs1_val == 0 and rs2_val == 0x3f3e3d3c and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3f3e3d3c; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x3f3e3d3c, x2, 776, x5)

inst_216:
// rs1_val == 0 and rs2_val == 0x3f3e3d3c and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3f3e3d3c; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x3f3e3d3c, x2, 780, x5)

inst_217:
// rs1_val == 0 and rs2_val == 0x3b3a3938 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3b3a3938; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x3b3a3938, x2, 784, x5)

inst_218:
// rs1_val == 0 and rs2_val == 0x3b3a3938 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3b3a3938; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x3b3a3938, x2, 788, x5)

inst_219:
// rs1_val == 0 and rs2_val == 0x3b3a3938 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3b3a3938; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x3b3a3938, x2, 792, x5)

inst_220:
// rs1_val == 0 and rs2_val == 0x3b3a3938 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3b3a3938; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x3b3a3938, x2, 796, x5)

inst_221:
// rs1_val == 0 and rs2_val == 0x37363534 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x37363534; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x37363534, x2, 800, x5)

inst_222:
// rs1_val == 0 and rs2_val == 0x37363534 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x37363534; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x37363534, x2, 804, x5)

inst_223:
// rs1_val == 0 and rs2_val == 0x37363534 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x37363534; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x37363534, x2, 808, x5)

inst_224:
// rs1_val == 0 and rs2_val == 0x37363534 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x37363534; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x37363534, x2, 812, x5)

inst_225:
// rs1_val == 0 and rs2_val == 0x33323130 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x33323130; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x33323130, x2, 816, x5)

inst_226:
// rs1_val == 0 and rs2_val == 0x33323130 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x33323130; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x33323130, x2, 820, x5)

inst_227:
// rs1_val == 0 and rs2_val == 0x33323130 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x33323130; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x33323130, x2, 824, x5)

inst_228:
// rs1_val == 0 and rs2_val == 0x33323130 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x33323130; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x33323130, x2, 828, x5)

inst_229:
// rs1_val == 0 and rs2_val == 0x2f2e2d2c and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x2f2e2d2c; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x2f2e2d2c, x2, 832, x5)

inst_230:
// rs1_val == 0 and rs2_val == 0x2f2e2d2c and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x2f2e2d2c; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x2f2e2d2c, x2, 836, x5)

inst_231:
// rs1_val == 0 and rs2_val == 0x2f2e2d2c and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x2f2e2d2c; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x2f2e2d2c, x2, 840, x5)

inst_232:
// rs1_val == 0 and rs2_val == 0x2f2e2d2c and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x2f2e2d2c; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x2f2e2d2c, x2, 844, x5)

inst_233:
// rs1_val == 0 and rs2_val == 0x2b2a2928 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x2b2a2928; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x2b2a2928, x2, 848, x5)

inst_234:
// rs1_val == 0 and rs2_val == 0x2b2a2928 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x2b2a2928; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x2b2a2928, x2, 852, x5)

inst_235:
// rs1_val == 0 and rs2_val == 0x2b2a2928 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x2b2a2928; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x2b2a2928, x2, 856, x5)

inst_236:
// rs1_val == 0 and rs2_val == 0x2b2a2928 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x2b2a2928; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x2b2a2928, x2, 860, x5)

inst_237:
// rs1_val == 0 and rs2_val == 0x27262524 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x27262524; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x27262524, x2, 864, x5)

inst_238:
// rs1_val == 0 and rs2_val == 0x27262524 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x27262524; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x27262524, x2, 868, x5)

inst_239:
// rs1_val == 0 and rs2_val == 0x27262524 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x27262524; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x27262524, x2, 872, x5)

inst_240:
// rs1_val == 0 and rs2_val == 0x27262524 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x27262524; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x27262524, x2, 876, x5)

inst_241:
// rs1_val == 0 and rs2_val == 0x23222120 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x23222120; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x23222120, x2, 880, x5)

inst_242:
// rs1_val == 0 and rs2_val == 0x23222120 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x23222120; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x23222120, x2, 884, x5)

inst_243:
// rs1_val == 0 and rs2_val == 0x23222120 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x23222120; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x23222120, x2, 888, x5)

inst_244:
// rs1_val == 0 and rs2_val == 0x23222120 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x23222120; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x23222120, x2, 892, x5)

inst_245:
// rs1_val == 0 and rs2_val == 0x1f1e1d1c and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x1f1e1d1c; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x1f1e1d1c, x2, 896, x5)

inst_246:
// rs1_val == 0 and rs2_val == 0x1f1e1d1c and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x1f1e1d1c; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x1f1e1d1c, x2, 900, x5)

inst_247:
// rs1_val == 0 and rs2_val == 0x1f1e1d1c and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x1f1e1d1c; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x1f1e1d1c, x2, 904, x5)

inst_248:
// rs1_val == 0 and rs2_val == 0x1f1e1d1c and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x1f1e1d1c; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x1f1e1d1c, x2, 908, x5)

inst_249:
// rs1_val == 0 and rs2_val == 0x1b1a1918 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x1b1a1918; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x1b1a1918, x2, 912, x5)

inst_250:
// rs1_val == 0 and rs2_val == 0x1b1a1918 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x1b1a1918; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x1b1a1918, x2, 916, x5)

inst_251:
// rs1_val == 0 and rs2_val == 0x1b1a1918 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x1b1a1918; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x1b1a1918, x2, 920, x5)

inst_252:
// rs1_val == 0 and rs2_val == 0x1b1a1918 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x1b1a1918; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x1b1a1918, x2, 924, x5)

inst_253:
// rs1_val == 0 and rs2_val == 0x17161514 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x17161514; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x17161514, x2, 928, x5)

inst_254:
// rs1_val == 0 and rs2_val == 0x17161514 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x17161514; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x17161514, x2, 932, x5)

inst_255:
// rs1_val == 0 and rs2_val == 0x17161514 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x17161514; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x17161514, x2, 936, x5)

inst_256:
// rs1_val == 0 and rs2_val == 0x17161514 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x17161514; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x17161514, x2, 940, x5)

inst_257:
// rs1_val == 0 and rs2_val == 0x13121110 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x13121110; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x13121110, x2, 944, x5)

inst_258:
// rs1_val == 0 and rs2_val == 0x13121110 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x13121110; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x13121110, x2, 948, x5)

inst_259:
// rs1_val == 0 and rs2_val == 0x13121110 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x13121110; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x13121110, x2, 952, x5)

inst_260:
// rs1_val == 0 and rs2_val == 0x13121110 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x13121110; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x13121110, x2, 956, x5)

inst_261:
// rs1_val == 0 and rs2_val == 0x0f0e0d0c and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xf0e0d0c; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xf0e0d0c, x2, 960, x5)

inst_262:
// rs1_val == 0 and rs2_val == 0x0f0e0d0c and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xf0e0d0c; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xf0e0d0c, x2, 964, x5)

inst_263:
// rs1_val == 0 and rs2_val == 0x0f0e0d0c and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xf0e0d0c; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xf0e0d0c, x2, 968, x5)

inst_264:
// rs1_val == 0 and rs2_val == 0x0f0e0d0c and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xf0e0d0c; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xf0e0d0c, x2, 972, x5)

inst_265:
// rs1_val == 0 and rs2_val == 0x0b0a0908 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb0a0908; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0xb0a0908, x2, 976, x5)

inst_266:
// rs1_val == 0 and rs2_val == 0x0b0a0908 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb0a0908; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0xb0a0908, x2, 980, x5)

inst_267:
// rs1_val == 0 and rs2_val == 0x0b0a0908 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb0a0908; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0xb0a0908, x2, 984, x5)

inst_268:
// rs1_val == 0 and rs2_val == 0x0b0a0908 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0xb0a0908; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0xb0a0908, x2, 988, x5)

inst_269:
// rs1_val == 0 and rs2_val == 0x07060504 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7060504; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x7060504, x2, 992, x5)

inst_270:
// rs1_val == 0 and rs2_val == 0x07060504 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7060504; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x7060504, x2, 996, x5)

inst_271:
// rs1_val == 0 and rs2_val == 0x07060504 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7060504; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x7060504, x2, 1000, x5)

inst_272:
// rs1_val == 0 and rs2_val == 0x07060504 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x7060504; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x7060504, x2, 1004, x5)

inst_273:
// rs1_val == 0 and rs2_val == 0x03020100 and imm_val == 3 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3020100; immval:0x3
TEST_RI_OP(aes32esi, x10, x11, 0x3, 0x00000000, 0x0, 0x3020100, x2, 1008, x5)

inst_274:
// rs1_val == 0 and rs2_val == 0x03020100 and imm_val == 2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3020100; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x0, 0x3020100, x2, 1012, x5)

inst_275:
// rs1_val == 0 and rs2_val == 0x03020100 and imm_val == 1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3020100; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x0, 0x3020100, x2, 1016, x5)

inst_276:
// rs1_val == 0 and rs2_val == 0x03020100 and imm_val == 0 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x0; op2val:0x3020100; immval:0x0
TEST_RI_OP(aes32esi, x10, x11, 0x0, 0x00000000, 0x0, 0x3020100, x2, 1020, x5)

inst_277:
// rs1_val == 0x3fb0fe60 and rs2_val == 0x1826a804 and imm_val == 0x1 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x3fb0fe60; op2val:0x1826a804; immval:0x1
TEST_RI_OP(aes32esi, x10, x11, 0x1, 0x00000000, 0x3fb0fe60, 0x1826a804, x2, 1024, x5)

inst_278:
// rs1_val == 0x240d84d6 and rs2_val == 0xe4921bf7 and imm_val == 0x2 
// opcode: aes32esi; op1:x10; op2:x11; op1val:0x240d84d6; op2val:0xe4921bf7; immval:0x2
TEST_RI_OP(aes32esi, x10, x11, 0x2, 0x00000000, 0x240d84d6, 0xe4921bf7, x2, 1028, x5)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x1_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x1_1:
    .fill 21*(XLEN/32),4,0xdeadbeef


signature_x2_0:
    .fill 258*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
